/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 652 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQLERROR = 292,
     SQL_SQLPRINT = 293,
     SQL_SQLWARNING = 294,
     SQL_START = 295,
     SQL_STOP = 296,
     SQL_STRUCT = 297,
     SQL_UNSIGNED = 298,
     SQL_VAR = 299,
     SQL_WHENEVER = 300,
     S_ADD = 301,
     S_AND = 302,
     S_ANYTHING = 303,
     S_AUTO = 304,
     S_CONST = 305,
     S_DEC = 306,
     S_DIV = 307,
     S_DOTPOINT = 308,
     S_EQUAL = 309,
     S_EXTERN = 310,
     S_INC = 311,
     S_LSHIFT = 312,
     S_MEMPOINT = 313,
     S_MEMBER = 314,
     S_MOD = 315,
     S_MUL = 316,
     S_NEQUAL = 317,
     S_OR = 318,
     S_REGISTER = 319,
     S_RSHIFT = 320,
     S_STATIC = 321,
     S_SUB = 322,
     S_VOLATILE = 323,
     S_TYPEDEF = 324,
     CSTRING = 325,
     CVARIABLE = 326,
     CPP_LINE = 327,
     IP = 328,
     DOLCONST = 329,
     ECONST = 330,
     NCONST = 331,
     UCONST = 332,
     UIDENT = 333,
     IDENT = 334,
     FCONST = 335,
     SCONST = 336,
     BCONST = 337,
     XCONST = 338,
     Op = 339,
     ICONST = 340,
     PARAM = 341,
     TYPECAST = 342,
     DOT_DOT = 343,
     COLON_EQUALS = 344,
     EQUALS_GREATER = 345,
     LESS_EQUALS = 346,
     GREATER_EQUALS = 347,
     NOT_EQUALS = 348,
     ABORT_P = 349,
     ABSOLUTE_P = 350,
     ACCESS = 351,
     ACTION = 352,
     ADD_P = 353,
     ADMIN = 354,
     AFTER = 355,
     AGGREGATE = 356,
     ALL = 357,
     ALSO = 358,
     ALTER = 359,
     ALWAYS = 360,
     ANALYSE = 361,
     ANALYZE = 362,
     AND = 363,
     ANY = 364,
     ARRAY = 365,
     AS = 366,
     ASC = 367,
     ASSERTION = 368,
     ASSIGNMENT = 369,
     ASYMMETRIC = 370,
     AT = 371,
     ATTRIBUTE = 372,
     AUTHORIZATION = 373,
     BACKWARD = 374,
     BEFORE = 375,
     BEGIN_P = 376,
     BETWEEN = 377,
     BIGINT = 378,
     BINARY = 379,
     BIT = 380,
     BOOLEAN_P = 381,
     BOTH = 382,
     BY = 383,
     CACHE = 384,
     CALLED = 385,
     CASCADE = 386,
     CASCADED = 387,
     CASE = 388,
     CAST = 389,
     CATALOG_P = 390,
     CHAIN = 391,
     CHAR_P = 392,
     CHARACTER = 393,
     CHARACTERISTICS = 394,
     CHECK = 395,
     CHECKPOINT = 396,
     CLASS = 397,
     CLOSE = 398,
     CLUSTER = 399,
     COALESCE = 400,
     COLLATE = 401,
     COLLATION = 402,
     COLUMN = 403,
     COMMENT = 404,
     COMMENTS = 405,
     COMMIT = 406,
     COMMITTED = 407,
     CONCURRENTLY = 408,
     CONFIGURATION = 409,
     CONFLICT = 410,
     CONNECTION = 411,
     CONSTRAINT = 412,
     CONSTRAINTS = 413,
     CONTENT_P = 414,
     CONTINUE_P = 415,
     CONVERSION_P = 416,
     COPY = 417,
     COST = 418,
     CREATE = 419,
     CROSS = 420,
     CSV = 421,
     CUBE = 422,
     CURRENT_P = 423,
     CURRENT_CATALOG = 424,
     CURRENT_DATE = 425,
     CURRENT_ROLE = 426,
     CURRENT_SCHEMA = 427,
     CURRENT_TIME = 428,
     CURRENT_TIMESTAMP = 429,
     CURRENT_USER = 430,
     CURSOR = 431,
     CYCLE = 432,
     DATA_P = 433,
     DATABASE = 434,
     DAY_P = 435,
     DEALLOCATE = 436,
     DEC = 437,
     DECIMAL_P = 438,
     DECLARE = 439,
     DEFAULT = 440,
     DEFAULTS = 441,
     DEFERRABLE = 442,
     DEFERRED = 443,
     DEFINER = 444,
     DELETE_P = 445,
     DELIMITER = 446,
     DELIMITERS = 447,
     DESC = 448,
     DICTIONARY = 449,
     DISABLE_P = 450,
     DISCARD = 451,
     DISTINCT = 452,
     DO = 453,
     DOCUMENT_P = 454,
     DOMAIN_P = 455,
     DOUBLE_P = 456,
     DROP = 457,
     EACH = 458,
     ELSE = 459,
     ENABLE_P = 460,
     ENCODING = 461,
     ENCRYPTED = 462,
     END_P = 463,
     ENUM_P = 464,
     ESCAPE = 465,
     EVENT = 466,
     EXCEPT = 467,
     EXCLUDE = 468,
     EXCLUDING = 469,
     EXCLUSIVE = 470,
     EXECUTE = 471,
     EXISTS = 472,
     EXPLAIN = 473,
     EXTENSION = 474,
     EXTERNAL = 475,
     EXTRACT = 476,
     FALSE_P = 477,
     FAMILY = 478,
     FETCH = 479,
     FILTER = 480,
     FIRST_P = 481,
     FLOAT_P = 482,
     FOLLOWING = 483,
     FOR = 484,
     FORCE = 485,
     FOREIGN = 486,
     FORWARD = 487,
     FREEZE = 488,
     FROM = 489,
     FULL = 490,
     FUNCTION = 491,
     FUNCTIONS = 492,
     GLOBAL = 493,
     GRANT = 494,
     GRANTED = 495,
     GREATEST = 496,
     GROUP_P = 497,
     GROUPING = 498,
     HANDLER = 499,
     HAVING = 500,
     HEADER_P = 501,
     HOLD = 502,
     HOUR_P = 503,
     IDENTITY_P = 504,
     IF_P = 505,
     ILIKE = 506,
     IMMEDIATE = 507,
     IMMUTABLE = 508,
     IMPLICIT_P = 509,
     IMPORT_P = 510,
     IN_P = 511,
     INCLUDING = 512,
     INCREMENT = 513,
     INDEX = 514,
     INDEXES = 515,
     INHERIT = 516,
     INHERITS = 517,
     INITIALLY = 518,
     INLINE_P = 519,
     INNER_P = 520,
     INOUT = 521,
     INPUT_P = 522,
     INSENSITIVE = 523,
     INSERT = 524,
     INSTEAD = 525,
     INT_P = 526,
     INTEGER = 527,
     INTERSECT = 528,
     INTERVAL = 529,
     INTO = 530,
     INVOKER = 531,
     IS = 532,
     ISNULL = 533,
     ISOLATION = 534,
     JOIN = 535,
     KEY = 536,
     LABEL = 537,
     LANGUAGE = 538,
     LARGE_P = 539,
     LAST_P = 540,
     LATERAL_P = 541,
     LEADING = 542,
     LEAKPROOF = 543,
     LEAST = 544,
     LEFT = 545,
     LEVEL = 546,
     LIKE = 547,
     LIMIT = 548,
     LISTEN = 549,
     LOAD = 550,
     LOCAL = 551,
     LOCALTIME = 552,
     LOCALTIMESTAMP = 553,
     LOCATION = 554,
     LOCK_P = 555,
     LOCKED = 556,
     LOGGED = 557,
     MAPPING = 558,
     MATCH = 559,
     MATERIALIZED = 560,
     MAXVALUE = 561,
     MINUTE_P = 562,
     MINVALUE = 563,
     MODE = 564,
     MONTH_P = 565,
     MOVE = 566,
     NAME_P = 567,
     NAMES = 568,
     NATIONAL = 569,
     NATURAL = 570,
     NCHAR = 571,
     NEXT = 572,
     NO = 573,
     NONE = 574,
     NOT = 575,
     NOTHING = 576,
     NOTIFY = 577,
     NOTNULL = 578,
     NOWAIT = 579,
     NULL_P = 580,
     NULLIF = 581,
     NULLS_P = 582,
     NUMERIC = 583,
     OBJECT_P = 584,
     OF = 585,
     OFF = 586,
     OFFSET = 587,
     OIDS = 588,
     ON = 589,
     ONLY = 590,
     OPERATOR = 591,
     OPTION = 592,
     OPTIONS = 593,
     OR = 594,
     ORDER = 595,
     ORDINALITY = 596,
     OUT_P = 597,
     OUTER_P = 598,
     OVER = 599,
     OVERLAPS = 600,
     OVERLAY = 601,
     OWNED = 602,
     OWNER = 603,
     PARSER = 604,
     PARTIAL = 605,
     PARTITION = 606,
     PASSING = 607,
     PASSWORD = 608,
     PLACING = 609,
     PLANS = 610,
     POLICY = 611,
     POSITION = 612,
     PRECEDING = 613,
     PRECISION = 614,
     PRESERVE = 615,
     PREPARE = 616,
     PREPARED = 617,
     PRIMARY = 618,
     PRIOR = 619,
     PRIVILEGES = 620,
     PROCEDURAL = 621,
     PROCEDURE = 622,
     PROGRAM = 623,
     QUOTE = 624,
     RANGE = 625,
     READ = 626,
     REAL = 627,
     REASSIGN = 628,
     RECHECK = 629,
     RECURSIVE = 630,
     REF = 631,
     REFERENCES = 632,
     REFRESH = 633,
     REINDEX = 634,
     RELATIVE_P = 635,
     RELEASE = 636,
     RENAME = 637,
     REPEATABLE = 638,
     REPLACE = 639,
     REPLICA = 640,
     RESET = 641,
     RESTART = 642,
     RESTRICT = 643,
     RETURNING = 644,
     RETURNS = 645,
     REVOKE = 646,
     RIGHT = 647,
     ROLE = 648,
     ROLLBACK = 649,
     ROLLUP = 650,
     ROW = 651,
     ROWS = 652,
     RULE = 653,
     SAVEPOINT = 654,
     SCHEMA = 655,
     SCROLL = 656,
     SEARCH = 657,
     SECOND_P = 658,
     SECURITY = 659,
     SELECT = 660,
     SEQUENCE = 661,
     SEQUENCES = 662,
     SERIALIZABLE = 663,
     SERVER = 664,
     SESSION = 665,
     SESSION_USER = 666,
     SET = 667,
     SETS = 668,
     SETOF = 669,
     SHARE = 670,
     SHOW = 671,
     SIMILAR = 672,
     SIMPLE = 673,
     SKIP = 674,
     SMALLINT = 675,
     SNAPSHOT = 676,
     SOME = 677,
     SQL_P = 678,
     STABLE = 679,
     STANDALONE_P = 680,
     START = 681,
     STATEMENT = 682,
     STATISTICS = 683,
     STDIN = 684,
     STDOUT = 685,
     STORAGE = 686,
     STRICT_P = 687,
     STRIP_P = 688,
     SUBSTRING = 689,
     SYMMETRIC = 690,
     SYSID = 691,
     SYSTEM_P = 692,
     TABLE = 693,
     TABLES = 694,
     TABLESAMPLE = 695,
     TABLESPACE = 696,
     TEMP = 697,
     TEMPLATE = 698,
     TEMPORARY = 699,
     TEXT_P = 700,
     THEN = 701,
     TIME = 702,
     TIMESTAMP = 703,
     TO = 704,
     TRAILING = 705,
     TRANSACTION = 706,
     TRANSFORM = 707,
     TREAT = 708,
     TRIGGER = 709,
     TRIM = 710,
     TRUE_P = 711,
     TRUNCATE = 712,
     TRUSTED = 713,
     TYPE_P = 714,
     TYPES_P = 715,
     UNBOUNDED = 716,
     UNCOMMITTED = 717,
     UNENCRYPTED = 718,
     UNION = 719,
     UNIQUE = 720,
     UNKNOWN = 721,
     UNLISTEN = 722,
     UNLOGGED = 723,
     UNTIL = 724,
     UPDATE = 725,
     USER = 726,
     USING = 727,
     VACUUM = 728,
     VALID = 729,
     VALIDATE = 730,
     VALIDATOR = 731,
     VALUE_P = 732,
     VALUES = 733,
     VARCHAR = 734,
     VARIADIC = 735,
     VARYING = 736,
     VERBOSE = 737,
     VERSION_P = 738,
     VIEW = 739,
     VIEWS = 740,
     VOLATILE = 741,
     WHEN = 742,
     WHERE = 743,
     WHITESPACE_P = 744,
     WINDOW = 745,
     WITH = 746,
     WITHIN = 747,
     WITHOUT = 748,
     WORK = 749,
     WRAPPER = 750,
     WRITE = 751,
     XML_P = 752,
     XMLATTRIBUTES = 753,
     XMLCONCAT = 754,
     XMLELEMENT = 755,
     XMLEXISTS = 756,
     XMLFOREST = 757,
     XMLPARSE = 758,
     XMLPI = 759,
     XMLROOT = 760,
     XMLSERIALIZE = 761,
     YEAR_P = 762,
     YES_P = 763,
     ZONE = 764,
     NOT_LA = 765,
     NULLS_LA = 766,
     WITH_LA = 767,
     POSTFIXOP = 768,
     UMINUS = 769
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 581 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1219 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1244 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   124946

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  534
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  755
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2958
/* YYNRULES -- Number of states.  */
#define YYNSTATES  5561

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   769

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   521,     2,     2,
     526,   527,   519,   517,   529,   518,   528,   520,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   531,   530,
     513,   515,   514,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   524,     2,   525,   522,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   532,     2,   533,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   516,   523
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   265,   267,   269,   271,   273,   275,   277,
     279,   281,   283,   285,   287,   288,   294,   296,   298,   299,
     302,   303,   306,   307,   310,   313,   317,   321,   323,   327,
     331,   334,   336,   338,   341,   344,   347,   351,   355,   361,
     367,   368,   372,   378,   384,   390,   395,   399,   405,   409,
     415,   421,   428,   430,   432,   436,   442,   449,   454,   464,
     472,   474,   475,   478,   479,   481,   483,   485,   487,   489,
     491,   494,   498,   502,   505,   511,   513,   517,   521,   525,
     529,   531,   535,   539,   542,   545,   548,   551,   555,   559,
     563,   567,   569,   573,   575,   579,   581,   583,   586,   589,
     592,   594,   596,   598,   600,   602,   604,   606,   610,   616,
     618,   620,   622,   624,   626,   627,   629,   631,   634,   636,
     639,   643,   646,   648,   650,   653,   655,   658,   660,   664,
     669,   675,   680,   683,   688,   690,   692,   694,   696,   698,
     701,   704,   707,   710,   713,   718,   725,   736,   750,   755,
     762,   773,   787,   792,   799,   804,   811,   817,   825,   837,
     852,   854,   858,   861,   865,   870,   877,   884,   891,   897,
     903,   910,   917,   922,   931,   936,   939,   944,   948,   955,
     960,   964,   968,   972,   976,   979,   982,   986,   991,   996,
    1000,  1004,  1008,  1012,  1016,  1020,  1025,  1030,  1034,  1037,
    1041,  1044,  1047,  1051,  1055,  1058,  1061,  1065,  1070,  1075,
    1077,  1081,  1084,  1086,  1088,  1089,  1092,  1093,  1096,  1097,
    1099,  1101,  1103,  1107,  1111,  1114,  1115,  1117,  1121,  1125,
    1127,  1133,  1137,  1142,  1144,  1148,  1153,  1160,  1165,  1174,
    1177,  1180,  1192,  1200,  1202,  1204,  1206,  1207,  1209,  1211,
    1213,  1215,  1219,  1222,  1223,  1225,  1227,  1229,  1233,  1237,
    1239,  1241,  1245,  1249,  1253,  1257,  1262,  1266,  1269,  1271,
    1272,  1275,  1276,  1280,  1281,  1283,  1284,  1286,  1290,  1293,
    1295,  1297,  1299,  1303,  1304,  1306,  1310,  1312,  1324,  1339,
    1350,  1364,  1366,  1368,  1371,  1374,  1377,  1380,  1382,  1383,
    1385,  1386,  1390,  1391,  1393,  1397,  1399,  1403,  1405,  1407,
    1409,  1411,  1413,  1418,  1423,  1426,  1427,  1431,  1433,  1435,
    1438,  1441,  1443,  1447,  1452,  1458,  1461,  1467,  1469,  1472,
    1475,  1478,  1482,  1486,  1490,  1491,  1493,  1495,  1497,  1499,
    1501,  1503,  1507,  1509,  1515,  1523,  1527,  1536,  1541,  1551,
    1563,  1566,  1567,  1571,  1572,  1574,  1578,  1580,  1583,  1586,
    1589,  1590,  1592,  1596,  1600,  1607,  1612,  1613,  1615,  1617,
    1620,  1623,  1624,  1628,  1632,  1635,  1637,  1639,  1642,  1645,
    1650,  1651,  1654,  1657,  1660,  1661,  1665,  1670,  1675,  1676,
    1679,  1680,  1685,  1686,  1690,  1696,  1699,  1703,  1704,  1713,
    1725,  1730,  1732,  1733,  1740,  1746,  1755,  1760,  1767,  1769,
    1770,  1772,  1775,  1778,  1780,  1783,  1787,  1790,  1793,  1796,
    1799,  1803,  1807,  1809,  1813,  1815,  1816,  1818,  1821,  1823,
    1825,  1829,  1836,  1847,  1849,  1850,  1852,  1855,  1858,  1859,
    1862,  1865,  1867,  1868,  1874,  1882,  1884,  1885,  1893,  1896,
    1897,  1901,  1907,  1913,  1922,  1925,  1926,  1929,  1932,  1935,
    1941,  1944,  1945,  1948,  1956,  1967,  1974,  1981,  1988,  1995,
    2003,  2011,  2021,  2031,  2038,  2046,  2053,  2062,  2071,  2080,
    2089,  2096,  2103,  2111,  2119,  2128,  2135,  2145,  2152,  2160,
    2163,  2166,  2169,  2172,  2174,  2177,  2179,  2180,  2187,  2196,
    2204,  2211,  2216,  2217,  2219,  2223,  2228,  2230,  2234,  2236,
    2239,  2242,  2245,  2248,  2250,  2252,  2263,  2266,  2267,  2270,
    2273,  2275,  2276,  2281,  2288,  2294,  2299,  2304,  2316,  2331,
    2337,  2345,  2357,  2360,  2362,  2367,  2368,  2377,  2379,  2381,
    2389,  2399,  2408,  2418,  2427,  2434,  2443,  2448,  2449,  2455,
    2456,  2459,  2460,  2463,  2464,  2467,  2468,  2470,  2472,  2474,
    2476,  2478,  2494,  2515,  2517,  2519,  2522,  2524,  2528,  2530,
    2532,  2534,  2538,  2540,  2544,  2545,  2547,  2548,  2550,  2552,
    2557,  2558,  2560,  2564,  2565,  2567,  2569,  2571,  2573,  2576,
    2577,  2578,  2581,  2584,  2586,  2589,  2592,  2595,  2598,  2605,
    2614,  2626,  2640,  2642,  2646,  2652,  2654,  2658,  2664,  2666,
    2669,  2672,  2674,  2683,  2688,  2694,  2699,  2704,  2709,  2713,
    2721,  2730,  2737,  2744,  2751,  2758,  2765,  2770,  2776,  2780,
    2782,  2786,  2790,  2792,  2794,  2796,  2798,  2800,  2802,  2806,
    2808,  2812,  2816,  2818,  2819,  2821,  2825,  2833,  2843,  2853,
    2857,  2858,  2872,  2874,  2878,  2884,  2891,  2896,  2904,  2907,
    2909,  2910,  2913,  2914,  2917,  2922,  2923,  2925,  2926,  2933,
    2942,  2951,  2953,  2957,  2963,  2969,  2977,  2987,  2995,  3005,
    3011,  3018,  3025,  3030,  3035,  3042,  3047,  3054,  3060,  3068,
    3070,  3072,  3074,  3077,  3079,  3082,  3085,  3087,  3089,  3091,
    3093,  3097,  3101,  3105,  3109,  3111,  3115,  3117,  3120,  3123,
    3127,  3129,  3133,  3139,  3142,  3145,  3146,  3153,  3160,  3167,
    3175,  3183,  3191,  3200,  3210,  3219,  3228,  3235,  3245,  3254,
    3264,  3274,  3282,  3293,  3301,  3303,  3305,  3307,  3309,  3311,
    3313,  3315,  3318,  3320,  3322,  3324,  3326,  3328,  3331,  3333,
    3337,  3340,  3344,  3348,  3352,  3356,  3358,  3360,  3369,  3378,
    3387,  3397,  3407,  3417,  3427,  3430,  3431,  3433,  3435,  3438,
    3441,  3443,  3445,  3447,  3449,  3451,  3453,  3456,  3458,  3460,
    3463,  3466,  3470,  3475,  3481,  3486,  3492,  3496,  3501,  3505,
    3510,  3512,  3515,  3519,  3523,  3527,  3531,  3536,  3541,  3545,
    3549,  3554,  3559,  3564,  3569,  3571,  3573,  3575,  3576,  3584,
    3592,  3603,  3605,  3607,  3610,  3615,  3621,  3623,  3627,  3630,
    3633,  3636,  3639,  3641,  3644,  3647,  3652,  3656,  3659,  3662,
    3665,  3668,  3672,  3675,  3678,  3681,  3687,  3693,  3699,  3701,
    3705,  3707,  3710,  3714,  3715,  3717,  3721,  3724,  3731,  3738,
    3748,  3752,  3753,  3757,  3758,  3764,  3767,  3768,  3772,  3776,
    3780,  3788,  3796,  3807,  3809,  3811,  3813,  3815,  3830,  3848,
    3850,  3851,  3853,  3854,  3856,  3857,  3860,  3861,  3863,  3867,
    3873,  3879,  3887,  3890,  3891,  3893,  3896,  3897,  3899,  3901,
    3902,  3905,  3908,  3909,  3919,  3932,  3940,  3943,  3944,  3948,
    3951,  3953,  3957,  3961,  3964,  3966,  3970,  3974,  3978,  3981,
    3984,  3986,  3988,  3990,  3992,  3995,  3997,  3999,  4001,  4003,
    4008,  4014,  4016,  4020,  4024,  4026,  4030,  4034,  4040,  4047,
    4049,  4053,  4055,  4058,  4063,  4069,  4071,  4073,  4075,  4077,
    4081,  4085,  4088,  4091,  4093,  4096,  4099,  4102,  4104,  4107,
    4110,  4113,  4115,  4117,  4119,  4123,  4127,  4133,  4136,  4137,
    4140,  4142,  4146,  4152,  4154,  4157,  4159,  4160,  4166,  4174,
    4180,  4188,  4194,  4202,  4206,  4212,  4218,  4224,  4226,  4230,
    4233,  4235,  4238,  4240,  4243,  4255,  4266,  4277,  4280,  4283,
    4284,  4294,  4297,  4298,  4309,  4321,  4333,  4339,  4345,  4354,
    4358,  4362,  4369,  4376,  4378,  4380,  4382,  4384,  4386,  4388,
    4392,  4394,  4400,  4406,  4414,  4421,  4428,  4435,  4442,  4451,
    4460,  4467,  4474,  4482,  4492,  4502,  4511,  4522,  4529,  4536,
    4543,  4552,  4559,  4568,  4575,  4584,  4592,  4602,  4609,  4618,
    4626,  4636,  4645,  4656,  4666,  4678,  4687,  4698,  4708,  4720,
    4729,  4738,  4746,  4753,  4760,  4767,  4776,  4785,  4794,  4803,
    4810,  4820,  4822,  4823,  4826,  4827,  4835,  4842,  4849,  4856,
    4863,  4870,  4878,  4888,  4898,  4905,  4914,  4923,  4932,  4941,
    4950,  4957,  4966,  4973,  4982,  4990,  5000,  5008,  5018,  5025,
    5033,  5040,  5047,  5054,  5061,  5068,  5076,  5084,  5092,  5102,
    5112,  5119,  5126,  5133,  5142,  5151,  5160,  5167,  5175,  5189,
    5191,  5193,  5197,  5201,  5203,  5205,  5207,  5209,  5211,  5213,
    5215,  5216,  5218,  5220,  5222,  5224,  5226,  5228,  5229,  5236,
    5245,  5249,  5252,  5253,  5256,  5259,  5262,  5265,  5269,  5273,
    5276,  5279,  5282,  5285,  5289,  5292,  5298,  5303,  5307,  5311,
    5315,  5317,  5319,  5320,  5324,  5327,  5330,  5332,  5335,  5337,
    5341,  5344,  5346,  5347,  5357,  5369,  5382,  5397,  5401,  5406,
    5411,  5412,  5415,  5421,  5423,  5424,  5426,  5429,  5433,  5437,
    5441,  5443,  5446,  5448,  5450,  5452,  5454,  5456,  5458,  5459,
    5465,  5470,  5477,  5482,  5486,  5492,  5497,  5502,  5509,  5514,
    5521,  5528,  5534,  5542,  5552,  5559,  5561,  5562,  5569,  5581,
    5593,  5605,  5619,  5629,  5641,  5643,  5645,  5656,  5661,  5664,
    5670,  5673,  5674,  5679,  5685,  5691,  5696,  5703,  5705,  5709,
    5711,  5713,  5715,  5717,  5720,  5725,  5727,  5729,  5731,  5732,
    5734,  5735,  5737,  5738,  5742,  5743,  5746,  5751,  5755,  5761,
    5763,  5765,  5767,  5769,  5771,  5773,  5775,  5777,  5779,  5781,
    5785,  5788,  5790,  5792,  5794,  5796,  5797,  5803,  5808,  5812,
    5813,  5815,  5817,  5819,  5821,  5826,  5836,  5840,  5841,  5849,
    5851,  5855,  5857,  5862,  5865,  5867,  5871,  5874,  5883,  5889,
    5890,  5895,  5899,  5900,  5904,  5905,  5913,  5916,  5917,  5923,
    5927,  5928,  5931,  5934,  5937,  5941,  5943,  5947,  5949,  5952,
    5954,  5955,  5957,  5960,  5961,  5970,  5972,  5976,  5978,  5980,
    5984,  5990,  5996,  5999,  6001,  6005,  6013,  6015,  6017,  6018,
    6022,  6025,  6028,  6031,  6032,  6035,  6038,  6040,  6042,  6046,
    6050,  6052,  6055,  6060,  6065,  6068,  6072,  6078,  6084,  6086,
    6088,  6098,  6108,  6110,  6113,  6118,  6123,  6128,  6131,  6134,
    6138,  6140,  6144,  6151,  6153,  6154,  6157,  6159,  6160,  6164,
    6168,  6173,  6178,  6183,  6188,  6192,  6195,  6197,  6199,  6200,
    6202,  6204,  6205,  6207,  6213,  6215,  6216,  6218,  6219,  6223,
    6225,  6229,  6234,  6238,  6241,  6244,  6246,  6248,  6250,  6251,
    6254,  6259,  6265,  6268,  6272,  6274,  6276,  6278,  6280,  6284,
    6285,  6287,  6289,  6291,  6293,  6295,  6299,  6300,  6302,  6306,
    6308,  6310,  6312,  6314,  6316,  6319,  6324,  6329,  6335,  6338,
    6339,  6341,  6345,  6347,  6348,  6350,  6353,  6357,  6360,  6365,
    6368,  6372,  6375,  6376,  6379,  6383,  6386,  6387,  6389,  6393,
    6396,  6398,  6401,  6405,  6408,  6412,  6414,  6419,  6423,  6428,
    6434,  6439,  6445,  6450,  6456,  6459,  6464,  6466,  6468,  6469,
    6471,  6476,  6482,  6487,  6488,  6491,  6494,  6497,  6499,  6501,
    6502,  6507,  6510,  6512,  6515,  6518,  6523,  6525,  6529,  6531,
    6534,  6538,  6542,  6549,  6554,  6555,  6558,  6565,  6568,  6570,
    6574,  6579,  6580,  6583,  6584,  6587,  6588,  6591,  6596,  6597,
    6599,  6600,  6602,  6606,  6610,  6613,  6617,  6623,  6630,  6633,
    6637,  6641,  6646,  6647,  6649,  6651,  6653,  6655,  6657,  6660,
    6665,  6667,  6669,  6671,  6673,  6676,  6680,  6684,  6685,  6687,
    6689,  6691,  6693,  6695,  6698,  6701,  6704,  6707,  6710,  6712,
    6716,  6717,  6719,  6721,  6723,  6725,  6731,  6734,  6736,  6738,
    6740,  6742,  6748,  6751,  6754,  6757,  6759,  6763,  6767,  6770,
    6772,  6773,  6777,  6778,  6784,  6787,  6793,  6796,  6798,  6802,
    6806,  6807,  6809,  6811,  6813,  6815,  6817,  6819,  6823,  6827,
    6831,  6835,  6839,  6843,  6847,  6848,  6850,  6855,  6857,  6861,
    6865,  6871,  6874,  6877,  6881,  6885,  6889,  6893,  6897,  6901,
    6905,  6909,  6913,  6917,  6921,  6925,  6929,  6932,  6935,  6939,
    6943,  6946,  6949,  6953,  6959,  6964,  6971,  6975,  6981,  6986,
    6993,  6998,  7005,  7011,  7019,  7023,  7026,  7031,  7034,  7038,
    7042,  7047,  7051,  7056,  7060,  7065,  7071,  7078,  7085,  7093,
    7100,  7108,  7115,  7123,  7127,  7132,  7137,  7144,  7147,  7151,
    7156,  7158,  7162,  7165,  7168,  7172,  7176,  7180,  7184,  7188,
    7192,  7196,  7200,  7204,  7208,  7212,  7216,  7220,  7223,  7226,
    7232,  7239,  7246,  7254,  7258,  7263,  7265,  7267,  7270,  7275,
    7277,  7279,  7281,  7284,  7287,  7290,  7293,  7295,  7297,  7302,
    7306,  7312,  7319,  7328,  7335,  7342,  7347,  7352,  7354,  7356,
    7358,  7364,  7366,  7368,  7373,  7375,  7380,  7382,  7387,  7389,
    7394,  7396,  7398,  7400,  7402,  7404,  7406,  7413,  7418,  7423,
    7428,  7433,  7440,  7446,  7452,  7458,  7463,  7470,  7475,  7480,
    7485,  7490,  7496,  7504,  7512,  7522,  7528,  7533,  7540,  7546,
    7554,  7562,  7570,  7573,  7577,  7581,  7585,  7590,  7591,  7596,
    7598,  7602,  7606,  7608,  7610,  7612,  7615,  7618,  7619,  7622,
    7627,  7632,  7639,  7645,  7646,  7652,  7653,  7656,  7657,  7659,
    7663,  7667,  7670,  7673,  7674,  7681,  7683,  7684,  7688,  7689,
    7692,  7695,  7696,  7698,  7703,  7706,  7709,  7712,  7715,  7718,
    7723,  7727,  7733,  7738,  7742,  7748,  7750,  7752,  7754,  7756,
    7758,  7760,  7762,  7764,  7766,  7768,  7770,  7772,  7774,  7776,
    7778,  7780,  7782,  7784,  7789,  7791,  7796,  7798,  7803,  7805,
    7808,  7810,  7813,  7815,  7819,  7821,  7825,  7827,  7831,  7835,
    7837,  7841,  7845,  7849,  7852,  7854,  7858,  7862,  7863,  7865,
    7867,  7869,  7871,  7873,  7875,  7877,  7879,  7884,  7888,  7891,
    7895,  7896,  7900,  7904,  7907,  7910,  7912,  7913,  7916,  7919,
    7923,  7926,  7928,  7930,  7934,  7940,  7942,  7945,  7950,  7953,
    7954,  7956,  7957,  7959,  7962,  7965,  7968,  7972,  7978,  7980,
    7983,  7984,  7987,  7989,  7990,  7992,  7994,  7996,  8000,  8004,
    8006,  8007,  8009,  8013,  8017,  8020,  8022,  8024,  8026,  8030,
    8032,  8035,  8037,  8041,  8043,  8045,  8047,  8049,  8051,  8053,
    8055,  8058,  8060,  8062,  8064,  8066,  8068,  8071,  8078,  8081,
    8085,  8091,  8093,  8095,  8097,  8099,  8101,  8103,  8105,  8107,
    8110,  8113,  8115,  8117,  8119,  8121,  8123,  8127,  8129,  8131,
    8133,  8135,  8137,  8139,  8141,  8143,  8145,  8147,  8149,  8151,
    8153,  8155,  8157,  8159,  8161,  8163,  8165,  8167,  8169,  8171,
    8173,  8175,  8177,  8179,  8181,  8183,  8185,  8187,  8189,  8191,
    8193,  8195,  8197,  8199,  8201,  8203,  8205,  8207,  8209,  8211,
    8213,  8215,  8217,  8219,  8221,  8223,  8225,  8227,  8229,  8231,
    8233,  8235,  8237,  8239,  8241,  8243,  8245,  8247,  8249,  8251,
    8253,  8255,  8257,  8259,  8261,  8263,  8265,  8267,  8269,  8271,
    8273,  8275,  8277,  8279,  8281,  8283,  8285,  8287,  8289,  8291,
    8293,  8295,  8297,  8299,  8301,  8303,  8305,  8307,  8309,  8311,
    8313,  8315,  8317,  8319,  8321,  8323,  8325,  8327,  8329,  8331,
    8333,  8335,  8337,  8339,  8341,  8343,  8345,  8347,  8349,  8351,
    8353,  8355,  8357,  8359,  8361,  8363,  8365,  8367,  8369,  8371,
    8373,  8375,  8377,  8379,  8381,  8383,  8385,  8387,  8389,  8391,
    8393,  8395,  8397,  8399,  8401,  8403,  8405,  8407,  8409,  8411,
    8413,  8415,  8417,  8419,  8421,  8423,  8425,  8427,  8429,  8431,
    8433,  8435,  8437,  8439,  8441,  8443,  8445,  8447,  8449,  8451,
    8453,  8455,  8457,  8459,  8461,  8463,  8465,  8467,  8469,  8471,
    8473,  8475,  8477,  8479,  8481,  8483,  8485,  8487,  8489,  8491,
    8493,  8495,  8497,  8499,  8501,  8503,  8505,  8507,  8509,  8511,
    8513,  8515,  8517,  8519,  8521,  8523,  8525,  8527,  8529,  8531,
    8533,  8535,  8537,  8539,  8541,  8543,  8545,  8547,  8549,  8551,
    8553,  8555,  8557,  8559,  8561,  8563,  8565,  8567,  8569,  8571,
    8573,  8575,  8577,  8579,  8581,  8583,  8585,  8587,  8589,  8591,
    8593,  8595,  8597,  8599,  8601,  8603,  8605,  8607,  8609,  8611,
    8613,  8615,  8617,  8619,  8621,  8623,  8625,  8627,  8629,  8631,
    8633,  8635,  8637,  8639,  8641,  8643,  8645,  8647,  8649,  8651,
    8653,  8655,  8657,  8659,  8661,  8663,  8665,  8667,  8669,  8671,
    8673,  8675,  8677,  8679,  8681,  8683,  8685,  8687,  8689,  8691,
    8693,  8695,  8697,  8699,  8701,  8703,  8705,  8707,  8709,  8711,
    8713,  8715,  8717,  8719,  8721,  8723,  8725,  8727,  8729,  8731,
    8733,  8735,  8737,  8739,  8741,  8743,  8745,  8747,  8749,  8751,
    8753,  8755,  8757,  8759,  8761,  8763,  8765,  8767,  8769,  8771,
    8773,  8775,  8777,  8779,  8781,  8783,  8785,  8787,  8789,  8791,
    8793,  8795,  8797,  8799,  8801,  8803,  8805,  8807,  8809,  8811,
    8813,  8815,  8817,  8819,  8821,  8823,  8825,  8827,  8829,  8831,
    8833,  8835,  8837,  8839,  8841,  8843,  8845,  8847,  8849,  8851,
    8853,  8855,  8857,  8859,  8861,  8863,  8865,  8867,  8869,  8871,
    8873,  8875,  8877,  8879,  8881,  8883,  8885,  8887,  8889,  8891,
    8893,  8895,  8897,  8899,  8901,  8903,  8905,  8907,  8909,  8911,
    8913,  8915,  8917,  8919,  8921,  8923,  8925,  8927,  8929,  8931,
    8933,  8935,  8937,  8939,  8940,  8943,  8948,  8952,  8955,  8957,
    8959,  8961,  8963,  8965,  8966,  8975,  8978,  8984,  8988,  8991,
    8994,  8998,  9006,  9008,  9010,  9012,  9013,  9016,  9019,  9021,
    9022,  9024,  9028,  9030,  9033,  9034,  9037,  9038,  9041,  9042,
    9044,  9048,  9053,  9057,  9059,  9061,  9063,  9065,  9068,  9069,
    9072,  9077,  9078,  9081,  9084,  9087,  9089,  9091,  9099,  9103,
    9105,  9107,  9109,  9111,  9114,  9115,  9117,  9121,  9125,  9129,
    9133,  9134,  9139,  9145,  9151,  9152,  9154,  9156,  9158,  9161,
    9164,  9166,  9169,  9170,  9178,  9179,  9185,  9186,  9191,  9194,
    9197,  9198,  9201,  9203,  9205,  9207,  9209,  9211,  9213,  9215,
    9217,  9219,  9221,  9223,  9229,  9232,  9234,  9238,  9241,  9244,
    9248,  9249,  9255,  9257,  9258,  9264,  9267,  9270,  9272,  9274,
    9276,  9279,  9282,  9286,  9288,  9291,  9294,  9298,  9302,  9307,
    9310,  9312,  9315,  9317,  9319,  9322,  9325,  9329,  9331,  9333,
    9335,  9337,  9338,  9340,  9344,  9350,  9351,  9354,  9355,  9357,
    9360,  9364,  9367,  9369,  9371,  9373,  9374,  9376,  9378,  9380,
    9382,  9384,  9387,  9390,  9394,  9395,  9397,  9400,  9402,  9407,
    9411,  9416,  9420,  9423,  9425,  9429,  9431,  9433,  9435,  9437,
    9440,  9443,  9445,  9448,  9451,  9453,  9455,  9457,  9462,  9467,
    9472,  9477,  9482,  9484,  9485,  9489,  9493,  9498,  9500,  9504,
    9508,  9513,  9515,  9519,  9523,  9525,  9527,  9529,  9536,  9538,
    9542,  9546,  9553,  9555,  9559,  9563,  9565,  9567,  9570,  9573,
    9575,  9577,  9579,  9581,  9583,  9585,  9587,  9589,  9591,  9593,
    9595,  9597,  9599,  9601,  9603,  9605,  9610,  9615,  9617,  9619,
    9624,  9629,  9633,  9634,  9642,  9644,  9645,  9646,  9654,  9658,
    9663,  9667,  9669,  9671,  9673,  9676,  9680,  9686,  9689,  9695,
    9698,  9700,  9702,  9704,  9706,  9708,  9710,  9712,  9714,  9716,
    9718,  9720,  9722,  9724,  9726,  9728,  9730,  9732,  9734,  9736,
    9738,  9740,  9742,  9744,  9746,  9748,  9750,  9752,  9754,  9756,
    9758,  9760,  9762,  9764,  9766,  9768,  9770,  9772,  9774,  9776,
    9778,  9780,  9782,  9784,  9786,  9788,  9790,  9792,  9794,  9796,
    9798,  9800,  9802,  9804,  9806,  9808,  9810,  9812,  9814,  9816,
    9818,  9820,  9822,  9824,  9826,  9828,  9830,  9832,  9834,  9836,
    9838,  9840,  9842,  9844,  9846,  9848,  9850,  9852,  9854,  9856,
    9858,  9860,  9862,  9864,  9866,  9868,  9870,  9872,  9874,  9876,
    9878,  9880,  9882,  9884,  9886,  9888,  9890,  9892,  9896,  9898,
    9899,  9901,  9904,  9906,  9909,  9911,  9913,  9915,  9918,  9921,
    9923,  9925,  9927,  9929,  9931,  9933,  9935,  9937,  9939,  9941,
    9943,  9945,  9947,  9949,  9951,  9953,  9956,  9960,  9962,  9965,
    9967,  9971,  9973,  9977,  9979,  9981,  9983,  9985,  9987,  9989,
    9991,  9993,  9995,  9997,  9999, 10001, 10003, 10005, 10007, 10009,
   10011, 10013, 10015, 10017, 10019, 10021, 10023, 10025, 10027, 10029,
   10031, 10033, 10035, 10037, 10039, 10041, 10043, 10045, 10047, 10049,
   10051, 10053, 10055, 10057, 10059, 10061, 10063, 10065, 10067, 10069,
   10071, 10073, 10075, 10077, 10079, 10081, 10083, 10085, 10087, 10089,
   10091, 10093, 10095, 10097, 10099, 10102, 10106, 10109, 10113, 10115,
   10119, 10123, 10127, 10131, 10135, 10139, 10141, 10143, 10148, 10149,
   10152, 10155, 10157, 10159, 10162, 10164, 10166, 10168, 10169
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     535,     0,    -1,  1140,    -1,   739,    -1,   898,    -1,   899,
      -1,   804,    -1,   903,    -1,   753,    -1,   679,    -1,   682,
      -1,   688,    -1,   702,    -1,   704,    -1,   843,    -1,   552,
      -1,   870,    -1,   871,    -1,   713,    -1,   658,    -1,   901,
      -1,   582,    -1,   866,    -1,   594,    -1,   546,    -1,   544,
      -1,   906,    -1,   905,    -1,   711,    -1,   548,    -1,   547,
      -1,   914,    -1,   580,    -1,   597,    -1,   909,    -1,   778,
      -1,   577,    -1,   598,    -1,  1142,    -1,   741,    -1,   854,
      -1,   908,    -1,   902,    -1,   676,    -1,   683,    -1,   697,
      -1,   703,    -1,   820,    -1,   551,    -1,   653,    -1,   755,
      -1,   762,    -1,   763,    -1,   712,    -1,   665,    -1,   555,
      -1,   657,    -1,   614,    -1,   673,    -1,   858,    -1,   721,
      -1,   735,    -1,   537,    -1,   543,    -1,   708,    -1,   892,
      -1,  1283,    -1,   953,    -1,   743,    -1,   939,    -1,   581,
      -1,   851,    -1,   742,    -1,   856,    -1,   687,    -1,   701,
      -1,   554,    -1,   766,    -1,   767,    -1,   768,    -1,   714,
      -1,   671,    -1,   879,    -1,   770,    -1,   675,    -1,   860,
      -1,   734,    -1,   549,    -1,   550,    -1,   710,    -1,   900,
      -1,   929,    -1,   920,    -1,   785,    -1,   789,    -1,   800,
      -1,   705,    -1,   809,    -1,   931,    -1,   882,    -1,   656,
      -1,   891,    -1,   941,    -1,   880,    -1,   926,    -1,   769,
      -1,   861,    -1,   847,    -1,   846,    -1,   848,    -1,   867,
      -1,   790,    -1,   801,    -1,   872,    -1,   781,    -1,   957,
      -1,   884,    -1,   776,    -1,   883,    -1,   946,    -1,   911,
      -1,   571,    -1,   559,    -1,   576,    -1,   889,    -1,  1219,
      -1,  1145,    -1,  1162,    -1,  1220,    -1,  1202,    -1,  1217,
      -1,  1203,    -1,  1163,    -1,  1207,    -1,  1229,    -1,  1221,
      -1,  1208,    -1,  1237,    -1,  1239,    -1,  1232,    -1,  1224,
      -1,  1240,    -1,  1243,    -1,  1245,    -1,    -1,   164,   393,
    1132,   538,   539,    -1,   491,    -1,   512,    -1,    -1,   539,
     542,    -1,    -1,   540,   541,    -1,    -1,   353,  1273,    -1,
     353,   325,    -1,   207,   353,  1273,    -1,   463,   353,  1273,
      -1,   261,    -1,   156,   293,  1131,    -1,   474,   469,  1273,
      -1,   471,  1134,    -1,  1275,    -1,   541,    -1,   436,  1130,
      -1,    99,  1134,    -1,   393,  1134,    -1,   256,   393,  1134,
      -1,   256,   242,  1134,    -1,   164,   471,  1132,   538,   539,
      -1,   104,   393,  1133,   538,   540,    -1,    -1,   256,   179,
    1123,    -1,   104,   393,  1133,   545,   574,    -1,   104,   393,
     102,   545,   574,    -1,   104,   471,  1133,   538,   540,    -1,
     104,   471,  1133,   574,    -1,   202,   393,  1134,    -1,   202,
     393,   250,   217,  1134,    -1,   202,   471,  1134,    -1,   202,
     471,   250,   217,  1134,    -1,   164,   242,  1132,   538,   539,
      -1,   104,   242,  1133,   553,   471,  1134,    -1,    98,    -1,
     202,    -1,   202,   242,  1134,    -1,   202,   242,   250,   217,
    1134,    -1,   164,   400,   556,   118,  1133,   557,    -1,   164,
     400,  1253,   557,    -1,   164,   400,   250,   320,   217,   556,
     118,  1133,   557,    -1,   164,   400,   250,   320,   217,  1253,
     557,    -1,  1253,    -1,    -1,   557,   558,    -1,    -1,   614,
      -1,   809,    -1,   657,    -1,   721,    -1,   789,    -1,   889,
      -1,   412,   560,    -1,   412,   296,   560,    -1,   412,   410,
     560,    -1,   451,   887,    -1,   410,   139,   111,   451,   887,
      -1,   562,    -1,   563,   449,   564,    -1,   563,   515,   564,
      -1,   563,   449,   185,    -1,   563,   515,   185,    -1,   561,
      -1,   563,   234,   168,    -1,   447,   509,   568,    -1,   135,
    1273,    -1,   400,  1273,    -1,   313,   569,    -1,   393,   570,
      -1,   410,   118,   570,    -1,   410,   118,   185,    -1,   497,
     337,  1063,    -1,   451,   421,  1273,    -1,  1252,    -1,   563,
     528,  1253,    -1,   565,    -1,   564,   529,   565,    -1,   567,
      -1,   663,    -1,   371,   462,    -1,   371,   152,    -1,   383,
     371,    -1,   408,    -1,   456,    -1,   222,    -1,   334,    -1,
     570,    -1,  1273,    -1,  1275,    -1,  1047,  1273,  1049,    -1,
    1047,   526,  1130,   527,  1273,    -1,   663,    -1,   185,    -1,
     296,    -1,  1273,    -1,   185,    -1,    -1,  1135,    -1,  1273,
      -1,   386,   572,    -1,   573,    -1,   447,   509,    -1,   451,
     279,   291,    -1,   410,   118,    -1,   563,    -1,   102,    -1,
     412,   560,    -1,   571,    -1,   412,   562,    -1,   571,    -1,
     416,   563,  1286,    -1,   416,   447,   509,  1286,    -1,   416,
     451,   279,   291,  1286,    -1,   416,   410,   118,  1286,    -1,
     416,   102,    -1,   412,   158,   578,   579,    -1,   102,    -1,
    1119,    -1,   188,    -1,   252,    -1,   141,    -1,   196,   102,
      -1,   196,   442,    -1,   196,   444,    -1,   196,   355,    -1,
     196,   407,    -1,   104,   438,  1011,   583,    -1,   104,   438,
     250,   217,  1011,   583,    -1,   104,   438,   102,   256,   441,
    1122,   412,   441,  1122,   944,    -1,   104,   438,   102,   256,
     441,  1122,   347,   128,  1134,   412,   441,  1122,   944,    -1,
     104,   259,  1120,   583,    -1,   104,   259,   250,   217,  1120,
     583,    -1,   104,   259,   102,   256,   441,  1122,   412,   441,
    1122,   944,    -1,   104,   259,   102,   256,   441,  1122,   347,
     128,  1134,   412,   441,  1122,   944,    -1,   104,   406,  1120,
     583,    -1,   104,   406,   250,   217,  1120,   583,    -1,   104,
     484,  1120,   583,    -1,   104,   484,   250,   217,  1120,   583,
      -1,   104,   305,   484,  1120,   583,    -1,   104,   305,   484,
     250,   217,  1120,   583,    -1,   104,   305,   484,   102,   256,
     441,  1122,   412,   441,  1122,   944,    -1,   104,   305,   484,
     102,   256,   441,  1122,   347,   128,  1134,   412,   441,  1122,
     944,    -1,   584,    -1,   583,   529,   584,    -1,    98,   622,
      -1,    98,   148,   622,    -1,   104,   868,  1253,   585,    -1,
     104,   868,  1253,   202,   320,   325,    -1,   104,   868,  1253,
     412,   320,   325,    -1,   104,   868,  1253,   412,   428,  1131,
      -1,   104,   868,  1253,   412,   590,    -1,   104,   868,  1253,
     386,   590,    -1,   104,   868,  1253,   412,   431,  1253,    -1,
     202,   868,   250,   217,  1253,   586,    -1,   202,   868,  1253,
     586,    -1,   104,   868,  1253,   869,   459,  1027,   587,   588,
      -1,   104,   868,  1253,   691,    -1,    98,   631,    -1,   104,
     157,  1122,   732,    -1,   475,   157,  1122,    -1,   202,   157,
     250,   217,  1122,   586,    -1,   202,   157,  1122,   586,    -1,
     412,   491,   333,    -1,   412,   493,   333,    -1,   144,   334,
    1122,    -1,   412,   493,   144,    -1,   412,   302,    -1,   412,
     468,    -1,   205,   454,  1122,    -1,   205,   105,   454,  1122,
      -1,   205,   385,   454,  1122,    -1,   205,   454,   102,    -1,
     205,   454,   471,    -1,   195,   454,  1122,    -1,   195,   454,
     102,    -1,   195,   454,   471,    -1,   205,   398,  1122,    -1,
     205,   105,   398,  1122,    -1,   205,   385,   398,  1122,    -1,
     195,   398,  1122,    -1,   261,  1120,    -1,   318,   261,  1120,
      -1,   330,   773,    -1,   320,   330,    -1,   348,   449,  1133,
      -1,   412,   441,  1122,    -1,   412,   590,    -1,   386,   590,
      -1,   385,   249,   589,    -1,   205,   396,   291,   404,    -1,
     195,   396,   291,   404,    -1,   691,    -1,   412,   185,  1051,
      -1,   202,   185,    -1,   131,    -1,   388,    -1,    -1,   146,
     773,    -1,    -1,   472,  1051,    -1,    -1,   321,    -1,   235,
      -1,   185,    -1,   472,   259,  1122,    -1,   526,   592,   527,
      -1,   491,   590,    -1,    -1,   593,    -1,   592,   529,   593,
      -1,  1255,   515,   747,    -1,  1255,    -1,  1255,   528,  1255,
     515,   747,    -1,  1255,   528,  1255,    -1,   104,   459,   773,
     595,    -1,   596,    -1,   595,   529,   596,    -1,    98,   117,
    1026,   586,    -1,   202,   117,   250,   217,  1253,   586,    -1,
     202,   117,  1253,   586,    -1,   104,   117,  1253,   869,   459,
    1027,   587,   586,    -1,   143,   954,    -1,   143,   102,    -1,
     162,   605,  1120,   634,   606,   599,   600,   601,   607,   538,
     602,    -1,   162,   958,   449,   600,   601,   538,   602,    -1,
     234,    -1,   449,    -1,   368,    -1,    -1,  1273,    -1,   429,
      -1,   430,    -1,   603,    -1,   526,   609,   527,    -1,   603,
     604,    -1,    -1,   124,    -1,   333,    -1,   233,    -1,   191,
     904,  1273,    -1,   325,   904,  1273,    -1,   166,    -1,   246,
      -1,   369,   904,  1273,    -1,   210,   904,  1273,    -1,   230,
     369,   635,    -1,   230,   369,   519,    -1,   230,   320,   325,
     635,    -1,   230,   325,   635,    -1,   206,  1273,    -1,   124,
      -1,    -1,   491,   333,    -1,    -1,   608,   192,  1273,    -1,
      -1,   472,    -1,    -1,   610,    -1,   609,   529,   610,    -1,
    1255,   611,    -1,   567,    -1,   663,    -1,   519,    -1,   526,
     612,   527,    -1,    -1,   613,    -1,   612,   529,   613,    -1,
     567,    -1,   164,   615,   438,  1120,   526,   616,   527,   645,
     646,   647,   648,    -1,   164,   615,   438,   250,   320,   217,
    1120,   526,   616,   527,   645,   646,   647,   648,    -1,   164,
     615,   438,  1120,   330,   773,   617,   646,   647,   648,    -1,
     164,   615,   438,   250,   320,   217,  1120,   330,   773,   617,
     646,   647,   648,    -1,   444,    -1,   442,    -1,   296,   444,
      -1,   296,   442,    -1,   238,   444,    -1,   238,   442,    -1,
     468,    -1,    -1,   618,    -1,    -1,   526,   619,   527,    -1,
      -1,   620,    -1,   618,   529,   620,    -1,   621,    -1,   619,
     529,   621,    -1,   622,    -1,   628,    -1,   631,    -1,   623,
      -1,   631,    -1,  1253,  1027,   689,   624,    -1,  1253,   491,
     338,   624,    -1,   624,   625,    -1,    -1,   157,  1122,   626,
      -1,   626,    -1,   627,    -1,   146,   773,    -1,   320,   325,
      -1,   325,    -1,   465,   840,   649,    -1,   363,   281,   840,
     649,    -1,   140,   526,  1051,   527,   633,    -1,   185,  1052,
      -1,   377,  1120,   634,   637,   641,    -1,   187,    -1,   320,
     187,    -1,   263,   188,    -1,   263,   252,    -1,   292,  1120,
     629,    -1,   629,   257,   630,    -1,   629,   214,   630,    -1,
      -1,   186,    -1,   158,    -1,   260,    -1,   431,    -1,   150,
      -1,   102,    -1,   157,  1122,   632,    -1,   632,    -1,   140,
     526,  1051,   527,   732,    -1,   465,   526,   635,   527,   840,
     649,   732,    -1,   465,   650,   732,    -1,   363,   281,   526,
     635,   527,   840,   649,   732,    -1,   363,   281,   650,   732,
      -1,   213,   813,   526,   638,   527,   840,   649,   640,   732,
      -1,   231,   281,   526,   635,   527,   377,  1120,   634,   637,
     641,   732,    -1,   318,   261,    -1,    -1,   526,   635,   527,
      -1,    -1,   636,    -1,   635,   529,   636,    -1,  1253,    -1,
     304,   235,    -1,   304,   350,    -1,   304,   418,    -1,    -1,
     639,    -1,   638,   529,   639,    -1,   815,   491,   850,    -1,
     815,   491,   336,   526,   850,   527,    -1,   488,   526,  1051,
     527,    -1,    -1,   642,    -1,   643,    -1,   642,   643,    -1,
     643,   642,    -1,    -1,   334,   470,   644,    -1,   334,   190,
     644,    -1,   318,    97,    -1,   388,    -1,   131,    -1,   412,
     325,    -1,   412,   185,    -1,   262,   526,  1119,   527,    -1,
      -1,   491,   590,    -1,   491,   333,    -1,   493,   333,    -1,
      -1,   334,   151,   202,    -1,   334,   151,   190,   397,    -1,
     334,   151,   360,   397,    -1,    -1,   441,  1122,    -1,    -1,
     472,   259,   441,  1122,    -1,    -1,   472,   259,  1126,    -1,
    1120,   634,   646,   647,   648,    -1,   491,   178,    -1,   491,
     318,   178,    -1,    -1,   164,   655,   305,   484,   654,   111,
     957,   652,    -1,   164,   655,   305,   484,   250,   320,   217,
     654,   111,   957,   652,    -1,  1120,   634,   591,   648,    -1,
     468,    -1,    -1,   378,   305,   484,   811,  1120,   652,    -1,
     164,   615,   406,  1120,   659,    -1,   164,   615,   406,   250,
     320,   217,  1120,   659,    -1,   104,   406,  1120,   660,    -1,
     104,   406,   250,   217,  1120,   660,    -1,   660,    -1,    -1,
     661,    -1,   660,   661,    -1,   129,   663,    -1,   177,    -1,
     318,   177,    -1,   258,   662,   663,    -1,   306,   663,    -1,
     308,   663,    -1,   318,   306,    -1,   318,   308,    -1,   347,
     128,   773,    -1,   426,   538,   663,    -1,   387,    -1,   387,
     538,   663,    -1,   128,    -1,    -1,  1272,    -1,   518,  1272,
      -1,  1131,    -1,   663,    -1,   664,   529,   663,    -1,   164,
     821,   666,   672,   283,   570,    -1,   164,   821,   666,   672,
     283,   570,   244,   667,   668,   670,    -1,   458,    -1,    -1,
    1122,    -1,  1122,   774,    -1,   264,   667,    -1,    -1,   476,
     667,    -1,   318,   476,    -1,   669,    -1,    -1,   202,   672,
     283,   570,   586,    -1,   202,   672,   283,   250,   217,   570,
     586,    -1,   366,    -1,    -1,   164,   441,  1122,   674,   299,
    1273,   591,    -1,   348,  1133,    -1,    -1,   202,   441,  1122,
      -1,   202,   441,   250,   217,  1122,    -1,   164,   219,  1122,
     538,   677,    -1,   164,   219,   250,   320,   217,  1122,   538,
     677,    -1,   677,   678,    -1,    -1,   400,  1122,    -1,   483,
     570,    -1,   234,   570,    -1,   104,   219,  1122,   470,   680,
      -1,   680,   681,    -1,    -1,   449,   570,    -1,   104,   219,
    1122,   553,   101,  1128,   833,    -1,   104,   219,  1122,   553,
     134,   526,  1027,   111,  1027,   527,    -1,   104,   219,  1122,
     553,   147,   773,    -1,   104,   219,  1122,   553,   161,   773,
      -1,   104,   219,  1122,   553,   200,  1027,    -1,   104,   219,
    1122,   553,   236,   799,    -1,   104,   219,  1122,   553,   672,
     283,  1122,    -1,   104,   219,  1122,   553,   336,   850,   849,
      -1,   104,   219,  1122,   553,   336,   142,   773,   472,  1124,
      -1,   104,   219,  1122,   553,   336,   223,   773,   472,  1124,
      -1,   104,   219,  1122,   553,   400,  1122,    -1,   104,   219,
    1122,   553,   211,   454,  1122,    -1,   104,   219,  1122,   553,
     438,   773,    -1,   104,   219,  1122,   553,   445,   402,   349,
     773,    -1,   104,   219,  1122,   553,   445,   402,   194,   773,
      -1,   104,   219,  1122,   553,   445,   402,   443,   773,    -1,
     104,   219,  1122,   553,   445,   402,   154,   773,    -1,   104,
     219,  1122,   553,   406,   773,    -1,   104,   219,  1122,   553,
     484,   773,    -1,   104,   219,  1122,   553,   305,   484,   773,
      -1,   104,   219,  1122,   553,   231,   438,   773,    -1,   104,
     219,  1122,   553,   231,   178,   495,  1122,    -1,   104,   219,
    1122,   553,   409,  1122,    -1,   104,   219,  1122,   553,   452,
     229,  1027,   283,  1122,    -1,   104,   219,  1122,   553,   459,
    1027,    -1,   164,   231,   178,   495,  1122,   686,   689,    -1,
     244,   667,    -1,   318,   244,    -1,   476,   667,    -1,   318,
     476,    -1,   684,    -1,   685,   684,    -1,   685,    -1,    -1,
     202,   231,   178,   495,  1122,   586,    -1,   202,   231,   178,
     495,   250,   217,  1122,   586,    -1,   104,   231,   178,   495,
    1122,   686,   691,    -1,   104,   231,   178,   495,  1122,   685,
      -1,   338,   526,   690,   527,    -1,    -1,   694,    -1,   690,
     529,   694,    -1,   338,   526,   692,   527,    -1,   693,    -1,
     692,   529,   693,    -1,   694,    -1,   412,   694,    -1,    98,
     694,    -1,   202,   695,    -1,   695,   696,    -1,  1255,    -1,
    1273,    -1,   164,   409,  1122,   698,   700,   231,   178,   495,
    1122,   689,    -1,   459,  1273,    -1,    -1,   483,  1273,    -1,
     483,   325,    -1,   699,    -1,    -1,   202,   409,  1122,   586,
      -1,   202,   409,   250,   217,  1122,   586,    -1,   104,   409,
    1122,   699,   691,    -1,   104,   409,  1122,   699,    -1,   104,
     409,  1122,   691,    -1,   164,   231,   438,  1120,   526,   616,
     527,   645,   409,  1122,   689,    -1,   164,   231,   438,   250,
     320,   217,  1120,   526,   616,   527,   645,   409,  1122,   689,
      -1,   104,   231,   438,  1011,   583,    -1,   104,   231,   438,
     250,   217,  1011,   583,    -1,   255,   231,   400,  1122,   707,
     234,   409,  1122,   275,  1122,   689,    -1,   293,   449,    -1,
     212,    -1,   706,   526,  1012,   527,    -1,    -1,   164,   471,
     303,   229,   709,   409,  1122,   689,    -1,  1133,    -1,   471,
      -1,   202,   471,   303,   229,   709,   409,  1122,    -1,   202,
     471,   303,   250,   217,   229,   709,   409,  1122,    -1,   104,
     471,   303,   229,   709,   409,  1122,   691,    -1,   164,   356,
    1122,   334,  1120,   719,   717,   715,   716,    -1,   104,   356,
    1122,   334,  1120,   718,   715,   716,    -1,   202,   356,  1122,
     334,   773,   586,    -1,   202,   356,   250,   217,  1122,   334,
     773,   586,    -1,   472,   526,  1051,   527,    -1,    -1,   491,
     140,   526,  1051,   527,    -1,    -1,   449,  1134,    -1,    -1,
     449,  1134,    -1,    -1,   229,   720,    -1,    -1,   102,    -1,
     405,    -1,   269,    -1,   470,    -1,   190,    -1,   164,   454,
    1122,   722,   723,   334,  1120,   725,   728,   216,   367,  1128,
     526,   729,   527,    -1,   164,   157,   454,  1122,   100,   723,
     334,  1120,   731,   732,   229,   203,   396,   728,   216,   367,
    1128,   526,   729,   527,    -1,   120,    -1,   100,    -1,   270,
     330,    -1,   724,    -1,   723,   339,   724,    -1,   269,    -1,
     190,    -1,   470,    -1,   470,   330,   635,    -1,   457,    -1,
     229,   726,   727,    -1,    -1,   203,    -1,    -1,   396,    -1,
     427,    -1,   487,   526,  1051,   527,    -1,    -1,   730,    -1,
     729,   529,   730,    -1,    -1,  1130,    -1,  1272,    -1,  1273,
      -1,  1255,    -1,   234,  1120,    -1,    -1,    -1,   732,   733,
      -1,   320,   187,    -1,   187,    -1,   263,   252,    -1,   263,
     188,    -1,   320,   474,    -1,   318,   261,    -1,   202,   454,
    1122,   334,   773,   586,    -1,   202,   454,   250,   217,  1122,
     334,   773,   586,    -1,   164,   211,   454,  1122,   334,  1255,
     216,   367,  1128,   526,   527,    -1,   164,   211,   454,  1122,
     334,  1255,   487,   736,   216,   367,  1128,   526,   527,    -1,
     737,    -1,   736,   108,   737,    -1,  1253,   256,   526,   738,
     527,    -1,    81,    -1,   738,   529,    81,    -1,   104,   211,
     454,  1122,   740,    -1,   205,    -1,   205,   385,    -1,   205,
     105,    -1,   195,    -1,   164,   113,  1122,   140,   526,  1051,
     527,   732,    -1,   202,   113,  1122,   586,    -1,   164,   101,
    1128,   833,   744,    -1,   164,   101,  1128,   748,    -1,   164,
     336,   850,   744,    -1,   164,   459,   773,   744,    -1,   164,
     459,   773,    -1,   164,   459,   773,   111,   526,  1024,   527,
      -1,   164,   459,   773,   111,   209,   526,   751,   527,    -1,
     164,   459,   773,   111,   370,   744,    -1,   164,   445,   402,
     349,   773,   744,    -1,   164,   445,   402,   194,   773,   744,
      -1,   164,   445,   402,   443,   773,   744,    -1,   164,   445,
     402,   154,   773,   744,    -1,   164,   147,   773,   744,    -1,
     164,   147,   773,   234,   773,    -1,   526,   745,   527,    -1,
     746,    -1,   745,   529,   746,    -1,  1255,   515,   747,    -1,
    1255,    -1,   830,    -1,  1139,    -1,  1085,    -1,   663,    -1,
    1273,    -1,   526,   749,   527,    -1,   750,    -1,   749,   529,
     750,    -1,  1275,   515,   747,    -1,   752,    -1,    -1,  1273,
      -1,   752,   529,  1273,    -1,   104,   459,   773,    98,   477,
     754,  1273,    -1,   104,   459,   773,    98,   477,   754,  1273,
     120,  1273,    -1,   104,   459,   773,    98,   477,   754,  1273,
     100,  1273,    -1,   250,   320,   217,    -1,    -1,   164,   336,
     142,   773,   758,   229,   459,  1027,   472,  1124,   759,   111,
     756,    -1,   757,    -1,   756,   529,   757,    -1,   336,  1130,
     850,   760,   761,    -1,   336,  1130,   850,   849,   760,   761,
      -1,   236,  1130,  1128,   822,    -1,   236,  1130,   526,  1090,
     527,  1128,   822,    -1,   431,  1027,    -1,   185,    -1,    -1,
     223,   773,    -1,    -1,   229,   402,    -1,   229,   340,   128,
     773,    -1,    -1,   374,    -1,    -1,   164,   336,   223,   773,
     472,  1124,    -1,   104,   336,   223,   773,   472,  1124,    98,
     756,    -1,   104,   336,   223,   773,   472,  1124,   202,   764,
      -1,   765,    -1,   764,   529,   765,    -1,   336,  1130,   526,
    1090,   527,    -1,   236,  1130,   526,  1090,   527,    -1,   202,
     336,   142,   773,   472,  1124,   586,    -1,   202,   336,   142,
     250,   217,   773,   472,  1124,   586,    -1,   202,   336,   223,
     773,   472,  1124,   586,    -1,   202,   336,   223,   250,   217,
     773,   472,  1124,   586,    -1,   202,   347,   128,  1134,   586,
      -1,   373,   347,   128,  1134,   449,  1133,    -1,   202,   771,
     250,   217,   772,   586,    -1,   202,   771,   772,   586,    -1,
     202,   459,   775,   586,    -1,   202,   459,   250,   217,   775,
     586,    -1,   202,   200,   775,   586,    -1,   202,   200,   250,
     217,   775,   586,    -1,   202,   259,   153,   772,   586,    -1,
     202,   259,   153,   250,   217,   772,   586,    -1,   438,    -1,
     406,    -1,   484,    -1,   305,   484,    -1,   259,    -1,   231,
     438,    -1,   211,   454,    -1,   147,    -1,   161,    -1,   400,
      -1,   219,    -1,   445,   402,   349,    -1,   445,   402,   194,
      -1,   445,   402,   443,    -1,   445,   402,   154,    -1,   773,
      -1,   772,   529,   773,    -1,  1253,    -1,  1253,   774,    -1,
     528,  1125,    -1,   774,   528,  1125,    -1,  1027,    -1,   775,
     529,  1027,    -1,   457,   968,  1012,   777,   586,    -1,   160,
     249,    -1,   387,   249,    -1,    -1,   149,   334,   779,   773,
     277,   780,    -1,   149,   334,   459,  1027,   277,   780,    -1,
     149,   334,   200,  1027,   277,   780,    -1,   149,   334,   101,
    1128,   833,   277,   780,    -1,   149,   334,   236,  1128,   822,
     277,   780,    -1,   149,   334,   336,   850,   849,   277,   780,
      -1,   149,   334,   157,  1122,   334,   773,   277,   780,    -1,
     149,   334,   157,  1122,   334,   200,   773,   277,   780,    -1,
     149,   334,   356,  1122,   334,   773,   277,   780,    -1,   149,
     334,   398,  1122,   334,   773,   277,   780,    -1,   149,   334,
     398,  1122,   277,   780,    -1,   149,   334,   452,   229,  1027,
     283,  1122,   277,   780,    -1,   149,   334,   454,  1122,   334,
     773,   277,   780,    -1,   149,   334,   336,   142,   773,   472,
    1124,   277,   780,    -1,   149,   334,   336,   223,   773,   472,
    1124,   277,   780,    -1,   149,   334,   284,   329,   663,   277,
     780,    -1,   149,   334,   134,   526,  1027,   111,  1027,   527,
     277,   780,    -1,   149,   334,   672,   283,   773,   277,   780,
      -1,   148,    -1,   179,    -1,   400,    -1,   259,    -1,   406,
      -1,   438,    -1,   484,    -1,   305,   484,    -1,   147,    -1,
     161,    -1,   441,    -1,   219,    -1,   393,    -1,   231,   438,
      -1,   409,    -1,   231,   178,   495,    -1,   211,   454,    -1,
     445,   402,   154,    -1,   445,   402,   194,    -1,   445,   402,
     349,    -1,   445,   402,   443,    -1,  1273,    -1,   325,    -1,
     404,   282,   782,   334,   783,   773,   277,   784,    -1,   404,
     282,   782,   334,   459,  1027,   277,   784,    -1,   404,   282,
     782,   334,   200,  1027,   277,   784,    -1,   404,   282,   782,
     334,   101,  1128,   833,   277,   784,    -1,   404,   282,   782,
     334,   236,  1128,   822,   277,   784,    -1,   404,   282,   782,
     334,   284,   329,   663,   277,   784,    -1,   404,   282,   782,
     334,   672,   283,   773,   277,   784,    -1,   229,   570,    -1,
      -1,   148,    -1,   179,    -1,   211,   454,    -1,   231,   438,
      -1,   400,    -1,   406,    -1,   438,    -1,   393,    -1,   441,
      -1,   484,    -1,   305,   484,    -1,  1273,    -1,   325,    -1,
     224,   786,    -1,   311,   786,    -1,   224,   786,  1287,    -1,
     224,   232,   954,  1288,    -1,   224,   232,   787,   954,  1288,
      -1,   224,   119,   954,  1288,    -1,   224,   119,   787,   954,
    1288,    -1,   311,   232,   954,    -1,   311,   232,   787,   954,
      -1,   311,   119,   954,    -1,   311,   119,   787,   954,    -1,
     954,    -1,   787,   954,    -1,   317,   788,   954,    -1,   364,
     788,   954,    -1,   226,   788,   954,    -1,   285,   788,   954,
      -1,    95,  1131,   788,   954,    -1,   380,  1131,   788,   954,
      -1,  1131,   788,   954,    -1,   102,   788,   954,    -1,   232,
    1131,   788,   954,    -1,   232,   102,   788,   954,    -1,   119,
    1131,   788,   954,    -1,   119,   102,   788,   954,    -1,   234,
      -1,   256,    -1,   787,    -1,    -1,   239,   791,   334,   794,
     449,   795,   797,    -1,   391,   791,   334,   794,   234,   795,
     586,    -1,   391,   239,   337,   229,   791,   334,   794,   234,
     795,   586,    -1,   792,    -1,   102,    -1,   102,   365,    -1,
     102,   526,   635,   527,    -1,   102,   365,   526,   635,   527,
      -1,   793,    -1,   792,   529,   793,    -1,   405,   634,    -1,
     377,   634,    -1,   164,   634,    -1,  1253,   634,    -1,  1119,
      -1,   438,  1119,    -1,   406,  1119,    -1,   231,   178,   495,
    1121,    -1,   231,   409,  1121,    -1,   236,   798,    -1,   179,
    1121,    -1,   200,   772,    -1,   283,  1121,    -1,   284,   329,
     664,    -1,   400,  1121,    -1,   441,  1121,    -1,   459,   772,
      -1,   102,   439,   256,   400,  1121,    -1,   102,   407,   256,
     400,  1121,    -1,   102,   237,   256,   400,  1121,    -1,   796,
      -1,   795,   529,   796,    -1,  1133,    -1,   242,  1133,    -1,
     491,   239,   337,    -1,    -1,   799,    -1,   798,   529,   799,
      -1,  1128,   822,    -1,   239,   792,   449,  1134,   802,   803,
      -1,   391,   792,   234,  1134,   803,   586,    -1,   391,    99,
     337,   229,   792,   234,  1134,   803,   586,    -1,   491,    99,
     337,    -1,    -1,   240,   128,  1133,    -1,    -1,   104,   185,
     365,   805,   807,    -1,   805,   806,    -1,    -1,   256,   400,
    1121,    -1,   229,   393,  1134,    -1,   229,   471,  1134,    -1,
     239,   791,   334,   808,   449,   795,   797,    -1,   391,   791,
     334,   808,   234,   795,   586,    -1,   391,   239,   337,   229,
     791,   334,   808,   234,   795,   586,    -1,   439,    -1,   237,
      -1,   407,    -1,   460,    -1,   164,   810,   259,   811,   812,
     334,  1120,   813,   526,   814,   527,   591,   648,  1022,    -1,
     164,   810,   259,   811,   250,   320,   217,  1126,   334,  1120,
     813,   526,   814,   527,   591,   648,  1022,    -1,   465,    -1,
      -1,   153,    -1,    -1,  1126,    -1,    -1,   472,  1124,    -1,
      -1,   815,    -1,   814,   529,   815,    -1,  1253,   816,   817,
     818,   819,    -1,  1056,   816,   817,   818,   819,    -1,   526,
    1051,   527,   816,   817,   818,   819,    -1,   146,   773,    -1,
      -1,   773,    -1,   472,   773,    -1,    -1,   112,    -1,   193,
      -1,    -1,   511,   226,    -1,   511,   285,    -1,    -1,   164,
     821,   236,  1128,   824,   390,   829,   835,   840,    -1,   164,
     821,   236,  1128,   824,   390,   438,   526,   842,   527,   835,
     840,    -1,   164,   821,   236,  1128,   824,   835,   840,    -1,
     339,   384,    -1,    -1,   526,   823,   527,    -1,   526,   527,
      -1,   826,    -1,   823,   529,   826,    -1,   526,   825,   527,
      -1,   526,   527,    -1,   831,    -1,   825,   529,   831,    -1,
     827,   828,   830,    -1,   828,   827,   830,    -1,   828,   830,
      -1,   827,   830,    -1,   830,    -1,   256,    -1,   342,    -1,
     266,    -1,   256,   342,    -1,   480,    -1,  1254,    -1,   830,
      -1,  1027,    -1,  1254,   774,   521,   459,    -1,   414,  1254,
     774,   521,   459,    -1,   826,    -1,   826,   185,  1051,    -1,
     826,   515,  1051,    -1,   826,    -1,   526,   519,   527,    -1,
     526,   834,   527,    -1,   526,   340,   128,   834,   527,    -1,
     526,   834,   340,   128,   834,   527,    -1,   832,    -1,   834,
     529,   832,    -1,   837,    -1,   835,   837,    -1,   130,   334,
     325,   267,    -1,   390,   325,   334,   325,   267,    -1,   432,
      -1,   253,    -1,   424,    -1,   486,    -1,   220,   404,   189,
      -1,   220,   404,   276,    -1,   404,   189,    -1,   404,   276,
      -1,   288,    -1,   320,   288,    -1,   163,   663,    -1,   397,
     663,    -1,   575,    -1,   111,   838,    -1,   283,   570,    -1,
     452,   839,    -1,   490,    -1,   836,    -1,  1273,    -1,  1273,
     529,  1273,    -1,   229,   459,  1027,    -1,   839,   529,   229,
     459,  1027,    -1,   491,   744,    -1,    -1,   828,   830,    -1,
     841,    -1,   842,   529,   841,    -1,   104,   236,   799,   844,
     845,    -1,   836,    -1,   844,   836,    -1,   388,    -1,    -1,
     202,   236,  1128,   822,   586,    -1,   202,   236,   250,   217,
    1128,   822,   586,    -1,   202,   101,  1128,   833,   586,    -1,
     202,   101,   250,   217,  1128,   833,   586,    -1,   202,   336,
     850,   849,   586,    -1,   202,   336,   250,   217,   850,   849,
     586,    -1,   526,  1027,   527,    -1,   526,  1027,   529,  1027,
     527,    -1,   526,   319,   529,  1027,   527,    -1,   526,  1027,
     529,   319,   527,    -1,  1082,    -1,  1253,   528,   850,    -1,
     198,   852,    -1,   853,    -1,   852,   853,    -1,  1273,    -1,
     283,   570,    -1,   164,   134,   526,  1027,   111,  1027,   527,
     491,   236,   799,   855,    -1,   164,   134,   526,  1027,   111,
    1027,   527,   493,   236,   855,    -1,   164,   134,   526,  1027,
     111,  1027,   527,   491,   266,   855,    -1,   111,   254,    -1,
     111,   114,    -1,    -1,   202,   134,   857,   526,  1027,   111,
    1027,   527,   586,    -1,   250,   217,    -1,    -1,   164,   821,
     452,   229,  1027,   283,  1122,   526,   859,   527,    -1,   234,
     423,   491,   236,   799,   529,   449,   423,   491,   236,   799,
      -1,   449,   423,   491,   236,   799,   529,   234,   423,   491,
     236,   799,    -1,   234,   423,   491,   236,   799,    -1,   449,
     423,   491,   236,   799,    -1,   202,   452,   857,   229,  1027,
     283,  1122,   586,    -1,   379,   862,  1120,    -1,   379,   863,
    1122,    -1,   379,   526,   864,   527,   862,  1120,    -1,   379,
     526,   864,   527,   863,  1122,    -1,   259,    -1,   438,    -1,
     400,    -1,   437,    -1,   179,    -1,   865,    -1,   864,   529,
     865,    -1,   482,    -1,   104,   441,  1122,   412,   590,    -1,
     104,   441,  1122,   386,   590,    -1,   104,   101,  1128,   833,
     382,   449,  1122,    -1,   104,   147,   773,   382,   449,  1122,
      -1,   104,   161,   773,   382,   449,  1122,    -1,   104,   179,
    1123,   382,   449,  1123,    -1,   104,   200,   773,   382,   449,
    1122,    -1,   104,   200,   773,   382,   157,  1122,   449,  1122,
      -1,   104,   231,   178,   495,  1122,   382,   449,  1122,    -1,
     104,   236,   799,   382,   449,  1122,    -1,   104,   242,  1132,
     382,   449,  1132,    -1,   104,   672,   283,  1122,   382,   449,
    1122,    -1,   104,   336,   142,   773,   472,  1124,   382,   449,
    1122,    -1,   104,   336,   223,   773,   472,  1124,   382,   449,
    1122,    -1,   104,   356,  1122,   334,  1120,   382,   449,  1122,
      -1,   104,   356,   250,   217,  1122,   334,  1120,   382,   449,
    1122,    -1,   104,   400,  1122,   382,   449,  1122,    -1,   104,
     409,  1122,   382,   449,  1122,    -1,   104,   438,  1011,   382,
     449,  1122,    -1,   104,   438,   250,   217,  1011,   382,   449,
    1122,    -1,   104,   406,  1120,   382,   449,  1122,    -1,   104,
     406,   250,   217,  1120,   382,   449,  1122,    -1,   104,   484,
    1120,   382,   449,  1122,    -1,   104,   484,   250,   217,  1120,
     382,   449,  1122,    -1,   104,   305,   484,  1120,   382,   449,
    1122,    -1,   104,   305,   484,   250,   217,  1120,   382,   449,
    1122,    -1,   104,   259,  1120,   382,   449,  1122,    -1,   104,
     259,   250,   217,  1120,   382,   449,  1122,    -1,   104,   231,
     438,  1011,   382,   449,  1122,    -1,   104,   231,   438,   250,
     217,  1011,   382,   449,  1122,    -1,   104,   438,  1011,   382,
     868,  1122,   449,  1122,    -1,   104,   438,   250,   217,  1011,
     382,   868,  1122,   449,  1122,    -1,   104,   305,   484,  1120,
     382,   868,  1122,   449,  1122,    -1,   104,   305,   484,   250,
     217,  1120,   382,   868,  1122,   449,  1122,    -1,   104,   438,
    1011,   382,   157,  1122,   449,  1122,    -1,   104,   438,   250,
     217,  1011,   382,   157,  1122,   449,  1122,    -1,   104,   231,
     438,  1011,   382,   868,  1122,   449,  1122,    -1,   104,   231,
     438,   250,   217,  1011,   382,   868,  1122,   449,  1122,    -1,
     104,   398,  1122,   334,  1120,   382,   449,  1122,    -1,   104,
     454,  1122,   334,  1120,   382,   449,  1122,    -1,   104,   211,
     454,  1122,   382,   449,  1122,    -1,   104,   393,  1132,   382,
     449,  1132,    -1,   104,   471,  1132,   382,   449,  1132,    -1,
     104,   441,  1122,   382,   449,  1122,    -1,   104,   445,   402,
     349,   773,   382,   449,  1122,    -1,   104,   445,   402,   194,
     773,   382,   449,  1122,    -1,   104,   445,   402,   443,   773,
     382,   449,  1122,    -1,   104,   445,   402,   154,   773,   382,
     449,  1122,    -1,   104,   459,   773,   382,   449,  1122,    -1,
     104,   459,   773,   382,   117,  1122,   449,  1122,   586,    -1,
     148,    -1,    -1,   412,   178,    -1,    -1,   104,   101,  1128,
     833,   412,   400,  1122,    -1,   104,   147,   773,   412,   400,
    1122,    -1,   104,   161,   773,   412,   400,  1122,    -1,   104,
     200,   773,   412,   400,  1122,    -1,   104,   219,   773,   412,
     400,  1122,    -1,   104,   236,   799,   412,   400,  1122,    -1,
     104,   336,   850,   849,   412,   400,  1122,    -1,   104,   336,
     142,   773,   472,  1124,   412,   400,  1122,    -1,   104,   336,
     223,   773,   472,  1124,   412,   400,  1122,    -1,   104,   438,
    1011,   412,   400,  1122,    -1,   104,   438,   250,   217,  1011,
     412,   400,  1122,    -1,   104,   445,   402,   349,   773,   412,
     400,  1122,    -1,   104,   445,   402,   194,   773,   412,   400,
    1122,    -1,   104,   445,   402,   443,   773,   412,   400,  1122,
      -1,   104,   445,   402,   154,   773,   412,   400,  1122,    -1,
     104,   406,  1120,   412,   400,  1122,    -1,   104,   406,   250,
     217,  1120,   412,   400,  1122,    -1,   104,   484,  1120,   412,
     400,  1122,    -1,   104,   484,   250,   217,  1120,   412,   400,
    1122,    -1,   104,   305,   484,  1120,   412,   400,  1122,    -1,
     104,   305,   484,   250,   217,  1120,   412,   400,  1122,    -1,
     104,   231,   438,  1011,   412,   400,  1122,    -1,   104,   231,
     438,   250,   217,  1011,   412,   400,  1122,    -1,   104,   459,
     773,   412,   400,  1122,    -1,   104,   101,  1128,   833,   348,
     449,  1133,    -1,   104,   147,   773,   348,   449,  1133,    -1,
     104,   161,   773,   348,   449,  1133,    -1,   104,   179,  1123,
     348,   449,  1133,    -1,   104,   200,   773,   348,   449,  1133,
      -1,   104,   236,   799,   348,   449,  1133,    -1,   104,   672,
     283,  1122,   348,   449,  1133,    -1,   104,   284,   329,   663,
     348,   449,  1133,    -1,   104,   336,   850,   849,   348,   449,
    1133,    -1,   104,   336,   142,   773,   472,  1124,   348,   449,
    1133,    -1,   104,   336,   223,   773,   472,  1124,   348,   449,
    1133,    -1,   104,   400,  1122,   348,   449,  1133,    -1,   104,
     459,   773,   348,   449,  1133,    -1,   104,   441,  1122,   348,
     449,  1133,    -1,   104,   445,   402,   194,   773,   348,   449,
    1133,    -1,   104,   445,   402,   154,   773,   348,   449,  1133,
      -1,   104,   231,   178,   495,  1122,   348,   449,  1133,    -1,
     104,   409,  1122,   348,   449,  1133,    -1,   104,   211,   454,
    1122,   348,   449,  1133,    -1,   164,   821,   398,  1122,   111,
     334,   877,   449,  1120,  1022,   198,   878,   873,    -1,   321,
      -1,   875,    -1,   526,   874,   527,    -1,   874,   530,   876,
      -1,   876,    -1,   957,    -1,   931,    -1,   946,    -1,   939,
      -1,   880,    -1,   875,    -1,    -1,   405,    -1,   470,    -1,
     190,    -1,   269,    -1,   270,    -1,   103,    -1,    -1,   202,
     398,  1122,   334,   773,   586,    -1,   202,   398,   250,   217,
    1122,   334,   773,   586,    -1,   322,  1253,   881,    -1,   529,
    1273,    -1,    -1,   294,  1253,    -1,   467,  1253,    -1,   467,
     519,    -1,    94,   885,    -1,   121,   885,   888,    -1,   426,
     451,   888,    -1,   151,   885,    -1,   208,   885,    -1,   394,
     885,    -1,   399,  1253,    -1,   381,   399,  1253,    -1,   381,
    1253,    -1,   394,   885,   449,   399,  1253,    -1,   394,   885,
     449,  1253,    -1,   361,   451,  1273,    -1,   151,   362,  1273,
      -1,   394,   362,  1273,    -1,   494,    -1,   451,    -1,    -1,
     279,   291,   566,    -1,   371,   335,    -1,   371,   496,    -1,
     187,    -1,   320,   187,    -1,   886,    -1,   887,   529,   886,
      -1,   887,   886,    -1,   887,    -1,    -1,   164,   615,   484,
    1120,   634,   591,   111,   957,   890,    -1,   164,   339,   384,
     615,   484,  1120,   634,   591,   111,   957,   890,    -1,   164,
     615,   375,   484,  1120,   526,   635,   527,   591,   111,   957,
     890,    -1,   164,   339,   384,   615,   375,   484,  1120,   526,
     635,   527,   591,   111,   957,   890,    -1,   491,   140,   337,
      -1,   491,   132,   140,   337,    -1,   491,   296,   140,   337,
      -1,    -1,   295,  1127,    -1,   164,   179,  1123,   538,   893,
      -1,   894,    -1,    -1,   895,    -1,   894,   895,    -1,   896,
     897,  1131,    -1,   896,   897,   567,    -1,   896,   897,   185,
      -1,  1275,    -1,   156,   293,    -1,   206,    -1,   299,    -1,
     348,    -1,   441,    -1,   443,    -1,   515,    -1,    -1,   104,
     179,  1123,   491,   893,    -1,   104,   179,  1123,   893,    -1,
     104,   179,  1123,   412,   441,  1122,    -1,   104,   179,  1123,
     574,    -1,   202,   179,  1123,    -1,   202,   179,   250,   217,
    1123,    -1,   104,   437,   412,   561,    -1,   104,   437,   386,
     573,    -1,   164,   200,   773,   904,  1027,   624,    -1,   104,
     200,   773,   585,    -1,   104,   200,   773,   202,   320,   325,
      -1,   104,   200,   773,   412,   320,   325,    -1,   104,   200,
     773,    98,   631,    -1,   104,   200,   773,   202,   157,  1122,
     586,    -1,   104,   200,   773,   202,   157,   250,   217,  1122,
     586,    -1,   104,   200,   773,   475,   157,  1122,    -1,   111,
      -1,    -1,   104,   445,   402,   194,   773,   744,    -1,   104,
     445,   402,   154,   773,    98,   303,   229,  1121,   907,   772,
      -1,   104,   445,   402,   154,   773,   104,   303,   229,  1121,
     907,   772,    -1,   104,   445,   402,   154,   773,   104,   303,
     384,   773,   907,   773,    -1,   104,   445,   402,   154,   773,
     104,   303,   229,  1121,   384,   773,   907,   773,    -1,   104,
     445,   402,   154,   773,   202,   303,   229,  1121,    -1,   104,
     445,   402,   154,   773,   202,   303,   250,   217,   229,  1121,
      -1,   491,    -1,   512,    -1,   164,   758,   161,   773,   229,
    1273,   449,  1273,   234,   773,    -1,   144,   916,  1120,   910,
      -1,   144,   916,    -1,   144,   916,  1126,   334,  1120,    -1,
     472,  1126,    -1,    -1,   473,   917,   918,   916,    -1,   473,
     917,   918,   916,  1120,    -1,   473,   917,   918,   916,   914,
      -1,   473,   526,   912,   527,    -1,   473,   526,   912,   527,
    1120,   919,    -1,   913,    -1,   912,   529,   913,    -1,   915,
      -1,   482,    -1,   233,    -1,   235,    -1,   915,   916,    -1,
     915,   916,  1120,   919,    -1,   107,    -1,   106,    -1,   482,
      -1,    -1,   235,    -1,    -1,   233,    -1,    -1,   526,  1121,
     527,    -1,    -1,   218,   921,    -1,   218,   915,   916,   921,
      -1,   218,   482,   921,    -1,   218,   526,   922,   527,   921,
      -1,   957,    -1,   931,    -1,   946,    -1,   939,    -1,   953,
      -1,  1142,    -1,   653,    -1,   656,    -1,   929,    -1,   923,
      -1,   922,   529,   923,    -1,   924,   925,    -1,  1135,    -1,
     915,    -1,   567,    -1,   663,    -1,    -1,   361,  1161,   927,
     111,   928,    -1,   361,  1161,   234,  1206,    -1,   526,  1090,
     527,    -1,    -1,   957,    -1,   931,    -1,   946,    -1,   939,
      -1,   216,  1161,   930,  1285,    -1,   164,   615,   438,   651,
     111,   216,  1122,   930,   652,    -1,   526,  1087,   527,    -1,
      -1,   965,   269,   275,   932,   933,   936,   938,    -1,  1120,
      -1,  1120,   111,  1253,    -1,   957,    -1,   526,   934,   527,
     957,    -1,   185,   478,    -1,   935,    -1,   934,   529,   935,
      -1,  1253,  1111,    -1,   334,   155,   937,   198,   470,   412,
     947,  1022,    -1,   334,   155,   937,   198,   321,    -1,    -1,
     526,   814,   527,  1022,    -1,   334,   157,  1122,    -1,    -1,
     389,  1117,  1286,    -1,    -1,   965,   190,   234,  1013,   940,
    1023,   938,    -1,   472,  1002,    -1,    -1,   300,   968,  1012,
     942,   944,    -1,   256,   943,   309,    -1,    -1,    96,   415,
      -1,   396,   415,    -1,   396,   215,    -1,   415,   470,   215,
      -1,   415,    -1,   415,   396,   215,    -1,   215,    -1,    96,
     215,    -1,   324,    -1,    -1,   324,    -1,   419,   301,    -1,
      -1,   965,   470,  1013,   412,   947,  1001,  1023,   938,    -1,
     948,    -1,   947,   529,   948,    -1,   949,    -1,   950,    -1,
     951,   515,  1113,    -1,   526,   952,   527,   515,  1115,    -1,
     526,   952,   527,   515,   958,    -1,  1253,  1111,    -1,   951,
      -1,   952,   529,   951,    -1,   184,   954,   955,   176,   956,
     229,   957,    -1,  1122,    -1,  1266,    -1,    -1,   955,   318,
     401,    -1,   955,   401,    -1,   955,   124,    -1,   955,   268,
      -1,    -1,   491,   247,    -1,   493,   247,    -1,   959,    -1,
     958,    -1,   526,   959,   527,    -1,   526,   958,   527,    -1,
     961,    -1,   960,   973,    -1,   960,   972,   994,   977,    -1,
     960,   972,   976,   995,    -1,   962,   960,    -1,   962,   960,
     973,    -1,   962,   960,   972,   994,   977,    -1,   962,   960,
     972,   976,   995,    -1,   961,    -1,   958,    -1,   405,   971,
    1116,   966,  1001,  1022,   986,   993,  1068,    -1,   405,   970,
    1117,   966,  1001,  1022,   986,   993,  1068,    -1,  1000,    -1,
     438,  1011,    -1,   960,   464,   969,   960,    -1,   960,   273,
     969,   960,    -1,   960,   212,   969,   960,    -1,   491,   963,
      -1,   512,   963,    -1,   491,   375,   963,    -1,   964,    -1,
     963,   529,   964,    -1,  1122,   919,   111,   526,   928,   527,
      -1,   962,    -1,    -1,   275,   967,    -1,  1286,    -1,    -1,
     444,   968,  1120,    -1,   442,   968,  1120,    -1,   296,   444,
     968,  1120,    -1,   296,   442,   968,  1120,    -1,   238,   444,
     968,  1120,    -1,   238,   442,   968,  1120,    -1,   468,   968,
    1120,    -1,   438,  1120,    -1,  1120,    -1,   438,    -1,    -1,
     102,    -1,   197,    -1,    -1,   197,    -1,   197,   334,   526,
    1087,   527,    -1,   102,    -1,    -1,   973,    -1,    -1,   340,
     128,   974,    -1,   975,    -1,   974,   529,   975,    -1,  1051,
     472,  1085,   819,    -1,  1051,   818,   819,    -1,   978,   979,
      -1,   979,   978,    -1,   978,    -1,   979,    -1,   976,    -1,
      -1,   293,   980,    -1,   293,   980,   529,   981,    -1,   224,
     985,   982,   984,   335,    -1,   332,   981,    -1,   332,   983,
     984,    -1,  1051,    -1,   102,    -1,  1051,    -1,  1131,    -1,
     526,  1051,   527,    -1,    -1,  1053,    -1,   396,    -1,   397,
      -1,   226,    -1,   317,    -1,   242,   128,   987,    -1,    -1,
     988,    -1,   987,   529,   988,    -1,  1051,    -1,   989,    -1,
     991,    -1,   990,    -1,   992,    -1,   526,   527,    -1,   395,
     526,  1087,   527,    -1,   167,   526,  1087,   527,    -1,   243,
     413,   526,   987,   527,    -1,   245,  1051,    -1,    -1,   996,
      -1,   229,   371,   335,    -1,   994,    -1,    -1,   997,    -1,
     996,   997,    -1,   998,   999,   945,    -1,   229,   470,    -1,
     229,   318,   281,   470,    -1,   229,   415,    -1,   229,   281,
     415,    -1,   330,  1119,    -1,    -1,   478,  1115,    -1,  1000,
     529,  1115,    -1,   234,  1002,    -1,    -1,  1003,    -1,  1002,
     529,  1003,    -1,  1011,  1006,    -1,  1014,    -1,  1017,  1007,
      -1,   286,  1017,  1007,    -1,   958,  1006,    -1,   286,   958,
    1006,    -1,  1004,    -1,   526,  1004,   527,  1005,    -1,   526,
    1004,   527,    -1,  1003,   165,   280,  1003,    -1,  1003,  1008,
     280,  1003,  1010,    -1,  1003,   280,  1003,  1010,    -1,  1003,
     315,  1008,   280,  1003,    -1,  1003,   315,   280,  1003,    -1,
     111,  1253,   526,  1121,   527,    -1,   111,  1253,    -1,  1253,
     526,  1121,   527,    -1,  1253,    -1,  1005,    -1,    -1,  1005,
      -1,   111,   526,  1025,   527,    -1,   111,  1253,   526,  1025,
     527,    -1,  1253,   526,  1025,   527,    -1,    -1,   235,  1009,
      -1,   290,  1009,    -1,   392,  1009,    -1,   265,    -1,   343,
      -1,    -1,   472,   526,  1121,   527,    -1,   334,  1051,    -1,
    1120,    -1,  1120,   519,    -1,   335,  1120,    -1,   335,   526,
    1120,   527,    -1,  1011,    -1,  1012,   529,  1011,    -1,  1011,
      -1,  1011,  1253,    -1,  1011,   111,  1253,    -1,  1011,  1006,
    1015,    -1,   440,  1253,   526,  1087,   527,  1016,    -1,   383,
     526,  1051,   527,    -1,    -1,  1056,  1021,    -1,   397,   234,
     526,  1019,   527,  1021,    -1,  1056,  1020,    -1,  1018,    -1,
    1019,   529,  1018,    -1,   111,   526,  1025,   527,    -1,    -1,
     512,   341,    -1,    -1,   488,  1051,    -1,    -1,   488,  1051,
      -1,   488,   168,   330,   954,    -1,    -1,  1025,    -1,    -1,
    1026,    -1,  1025,   529,  1026,    -1,  1253,  1027,   587,    -1,
    1029,  1028,    -1,   414,  1029,  1028,    -1,  1029,   110,   524,
    1130,   525,    -1,   414,  1029,   110,   524,  1130,   525,    -1,
    1029,   110,    -1,   414,  1029,   110,    -1,  1028,   524,   525,
      -1,  1028,   524,  1284,   525,    -1,    -1,  1031,    -1,  1033,
      -1,  1035,    -1,  1039,    -1,  1046,    -1,  1047,  1049,    -1,
    1047,   526,  1130,   527,    -1,  1033,    -1,  1036,    -1,  1040,
      -1,  1046,    -1,  1254,  1032,    -1,  1254,   774,  1032,    -1,
     526,  1087,   527,    -1,    -1,   271,    -1,   272,    -1,   420,
      -1,   123,    -1,   372,    -1,   227,  1034,    -1,   201,   359,
      -1,   183,  1032,    -1,   182,  1032,    -1,   328,  1032,    -1,
     126,    -1,   526,  1130,   527,    -1,    -1,  1037,    -1,  1038,
      -1,  1037,    -1,  1038,    -1,   125,  1044,   526,  1087,   527,
      -1,   125,  1044,    -1,  1041,    -1,  1042,    -1,  1041,    -1,
    1042,    -1,  1043,   526,  1130,   527,  1045,    -1,  1043,  1045,
      -1,   138,  1044,    -1,   137,  1044,    -1,   479,    -1,   314,
     138,  1044,    -1,   314,   137,  1044,    -1,   316,  1044,    -1,
     481,    -1,    -1,   138,   412,  1253,    -1,    -1,   448,   526,
    1130,   527,  1048,    -1,   448,  1048,    -1,   447,   526,  1130,
     527,  1048,    -1,   447,  1048,    -1,   274,    -1,   512,   447,
     509,    -1,   493,   447,   509,    -1,    -1,   507,    -1,   310,
      -1,   180,    -1,   248,    -1,   307,    -1,  1050,    -1,   507,
     449,   310,    -1,   180,   449,   248,    -1,   180,   449,   307,
      -1,   180,   449,  1050,    -1,   248,   449,   307,    -1,   248,
     449,  1050,    -1,   307,   449,  1050,    -1,    -1,   403,    -1,
     403,   526,  1130,   527,    -1,  1053,    -1,  1051,    87,  1027,
      -1,  1051,   146,   773,    -1,  1051,   116,   447,   509,  1051,
      -1,   517,  1051,    -1,   518,  1051,    -1,  1051,   517,  1051,
      -1,  1051,   518,  1051,    -1,  1051,   519,  1051,    -1,  1051,
     520,  1051,    -1,  1051,   521,  1051,    -1,  1051,   522,  1051,
      -1,  1051,   513,  1051,    -1,  1051,   514,  1051,    -1,  1051,
     515,  1051,    -1,  1051,    91,  1051,    -1,  1051,    92,  1051,
      -1,  1051,    93,  1051,    -1,  1051,  1084,  1051,    -1,  1084,
    1051,    -1,  1051,  1084,    -1,  1051,   108,  1051,    -1,  1051,
     339,  1051,    -1,   320,  1051,    -1,   510,  1051,    -1,  1051,
     292,  1051,    -1,  1051,   292,  1051,   210,  1051,    -1,  1051,
     510,   292,  1051,    -1,  1051,   510,   292,  1051,   210,  1051,
      -1,  1051,   251,  1051,    -1,  1051,   251,  1051,   210,  1051,
      -1,  1051,   510,   251,  1051,    -1,  1051,   510,   251,  1051,
     210,  1051,    -1,  1051,   417,   449,  1051,    -1,  1051,   417,
     449,  1051,   210,  1051,    -1,  1051,   510,   417,   449,  1051,
      -1,  1051,   510,   417,   449,  1051,   210,  1051,    -1,  1051,
     277,   325,    -1,  1051,   278,    -1,  1051,   277,   320,   325,
      -1,  1051,   323,    -1,  1078,   345,  1078,    -1,  1051,   277,
     456,    -1,  1051,   277,   320,   456,    -1,  1051,   277,   222,
      -1,  1051,   277,   320,   222,    -1,  1051,   277,   466,    -1,
    1051,   277,   320,   466,    -1,  1051,   277,   197,   234,  1051,
      -1,  1051,   277,   320,   197,   234,  1051,    -1,  1051,   277,
     330,   526,  1090,   527,    -1,  1051,   277,   320,   330,   526,
    1090,   527,    -1,  1051,   122,  1112,  1052,   108,  1051,    -1,
    1051,   510,   122,  1112,  1052,   108,  1051,    -1,  1051,   122,
     435,  1052,   108,  1051,    -1,  1051,   510,   122,   435,  1052,
     108,  1051,    -1,  1051,   256,  1102,    -1,  1051,   510,   256,
    1102,    -1,  1051,  1086,  1081,   958,    -1,  1051,  1086,  1081,
     526,  1051,   527,    -1,   465,   958,    -1,  1051,   277,   199,
      -1,  1051,   277,   320,   199,    -1,  1053,    -1,  1052,    87,
    1027,    -1,   517,  1052,    -1,   518,  1052,    -1,  1052,   517,
    1052,    -1,  1052,   518,  1052,    -1,  1052,   519,  1052,    -1,
    1052,   520,  1052,    -1,  1052,   521,  1052,    -1,  1052,   522,
    1052,    -1,  1052,   513,  1052,    -1,  1052,   514,  1052,    -1,
    1052,   515,  1052,    -1,  1052,    91,  1052,    -1,  1052,    92,
    1052,    -1,  1052,    93,  1052,    -1,  1052,  1084,  1052,    -1,
    1084,  1052,    -1,  1052,  1084,    -1,  1052,   277,   197,   234,
    1052,    -1,  1052,   277,   320,   197,   234,  1052,    -1,  1052,
     277,   330,   526,  1090,   527,    -1,  1052,   277,   320,   330,
     526,  1090,   527,    -1,  1052,   277,   199,    -1,  1052,   277,
     320,   199,    -1,  1108,    -1,  1129,    -1,  1270,  1111,    -1,
     526,  1051,   527,  1111,    -1,  1103,    -1,  1055,    -1,   958,
      -1,   958,  1110,    -1,   217,   958,    -1,   110,   958,    -1,
     110,  1091,    -1,  1079,    -1,  1080,    -1,   243,   526,  1087,
     527,    -1,  1128,   526,   527,    -1,  1128,   526,  1088,   972,
     527,    -1,  1128,   526,   480,  1089,   972,   527,    -1,  1128,
     526,  1088,   529,   480,  1089,   972,   527,    -1,  1128,   526,
     102,  1088,   972,   527,    -1,  1128,   526,   197,  1088,   972,
     527,    -1,  1128,   526,   519,   527,    -1,  1054,  1066,  1067,
    1071,    -1,  1057,    -1,  1054,    -1,  1057,    -1,   147,   229,
     526,  1051,   527,    -1,   170,    -1,   173,    -1,   173,   526,
    1130,   527,    -1,   174,    -1,   174,   526,  1130,   527,    -1,
     297,    -1,   297,   526,  1130,   527,    -1,   298,    -1,   298,
     526,  1130,   527,    -1,   171,    -1,   175,    -1,   411,    -1,
     471,    -1,   169,    -1,   172,    -1,   134,   526,  1051,   111,
    1027,   527,    -1,   221,   526,  1093,   527,    -1,   346,   526,
    1095,   527,    -1,   357,   526,  1097,   527,    -1,   434,   526,
    1098,   527,    -1,   453,   526,  1051,   111,  1027,   527,    -1,
     455,   526,   127,  1101,   527,    -1,   455,   526,   287,  1101,
     527,    -1,   455,   526,   450,  1101,   527,    -1,   455,   526,
    1101,   527,    -1,   326,   526,  1051,   529,  1051,   527,    -1,
     145,   526,  1087,   527,    -1,   241,   526,  1087,   527,    -1,
     289,   526,  1087,   527,    -1,   499,   526,  1087,   527,    -1,
     500,   526,   312,  1255,   527,    -1,   500,   526,   312,  1255,
     529,  1060,   527,    -1,   500,   526,   312,  1255,   529,  1087,
     527,    -1,   500,   526,   312,  1255,   529,  1060,   529,  1087,
     527,    -1,   501,   526,  1053,  1065,   527,    -1,   502,   526,
    1061,   527,    -1,   503,   526,  1063,  1051,  1064,   527,    -1,
     504,   526,   312,  1255,   527,    -1,   504,   526,   312,  1255,
     529,  1051,   527,    -1,   505,   526,  1051,   529,  1058,  1059,
     527,    -1,   506,   526,  1063,  1051,   111,  1029,   527,    -1,
     483,  1051,    -1,   483,   318,   477,    -1,   529,   425,   508,
      -1,   529,   425,   318,    -1,   529,   425,   318,   477,    -1,
      -1,   498,   526,  1061,   527,    -1,  1062,    -1,  1061,   529,
    1062,    -1,  1051,   111,  1255,    -1,  1051,    -1,   199,    -1,
     159,    -1,   360,   489,    -1,   433,   489,    -1,    -1,   352,
    1053,    -1,   352,  1053,   128,   376,    -1,   352,   128,   376,
    1053,    -1,   352,   128,   376,  1053,   128,   376,    -1,   492,
     242,   526,   973,   527,    -1,    -1,   225,   526,   488,  1051,
     527,    -1,    -1,   490,  1069,    -1,    -1,  1070,    -1,  1069,
     529,  1070,    -1,  1253,   111,  1072,    -1,   344,  1072,    -1,
     344,  1253,    -1,    -1,   526,  1073,  1074,   972,  1075,   527,
      -1,  1253,    -1,    -1,   351,   128,  1087,    -1,    -1,   370,
    1076,    -1,   397,  1076,    -1,    -1,  1077,    -1,   122,  1077,
     108,  1077,    -1,   461,   358,    -1,   461,   228,    -1,   168,
     396,    -1,  1051,   358,    -1,  1051,   228,    -1,   396,   526,
    1087,   527,    -1,   396,   526,   527,    -1,   526,  1087,   529,
    1051,   527,    -1,   396,   526,  1087,   527,    -1,   396,   526,
     527,    -1,   526,  1087,   529,  1051,   527,    -1,   109,    -1,
     422,    -1,   102,    -1,    84,    -1,  1083,    -1,   517,    -1,
     518,    -1,   519,    -1,   520,    -1,   521,    -1,   522,    -1,
     513,    -1,   514,    -1,   515,    -1,    91,    -1,    92,    -1,
      93,    -1,    84,    -1,   336,   526,   850,   527,    -1,  1082,
      -1,   336,   526,   850,   527,    -1,  1082,    -1,   336,   526,
     850,   527,    -1,   292,    -1,   510,   292,    -1,   251,    -1,
     510,   251,    -1,  1051,    -1,  1087,   529,  1051,    -1,  1089,
      -1,  1088,   529,  1089,    -1,  1051,    -1,   828,    89,  1051,
      -1,   828,    90,  1051,    -1,  1027,    -1,  1090,   529,  1027,
      -1,   524,  1087,   525,    -1,   524,  1092,   525,    -1,   524,
     525,    -1,  1091,    -1,  1092,   529,  1091,    -1,  1094,   234,
    1051,    -1,    -1,  1275,    -1,   507,    -1,   310,    -1,   180,
      -1,   248,    -1,   307,    -1,   403,    -1,  1273,    -1,  1051,
    1096,  1099,  1100,    -1,  1051,  1096,  1099,    -1,   354,  1051,
      -1,  1052,   256,  1052,    -1,    -1,  1051,  1099,  1100,    -1,
    1051,  1100,  1099,    -1,  1051,  1099,    -1,  1051,  1100,    -1,
    1087,    -1,    -1,   234,  1051,    -1,   229,  1051,    -1,  1051,
     234,  1087,    -1,   234,  1087,    -1,  1087,    -1,   958,    -1,
     526,  1087,   527,    -1,   133,  1107,  1104,  1106,   208,    -1,
    1105,    -1,  1104,  1105,    -1,   487,  1051,   446,  1051,    -1,
     204,  1051,    -1,    -1,  1051,    -1,    -1,  1253,    -1,  1253,
    1110,    -1,   528,  1125,    -1,   528,   519,    -1,   524,  1051,
     525,    -1,   524,  1051,   531,  1051,   525,    -1,  1109,    -1,
    1110,  1109,    -1,    -1,  1111,  1109,    -1,   115,    -1,    -1,
    1051,    -1,   185,    -1,  1113,    -1,  1114,   529,  1113,    -1,
     526,  1114,   527,    -1,  1117,    -1,    -1,  1118,    -1,  1117,
     529,  1118,    -1,  1051,   111,  1255,    -1,  1051,  1275,    -1,
    1051,    -1,   519,    -1,  1120,    -1,  1119,   529,  1120,    -1,
    1253,    -1,  1253,  1110,    -1,  1122,    -1,  1121,   529,  1122,
      -1,  1253,    -1,  1253,    -1,  1253,    -1,  1255,    -1,  1253,
      -1,  1273,    -1,  1254,    -1,  1253,  1110,    -1,  1130,    -1,
    1272,    -1,  1273,    -1,  1271,    -1,    83,    -1,  1128,  1273,
      -1,  1128,   526,  1088,   972,   527,  1273,    -1,  1030,  1273,
      -1,  1047,  1273,  1049,    -1,  1047,   526,  1130,   527,  1273,
      -1,   456,    -1,   222,    -1,   325,    -1,  1267,    -1,  1265,
      -1,    85,    -1,  1130,    -1,  1267,    -1,   517,  1130,    -1,
     518,  1130,    -1,  1133,    -1,  1135,    -1,   175,    -1,   411,
      -1,  1133,    -1,  1134,   529,  1133,    -1,  1275,    -1,  1136,
      -1,  1137,    -1,  1138,    -1,    94,    -1,    95,    -1,    96,
      -1,    97,    -1,    98,    -1,    99,    -1,   100,    -1,   101,
      -1,   103,    -1,   104,    -1,   105,    -1,   113,    -1,   114,
      -1,   116,    -1,   117,    -1,   119,    -1,   120,    -1,   121,
      -1,   128,    -1,   129,    -1,   130,    -1,   131,    -1,   132,
      -1,   135,    -1,   136,    -1,   139,    -1,   141,    -1,   142,
      -1,   143,    -1,   144,    -1,   149,    -1,   150,    -1,   151,
      -1,   152,    -1,   154,    -1,   155,    -1,   158,    -1,   159,
      -1,   160,    -1,   161,    -1,   162,    -1,   163,    -1,   166,
      -1,   167,    -1,   176,    -1,   177,    -1,   178,    -1,   179,
      -1,   181,    -1,   184,    -1,   186,    -1,   188,    -1,   189,
      -1,   190,    -1,   191,    -1,   192,    -1,   194,    -1,   195,
      -1,   196,    -1,   199,    -1,   200,    -1,   201,    -1,   202,
      -1,   203,    -1,   205,    -1,   206,    -1,   207,    -1,   209,
      -1,   210,    -1,   211,    -1,   213,    -1,   214,    -1,   215,
      -1,   216,    -1,   218,    -1,   219,    -1,   220,    -1,   223,
      -1,   225,    -1,   226,    -1,   228,    -1,   230,    -1,   232,
      -1,   236,    -1,   237,    -1,   238,    -1,   240,    -1,   244,
      -1,   246,    -1,   247,    -1,   249,    -1,   250,    -1,   252,
      -1,   253,    -1,   254,    -1,   255,    -1,   257,    -1,   258,
      -1,   259,    -1,   260,    -1,   261,    -1,   262,    -1,   264,
      -1,   268,    -1,   269,    -1,   270,    -1,   276,    -1,   279,
      -1,   281,    -1,   282,    -1,   283,    -1,   284,    -1,   285,
      -1,   288,    -1,   291,    -1,   294,    -1,   295,    -1,   296,
      -1,   299,    -1,   300,    -1,   301,    -1,   302,    -1,   303,
      -1,   304,    -1,   305,    -1,   306,    -1,   308,    -1,   309,
      -1,   311,    -1,   312,    -1,   313,    -1,   317,    -1,   318,
      -1,   321,    -1,   322,    -1,   324,    -1,   327,    -1,   329,
      -1,   330,    -1,   331,    -1,   333,    -1,   336,    -1,   337,
      -1,   338,    -1,   341,    -1,   344,    -1,   347,    -1,   348,
      -1,   349,    -1,   350,    -1,   351,    -1,   352,    -1,   353,
      -1,   355,    -1,   356,    -1,   358,    -1,   361,    -1,   362,
      -1,   360,    -1,   364,    -1,   365,    -1,   366,    -1,   367,
      -1,   368,    -1,   369,    -1,   370,    -1,   371,    -1,   373,
      -1,   374,    -1,   375,    -1,   376,    -1,   378,    -1,   379,
      -1,   380,    -1,   381,    -1,   382,    -1,   383,    -1,   384,
      -1,   385,    -1,   386,    -1,   387,    -1,   388,    -1,   390,
      -1,   391,    -1,   393,    -1,   394,    -1,   395,    -1,   397,
      -1,   398,    -1,   399,    -1,   400,    -1,   401,    -1,   402,
      -1,   404,    -1,   406,    -1,   407,    -1,   408,    -1,   409,
      -1,   410,    -1,   412,    -1,   413,    -1,   415,    -1,   416,
      -1,   418,    -1,   419,    -1,   421,    -1,   423,    -1,   424,
      -1,   425,    -1,   426,    -1,   427,    -1,   428,    -1,   429,
      -1,   430,    -1,   431,    -1,   432,    -1,   433,    -1,   436,
      -1,   437,    -1,   439,    -1,   441,    -1,   442,    -1,   443,
      -1,   444,    -1,   445,    -1,   451,    -1,   452,    -1,   454,
      -1,   457,    -1,   458,    -1,   459,    -1,   460,    -1,   461,
      -1,   462,    -1,   463,    -1,   466,    -1,   467,    -1,   468,
      -1,   469,    -1,   470,    -1,   473,    -1,   474,    -1,   475,
      -1,   476,    -1,   477,    -1,   481,    -1,   483,    -1,   484,
      -1,   485,    -1,   486,    -1,   489,    -1,   492,    -1,   493,
      -1,   494,    -1,   495,    -1,   496,    -1,   497,    -1,   508,
      -1,   509,    -1,   122,    -1,   123,    -1,   125,    -1,   126,
      -1,   138,    -1,   145,    -1,   182,    -1,   183,    -1,   217,
      -1,   221,    -1,   227,    -1,   241,    -1,   243,    -1,   266,
      -1,   272,    -1,   274,    -1,   289,    -1,   314,    -1,   316,
      -1,   319,    -1,   326,    -1,   328,    -1,   342,    -1,   346,
      -1,   357,    -1,   359,    -1,   372,    -1,   396,    -1,   414,
      -1,   420,    -1,   434,    -1,   447,    -1,   448,    -1,   453,
      -1,   455,    -1,   479,    -1,   498,    -1,   499,    -1,   500,
      -1,   501,    -1,   502,    -1,   503,    -1,   504,    -1,   505,
      -1,   506,    -1,   118,    -1,   124,    -1,   147,    -1,   153,
      -1,   165,    -1,   172,    -1,   233,    -1,   235,    -1,   251,
      -1,   265,    -1,   277,    -1,   278,    -1,   280,    -1,   290,
      -1,   292,    -1,   315,    -1,   323,    -1,   343,    -1,   345,
      -1,   392,    -1,   417,    -1,   440,    -1,   482,    -1,   102,
      -1,   106,    -1,   107,    -1,   108,    -1,   109,    -1,   110,
      -1,   111,    -1,   112,    -1,   115,    -1,   127,    -1,   133,
      -1,   134,    -1,   140,    -1,   146,    -1,   148,    -1,   157,
      -1,   164,    -1,   169,    -1,   170,    -1,   171,    -1,   173,
      -1,   174,    -1,   175,    -1,   185,    -1,   187,    -1,   193,
      -1,   197,    -1,   198,    -1,   204,    -1,   208,    -1,   212,
      -1,   222,    -1,   224,    -1,   229,    -1,   231,    -1,   234,
      -1,   239,    -1,   242,    -1,   245,    -1,   256,    -1,   263,
      -1,   273,    -1,   275,    -1,   286,    -1,   287,    -1,   293,
      -1,   297,    -1,   298,    -1,   320,    -1,   325,    -1,   332,
      -1,   334,    -1,   335,    -1,   339,    -1,   340,    -1,   354,
      -1,   363,    -1,   377,    -1,   389,    -1,   405,    -1,   411,
      -1,   422,    -1,   435,    -1,   438,    -1,   446,    -1,   450,
      -1,   456,    -1,   465,    -1,   471,    -1,   472,    -1,   480,
      -1,   487,    -1,   488,    -1,   490,    -1,   491,    -1,    -1,
    1140,  1141,    -1,  1262,  1144,   536,   530,    -1,  1262,   536,
     530,    -1,  1262,  1164,    -1,  1169,    -1,  1281,    -1,    72,
      -1,   532,    -1,   533,    -1,    -1,   164,   615,   438,   651,
     111,  1143,   957,   652,    -1,   116,  1205,    -1,     9,   449,
    1146,  1153,  1154,    -1,     9,   449,   185,    -1,     9,  1155,
      -1,   179,  1146,    -1,  1147,  1150,  1152,    -1,  1148,   531,
    1149,  1152,   520,  1147,  1158,    -1,  1157,    -1,  1273,    -1,
    1123,    -1,    -1,  1275,  1269,    -1,    84,  1151,    -1,  1149,
      -1,    -1,  1253,    -1,  1253,   528,  1151,    -1,    73,    -1,
     531,  1130,    -1,    -1,   111,  1205,    -1,    -1,   471,  1155,
      -1,    -1,  1156,    -1,  1156,   520,  1156,    -1,  1156,    21,
     128,  1156,    -1,  1156,   472,  1156,    -1,  1132,    -1,  1273,
      -1,  1267,    -1,  1269,    -1,    84,  1159,    -1,    -1,  1253,
    1160,    -1,  1253,  1160,    84,  1159,    -1,    -1,   515,  1130,
      -1,   515,  1275,    -1,   515,  1267,    -1,  1122,    -1,  1157,
      -1,   184,   954,   955,   176,   956,   229,  1161,    -1,   216,
     252,  1206,    -1,  1165,    -1,  1176,    -1,  1178,    -1,   663,
      -1,   529,   663,    -1,    -1,  1049,    -1,   507,   449,   307,
      -1,   507,   449,   403,    -1,   180,   449,   180,    -1,   310,
     449,   310,    -1,    -1,  1171,  1170,  1173,  1172,    -1,  1262,
     121,   184,    34,   530,    -1,  1262,   208,   184,    34,   530,
      -1,    -1,  1174,    -1,  1165,    -1,    72,    -1,  1174,  1165,
      -1,  1174,    72,    -1,  1178,    -1,  1175,  1178,    -1,    -1,
      69,  1177,  1185,  1201,  1257,  1028,   530,    -1,    -1,  1182,
    1185,  1179,  1198,   530,    -1,    -1,  1185,  1180,  1198,   530,
      -1,  1188,   530,    -1,   531,  1130,    -1,    -1,  1183,  1184,
      -1,  1183,    -1,  1184,    -1,    55,    -1,    66,    -1,    64,
      -1,    49,    -1,    50,    -1,    68,    -1,  1194,    -1,  1190,
      -1,  1186,    -1,  1257,   526,  1166,  1167,   527,    -1,  1257,
    1168,    -1,  1192,    -1,   209,  1251,  1187,    -1,   209,  1187,
      -1,   209,  1251,    -1,   532,  1279,   533,    -1,    -1,  1192,
    1189,   532,  1175,   533,    -1,  1188,    -1,    -1,  1193,  1191,
     532,  1175,   533,    -1,    42,  1251,    -1,   464,  1251,    -1,
      42,    -1,   464,    -1,  1195,    -1,  1197,  1196,    -1,    43,
      35,    -1,    43,    35,   271,    -1,    43,    -1,    43,   271,
      -1,    43,    25,    -1,    43,    25,   271,    -1,    43,    25,
      25,    -1,    43,    25,    25,   271,    -1,    43,   137,    -1,
      35,    -1,    35,   271,    -1,   271,    -1,    25,    -1,    25,
     271,    -1,    25,    25,    -1,    25,    25,   271,    -1,     5,
      -1,   137,    -1,   201,    -1,    36,    -1,    -1,  1199,    -1,
    1198,   529,  1199,    -1,  1201,  1256,  1028,  1181,  1200,    -1,
      -1,   515,  1280,    -1,    -1,   519,    -1,   519,   519,    -1,
     184,   427,  1275,    -1,    15,  1204,    -1,  1205,    -1,   168,
      -1,   102,    -1,    -1,  1123,    -1,   185,    -1,  1157,    -1,
    1157,    -1,    70,    -1,    17,   954,    -1,    17,   102,    -1,
      28,   954,  1209,    -1,    -1,  1210,    -1,   472,  1214,    -1,
    1211,    -1,   472,   423,    14,  1276,    -1,   472,    14,  1122,
      -1,   275,   423,    14,  1276,    -1,   275,    14,  1122,    -1,
     275,  1122,    -1,  1215,    -1,  1215,   529,  1214,    -1,  1216,
      -1,  1267,    -1,  1265,    -1,  1130,    -1,   517,  1130,    -1,
     518,  1130,    -1,  1272,    -1,   517,  1272,    -1,   518,  1272,
      -1,  1273,    -1,  1271,    -1,  1274,    -1,    13,   267,  1161,
    1211,    -1,    13,  1218,  1161,  1211,    -1,    13,  1218,  1161,
    1212,    -1,    13,   267,  1161,  1213,    -1,    13,  1218,  1161,
    1213,    -1,    29,    -1,    -1,     3,    14,  1276,    -1,   181,
      14,  1276,    -1,    18,    14,  1276,  1222,    -1,  1223,    -1,
    1222,   529,  1223,    -1,  1269,   515,  1228,    -1,   412,    14,
    1276,  1225,    -1,  1226,    -1,  1225,   529,  1226,    -1,  1228,
     515,  1227,    -1,  1130,    -1,  1269,    -1,    10,    -1,    18,
      14,  1276,   477,  1227,  1230,    -1,  1231,    -1,  1230,   529,
    1231,    -1,  1269,   515,  1236,    -1,   412,    14,  1276,   477,
    1227,  1233,    -1,  1234,    -1,  1233,   529,  1234,    -1,  1236,
     515,  1235,    -1,  1272,    -1,  1227,    -1,   518,  1272,    -1,
     518,  1130,    -1,  1273,    -1,     8,    -1,   178,    -1,    11,
      -1,    12,    -1,    22,    -1,    23,    -1,    24,    -1,   312,
      -1,    26,    -1,    27,    -1,   359,    -1,    31,    -1,    32,
      -1,    33,    -1,   459,    -1,   412,     4,   515,  1238,    -1,
     412,     4,   449,  1238,    -1,   334,    -1,   331,    -1,   412,
     156,   449,  1205,    -1,   412,   156,   515,  1205,    -1,   412,
     156,  1205,    -1,    -1,   459,  1241,  1257,   277,  1185,  1028,
    1242,    -1,    30,    -1,    -1,    -1,    44,  1244,  1255,   277,
    1185,  1028,  1242,    -1,    45,    37,  1246,    -1,    45,   320,
      16,  1246,    -1,    45,    39,  1246,    -1,   160,    -1,    38,
      -1,    41,    -1,    20,  1122,    -1,    19,   449,  1122,    -1,
     198,  1122,   526,  1263,   527,    -1,   198,     6,    -1,     7,
    1122,   526,  1263,   527,    -1,     7,  1122,    -1,  1248,    -1,
    1249,    -1,     6,    -1,     7,    -1,     8,    -1,    10,    -1,
      11,    -1,    12,    -1,    16,    -1,    19,    -1,    20,    -1,
      21,    -1,    22,    -1,    23,    -1,    24,    -1,    26,    -1,
      27,    -1,    31,    -1,    32,    -1,    33,    -1,    34,    -1,
      37,    -1,    38,    -1,    39,    -1,    41,    -1,     9,    -1,
      13,    -1,    15,    -1,    28,    -1,    44,    -1,    45,    -1,
       5,    -1,    25,    -1,    29,    -1,    35,    -1,    42,    -1,
      36,    -1,    43,    -1,  1255,    -1,  1275,    -1,  1136,    -1,
    1137,    -1,  1260,    -1,  1247,    -1,  1258,    -1,   137,    -1,
     478,    -1,  1275,    -1,  1259,    -1,  1137,    -1,  1247,    -1,
    1258,    -1,   137,    -1,   478,    -1,  1275,    -1,  1259,    -1,
    1138,    -1,  1247,    -1,  1258,    -1,  1250,    -1,  1256,    -1,
    1250,    -1,   137,    -1,   168,    -1,   267,    -1,   271,    -1,
     449,    -1,   464,    -1,   478,    -1,  1258,    -1,  1260,    -1,
    1257,    -1,  1136,    -1,  1139,    -1,  1249,    -1,   156,    -1,
    1275,    -1,  1137,    -1,  1138,    -1,  1248,    -1,    49,    -1,
      50,    -1,    55,    -1,    64,    -1,    66,    -1,    69,    -1,
      68,    -1,  1136,    -1,  1260,    -1,   156,    -1,   180,    -1,
     248,    -1,   307,    -1,   310,    -1,   403,    -1,   507,    -1,
    1264,    -1,  1261,   529,  1264,    -1,    40,    -1,    -1,  1279,
      -1,  1269,  1268,    -1,  1269,    -1,  1269,  1268,    -1,  1157,
      -1,  1269,    -1,  1269,    -1,    22,  1269,    -1,    22,  1122,
      -1,    71,    -1,    86,    -1,    82,    -1,    80,    -1,    81,
      -1,    75,    -1,    76,    -1,    77,    -1,    74,    -1,    83,
      -1,    79,    -1,    70,    -1,    78,    -1,  1122,    -1,  1157,
      -1,  1282,    -1,   526,   527,    -1,   526,  1278,   527,    -1,
    1277,    -1,  1278,  1277,    -1,  1280,    -1,  1279,   529,  1280,
      -1,  1278,    -1,   532,  1279,   533,    -1,  1282,    -1,   526,
      -1,   527,    -1,   529,    -1,   530,    -1,  1275,    -1,  1130,
      -1,  1272,    -1,  1273,    -1,   519,    -1,   517,    -1,   518,
      -1,   520,    -1,   521,    -1,   325,    -1,    46,    -1,    47,
      -1,    48,    -1,    49,    -1,    50,    -1,    51,    -1,    52,
      -1,    53,    -1,    54,    -1,    55,    -1,    56,    -1,    57,
      -1,    59,    -1,    58,    -1,    60,    -1,    61,    -1,    62,
      -1,    63,    -1,    64,    -1,    65,    -1,    66,    -1,    67,
      -1,    69,    -1,    68,    -1,     5,    -1,   209,    -1,   248,
      -1,   271,    -1,    25,    -1,   307,    -1,   310,    -1,   403,
      -1,    35,    -1,    36,    -1,    42,    -1,    43,    -1,   507,
      -1,   137,    -1,   227,    -1,   449,    -1,   464,    -1,   479,
      -1,   524,    -1,   525,    -1,   515,    -1,   531,    -1,   181,
    1161,    -1,   181,   361,  1161,    -1,   181,   102,    -1,   181,
     361,   102,    -1,  1130,    -1,   526,  1284,   527,    -1,  1284,
     517,  1284,    -1,  1284,   518,  1284,    -1,  1284,   519,  1284,
      -1,  1284,   520,  1284,    -1,  1284,   521,  1284,    -1,  1273,
      -1,  1253,    -1,  1253,   526,  1185,   527,    -1,    -1,  1210,
    1286,    -1,  1286,  1210,    -1,  1210,    -1,  1286,    -1,   275,
    1261,    -1,  1212,    -1,  1286,    -1,  1211,    -1,    -1,  1287,
      -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1556,  1556,  1559,  1561,  1563,  1565,  1567,  1569,  1571,
    1573,  1575,  1577,  1579,  1581,  1583,  1585,  1587,  1589,  1591,
    1593,  1595,  1597,  1599,  1601,  1603,  1605,  1607,  1609,  1611,
    1613,  1615,  1617,  1619,  1637,  1639,  1641,  1643,  1645,  1647,
    1649,  1651,  1653,  1655,  1657,  1659,  1661,  1663,  1665,  1667,
    1669,  1671,  1673,  1675,  1677,  1679,  1681,  1683,  1685,  1687,
    1689,  1691,  1693,  1695,  1697,  1699,  1701,  1705,  1707,  1709,
    1711,  1713,  1715,  1717,  1719,  1721,  1723,  1725,  1727,  1729,
    1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,
    1751,  1753,  1755,  1757,  1759,  1761,  1763,  1765,  1767,  1769,
    1771,  1773,  1775,  1777,  1779,  1786,  1788,  1790,  1792,  1794,
    1796,  1798,  1800,  1802,  1804,  1806,  1808,  1814,  1816,  1818,
    1820,  1822,  1824,  1826,  1828,  1830,  1836,  1846,  1850,  1856,
    1860,  1870,  1880,  1881,  1895,  1902,  1908,  1919,  1925,  1934,
    1941,  1947,  1956,  1963,  1971,  1976,  1984,  1988,  1993,  1999,
    2004,  2010,  2015,  2021,  2025,  2029,  2033,  2037,  2041,  2045,
    2049,  2053,  2061,  2065,  2069,  2073,  2077,  2081,  2089,  2097,
    2106,  2108,  2116,  2120,  2128,  2136,  2144,  2148,  2156,  2160,
    2168,  2176,  2184,  2188,  2196,  2200,  2208,  2212,  2216,  2221,
    2230,  2235,  2241,  2246,  2252,  2256,  2260,  2264,  2268,  2272,
    2280,  2284,  2288,  2296,  2300,  2304,  2312,  2316,  2320,  2324,
    2325,  2329,  2333,  2337,  2342,  2346,  2350,  2354,  2358,  2362,
    2366,  2374,  2378,  2386,  2390,  2398,  2402,  2416,  2420,  2424,
    2428,  2436,  2440,  2444,  2448,  2456,  2460,  2464,  2468,  2472,
    2476,  2480,  2488,  2492,  2497,  2503,  2507,  2515,  2523,  2527,
    2531,  2535,  2543,  2547,  2555,  2559,  2567,  2571,  2579,  2583,
    2587,  2591,  2595,  2604,  2612,  2616,  2624,  2628,  2636,  2644,
    2648,  2652,  2656,  2660,  2668,  2672,  2676,  2680,  2684,  2688,
    2692,  2696,  2700,  2704,  2708,  2712,  2716,  2720,  2724,  2728,
    2736,  2740,  2748,  2752,  2756,  2760,  2764,  2768,  2772,  2776,
    2780,  2784,  2788,  2792,  2796,  2800,  2804,  2808,  2812,  2816,
    2820,  2824,  2828,  2832,  2836,  2840,  2844,  2848,  2852,  2856,
    2860,  2864,  2868,  2872,  2876,  2880,  2884,  2888,  2892,  2896,
    2900,  2904,  2908,  2912,  2916,  2920,  2924,  2928,  2932,  2936,
    2944,  2948,  2956,  2960,  2965,  2971,  2976,  2982,  2987,  2993,
    2997,  3001,  3005,  3013,  3021,  3026,  3032,  3036,  3044,  3048,
    3052,  3056,  3064,  3072,  3076,  3084,  3088,  3092,  3096,  3104,
    3109,  3117,  3125,  3133,  3137,  3145,  3150,  3156,  3160,  3164,
    3172,  3176,  3184,  3189,  3195,  3199,  3203,  3207,  3211,  3215,
    3219,  3223,  3227,  3231,  3235,  3239,  3243,  3247,  3255,  3260,
    3266,  3271,  3277,  3282,  3288,  3293,  3299,  3303,  3311,  3319,
    3323,  3327,  3331,  3336,  3342,  3346,  3354,  3362,  3366,  3370,
    3374,  3382,  3386,  3390,  3394,  3398,  3402,  3406,  3411,  3417,
    3422,  3428,  3433,  3439,  3443,  3451,  3455,  3463,  3467,  3471,
    3479,  3483,  3491,  3499,  3507,  3512,  3518,  3522,  3526,  3530,
    3538,  3542,  3546,  3550,  3554,  3558,  3562,  3570,  3574,  3578,
    3582,  3590,  3598,  3602,  3607,  3613,  3617,  3621,  3625,  3629,
    3633,  3641,  3645,  3653,  3657,  3661,  3665,  3669,  3673,  3677,
    3685,  3690,  3696,  3701,  3707,  3711,  3719,  3727,  3731,  3736,
    3741,  3747,  3751,  3759,  3763,  3771,  3776,  3782,  3786,  3790,
    3794,  3799,  3805,  3813,  3821,  3825,  3829,  3833,  3837,  3845,
    3850,  3856,  3860,  3864,  3869,  3875,  3879,  3883,  3888,  3894,
    3899,  3905,  3910,  3916,  3924,  3932,  3936,  3941,  3947,  3951,
    3959,  3967,  3972,  3978,  3986,  3990,  3998,  4002,  4010,  4015,
    4021,  4025,  4033,  4037,  4041,  4045,  4049,  4053,  4057,  4061,
    4065,  4069,  4073,  4077,  4085,  4090,  4096,  4100,  4104,  4112,
    4116,  4124,  4128,  4136,  4141,  4147,  4151,  4159,  4164,  4170,
    4174,  4182,  4187,  4193,  4197,  4205,  4210,  4216,  4224,  4229,
    4235,  4239,  4247,  4251,  4259,  4264,  4270,  4274,  4278,  4286,
    4294,  4299,  4305,  4313,  4317,  4321,  4325,  4329,  4333,  4337,
    4341,  4345,  4349,  4353,  4357,  4361,  4365,  4369,  4373,  4377,
    4381,  4385,  4389,  4393,  4397,  4401,  4405,  4409,  4417,  4425,
    4429,  4433,  4437,  4445,  4449,  4457,  4462,  4468,  4472,  4480,
    4484,  4492,  4497,  4503,  4507,  4515,  4523,  4527,  4535,  4539,
    4543,  4547,  4555,  4563,  4571,  4579,  4587,  4592,  4598,  4602,
    4610,  4615,  4621,  4625,  4633,  4637,  4641,  4649,  4653,  4661,
    4665,  4673,  4681,  4685,  4693,  4698,  4704,  4712,  4716,  4724,
    4728,  4736,  4744,  4752,  4760,  4764,  4772,  4777,  4783,  4788,
    4794,  4799,  4805,  4810,  4816,  4821,  4827,  4831,  4835,  4839,
    4843,  4851,  4855,  4863,  4867,  4871,  4879,  4883,  4891,  4895,
    4899,  4903,  4907,  4915,  4920,  4926,  4931,  4937,  4941,  4949,
    4954,  4960,  4964,  4969,  4975,  4979,  4983,  4987,  4995,  5000,
    5007,  5009,  5017,  5021,  5025,  5029,  5033,  5037,  5045,  5049,
    5057,  5061,  5069,  5073,  5081,  5089,  5093,  5101,  5109,  5113,
    5117,  5121,  5129,  5138,  5147,  5151,  5155,  5159,  5163,  5167,
    5171,  5175,  5179,  5183,  5187,  5191,  5195,  5199,  5207,  5215,
    5219,  5227,  5231,  5239,  5243,  5247,  5251,  5255,  5263,  5271,
    5275,  5283,  5291,  5296,  5302,  5306,  5314,  5318,  5322,  5330,
    5335,  5341,  5349,  5353,  5361,  5365,  5369,  5373,  5377,  5385,
    5390,  5396,  5401,  5407,  5411,  5416,  5422,  5428,  5434,  5442,
    5446,  5454,  5458,  5466,  5470,  5478,  5482,  5490,  5494,  5502,
    5510,  5518,  5522,  5526,  5530,  5534,  5538,  5542,  5546,  5554,
    5558,  5562,  5566,  5570,  5574,  5578,  5582,  5586,  5590,  5594,
    5598,  5602,  5606,  5610,  5618,  5622,  5630,  5634,  5642,  5646,
    5654,  5658,  5659,  5667,  5671,  5676,  5682,  5686,  5690,  5694,
    5698,  5702,  5706,  5710,  5714,  5718,  5722,  5726,  5730,  5734,
    5738,  5742,  5746,  5750,  5758,  5762,  5766,  5770,  5774,  5778,
    5782,  5786,  5790,  5794,  5798,  5802,  5806,  5810,  5814,  5818,
    5822,  5826,  5830,  5834,  5838,  5846,  5850,  5858,  5862,  5866,
    5870,  5874,  5878,  5882,  5890,  5895,  5901,  5905,  5909,  5913,
    5917,  5921,  5925,  5929,  5933,  5937,  5941,  5949,  5953,  5961,
    5965,  5969,  5973,  5979,  5985,  5991,  5997,  6003,  6009,  6015,
    6025,  6036,  6047,  6058,  6069,  6080,  6091,  6107,  6123,  6139,
    6150,  6166,  6177,  6193,  6208,  6212,  6220,  6225,  6231,  6239,
    6243,  6251,  6255,  6259,  6263,  6267,  6275,  6279,  6287,  6291,
    6295,  6299,  6307,  6311,  6315,  6319,  6323,  6327,  6331,  6335,
    6339,  6343,  6347,  6351,  6355,  6359,  6363,  6367,  6375,  6379,
    6387,  6391,  6399,  6404,  6410,  6414,  6422,  6430,  6438,  6442,
    6450,  6455,  6461,  6466,  6472,  6480,  6485,  6491,  6495,  6499,
    6507,  6511,  6515,  6523,  6527,  6531,  6535,  6543,  6547,  6555,
    6560,  6566,  6571,  6577,  6582,  6588,  6593,  6599,  6603,  6611,
    6615,  6619,  6627,  6632,  6638,  6642,  6647,  6653,  6657,  6662,
    6668,  6672,  6677,  6683,  6687,  6691,  6699,  6704,  6710,  6714,
    6722,  6726,  6734,  6738,  6746,  6750,  6758,  6762,  6766,  6770,
    6774,  6782,  6786,  6790,  6794,  6798,  6806,  6814,  6822,  6826,
    6830,  6838,  6842,  6846,  6854,  6863,  6867,  6871,  6875,  6883,
    6887,  6895,  6899,  6907,  6911,  6915,  6919,  6923,  6927,  6931,
    6935,  6939,  6943,  6947,  6951,  6955,  6959,  6963,  6971,  6975,
    6979,  6983,  6987,  6995,  6999,  7007,  7011,  7019,  7024,  7030,
    7038,  7042,  7050,  7058,  7062,  7070,  7075,  7081,  7085,  7093,
    7097,  7105,  7109,  7117,  7121,  7125,  7129,  7137,  7141,  7149,
    7157,  7161,  7169,  7173,  7181,  7185,  7189,  7197,  7201,  7206,
    7212,  7220,  7225,  7231,  7239,  7243,  7247,  7251,  7259,  7267,
    7271,  7275,  7279,  7287,  7291,  7299,  7303,  7307,  7315,  7319,
    7327,  7335,  7339,  7347,  7351,  7355,  7359,  7363,  7367,  7371,
    7375,  7379,  7383,  7387,  7391,  7395,  7399,  7403,  7407,  7411,
    7415,  7419,  7423,  7427,  7431,  7435,  7439,  7443,  7447,  7451,
    7455,  7459,  7463,  7467,  7471,  7475,  7479,  7483,  7487,  7491,
    7495,  7499,  7503,  7507,  7511,  7515,  7519,  7523,  7527,  7531,
    7535,  7543,  7548,  7554,  7559,  7565,  7569,  7573,  7577,  7581,
    7585,  7589,  7593,  7597,  7601,  7605,  7609,  7613,  7617,  7621,
    7625,  7629,  7633,  7637,  7641,  7645,  7649,  7653,  7657,  7665,
    7669,  7673,  7677,  7681,  7685,  7689,  7693,  7697,  7701,  7705,
    7709,  7713,  7717,  7721,  7725,  7729,  7733,  7737,  7745,  7753,
    7757,  7761,  7769,  7773,  7781,  7785,  7789,  7793,  7797,  7805,
    7810,  7816,  7820,  7824,  7828,  7836,  7840,  7845,  7851,  7855,
    7863,  7871,  7876,  7882,  7890,  7894,  7902,  7906,  7910,  7914,
    7918,  7922,  7926,  7930,  7934,  7938,  7942,  7946,  7950,  7954,
    7962,  7966,  7971,  7977,  7981,  7985,  7989,  7993,  8001,  8005,
    8009,  8017,  8022,  8028,  8032,  8036,  8041,  8050,  8054,  8058,
    8063,  8069,  8077,  8085,  8090,  8096,  8100,  8108,  8112,  8116,
    8124,  8128,  8132,  8136,  8140,  8144,  8148,  8156,  8161,  8167,
    8171,  8175,  8183,  8191,  8195,  8203,  8207,  8215,  8223,  8227,
    8231,  8235,  8239,  8243,  8247,  8255,  8260,  8266,  8274,  8278,
    8282,  8286,  8290,  8294,  8302,  8306,  8314,  8322,  8326,  8330,
    8338,  8343,  8349,  8353,  8357,  8361,  8365,  8373,  8377,  8385,
    8389,  8393,  8397,  8405,  8409,  8417,  8421,  8429,  8434,  8440,
    8445,  8451,  8456,  8462,  8467,  8473,  8477,  8481,  8485,  8493,
    8497,  8501,  8505,  8509,  8513,  8517,  8521,  8525,  8533,  8537,
    8545,  8553,  8557,  8565,  8569,  8574,  8580,  8586,  8596,  8601,
    8607,  8611,  8615,  8619,  8627,  8629,  8637,  8642,  8648,  8656,
    8660,  8668,  8672,  8676,  8684,  8688,  8696,  8704,  8708,  8713,
    8719,  8723,  8728,  8734,  8739,  8745,  8753,  8758,  8764,  8772,
    8777,  8783,  8787,  8791,  8795,  8799,  8803,  8807,  8811,  8819,
    8824,  8830,  8834,  8839,  8845,  8853,  8857,  8865,  8869,  8877,
    8885,  8889,  8897,  8905,  8909,  8917,  8970,  8974,  8987,  8989,
    8993,  8997,  9001,  9010,  9016,  9020,  9028,  9032,  9040,  9044,
    9052,  9056,  9060,  9064,  9068,  9072,  9076,  9080,  9088,  9092,
    9100,  9104,  9108,  9112,  9116,  9120,  9124,  9132,  9136,  9140,
    9148,  9152,  9160,  9168,  9173,  9179,  9184,  9186,  9192,  9196,
    9200,  9204,  9208,  9212,  9216,  9220,  9224,  9232,  9237,  9243,
    9247,  9252,  9258,  9262,  9270,  9275,  9281,  9286,  9292,  9300,
    9304,  9312,  9316,  9324,  9328,  9332,  9336,  9344,  9349,  9355,
    9359,  9364,  9372,  9376,  9384,  9388,  9396,  9404,  9408,  9413,
    9419,  9427,  9431,  9439,  9443,  9451,  9456,  9462,  9466,  9474,
    9478,  9482,  9486,  9490,  9498,  9506,  9514,  9522,  9530,  9535,
    9541,  9545,  9553,  9558,  9564,  9568,  9576,  9584,  9588,  9592,
    9596,  9604,  9609,  9615,  9619,  9627,  9632,  9638,  9642,  9650,
    9654,  9658,  9662,  9666,  9673,  9680,  9684,  9692,  9696,  9700,
    9704,  9708,  9712,  9720,  9724,  9728,  9732,  9740,  9745,  9751,
    9755,  9759,  9763,  9768,  9774,  9778,  9782,  9786,  9794,  9799,
    9805,  9809,  9817,  9821,  9825,  9829,  9837,  9841,  9849,  9853,
    9857,  9865,  9873,  9881,  9886,  9892,  9896,  9904,  9912,  9916,
    9924,  9929,  9935,  9940,  9946,  9951,  9957,  9961,  9967,  9973,
    9978,  9984,  9988,  9996, 10004, 10006, 10008, 10012, 10016, 10020,
   10028, 10038, 10049, 10058, 10062, 10066, 10070, 10074, 10078, 10082,
   10090, 10094, 10098, 10102, 10110, 10114, 10122, 10127, 10133, 10137,
   10141, 10145, 10149, 10153, 10157, 10161, 10165, 10169, 10173, 10181,
   10186, 10192, 10196, 10204, 10208, 10216, 10224, 10232, 10236, 10244,
   10248, 10256, 10264, 10272, 10276, 10280, 10284, 10288, 10292, 10300,
   10305, 10311, 10316, 10322, 10326, 10330, 10334, 10342, 10350, 10354,
   10359, 10365, 10369, 10373, 10377, 10381, 10385, 10389, 10393, 10397,
   10401, 10405, 10409, 10413, 10418, 10424, 10428, 10436, 10440, 10444,
   10448, 10452, 10456, 10460, 10464, 10468, 10472, 10476, 10480, 10484,
   10488, 10492, 10496, 10500, 10504, 10508, 10512, 10516, 10520, 10524,
   10528, 10532, 10536, 10540, 10544, 10548, 10552, 10556, 10560, 10564,
   10568, 10572, 10576, 10580, 10584, 10588, 10592, 10596, 10600, 10604,
   10608, 10612, 10616, 10620, 10624, 10628, 10632, 10636, 10640, 10644,
   10648, 10652, 10656, 10660, 10664, 10668, 10672, 10676, 10681, 10685,
   10693, 10697, 10701, 10705, 10709, 10713, 10717, 10721, 10725, 10729,
   10733, 10737, 10741, 10745, 10749, 10753, 10757, 10761, 10765, 10769,
   10773, 10777, 10781, 10785, 10789, 10797, 10801, 10805, 10809, 10813,
   10817, 10821, 10825, 10829, 10833, 10837, 10841, 10845, 10849, 10857,
   10861, 10865, 10869, 10873, 10877, 10881, 10889, 10893, 10901, 10905,
   10913, 10917, 10921, 10925, 10929, 10933, 10937, 10941, 10945, 10949,
   10953, 10957, 10961, 10965, 10969, 10973, 10977, 10981, 10985, 10989,
   10993, 10997, 11001, 11005, 11009, 11013, 11017, 11021, 11025, 11029,
   11033, 11037, 11041, 11045, 11049, 11053, 11057, 11061, 11065, 11069,
   11073, 11077, 11085, 11089, 11097, 11101, 11105, 11110, 11116, 11124,
   11128, 11136, 11140, 11148, 11152, 11160, 11164, 11169, 11175, 11179,
   11183, 11187, 11195, 11200, 11206, 11211, 11217, 11222, 11228, 11232,
   11240, 11248, 11252, 11257, 11263, 11271, 11275, 11282, 11287, 11293,
   11298, 11303, 11309, 11313, 11321, 11325, 11329, 11333, 11337, 11345,
   11349, 11353, 11361, 11365, 11373, 11381, 11385, 11389, 11397, 11401,
   11409, 11413, 11417, 11421, 11425, 11429, 11433, 11437, 11441, 11445,
   11449, 11453, 11461, 11465, 11473, 11477, 11485, 11489, 11493, 11497,
   11501, 11505, 11513, 11517, 11525, 11529, 11537, 11541, 11545, 11553,
   11557, 11565, 11569, 11573, 11581, 11585, 11593, 11598, 11604, 11608,
   11612, 11616, 11620, 11624, 11628, 11632, 11640, 11644, 11652, 11660,
   11665, 11671, 11675, 11679, 11683, 11687, 11692, 11698, 11706, 11714,
   11718, 11722, 11730, 11734, 11742, 11750, 11754, 11762, 11770, 11775,
   11781, 11786, 11792, 11796, 11804, 11808, 11812, 11816, 11824, 11828,
   11837, 11839, 11847, 11852, 11858, 11862, 11870, 11874, 11882, 11890,
   11895, 11901, 11905, 11913, 11917, 11921, 11925, 11933, 11937, 11945,
   11949, 11957, 11961, 11969, 11977, 11985, 11993, 12001, 12009, 12017,
   12021, 12029, 12033, 12037, 12041, 12045, 12049, 12053, 12057, 12061,
   12065, 12069, 12073, 12077, 12081, 12082, 12087, 12093, 12097, 12098,
   12102, 12110, 12118, 12122, 12126, 12134, 12138, 12146, 12150, 12154,
   12158, 12166, 12170, 12174, 12178, 12182, 12186, 12190, 12194, 12198,
   12202, 12206, 12210, 12214, 12218, 12222, 12226, 12230, 12234, 12238,
   12242, 12246, 12250, 12254, 12258, 12262, 12266, 12270, 12274, 12278,
   12282, 12286, 12290, 12294, 12298, 12302, 12306, 12310, 12314, 12318,
   12322, 12326, 12330, 12334, 12338, 12342, 12346, 12350, 12354, 12358,
   12362, 12366, 12370, 12374, 12378, 12382, 12386, 12390, 12394, 12398,
   12402, 12406, 12410, 12414, 12418, 12422, 12426, 12430, 12434, 12438,
   12442, 12446, 12450, 12454, 12458, 12462, 12466, 12470, 12474, 12478,
   12482, 12486, 12490, 12494, 12498, 12502, 12506, 12510, 12514, 12518,
   12522, 12526, 12530, 12534, 12538, 12542, 12546, 12550, 12554, 12558,
   12562, 12566, 12570, 12574, 12578, 12582, 12586, 12590, 12594, 12598,
   12602, 12606, 12610, 12614, 12618, 12622, 12626, 12630, 12634, 12638,
   12642, 12646, 12650, 12654, 12658, 12662, 12666, 12670, 12674, 12678,
   12682, 12686, 12690, 12694, 12698, 12702, 12706, 12710, 12714, 12718,
   12722, 12726, 12730, 12734, 12738, 12742, 12746, 12750, 12754, 12758,
   12762, 12766, 12770, 12774, 12778, 12782, 12786, 12790, 12794, 12798,
   12802, 12806, 12810, 12814, 12818, 12822, 12826, 12830, 12834, 12838,
   12842, 12846, 12850, 12854, 12858, 12862, 12866, 12870, 12874, 12878,
   12882, 12886, 12890, 12894, 12898, 12902, 12906, 12910, 12914, 12918,
   12922, 12926, 12930, 12934, 12938, 12942, 12946, 12950, 12954, 12958,
   12962, 12966, 12970, 12974, 12978, 12982, 12986, 12990, 12994, 12998,
   13002, 13006, 13010, 13014, 13018, 13022, 13026, 13030, 13034, 13038,
   13042, 13046, 13050, 13054, 13058, 13062, 13066, 13070, 13074, 13078,
   13082, 13086, 13090, 13094, 13098, 13102, 13106, 13110, 13114, 13118,
   13122, 13126, 13130, 13134, 13138, 13142, 13146, 13150, 13154, 13158,
   13162, 13166, 13170, 13174, 13178, 13182, 13186, 13190, 13194, 13198,
   13206, 13210, 13214, 13218, 13222, 13226, 13230, 13234, 13238, 13242,
   13246, 13250, 13254, 13258, 13262, 13266, 13270, 13274, 13278, 13282,
   13286, 13290, 13294, 13298, 13302, 13306, 13310, 13314, 13318, 13322,
   13326, 13330, 13334, 13338, 13342, 13346, 13350, 13354, 13358, 13362,
   13366, 13370, 13374, 13378, 13382, 13390, 13394, 13398, 13402, 13406,
   13410, 13414, 13418, 13422, 13426, 13430, 13434, 13438, 13442, 13446,
   13450, 13454, 13458, 13462, 13466, 13470, 13474, 13478, 13486, 13490,
   13494, 13498, 13502, 13506, 13510, 13514, 13518, 13522, 13526, 13530,
   13534, 13538, 13542, 13546, 13550, 13554, 13558, 13562, 13566, 13570,
   13574, 13578, 13582, 13586, 13590, 13594, 13598, 13602, 13606, 13610,
   13614, 13618, 13622, 13626, 13630, 13634, 13638, 13642, 13646, 13650,
   13654, 13658, 13662, 13666, 13670, 13674, 13678, 13682, 13686, 13690,
   13694, 13698, 13702, 13706, 13710, 13714, 13718, 13722, 13726, 13730,
   13734, 13738, 13742, 13746, 13750, 13754, 13758, 13762, 13766, 13770,
   13774, 13778, 13782, 13792, 13793, 13796, 13797, 13798, 13804, 13805,
   13806, 13807, 13808, 13821, 13821, 13830, 13845, 13847, 13850, 13852,
   13856, 13868, 13884, 13888, 13899, 13900, 13903, 13915, 13924, 13925,
   13928, 13929, 13930, 13933, 13934, 13937, 13938, 13941, 13942, 13945,
   13947, 13949, 13951, 13955, 13962, 13969, 13985, 14019, 14029, 14032,
   14036, 14049, 14050, 14052, 14054, 14058, 14072, 14079, 14140, 14149,
   14151, 14152, 14155, 14157, 14158, 14161, 14162, 14163, 14164, 14165,
   14172, 14171, 14181, 14183, 14185, 14186, 14189, 14190, 14191, 14192,
   14195, 14196, 14200, 14199, 14216, 14214, 14230, 14229, 14243, 14249,
   14250, 14253, 14255, 14256, 14259, 14260, 14261, 14262, 14265, 14266,
   14269, 14277, 14294, 14302, 14325, 14431, 14465, 14467, 14469, 14473,
   14477, 14476, 14527, 14529, 14528, 14543, 14549, 14556, 14561, 14567,
   14568, 14571, 14572, 14573, 14574, 14575, 14576, 14577, 14585, 14593,
   14596, 14597, 14598, 14599, 14600, 14601, 14609, 14617, 14618, 14619,
   14622, 14623, 14626, 14628, 14637, 14725, 14726, 14733, 14734, 14735,
   14741, 14750, 14753, 14754, 14755, 14756, 14759, 14760, 14761, 14764,
   14766, 14774, 14775, 14781, 14789, 14790, 14793, 14794, 14797, 14802,
   14809, 14814, 14821, 14828, 14828, 14830, 14837, 14838, 14841, 14842,
   14843, 14844, 14845, 14846, 14847, 14848, 14849, 14855, 14862, 14874,
   14880, 14887, 14895, 14896, 14908, 14919, 14930, 14934, 14935, 14938,
   14943, 14947, 14948, 14951, 14957, 14965, 14971, 14978, 14982, 14983,
   14986, 14989, 14993, 14994, 14997, 15003, 15012, 15017, 15027, 15037,
   15049, 15050, 15051, 15052, 15053, 15054, 15055, 15056, 15057, 15058,
   15059, 15060, 15061, 15062, 15063, 15070, 15071, 15074, 15075, 15082,
   15083, 15084, 15091, 15090, 15107, 15108, 15115, 15114, 15184, 15190,
   15196, 15204, 15210, 15216, 15222, 15228, 15234, 15240, 15246, 15252,
   15263, 15264, 15267, 15268, 15269, 15270, 15271, 15272, 15273, 15274,
   15275, 15276, 15277, 15278, 15279, 15280, 15281, 15282, 15283, 15284,
   15285, 15286, 15287, 15288, 15289, 15292, 15293, 15294, 15295, 15296,
   15297, 15301, 15302, 15303, 15304, 15305, 15306, 15307, 15310, 15313,
   15314, 15315, 15316, 15317, 15318, 15319, 15320, 15333, 15334, 15335,
   15336, 15337, 15338, 15339, 15344, 15345, 15346, 15347, 15348, 15349,
   15355, 15356, 15357, 15358, 15359, 15360, 15361, 15362, 15363, 15364,
   15365, 15368, 15369, 15370, 15371, 15372, 15375, 15376, 15377, 15378,
   15381, 15382, 15383, 15384, 15385, 15386, 15387, 15404, 15405, 15406,
   15409, 15410, 15411, 15412, 15413, 15414, 15418, 15418, 15421, 15427,
   15428, 15431, 15433, 15438, 15448, 15459, 15466, 15467, 15468, 15471,
   15504, 15506, 15508, 15511, 15521, 15531, 15541, 15542, 15545, 15547,
   15548, 15549, 15552, 15554, 15562, 15563, 15564, 15568, 15569, 15573,
   15574, 15577, 15578, 15581, 15582, 15583, 15584, 15585, 15588, 15589,
   15590, 15591, 15592, 15593, 15594, 15595, 15596, 15597, 15598, 15599,
   15600, 15601, 15602, 15603, 15604, 15605, 15606, 15607, 15608, 15609,
   15610, 15611, 15612, 15613, 15614, 15615, 15616, 15617, 15618, 15619,
   15620, 15621, 15622, 15623, 15624, 15625, 15626, 15627, 15628, 15629,
   15630, 15631, 15632, 15633, 15634, 15635, 15636, 15637, 15638, 15639,
   15640, 15641, 15642, 15643, 15646, 15647, 15648, 15649, 15652, 15653,
   15654, 15655, 15656, 15657, 15658, 15659, 15660, 15661, 15668, 15669,
   15670, 15671, 15672, 15675, 15676, 15679, 15680, 15691, 15692
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateTrigStmt", "TriggerActionTime",
  "TriggerEvents", "TriggerOneEvent", "TriggerForSpec",
  "TriggerForOptEach", "TriggerForType", "TriggerWhen", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "relation_expr_tablesample",
  "tablesample_clause", "opt_repeatable_clause", "func_table",
  "rowsfrom_item", "rowsfrom_list", "opt_col_def_list", "opt_ordinality",
  "where_clause", "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "indirection", "opt_indirection", "opt_asymmetric", "ctext_expr",
  "ctext_expr_list", "ctext_row", "opt_target_list", "target_list",
  "target_el", "qualified_name_list", "qualified_name", "name_list",
  "name", "database_name", "access_method", "attr_name", "index_name",
  "file_name", "func_name", "AexprConst", "Iconst", "SignedIconst",
  "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,    60,    62,    61,   768,    43,    45,    42,
      47,    37,    94,   769,    91,    93,    40,    41,    46,    44,
      59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   534,   535,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   537,   538,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   542,   542,   542,   542,   543,   544,
     545,   545,   546,   546,   547,   548,   549,   549,   550,   550,
     551,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     559,   559,   559,   560,   560,   560,   561,   561,   561,   561,
     562,   562,   562,   562,   562,   562,   562,   562,   562,   562,
     562,   563,   563,   564,   564,   565,   565,   566,   566,   566,
     566,   567,   567,   567,   567,   568,   568,   568,   568,   568,
     568,   568,   569,   569,   569,   570,   570,   571,   572,   572,
     572,   572,   573,   573,   574,   574,   575,   575,   576,   576,
     576,   576,   576,   577,   578,   578,   579,   579,   580,   581,
     581,   581,   581,   581,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   582,
     583,   583,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     585,   585,   586,   586,   586,   587,   587,   588,   588,   589,
     589,   589,   589,   590,   591,   591,   592,   592,   593,   593,
     593,   593,   594,   595,   595,   596,   596,   596,   596,   597,
     597,   598,   598,   599,   599,   600,   600,   601,   601,   601,
     602,   602,   603,   603,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   608,   609,   609,   610,   611,
     611,   611,   611,   611,   612,   612,   613,   614,   614,   614,
     614,   615,   615,   615,   615,   615,   615,   615,   615,   616,
     616,   617,   617,   618,   618,   619,   619,   620,   620,   620,
     621,   621,   622,   623,   624,   624,   625,   625,   625,   625,
     626,   626,   626,   626,   626,   626,   626,   627,   627,   627,
     627,   628,   629,   629,   629,   630,   630,   630,   630,   630,
     630,   631,   631,   632,   632,   632,   632,   632,   632,   632,
     633,   633,   634,   634,   635,   635,   636,   637,   637,   637,
     637,   638,   638,   639,   639,   640,   640,   641,   641,   641,
     641,   641,   642,   643,   644,   644,   644,   644,   644,   645,
     645,   646,   646,   646,   646,   647,   647,   647,   647,   648,
     648,   649,   649,   650,   651,   652,   652,   652,   653,   653,
     654,   655,   655,   656,   657,   657,   658,   658,   659,   659,
     660,   660,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   662,   662,   663,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   668,   668,   669,
     669,   670,   670,   671,   671,   672,   672,   673,   674,   674,
     675,   675,   676,   676,   677,   677,   678,   678,   678,   679,
     680,   680,   681,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   683,   684,
     684,   684,   684,   685,   685,   686,   686,   687,   687,   688,
     688,   689,   689,   690,   690,   691,   692,   692,   693,   693,
     693,   693,   694,   695,   696,   697,   698,   698,   699,   699,
     700,   700,   701,   701,   702,   702,   702,   703,   703,   704,
     704,   705,   706,   706,   707,   707,   708,   709,   709,   710,
     710,   711,   712,   713,   714,   714,   715,   715,   716,   716,
     717,   717,   718,   718,   719,   719,   720,   720,   720,   720,
     720,   721,   721,   722,   722,   722,   723,   723,   724,   724,
     724,   724,   724,   725,   725,   726,   726,   727,   727,   728,
     728,   729,   729,   729,   730,   730,   730,   730,   731,   731,
     732,   732,   733,   733,   733,   733,   733,   733,   734,   734,
     735,   735,   736,   736,   737,   738,   738,   739,   740,   740,
     740,   740,   741,   742,   743,   743,   743,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   744,   745,
     745,   746,   746,   747,   747,   747,   747,   747,   748,   749,
     749,   750,   751,   751,   752,   752,   753,   753,   753,   754,
     754,   755,   756,   756,   757,   757,   757,   757,   757,   758,
     758,   759,   759,   760,   760,   760,   761,   761,   762,   763,
     763,   764,   764,   765,   765,   766,   766,   767,   767,   768,
     769,   770,   770,   770,   770,   770,   770,   770,   770,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   772,   772,   773,   773,   774,   774,
     775,   775,   776,   777,   777,   777,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   780,   780,   781,   781,   781,
     781,   781,   781,   781,   782,   782,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   784,   784,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   787,   787,   788,   788,   789,   790,
     790,   791,   791,   791,   791,   791,   792,   792,   793,   793,
     793,   793,   794,   794,   794,   794,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   795,   795,
     796,   796,   797,   797,   798,   798,   799,   800,   801,   801,
     802,   802,   803,   803,   804,   805,   805,   806,   806,   806,
     807,   807,   807,   808,   808,   808,   808,   809,   809,   810,
     810,   811,   811,   812,   812,   813,   813,   814,   814,   815,
     815,   815,   816,   816,   817,   817,   817,   818,   818,   818,
     819,   819,   819,   820,   820,   820,   821,   821,   822,   822,
     823,   823,   824,   824,   825,   825,   826,   826,   826,   826,
     826,   827,   827,   827,   827,   827,   828,   829,   830,   830,
     830,   831,   831,   831,   832,   833,   833,   833,   833,   834,
     834,   835,   835,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   837,   837,
     837,   837,   837,   838,   838,   839,   839,   840,   840,   841,
     842,   842,   843,   844,   844,   845,   845,   846,   846,   847,
     847,   848,   848,   849,   849,   849,   849,   850,   850,   851,
     852,   852,   853,   853,   854,   854,   854,   855,   855,   855,
     856,   857,   857,   858,   859,   859,   859,   859,   860,   861,
     861,   861,   861,   862,   862,   863,   863,   863,   864,   864,
     865,   866,   866,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   868,   868,   869,   869,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   872,   873,
     873,   873,   874,   874,   875,   875,   875,   875,   875,   876,
     876,   877,   877,   877,   877,   878,   878,   878,   879,   879,
     880,   881,   881,   882,   883,   883,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     885,   885,   885,   886,   886,   886,   886,   886,   887,   887,
     887,   888,   888,   889,   889,   889,   889,   890,   890,   890,
     890,   891,   892,   893,   893,   894,   894,   895,   895,   895,
     896,   896,   896,   896,   896,   896,   896,   897,   897,   898,
     898,   898,   899,   900,   900,   901,   901,   902,   903,   903,
     903,   903,   903,   903,   903,   904,   904,   905,   906,   906,
     906,   906,   906,   906,   907,   907,   908,   909,   909,   909,
     910,   910,   911,   911,   911,   911,   911,   912,   912,   913,
     913,   913,   913,   914,   914,   915,   915,   916,   916,   917,
     917,   918,   918,   919,   919,   920,   920,   920,   920,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   922,   922,
     923,   924,   924,   925,   925,   925,   926,   926,   927,   927,
     928,   928,   928,   928,   929,   929,   930,   930,   931,   932,
     932,   933,   933,   933,   934,   934,   935,   936,   936,   936,
     937,   937,   937,   938,   938,   939,   940,   940,   941,   942,
     942,   943,   943,   943,   943,   943,   943,   943,   943,   944,
     944,   945,   945,   945,   946,   947,   947,   948,   948,   949,
     950,   950,   951,   952,   952,   953,   954,   954,   955,   955,
     955,   955,   955,   956,   956,   956,   957,   957,   958,   958,
     959,   959,   959,   959,   959,   959,   959,   959,   960,   960,
     961,   961,   961,   961,   961,   961,   961,   962,   962,   962,
     963,   963,   964,   965,   965,   966,   966,   966,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   968,   968,   969,
     969,   969,   970,   970,   971,   971,   972,   972,   973,   974,
     974,   975,   975,   976,   976,   976,   976,   977,   977,   978,
     978,   978,   979,   979,   980,   980,   981,   982,   982,   982,
     983,   984,   984,   985,   985,   986,   986,   987,   987,   988,
     988,   988,   988,   988,   989,   990,   991,   992,   993,   993,
     994,   994,   995,   995,   996,   996,   997,   998,   998,   998,
     998,   999,   999,  1000,  1000,  1001,  1001,  1002,  1002,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,  1004,  1004,
    1004,  1004,  1004,  1005,  1005,  1005,  1005,  1006,  1006,  1007,
    1007,  1007,  1007,  1007,  1008,  1008,  1008,  1008,  1009,  1009,
    1010,  1010,  1011,  1011,  1011,  1011,  1012,  1012,  1013,  1013,
    1013,  1014,  1015,  1016,  1016,  1017,  1017,  1018,  1019,  1019,
    1020,  1020,  1021,  1021,  1022,  1022,  1023,  1023,  1023,  1024,
    1024,  1025,  1025,  1026,  1027,  1027,  1027,  1027,  1027,  1027,
    1028,  1028,  1028,  1029,  1029,  1029,  1029,  1029,  1029,  1029,
    1030,  1030,  1030,  1030,  1031,  1031,  1032,  1032,  1033,  1033,
    1033,  1033,  1033,  1033,  1033,  1033,  1033,  1033,  1033,  1034,
    1034,  1035,  1035,  1036,  1036,  1037,  1038,  1039,  1039,  1040,
    1040,  1041,  1042,  1043,  1043,  1043,  1043,  1043,  1043,  1044,
    1044,  1045,  1045,  1046,  1046,  1046,  1046,  1047,  1048,  1048,
    1048,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1050,  1050,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1053,  1053,  1053,  1053,  1053,
    1053,  1053,  1053,  1053,  1053,  1053,  1053,  1053,  1053,  1054,
    1054,  1054,  1054,  1054,  1054,  1054,  1055,  1055,  1056,  1056,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1058,  1058,  1059,  1059,  1059,  1059,  1060,  1061,
    1061,  1062,  1062,  1063,  1063,  1064,  1064,  1064,  1065,  1065,
    1065,  1065,  1066,  1066,  1067,  1067,  1068,  1068,  1069,  1069,
    1070,  1071,  1071,  1071,  1072,  1073,  1073,  1074,  1074,  1075,
    1075,  1075,  1076,  1076,  1077,  1077,  1077,  1077,  1077,  1078,
    1078,  1078,  1079,  1079,  1080,  1081,  1081,  1081,  1082,  1082,
    1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,
    1083,  1083,  1084,  1084,  1085,  1085,  1086,  1086,  1086,  1086,
    1086,  1086,  1087,  1087,  1088,  1088,  1089,  1089,  1089,  1090,
    1090,  1091,  1091,  1091,  1092,  1092,  1093,  1093,  1094,  1094,
    1094,  1094,  1094,  1094,  1094,  1094,  1095,  1095,  1096,  1097,
    1097,  1098,  1098,  1098,  1098,  1098,  1098,  1099,  1100,  1101,
    1101,  1101,  1102,  1102,  1103,  1104,  1104,  1105,  1106,  1106,
    1107,  1107,  1108,  1108,  1109,  1109,  1109,  1109,  1110,  1110,
    1111,  1111,  1112,  1112,  1113,  1113,  1114,  1114,  1115,  1116,
    1116,  1117,  1117,  1118,  1118,  1118,  1118,  1119,  1119,  1120,
    1120,  1121,  1121,  1122,  1123,  1124,  1125,  1126,  1127,  1128,
    1128,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1130,  1131,  1131,  1131,
    1131,  1132,  1133,  1133,  1133,  1134,  1134,  1135,  1135,  1135,
    1135,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1139,  1139,
    1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,
    1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,
    1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,
    1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,
    1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,
    1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,
    1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,  1139,
    1139,  1139,  1139,  1140,  1140,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1143,  1142,  1144,  1145,  1145,  1145,  1145,
    1146,  1146,  1146,  1146,  1147,  1147,  1148,  1149,  1150,  1150,
    1151,  1151,  1151,  1152,  1152,  1153,  1153,  1154,  1154,  1155,
    1155,  1155,  1155,  1156,  1156,  1156,  1157,  1158,  1158,  1159,
    1159,  1160,  1160,  1160,  1160,  1161,  1161,  1162,  1163,  1164,
    1165,  1165,  1166,  1167,  1167,  1168,  1168,  1168,  1168,  1168,
    1170,  1169,  1171,  1172,  1173,  1173,  1174,  1174,  1174,  1174,
    1175,  1175,  1177,  1176,  1179,  1178,  1180,  1178,  1178,  1181,
    1181,  1182,  1182,  1182,  1183,  1183,  1183,  1183,  1184,  1184,
    1185,  1185,  1185,  1185,  1185,  1185,  1186,  1186,  1186,  1187,
    1189,  1188,  1190,  1191,  1190,  1192,  1192,  1193,  1193,  1194,
    1194,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1197,  1197,  1198,  1198,  1199,  1200,  1200,  1201,  1201,  1201,
    1202,  1203,  1204,  1204,  1204,  1204,  1205,  1205,  1205,  1206,
    1206,  1207,  1207,  1208,  1209,  1209,  1210,  1210,  1211,  1211,
    1212,  1212,  1213,  1214,  1214,  1215,  1215,  1215,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1217,  1217,  1217,
    1217,  1217,  1218,  1218,  1219,  1220,  1221,  1222,  1222,  1223,
    1224,  1225,  1225,  1226,  1227,  1227,  1228,  1229,  1230,  1230,
    1231,  1232,  1233,  1233,  1234,  1235,  1235,  1235,  1235,  1235,
    1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,  1236,  1236,  1236,  1236,  1237,  1237,  1238,  1238,  1239,
    1239,  1239,  1241,  1240,  1242,  1242,  1244,  1243,  1245,  1245,
    1245,  1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,
    1247,  1247,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1249,  1249,  1249,  1249,  1249,
    1249,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1251,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1254,  1254,  1254,  1254,  1254,  1254,
    1255,  1255,  1255,  1255,  1255,  1255,  1255,  1255,  1255,  1255,
    1255,  1256,  1256,  1256,  1256,  1256,  1257,  1257,  1257,  1257,
    1258,  1258,  1258,  1258,  1258,  1258,  1258,  1259,  1259,  1259,
    1260,  1260,  1260,  1260,  1260,  1260,  1261,  1261,  1262,  1263,
    1263,  1264,  1264,  1265,  1266,  1267,  1268,  1268,  1268,  1269,
    1270,  1271,  1272,  1273,  1273,  1273,  1273,  1273,  1274,  1275,
    1275,  1275,  1276,  1276,  1277,  1277,  1277,  1278,  1278,  1279,
    1279,  1280,  1280,  1281,  1281,  1281,  1281,  1281,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1283,  1283,  1283,  1283,  1284,  1284,
    1284,  1284,  1284,  1284,  1284,  1284,  1284,  1284,  1285,  1285,
    1285,  1285,  1285,  1286,  1286,  1287,  1287,  1288,  1288
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     5,     4,     3,     5,     3,     5,
       5,     6,     1,     1,     3,     5,     6,     4,     9,     7,
       1,     0,     2,     0,     1,     1,     1,     1,     1,     1,
       2,     3,     3,     2,     5,     1,     3,     3,     3,     3,
       1,     3,     3,     2,     2,     2,     2,     3,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     5,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     1,     2,
       3,     2,     1,     1,     2,     1,     2,     1,     3,     4,
       5,     4,     2,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     4,     6,    10,    13,     4,     6,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     2,     3,     4,     6,     6,     6,     5,     5,
       6,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     3,     4,     4,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     7,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,    11,
       4,     1,     0,     6,     5,     8,     4,     6,     1,     0,
       1,     2,     2,     1,     2,     3,     2,     2,     2,     2,
       3,     3,     1,     3,     1,     0,     1,     2,     1,     1,
       3,     6,    10,     1,     0,     1,     2,     2,     0,     2,
       2,     1,     0,     5,     7,     1,     0,     7,     2,     0,
       3,     5,     5,     8,     2,     0,     2,     2,     2,     5,
       2,     0,     2,     7,    10,     6,     6,     6,     6,     7,
       7,     9,     9,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     6,     8,     7,
       6,     4,     0,     1,     3,     4,     1,     3,     1,     2,
       2,     2,     2,     1,     1,    10,     2,     0,     2,     2,
       1,     0,     4,     6,     5,     4,     4,    11,    14,     5,
       7,    11,     2,     1,     4,     0,     8,     1,     1,     7,
       9,     8,     9,     8,     6,     8,     4,     0,     5,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,     6,     8,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     5,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     3,
       0,    13,     1,     3,     5,     6,     4,     7,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     4,     6,     4,     6,     5,     7,     1,
       1,     1,     2,     1,     2,     2,     1,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     7,
       7,     7,     8,     9,     8,     8,     6,     9,     8,     9,
       9,     7,    10,     7,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     1,     3,
       2,     3,     3,     3,     3,     1,     1,     8,     8,     8,
       9,     9,     9,     9,     2,     0,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     3,     2,     2,     2,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     1,     3,     2,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,    14,    17,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     3,     3,     5,     6,     1,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     5,     7,     5,
       7,     5,     7,     3,     5,     5,     5,     1,     3,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     3,
       3,     6,     6,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     5,     7,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     9,    11,     8,    10,     9,    11,     8,
       8,     7,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     7,     6,     6,     6,     6,
       6,     7,     9,     9,     6,     8,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     7,     9,     6,     7,
       6,     6,     6,     6,     6,     7,     7,     7,     9,     9,
       6,     6,     6,     8,     8,     8,     6,     7,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,     1,     1,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       2,     1,     1,     1,     1,     0,     5,     4,     3,     0,
       1,     1,     1,     1,     4,     9,     3,     0,     7,     1,
       3,     1,     4,     2,     1,     3,     2,     8,     5,     0,
       4,     3,     0,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     1,     2,     0,     8,     1,     3,     1,     1,     3,
       5,     5,     2,     1,     3,     7,     1,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     6,     1,     0,     2,     1,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     2,     3,     2,     0,     1,     3,     2,
       1,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     3,     6,     4,     0,     2,     6,     2,     1,     3,
       4,     0,     2,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     3,     3,
       2,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     1,     4,     3,
       5,     6,     8,     6,     6,     4,     4,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     2,
       0,     2,     1,     0,     1,     1,     1,     3,     3,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     6,     2,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     2,     5,     3,     2,     2,
       3,     7,     1,     1,     1,     0,     2,     2,     1,     0,
       1,     3,     1,     2,     0,     2,     0,     2,     0,     1,
       3,     4,     3,     1,     1,     1,     1,     2,     0,     2,
       4,     0,     2,     2,     2,     1,     1,     7,     3,     1,
       1,     1,     1,     2,     0,     1,     3,     3,     3,     3,
       0,     4,     5,     5,     0,     1,     1,     1,     2,     2,
       1,     2,     0,     7,     0,     5,     0,     4,     2,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     2,     1,     3,     2,     2,     3,
       0,     5,     1,     0,     5,     2,     2,     1,     1,     1,
       2,     2,     3,     1,     2,     2,     3,     3,     4,     2,
       1,     2,     1,     1,     2,     2,     3,     1,     1,     1,
       1,     0,     1,     3,     5,     0,     2,     0,     1,     2,
       3,     2,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     2,     2,     3,     0,     1,     2,     1,     4,     3,
       4,     3,     2,     1,     3,     1,     1,     1,     1,     2,
       2,     1,     2,     2,     1,     1,     1,     4,     4,     4,
       4,     4,     1,     0,     3,     3,     4,     1,     3,     3,
       4,     1,     3,     3,     1,     1,     1,     6,     1,     3,
       3,     6,     1,     3,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     1,     1,     4,
       4,     3,     0,     7,     1,     0,     0,     7,     3,     4,
       3,     1,     1,     1,     2,     3,     5,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     0,
       1,     2,     1,     2,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     1,     2,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     2,     3,     1,     3,
       3,     3,     3,     3,     3,     1,     1,     4,     0,     2,
       2,     1,     1,     2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2483,     0,     2,     1,  2912,  2916,  2920,  2921,  2838,  2922,
    2923,  2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,
    2897,  2898,  2899,  2901,  2900,  2902,  2903,  2904,  2905,  2906,
    2907,  2908,  2909,  2911,  2910,  2860,  2490,  2857,  2854,  2855,
    2856,  2861,  2859,  2852,  2853,  2066,  2925,  2913,  2926,  2914,
    2915,  2917,  2918,  2887,  2919,  2927,  2928,  2929,  2924,  2932,
    2883,  2884,  2882,  2885,  2886,  2930,  2931,  2874,  2875,  2876,
    2877,  2933,  2491,  2492,  2879,  2484,  2488,  2550,  2621,  2880,
    2881,  2878,  2489,  2873,  2621,     0,  2742,  2743,  2744,     0,
    2745,  2746,  2747,  2673,  2635,  2748,     0,     0,  2749,  2750,
    2751,  2752,  2753,  2754,  2755,  2756,     0,  2757,  2758,  2759,
    2760,  2620,  2761,  2762,  2763,  2764,  2597,  2603,  2726,     0,
    2577,  2578,  2574,  2576,  2575,  2579,  2562,  1282,   576,  1366,
    1365,     0,  2385,  1282,  2340,  2341,  2386,  2342,  2343,  2344,
     268,     0,  1368,  2345,  2387,     0,  1282,  2388,   399,  1027,
    2389,  2390,  2505,     0,  2346,  2347,     0,     0,     0,   576,
    1282,     0,     0,  2348,  1494,  2349,     0,  2350,  2391,  2392,
       0,  2351,  2352,  2393,     0,  2394,  2353,  2354,  2355,  2395,
    2396,  2397,  2356,  2398,  2399,     0,     0,  1508,     0,  2357,
    2400,  2358,  2359,     0,  2401,  2360,  2361,  2362,  2402,  2403,
    2363,  2364,  2365,     0,  2366,     0,     0,     0,     0,     0,
       0,  2404,  1282,  2367,     0,     0,  1515,     0,  2368,     0,
    2405,  2369,     0,  2370,     0,  2406,  2371,  2372,  2373,  2374,
    1508,  2722,  2598,     0,  1370,     0,  2375,  2407,     0,  2376,
    2377,  2378,  2379,  2380,  2381,  2382,  2383,  2384,     0,     0,
       0,    62,    63,    25,    24,    30,    29,    87,    88,    48,
      15,    76,    55,   122,   121,   123,    36,    32,    70,    21,
      23,    33,    37,    57,    49,   100,    56,    19,    54,    81,
      58,    84,    43,     9,    10,    44,    74,    11,    45,    75,
      12,    46,    13,    96,    64,    89,    28,    53,    18,    80,
      60,    86,    61,     3,    39,    72,    68,     8,    50,    51,
      52,    77,    78,    79,   105,    83,   117,    35,   114,    93,
      94,   111,    95,   112,     6,    97,    47,    14,   108,   107,
     109,    71,    40,    73,    59,    85,   106,    22,   110,    16,
      17,   113,    82,   103,    99,   118,   116,   124,   101,    65,
       4,     5,    90,    20,    42,     7,    27,    26,    41,    34,
     120,    31,  1368,    92,   104,    91,    98,    69,   102,   119,
      67,   115,  1479,  1466,  1517,  1478,  1493,     0,  1482,  2817,
    2818,    38,  1494,   126,   127,   132,  2487,  2539,  2540,  2541,
    2621,  2572,  2573,  2566,  2582,  2592,  2581,  2585,  2593,  2580,
    2599,     0,   129,   131,   133,   136,   130,   125,   128,   135,
     140,   134,   139,   137,   138,   141,   142,   143,  2819,  1724,
    2816,    66,  2557,  2556,     0,  2621,     0,  2849,  2081,  2082,
    2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,
    2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,
    2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2073,  2125,  2126,  2127,  2128,  2129,  2130,  2131,
    2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,
    2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
    2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,
    2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,
    2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,
    2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,
    2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,
    2232,  2233,  2234,  2235,  2236,  2239,  2237,  2238,  2240,  2241,
    2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
    2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,
    2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,  2271,
    2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2074,  2280,
    2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2305,  2505,  2306,  2307,  2308,  2309,
    2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,
    2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,
    2523,  2071,  2072,  2078,  2079,  2080,  2498,  2519,  2525,  2845,
    2524,  2077,  2672,     0,     0,  2765,  2766,  2767,  2768,  2769,
    2770,  2820,  2821,  2822,  2823,  2824,  2826,  2825,  2634,  2792,
    2829,  2633,  2830,  2637,  2831,  2832,  2833,  2834,  2793,  2835,
    2636,  2827,  2789,  2638,  2631,  2632,  2790,  2740,  2741,  2044,
    2791,  2788,  2828,  2526,  2787,  2642,  2641,  1456,  2844,  2043,
    1457,     0,  2644,  2771,  2772,  2773,  2774,  2776,  2775,  2777,
    2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,
    2418,  2419,  2802,  2420,  2421,  2422,  2815,  2423,  2424,  2803,
    2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,
    2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,  2447,  2448,  2804,  2805,  2449,  2450,  2451,  2452,
    2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,
    2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
    2806,  2473,  2474,  2807,  2475,  2476,  2477,  2808,  2478,  2479,
    2480,  2481,  2482,  2812,  2813,  2814,  2801,  2595,  2778,  2800,
    2811,  2809,  2810,  2605,  2601,  2609,  2604,     0,     0,     0,
       0,  2621,  1281,  1280,  1266,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   575,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2495,     0,  1292,   370,
     369,  1367,  1348,   576,     0,  1269,   398,     0,     0,     0,
       0,     0,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,     0,     0,
     422,   421,     0,     0,     0,   999,   427,     0,     0,     0,
       0,     0,   564,  2504,  2499,  2509,     0,  2502,  2503,  2787,
       0,  2936,  2237,  2535,  2536,  2934,  2291,  1458,   269,   272,
     273,   270,   271,     0,  1109,  1110,  1112,     0,     0,  1122,
     826,   827,     0,     0,     0,   829,     0,     0,     0,   823,
       0,     0,     0,     0,     0,     0,   828,   820,     0,   819,
       0,     0,  1122,     0,     0,     0,   821,     0,     0,  1270,
       0,  2587,  2588,  2173,  1407,   428,     0,     0,  1494,     0,
    1385,  1386,  1368,  1375,  1387,  1380,  1382,  1381,  1383,  1379,
    1384,  2082,   937,  2096,   937,  2163,   934,   935,   937,   937,
     937,  2254,     0,     0,   909,     0,   920,  2067,   937,  2068,
    2845,   942,   483,   483,   483,     0,   941,   946,   483,     0,
    1263,  1301,  2048,  1507,     0,  2096,  2163,   910,  1262,  2306,
    1399,     0,     0,  1137,  1133,  1135,  1136,  1134,     0,     0,
       0,  2270,  1274,   253,  2785,  2279,  2371,  2306,  2786,   252,
     247,   248,  2780,  2781,  2783,   221,  2784,  2782,  2779,  2086,
       0,     0,   941,     0,  1271,  1272,   895,  1514,  1512,     0,
    2030,     0,     0,  2104,     0,  2117,  2198,   244,  2265,  2271,
    2279,  2371,  2306,  2337,   200,   210,   205,     0,   262,  2279,
    2371,  2306,     0,  1292,     0,  1483,  1612,  2039,     0,     0,
    2596,  1265,  1264,  1369,     0,  1372,     0,  1573,  2250,  1487,
    1490,  1374,  1488,  1479,     0,     0,  2486,  1363,  1511,  1511,
       0,  1511,     0,  1471,  1479,  1474,  1478,     0,     0,     0,
       0,  1282,     0,  2564,  2592,  2571,  2627,  2568,     0,     0,
    2617,  2613,  2610,  2618,  2619,  2612,  2600,  1713,  1714,  1715,
    1712,  1725,  1711,     0,  2545,  1716,  2584,  2551,     0,  2559,
    2558,  2862,  2863,  2674,  2497,  2516,     0,     0,     0,     0,
       0,     0,     0,  2643,  2645,  2647,  2607,  2606,  2602,     0,
       0,     0,     0,  2732,  2733,  2731,     0,  2728,  2730,     0,
    2627,     0,  2796,  2790,  2799,     0,  2049,  2791,  2788,  2787,
       0,   836,     0,  1304,   986,     0,     0,     0,     0,  2043,
       0,     0,     0,     0,     0,  2071,     0,  2172,     0,     0,
       0,  1938,  1949,  1950,  1951,  2108,  2158,  1946,  1947,  1948,
    1940,  1941,  1942,  1943,  1944,  1945,     0,  1107,  1939,     0,
    2172,     0,   170,     0,   148,     0,     0,  2172,     0,     0,
       0,     0,     0,  2172,     0,     0,     0,     0,     0,  2203,
       0,   148,  2172,     0,     0,     0,  1286,     0,     0,     0,
    1288,  1291,  1267,  1351,     0,  2039,     0,     0,   872,   864,
       0,   873,   865,     0,     0,   875,     0,     0,   867,     0,
       0,     0,     0,   876,     0,   866,   868,   878,   869,   874,
       0,     0,     0,     0,   870,     0,     0,  1278,   483,   376,
       0,     0,     0,     0,     0,   148,  1336,     0,  2172,   148,
       0,     0,   426,   425,   148,   424,   423,  2108,  2158,     0,
    1026,     0,   148,  2172,     0,   193,   647,   579,     0,     0,
     748,  2203,   148,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,   563,   576,     0,  2508,  2514,     0,  2506,
    2675,  2937,  2935,  2630,     0,  1113,   245,   246,  1111,  2172,
       0,   344,     0,     0,  2172,  1323,  1671,  1700,  1678,  1700,
    1700,  1667,  1667,  2142,  1680,  2172,  1668,  1669,  1707,     0,
    1700,  1667,  1672,     0,  1670,  1710,  1710,  1695,   344,   840,
    1652,  1653,  1654,  1655,  1681,  1682,  1656,  1687,  1688,  1702,
    1657,  1724,  2797,  1667,  2798,  2795,  2794,   825,     0,   824,
    2172,     0,  2172,  2075,   184,     0,   822,  2108,  2158,  2172,
       0,     0,  2172,     0,  2172,   176,  2172,     0,  2172,   344,
    2172,   580,     0,     0,  2172,     0,  2172,   344,  2172,  2203,
     178,     0,  2172,   344,   834,     0,     0,  2867,  2871,     0,
    2869,  2864,  2586,  2640,  2639,  2538,     0,  2948,     0,  1458,
    1377,  1392,     0,  1388,  1395,  1391,  1494,   937,   936,     0,
     937,     0,  2957,   937,     0,   937,     0,  2957,   937,     0,
       0,     0,   937,  2069,  2070,     0,     0,  2956,  2954,  2955,
     911,   921,     0,   943,     0,     0,   950,   949,   948,     0,
       0,     0,   951,     0,  1616,  1430,     0,   918,     0,   916,
       0,  1260,  1277,     0,     0,     0,     0,  1002,  1140,     0,
    1138,  1129,  1130,  1273,   251,   249,     0,     0,     0,     0,
       0,     0,  1279,     0,     0,     0,     0,  2851,  2055,  1952,
    2850,     0,  2341,  2342,  2343,  2011,     0,  2792,  2344,  2345,
    2387,  1854,  1841,  1850,  1855,  1842,  1844,  1851,  2346,  2347,
    2348,  2349,  2062,  2350,  2351,  2352,  2354,  2355,  2356,  1846,
    1848,  2357,  2358,     0,  2063,  2360,  2361,  2222,  2363,  2364,
    2366,  2367,  1852,  2369,  2370,  2371,  2372,  2373,  2374,  2061,
       0,  1853,  2375,  2377,  2378,  2379,  2380,  2381,  2382,  2383,
    2384,     0,     0,     0,  2036,     0,  1821,     0,  1660,  1661,
    1683,  1684,  1662,  1689,  1690,  1663,     0,  2035,  1727,  1903,
    1820,  1837,     0,  1826,  1827,     0,  1819,  1815,  1497,  2031,
       0,  1816,  2051,  2012,  2065,  2064,  2845,  2020,  2054,  2052,
    2053,  1497,  2029,     0,     0,     0,   213,     0,     0,  2721,
     264,     0,   265,  2037,  2279,   201,   243,   215,   242,   216,
     214,     0,  2106,   202,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,   258,  1268,     0,  1614,  1613,     0,
       0,  2018,  2040,   845,     0,  1361,  1362,  1360,     0,  1357,
    1359,  1371,  1368,  2025,  2024,  2026,     0,  1489,     0,     0,
       0,  1469,  1468,  1374,  1509,  1510,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,  1525,  1526,  1528,  1560,  1564,
    1572,     0,  1475,     0,     0,  1618,     0,  1574,  2485,  2627,
    2628,     0,  2622,     0,  2621,  2621,  2615,  2614,  2611,     0,
       0,     0,     0,     0,     0,     0,  2542,   558,  2544,   556,
       0,     0,  2518,     0,  2522,  2520,     0,  2667,  2670,     0,
    2668,  2669,  2671,     0,  2676,  2677,     0,     0,  2858,     0,
       0,     0,  2658,  2646,  2653,  2655,  2657,  2656,  2665,  2661,
    2664,  2666,  2608,  2621,  2739,     0,  2734,  2737,     0,  2729,
       0,     0,     0,  2050,     0,     0,     0,     0,   837,     0,
       0,     0,     0,  1312,  1313,  1314,     0,     0,  1315,  1316,
    1304,   255,  1322,  1320,  1303,  1305,  1318,  1310,     0,     0,
       0,     0,     0,     0,     0,  1328,     0,     0,   182,   183,
     591,   576,     0,  2172,     0,     0,     0,     0,  1066,  1073,
       0,     0,     0,     0,     0,     0,     0,  1067,  1065,  1068,
     257,  1077,  1093,  1096,     0,   976,     0,     0,     0,     0,
       0,  1192,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   278,   290,   339,
       0,     0,  2172,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   146,   147,   152,     0,     0,     0,
       0,     0,     0,   543,   555,     0,     0,     0,     0,     0,
     552,     0,   148,   282,   536,   540,     0,     0,     0,   656,
     655,  1326,  1325,     0,     0,     0,  1192,     0,   274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   362,   363,     0,     0,     0,   152,
     175,     0,     0,     0,   284,     0,  2552,     0,  1287,  1284,
    1285,     0,  1290,     0,  1347,     0,     0,     0,     0,     0,
     880,     0,   877,     0,     0,   871,  2108,  2158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   401,   375,     0,
       0,   745,     0,     0,     0,     0,     0,   756,     0,  1304,
    1335,     0,     0,     0,   585,     0,  2172,     0,   150,   790,
       0,   746,   427,     0,     0,   150,     0,     0,   187,     0,
     651,     0,     0,     0,     0,     0,     0,   694,   693,     0,
       0,     0,   747,     0,   150,     0,  2172,   539,  2172,     0,
     483,   483,     0,     0,  1001,  1004,     0,     0,     0,     0,
    2512,  2507,  2510,     0,  2500,  2514,  1461,  1463,  1462,     0,
    1460,     0,   344,   342,   343,   743,  1121,     0,     0,  1699,
    1686,  1694,  1693,     0,  1676,  1675,  1674,     0,  1673,     0,
    1700,  1700,  1698,  1677,  1652,     0,     0,     0,  1706,     0,
    1704,     0,   815,  1648,  1644,     0,     0,  1692,  1713,  1712,
    1711,     0,  1658,  1667,  1664,     0,     0,   344,     0,     0,
    2172,   344,  2172,     0,  2172,     0,     0,   344,   344,     0,
       0,     0,     0,     0,     0,   652,     0,   833,   831,   830,
     832,     0,     0,     0,     0,   813,     0,     0,     0,  2172,
     344,     0,     0,   812,  2865,     0,     0,  2868,     0,  2589,
    1962,     0,  2951,  1404,  2952,     0,     0,  1494,     0,   232,
     233,   231,  1393,   234,  1394,  1390,  1376,     0,   929,     0,
    2957,  2958,   914,     0,   924,     0,  2957,   912,     0,   925,
     922,   923,     0,     0,     0,  2953,  2836,  2842,   928,     0,
       0,   484,   486,     0,     0,  2128,  2141,     0,  2164,  2191,
    2192,  2271,  2275,     0,  2301,  2311,     0,   952,   981,   947,
     665,     0,     0,  1440,   919,   917,  1261,  1397,  1969,     0,
    1494,     0,     0,     0,     0,   250,   222,     0,     0,     0,
     983,  2270,  1276,   894,   576,     0,     0,  1824,  1825,  2010,
       0,     0,     0,     0,     0,     0,  1823,  1977,     0,     0,
       0,     0,     0,  1750,     0,     0,     0,  1990,     0,  1996,
       0,     0,  1787,     0,     0,     0,     0,     0,     0,     0,
       0,  1751,  1731,  1732,  2793,  1821,  1962,     0,  1822,  2058,
       0,  1724,  1952,     0,  1949,  1950,  1951,     0,     0,     0,
    2023,     0,  1960,     0,     0,  1765,  1958,  1767,     0,     0,
       0,     0,  1946,  1947,  1948,  1940,  1941,  1942,  1943,  1944,
    1945,  1956,  1747,     0,  2034,     0,  1905,     0,  1746,     0,
       0,  1576,  1496,     0,  2056,  2013,     0,  2843,  2846,  1817,
    1576,  2718,  2717,  2716,  2715,  2686,     0,  2680,  2681,     0,
    2719,  2720,   266,   267,   263,     0,     0,   218,   217,     0,
     240,   241,   212,   239,     0,   235,   236,   220,  1894,  1893,
     219,   211,   208,   206,   223,   225,   226,   209,   207,   261,
     259,     0,     0,     0,  2015,  2014,  2046,  2019,     0,     0,
     344,  2621,  1355,     0,  1352,  2028,     0,  1491,     0,  2041,
       0,  1364,  1486,  1485,  1518,  1519,  1019,  1484,  1543,  1544,
    1539,     0,     0,     0,  1569,  1567,  1535,  1529,  1534,  1532,
       0,  1536,  1727,  1562,  1473,  1523,  1524,  1527,  1472,     0,
    1565,     0,  1443,  1563,  1528,  1427,     0,  1409,     0,  1619,
       0,     0,  2629,  2627,  2567,  1652,  2621,  2560,  2621,  2616,
    2548,  1718,  1719,  1720,  1721,  1722,  1723,  2549,     0,  2546,
    1717,  2547,   557,     0,     0,     0,  2515,     0,  2496,  2521,
    2652,  2287,  2684,     0,  2685,     0,     0,  2649,     0,  2659,
    2662,  2660,  2663,     0,  1652,  2839,  2735,  2839,  1652,  1041,
    1043,     0,  1042,     0,  1045,     0,  1054,     0,     0,  1040,
    1059,     0,  1048,  1046,     0,     0,     0,     0,     0,     0,
     838,     0,     0,     0,     0,  1311,     0,     0,  2301,   254,
    1314,  1319,  1306,  1317,     0,     0,     0,     0,     0,   985,
     984,     0,     0,  1006,     0,     0,     0,  1331,   472,     0,
     341,     0,     0,     0,     0,     0,     0,     0,     0,   741,
     738,     0,     0,   737,     0,   589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   626,     0,  1192,     0,   659,
       0,  1075,     0,  1074,     0,     0,     0,  1076,  1071,  1072,
    2271,  2279,  2306,   256,  1095,     0,  1094,  1092,  1029,     0,
    1030,     0,     0,     0,     0,     0,  2151,   292,   305,     0,
    1191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   328,     0,   331,   330,     0,     0,
       0,     0,     0,   335,   314,     0,   315,     0,     0,   334,
       0,     0,     0,     0,     0,  1192,     0,   286,     0,     0,
       0,     0,     0,     0,  1108,     0,   683,     0,   173,     0,
     169,   172,     0,     0,     0,     0,   542,   554,     0,   546,
     547,   544,   548,   549,     0,     0,     0,     0,     0,     0,
     541,     0,     0,   649,   648,   654,     0,     0,     0,     0,
       0,     0,     0,     0,  1142,  1141,     0,     0,     0,     0,
       0,     0,   780,     0,     0,     0,     0,     0,     0,     0,
     668,     0,   667,     0,   174,     0,     0,     0,     0,     0,
       0,     0,   230,  1283,  1289,  1350,  2047,  1349,     0,     0,
       0,     0,   879,     0,     0,     0,     0,     0,     0,     0,
       0,   881,   882,   883,   884,     0,     0,     0,     0,     0,
       0,     0,   378,   379,   148,   377,     0,   769,  2794,   744,
       0,     0,   757,     0,   759,   762,     0,  1302,   445,     0,
       0,   582,   626,     0,   430,   180,     0,     0,     0,     0,
     685,   145,   191,   193,   428,     0,   192,   194,   196,   197,
     198,   195,   199,   646,   650,     0,   578,     0,     0,     0,
       0,     0,   695,   699,   698,   702,   700,     0,   696,     0,
       0,  1640,     0,   168,     0,     0,   534,   538,     0,  2493,
       0,   430,   514,   355,  2172,     0,   483,     0,  2172,     0,
    1003,     0,     0,     0,     0,     0,     0,  2513,     0,     0,
       0,     0,  1459,     0,  1099,     0,  1324,     0,     0,     0,
     344,  1697,  1696,  1649,  1645,     0,     0,     0,     0,   841,
       0,     0,     0,     0,     0,     0,     0,  1665,  2172,   344,
       0,  1097,   185,  2076,     0,   817,     0,     0,     0,     0,
       0,  1101,   809,     0,   344,   177,     0,   344,   344,   581,
       0,     0,   344,   344,   179,     0,     0,     0,   573,   344,
     835,  2866,  2872,  2870,  1406,     0,  2949,  2950,   483,  1463,
    1378,  1389,   926,   933,   915,   932,   931,   913,   930,   927,
    2651,     0,     0,  2841,     0,   944,     0,   482,     0,     0,
       0,   958,   959,     0,     0,   957,   974,   960,     0,   962,
     954,   953,   963,   964,     0,     0,   983,   663,     0,     0,
       0,     0,  1437,     0,  1435,     0,  1617,  1439,  1428,  1398,
       0,  1396,  1401,  1403,  1402,  1400,     0,   527,     0,     0,
    1139,     0,     0,   941,     0,     0,   344,  1275,     0,   896,
     897,     0,     0,     0,     0,     0,     0,   903,   900,   901,
     902,   904,     0,   905,     0,     0,     0,  1973,     0,  1974,
       0,     0,  2009,  2005,     0,     0,     0,     0,     0,  1981,
    1982,  1983,  1980,  1984,  1979,     0,     0,  1985,  1978,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2367,     0,
       0,     0,     0,  1790,     0,     0,  1933,     0,  1962,  1995,
       0,     0,     0,     0,     0,     0,  1962,  2001,     0,     0,
       0,     0,  1892,     0,  1889,     0,     0,     0,     0,  2020,
       0,     0,  2059,  1728,  1742,  1743,  1744,  1748,  2033,     0,
    2022,     0,     0,  1729,  1756,     0,  2002,  1783,     0,  1788,
    1771,     0,  1764,     0,  1769,  1773,  1752,     0,  1749,     0,
    2023,  1961,     0,  1959,     0,  1739,  1740,  1741,  1733,  1734,
    1735,  1736,  1737,  1738,  1745,  1937,  1935,  1936,     0,     0,
       0,  1913,     0,     0,  1768,  2166,  2198,     0,  1508,  1508,
    1508,  1495,  1506,  2032,     0,  1635,     0,     0,     0,     0,
    1829,     0,  1966,  1517,  1964,  2049,  2848,  2847,  2021,  1635,
       0,     0,     0,  2038,     0,     0,  1724,     0,   260,  1615,
    2016,     0,   843,   844,   842,  1652,  1374,  1358,  1354,  1353,
    2027,  1373,     0,  1494,     0,  1017,  1018,     0,  1022,     0,
       0,  1537,  1570,     0,  1561,     0,  1541,  1542,  1533,  1571,
    1441,     0,  1566,  1477,  1476,     0,  1638,     0,     0,  1419,
    1411,     0,  1620,     0,  1576,  1445,  1447,  1448,     0,  2020,
    2565,  2623,  2570,  2591,  2561,  2594,  1726,  2543,  2583,     0,
    2517,  2687,  2688,     0,  2678,  2679,  2648,  2654,  2725,     0,
    2840,     0,     0,  1044,     0,  1667,  1055,     0,  1039,     0,
    1038,  1667,     0,  1056,     0,  1667,     0,     0,     0,  1220,
    1144,  1196,   839,  1221,  1145,  1197,  1222,  1146,  1321,  1309,
    1308,  1307,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   720,  2172,   344,  1329,
    1223,     0,  1147,   340,  1330,  1198,  1334,   740,   739,     0,
       0,  1199,     0,   590,     0,     0,   595,   596,   597,     0,
       0,     0,   598,     0,  2108,  2158,     0,   603,   610,   615,
     605,     0,     0,   617,   611,     0,     0,     0,     0,     0,
       0,   623,   625,     0,     0,     0,     0,     0,     0,  1069,
    1070,  1224,  1150,     0,  1200,  1028,     0,  1151,   181,     0,
       0,   279,   293,   632,   720,  1194,   312,     0,   327,   322,
     323,   321,  2172,   344,  2172,   344,     0,     0,     0,     0,
       0,   324,   319,   320,   316,   329,  2085,  2143,  2280,     0,
     636,   638,     0,   643,   332,  1167,   351,   350,   349,     0,
     336,     0,   356,   359,   333,   310,   313,   311,   307,   291,
       0,     0,     0,     0,     0,     0,     0,  2045,     0,     0,
    1103,     0,     0,     0,     0,     0,     0,   677,   171,  1182,
       0,     0,   157,     0,     0,     0,     0,   151,   161,     0,
    1230,  1157,     0,     0,   283,   537,   545,   550,  1161,   553,
    1210,   551,  1236,  1158,     0,  1192,     0,   275,     0,  1159,
       0,  1204,  1232,  1184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1337,     0,     0,     0,     0,     0,   344,
       0,     0,     0,  1194,  2172,   344,  1231,     0,  1189,  1218,
       0,   364,     0,  1183,     0,     0,   285,  1163,  1212,     0,
       0,   228,   227,   229,     0,     0,  2141,     0,   886,   848,
     885,     0,     0,     0,     0,     0,     0,   856,     0,     0,
       0,   847,     0,   846,   400,   373,   374,   376,   383,   768,
       0,     0,     0,     0,   758,     0,     0,     0,  1327,     0,
     148,     0,     0,     0,   584,   625,   632,     0,     0,     0,
     429,   433,   437,   438,   439,     0,     0,     0,     0,   162,
     149,     0,   798,     0,   483,     0,   681,     0,   193,   186,
       0,     0,     0,   355,   755,   753,   752,   754,     0,     0,
       0,   773,   751,     0,  1639,  1641,     0,     0,     0,     0,
       0,     0,   432,     0,   486,     0,     0,   518,     0,     0,
       0,     0,   355,     0,     0,     0,  1033,     0,  1051,  1034,
       0,     0,     0,     0,  1081,  1088,  1082,  1061,     0,     0,
     561,  2511,  2505,  1464,  1465,     0,   344,     0,     0,  1666,
    1679,   816,     0,  1709,  1708,  1710,  1710,     0,  1650,     0,
    2938,  2946,  2945,     0,  1701,  1702,  1659,     0,   627,   344,
     344,     0,   344,     0,   344,   344,     0,   674,     0,  1258,
     653,     0,     0,   728,   814,     0,     0,   344,   811,  1963,
       0,  2650,  2837,   945,   485,     0,     0,     0,     0,   956,
       0,   559,   961,     0,   973,   968,   970,     0,   977,   662,
       0,     0,  1438,  1431,  1433,  1432,     0,     0,  1429,  1970,
     810,     0,   533,  1131,  1132,     0,     0,   344,     0,   978,
       0,     0,   898,   899,     0,     0,   906,     0,     0,     0,
    1513,  1971,  1972,     0,     0,     0,  2006,     0,     0,  1867,
       0,  1843,  1845,  1857,     0,  1868,  1828,  1869,  1847,  1849,
       0,  1953,     0,     0,  1858,     0,  1792,  1793,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1808,  1807,  1859,  1932,     0,
       0,  1993,  1994,  1860,     0,     0,  2000,     0,     0,     0,
    1865,  1870,     0,     0,     0,     0,  1876,     0,  1897,     0,
       0,     0,  1818,  1963,     0,     0,     0,     0,     0,     0,
       0,     0,  1789,  1772,  1766,     0,  1770,  1774,     0,     0,
       0,  1760,     0,     0,  1758,  1784,  1754,     0,     0,  1785,
       0,     0,     0,  1836,     0,     0,  1508,  1508,  1508,  1508,
    1505,     0,     0,     0,     0,  2268,     0,  1598,  1575,  1577,
    1585,  1598,  1580,  1603,  1838,  1633,  1839,     0,  2039,     0,
    1546,  1517,  1517,  1517,  1835,     0,     0,     0,     0,  1516,
    1546,  2700,  2702,  2703,  2704,  2705,  2706,  2708,  2709,  2711,
    2712,  2713,  2701,  2707,  2710,  2714,  2691,  2692,     0,  2682,
    2683,   204,     0,   237,   224,     0,  2725,  1356,  2042,     0,
    1520,     0,  1954,  1022,     0,  1522,     0,     0,  1568,  1530,
    1442,  1426,     0,  1424,  1413,     0,  1414,  2020,     0,  1424,
    1410,  1453,     0,     0,  1638,     0,  1452,     0,  2625,  2553,
       0,     0,  2724,  2727,  2738,  2736,  2563,     0,  1667,  1036,
    1037,     0,  1060,     0,  1219,  1143,  1195,   988,   989,     0,
     987,     0,     0,     0,   471,  1005,     0,     0,     0,   720,
       0,     0,   475,     0,  1332,     0,  1237,  1181,   592,   593,
       0,   604,     0,   613,   612,     0,     0,   600,     0,     0,
       0,     0,     0,   599,   619,   565,   620,   622,     0,     0,
     621,   624,   629,  1192,     0,   660,  1169,     0,  1216,  1063,
       0,  1031,     0,     0,     0,     0,   445,   306,     0,     0,
       0,   294,   304,     0,   338,     0,   309,     0,   302,   325,
     317,   326,   318,   337,   640,   641,   639,   635,     0,   642,
     644,     0,   353,     0,     0,     0,  1226,     0,  1192,     0,
     287,  1165,     0,  1214,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,  1201,     0,     0,   682,
       0,   679,     0,     0,   154,   153,     0,   160,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   365,   346,     0,   776,     0,     0,
       0,   367,     0,     0,     0,     0,  1225,  1152,   849,     0,
       0,     0,   850,   861,     0,     0,   851,     0,     0,     0,
       0,   863,     0,     0,   372,   380,   770,     0,  2222,  1940,
    1941,   766,   771,   763,   765,   764,   767,   720,     0,   760,
     761,     0,     0,     0,     0,     0,   457,     0,     0,   451,
       0,     0,  1088,   444,   447,   448,     0,     0,   585,   588,
     586,   587,   618,     0,   464,   510,     0,   164,     0,     0,
     165,   163,     0,     0,   355,   686,   690,   688,   687,   689,
     684,     0,   677,     0,   189,   428,     0,     0,   577,   701,
     704,   697,     0,   772,   774,   749,     0,   632,     0,   539,
       0,  1407,   527,     0,   514,   510,   512,   511,   513,     0,
     520,   354,     0,     0,   527,   520,     0,     0,  1006,  1032,
       0,     0,     0,  1078,  1083,  1079,     0,     0,  1047,     0,
    1080,     0,  1062,  1025,  1253,  1254,  1251,  1252,     0,     0,
       0,  2528,  1455,  2537,  1100,     0,  1685,     0,  1705,  1703,
    1646,     0,  2621,     0,     0,     0,     0,     0,  1651,  1691,
     344,  1098,   818,     0,   805,     0,   807,  1102,   344,   344,
     344,   344,   669,     0,   574,     0,     0,     0,     0,   955,
     975,     0,   971,     0,     0,   938,   980,     0,     0,  1436,
    1434,   525,     0,   983,     0,   939,   982,     0,     0,     0,
       0,     0,     0,     0,  1975,     0,  2008,  2004,     0,  1840,
    1976,     0,  1988,  1987,  1933,     0,     0,  1791,  1803,  1804,
    1805,  1989,     0,  1813,     0,     0,  1800,  1801,  1802,  1794,
    1795,  1796,  1797,  1798,  1799,  1806,  1998,  1997,  1991,  1992,
       0,  1862,  1863,  1864,  1999,  1871,     0,  2099,  1898,  1875,
    1891,  1890,     0,     0,     0,  1878,     0,     0,  1887,     0,
    1934,  2060,  1730,     0,     0,  1757,  2003,  1775,     0,     0,
       0,  1753,  1953,     0,     0,     0,     0,     0,  1762,     0,
       0,     0,  1916,  1911,  1912,  1930,     0,     0,     0,     0,
       0,     0,  1499,  1498,  1504,  1598,  1603,     0,  1479,     0,
    1585,     0,  1597,  1583,  1596,     0,     0,  1609,  1607,     0,
    1609,     0,  1609,     0,  1579,     0,  1599,  1581,  1596,     0,
    1625,     0,  2040,  1634,     0,  1559,     0,     0,     0,     0,
    1967,  1968,     0,  1965,  1830,  1559,     0,     0,     0,  2017,
    2723,  1492,     0,  1521,  1020,  1021,  1538,  1531,     0,  1636,
       0,  1425,     0,     0,  1416,  1422,  1408,     0,     0,  1446,
    1424,  1449,  2569,     0,  2624,  2689,  2690,  1057,     0,     0,
    1049,   994,   995,   993,   996,     0,     0,     0,   720,     0,
       0,   491,     0,  1013,  1013,     0,     0,   477,   523,  1088,
     723,     0,     0,     0,   721,   344,  1148,     0,   614,     0,
       0,   609,   607,   606,   608,     0,   566,  1235,  1149,     0,
       0,     0,     0,  1064,     0,     0,  1168,     0,   442,     0,
     299,  1193,     0,     0,     0,   298,     0,   344,   344,   637,
     352,   357,   358,   361,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   799,   782,     0,     0,
     800,   801,     0,     0,     0,  1105,  1106,  1104,     0,  1155,
       0,     0,   673,   158,   155,   156,   159,  1179,  1162,  1211,
       0,     0,     0,  1160,     0,  1205,  1175,  1171,     0,     0,
       0,     0,     0,  1234,  1188,  1209,  1233,  1186,  1207,  1185,
    1206,  1187,  1208,  1180,     0,  1643,   779,     0,     0,     0,
     344,   344,   671,  1164,  1213,     0,     0,   852,     0,     0,
     854,   855,     0,   858,   403,     0,   406,   413,   384,   389,
    1336,     0,  1336,     0,   386,   390,  1336,   385,  1336,   382,
     742,     0,     0,   719,     0,   449,     0,   455,   459,   460,
     458,   450,  1088,   483,   522,     0,     0,   732,     0,   583,
     430,   461,     0,     0,   434,   167,   166,     0,     0,     0,
     680,   679,   193,     0,     0,   706,   710,   750,     0,  1642,
     666,   355,   535,     0,   430,   527,  2494,     0,   435,   440,
     441,     0,   518,   514,     0,     0,   524,  1300,     0,   528,
     530,     0,     0,     0,  1035,  1052,  1053,     0,     0,  1088,
       0,     0,  1087,     0,     0,   568,     0,  2501,   344,  1647,
    2939,     0,  2940,  2941,  2942,  2943,  2944,   628,   344,   344,
     675,  1259,  1128,   729,     0,   967,   966,   965,   560,     0,
     969,   664,     0,   526,   344,     0,     0,   908,   889,   907,
       0,     0,   888,     0,   887,  2007,  1856,  1866,  1986,  1932,
    1963,     0,     0,  1814,     0,     0,  1861,  2376,     0,     0,
       0,     0,  1895,  1896,  1877,     0,  2213,  1882,     0,     0,
       0,  1781,  1779,  1776,     0,  1777,  1761,     0,     0,  1759,
    1755,     0,  1786,  1902,     0,  1918,  1915,  1929,  1963,  1503,
    1502,  1501,  1500,  1584,  1582,     0,  1587,  1594,     0,  1578,
       0,  1608,  1604,     0,  1605,     0,     0,  1606,     0,     0,
    1621,     0,  1594,     0,  1632,  1517,     0,     0,  1907,  1833,
    1834,  1831,  1517,  2057,  1907,  2693,     0,  2696,  2694,  2695,
    2699,   238,     0,     0,     0,  1412,  1415,     0,     0,     0,
       0,  1454,  1444,  2626,  1050,  1058,     0,     0,     0,   473,
       0,  1088,     0,     0,     0,  1016,  1016,     0,  1088,   522,
     725,   724,   727,   722,   726,  1333,     0,   601,   602,   616,
    1170,     0,  1217,  1177,     0,  1440,     0,   633,   295,   296,
     297,   300,   346,   308,   301,     0,     0,     0,  1166,     0,
    1215,  1173,  1228,  1153,  1202,     0,     0,   788,     0,     0,
       0,     0,  1229,  1154,  1203,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,  1342,     0,   345,   778,   777,
     346,   366,  1190,     0,   853,   859,   860,   857,   404,   148,
       0,   381,     0,   411,     0,   409,   408,   410,     0,   397,
       0,     0,     0,     0,     0,     0,     0,  1119,  1119,     0,
     720,     0,     0,   446,   522,   490,     0,   452,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,   188,   430,   632,   705,     0,     0,     0,   775,     0,
     432,     0,  1405,   431,     0,     0,   520,   518,     0,   515,
       0,   519,     0,  1293,     0,     0,     0,     0,  1084,     0,
    1090,     0,  1046,  1023,  1085,     0,  1635,     0,     0,     0,
       0,   572,  2527,  2531,  1120,  2947,   806,   808,   670,   972,
       0,   979,   344,   890,   891,   892,   893,  1934,  1809,     0,
       0,     0,     0,  1872,     0,  1873,  1900,  1899,  1879,  1883,
       0,  1880,  1881,  1778,  1782,  1780,  1763,  1904,     0,  1517,
    1931,  1628,     0,  1631,  1586,     0,     0,  1588,     0,     0,
    1590,  1592,     0,     0,     0,     0,     0,     0,  2043,     0,
    2124,  2352,  2267,     0,  1545,  1547,  1550,  1552,  1551,  1553,
    1549,  1558,     0,  1481,     0,  1480,  2698,  2697,  1955,  1637,
    1423,     0,     0,  1007,     0,     0,  1451,  1450,   973,     0,
     344,  1013,   522,   492,  2222,   493,  1012,     0,  1014,  1019,
    1019,     0,   522,   720,   594,     0,     0,   280,   631,     0,
     348,   360,     0,  1440,     0,     0,     0,   795,   783,     0,
       0,   802,  1156,   676,     0,     0,   276,  1176,  1172,  1344,
    1345,     0,     0,     0,     0,     0,   344,   862,   383,     0,
     407,   416,     0,   414,   387,   392,     0,   396,   394,   393,
     388,   391,  1119,     0,  1116,  1115,   718,     0,   481,   453,
       0,   501,     0,     0,   733,     0,     0,   510,   470,   469,
     466,   465,   467,   468,   463,   462,     0,   632,   792,   355,
    1300,   645,   707,   708,   703,     0,     0,     0,   514,   510,
     436,   445,   419,   520,   516,   517,     0,     0,     0,   527,
    1346,  1006,     0,  1089,     0,     0,     0,     0,     0,     0,
    1123,   567,     0,     0,   571,   562,     0,  2529,   632,   940,
    1810,     0,  1811,     0,     0,     0,  1885,  1884,     0,  1921,
    1633,     0,     0,  1627,     0,  1595,  1611,     0,  1591,  1589,
       0,  1600,     0,  1602,  1830,     0,     0,     0,  1554,     0,
    1906,  1908,     0,  1832,  1421,  1635,     0,  1418,     0,   990,
       0,   991,  1016,   496,     0,  1015,  1022,  1022,   483,   720,
     474,  1178,     0,   634,     0,   303,     0,   288,  1174,     0,
     786,     0,   797,   795,     0,     0,     0,     0,  1338,     0,
    1339,  1340,  1343,   368,   371,   402,   412,     0,   395,  1114,
    1118,  1117,     0,     0,   454,   487,   488,   489,     0,   456,
     497,   498,     0,   730,     0,   735,     0,     0,   509,   657,
       0,     0,     0,  1294,     0,     0,  1300,   518,   514,   443,
     417,     0,  1297,     0,   529,     0,   355,  1088,  1091,  1086,
    1257,     0,     0,   570,   569,  2532,  2534,  2533,     0,   661,
    1812,  1888,  1874,  1901,  1886,  1917,     0,     0,     0,  1626,
    1629,     0,  1593,     0,     0,  1601,     0,     0,     0,  1548,
       0,     0,  1420,  1008,     0,     0,  1019,     0,   720,     0,
    1010,  1009,   490,   476,  1440,   347,     0,     0,     0,   793,
     796,   784,   797,   804,   803,   678,  1440,     0,   415,     0,
     480,     0,     0,     0,   499,     0,   500,   521,     0,   734,
       0,     0,   791,     0,     0,   709,     0,  1295,   520,   518,
    1298,  1299,     0,   520,  1024,  1256,  1255,  1494,     0,     0,
    2530,  2340,     0,  2313,     0,  1919,  1922,  1920,  1914,     0,
    1610,  1624,  1556,     0,  1555,  1909,  1910,  1635,   344,  1022,
       0,   478,   494,   501,   281,  1440,     0,     0,   785,   277,
    1341,   710,   506,     0,   505,     0,   503,   502,   731,   736,
     632,   781,  1300,   713,   420,   520,     0,  1635,  1239,  1494,
    1238,  1240,  1248,  1245,  1247,  1246,  1244,  1126,  1127,     0,
    1926,  1925,  1924,  1928,  1927,  1630,     0,  1622,  1557,  1417,
     992,  1011,     0,   720,   289,   787,   794,     0,   504,   508,
     507,   658,  1296,     0,   711,   714,   717,   715,   716,   418,
     355,   997,     0,  1249,  1243,  1479,  1466,     0,     0,     0,
       0,   495,   479,     0,   691,     0,   520,  1241,  1494,     0,
       0,  1923,     0,     0,   712,  1635,  1242,     0,     0,  1623,
       0,   998,     0,     0,   713,     0,     0,     0,  1124,  1125,
     692
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1936,  2805,  2690,  3559,  3560,   252,
     253,  1932,   254,   255,   256,   257,   258,   259,   260,  1871,
     261,   262,  1364,  2058,  2816,   263,  2549,  1115,  1116,  1117,
    2403,  2404,  2753,  2405,  2392,  1697,  2203,  1890,  1080,  1081,
    1852,  1891,   265,   266,  1691,  2384,   267,   268,   269,  1917,
    1918,  1865,  2105,  4585,  5275,  3400,  2669,  3599,  3401,  3402,
     270,  1984,  1985,   271,   272,  3527,  2029,  2784,  4114,  4115,
    4619,   907,  2781,  4919,  4920,  4605,  4606,  4926,  5142,  5143,
    2817,  2053,  3593,  4194,  3550,  4667,  3551,  4668,  3552,  4669,
    3538,  4143,  4144,  4145,  3553,  4641,  5174,  3554,  2568,  5304,
    2852,  2233,  2231,  5161,  4470,  4471,  5378,  5309,  5310,  5311,
    5466,  4643,  3597,  4200,  4676,  4947,  3296,  2079,  3702,  1010,
    2855,   939,  1011,  2818,   277,  2846,  2847,  1955,  2698,  4121,
    3682,   278,  1384,  3974,  5001,  5214,  5215,   279,   895,   280,
    2062,   281,   282,  2801,  3544,   283,  2585,  3313,   284,   285,
    3341,  3342,  3343,   286,   287,  3996,  4866,  1919,  3389,  3390,
    3391,  3392,  4019,   288,  2060,  1960,  2825,   289,   290,   291,
     292,   293,  2979,  2980,   294,  2741,   295,   296,   297,   298,
     299,  4051,  4552,  4172,  3427,  3566,  4170,  2819,  2070,  2837,
    2838,  4656,  4965,  5184,  4967,  5513,  5514,  4940,  3952,  4484,
     301,   302,  4636,  4637,  5316,   303,  2583,   304,   305,   306,
    2037,  2793,  2794,  4122,  2031,  2786,  2787,  4182,  4183,   307,
    3482,   308,  4536,  4537,   940,  5321,  5282,  5391,   309,   310,
    4540,  4541,   311,   312,   313,   314,   315,   998,  1483,  1484,
    1838,  1428,   316,  2420,   317,  1336,  3509,   318,  1575,  3025,
    4728,   319,  1034,  1508,  1509,  2820,   321,  1045,  3003,  1047,
    2246,  3684,  3685,  4275,  2965,  1242,   322,   323,  2976,  3006,
     324,  1858,  2559,  2560,  4465,  2821,   941,  2085,  2859,  3291,
    5082,  5083,  4845,  5099,  3198,  3895,   326,   942,  1895,  2629,
    2862,  3607,  2526,  2527,  2528,  4217,  2529,  3609,  2530,  1832,
    2531,  3615,  3616,  3617,  4213,  4220,  4223,  4990,  4991,   327,
    1893,  2627,   328,   329,   330,  1927,  1266,   331,   964,   965,
     332,  5154,   333,  1403,   334,  4999,   335,   336,  1069,  1070,
    1559,  1560,   337,   338,  2642,  4003,   339,   340,   341,  5480,
    5522,  5523,  5524,  4228,  5427,   342,  5482,  1551,   344,   345,
     346,   898,  1300,  1301,  1302,  2822,  4983,   348,   349,  1853,
    1854,  1855,  1856,  2554,   350,   351,   352,   353,   354,   355,
    2041,   356,   357,  5131,   358,   359,  2004,   360,  1728,  1729,
     361,   362,   902,  1135,  1732,  1740,   363,  1013,  1502,  1503,
    1504,  2205,   364,  1555,  2991,  1014,  1497,  1015,  2466,  3219,
    3905,  3906,  3909,  4829,  4441,  1016,  3216,   368,  2253,  2985,
    2988,  3212,  1017,  3224,  3225,  3226,  3227,  3228,  3912,  1018,
    1036,  1394,  2871,  1019,  1646,   373,   374,   375,  1145,  1139,
    1140,   377,  2361,  3151,  1054,  1746,  1099,  1100,  1152,  3859,
    2434,  2435,  2457,  2458,  1755,  1756,  2447,  2449,  3200,  2450,
    3208,  2440,  4415,  5064,  5065,  5066,  5067,  5068,  5069,  4808,
    2453,  2454,  1758,  1759,  1760,  2462,   378,  3155,  3838,  3839,
    3840,  4392,  4393,  4407,  4403,  4792,  5050,  3841,  1545,  1766,
    3842,  4800,  5497,  3843,  5041,  5042,  5233,  4410,  3850,  3903,
    3583,  3584,  3585,  2532,  2134,  1430,  1647,  1431,  2144,  1648,
    2118,  1433,  1649,  1650,  1651,  1436,  1652,  1653,  1654,  1439,
    2110,  2137,  1655,  1656,  2128,  1184,  1185,  2190,  3062,  1658,
    1659,  1660,  3845,  1661,  4348,  4759,  4748,  3083,  3084,  2400,
    4344,  3784,  2356,  3141,  5073,  5250,  5251,  3823,  4373,  4775,
    5039,  5358,  5435,  5436,  1662,  1663,  1664,  3138,  2351,  1268,
    1665,  4124,  2353,  3077,  3163,  3164,  2259,  2278,  3030,  3045,
    3046,  3057,  3743,  3065,  3070,  3771,  3772,  3078,  3107,  1666,
    3032,  3033,  3727,  2280,  1667,  1721,  1722,  2369,  3102,  1735,
    1736,  1137,  1681,  1668,  1669,  2247,  1126,  5046,   747,   730,
    3416,  2415,  1304,  1051,  1670,  1671,  1672,  1787,   690,  1453,
    1454,   692,   731,   732,  1222,   844,     2,    75,  1020,  3591,
     382,   383,   944,   945,   946,  1386,  1387,  2091,  2094,  1792,
    2498,   696,   697,   748,  4697,  5002,  5217,  1004,   384,   385,
     386,   387,  1788,  2494,  1186,    76,    84,    77,  1187,   424,
     425,  2476,   388,   861,   389,  1769,  1166,  3918,   390,   391,
     392,   393,   394,  1001,   395,  1168,   396,  1169,   397,   398,
     399,   400,  1176,   401,  1771,  1772,  4454,  1773,   402,   403,
     734,   735,  1495,   404,   405,  1203,  1204,  1527,  1528,  1798,
    1813,  1814,  1815,   406,   704,   407,   408,   409,  1804,  1805,
     410,  2377,  2378,  2503,  2379,   411,  3241,  3242,   412,  3876,
    3877,  4818,  3878,   413,  2373,   414,   415,  1129,  3923,   416,
     857,   417,  1217,   736,   737,   738,  1224,   847,  1085,   749,
    1226,  3393,   849,   850,   740,   741,   742,  2225,    78,  3249,
    2226,  1674,   750,  1675,  2367,  1676,  1677,  1678,  1679,  1680,
    1821,   744,  1193,  1487,  1488,  3250,  1490,    82,  1491,   421,
    3643,  2193,  1529,  2211,  2212
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -5000
static const int yypact[] =
{
   -5000,   465, 12990, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, 31180, -5000,
   -5000, -5000, -5000, -5000,112781,   821, -5000, -5000, -5000,117879,
   -5000, -5000, -5000,   774, 77501, -5000, 80525,  1167, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, 84557, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, 64886,  1360, -5000,   402,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000,  1630,  5928, -5000,
   -5000, 81029, -5000,   165, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, 81533,   857, -5000, -5000,  1288,  1200, -5000,   131, 17182,
   -5000, -5000, 73973, 78509, -5000, -5000, 85061,   777,  1998, 13090,
    1630, 31948, 85565, -5000,  2728, -5000, 61314, -5000, -5000, -5000,
   78005, -5000, -5000, -5000,  1277, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, 91613,  2412,  1209, 61827, -5000,
   -5000, -5000, -5000, 91613, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, 86069, -5000,  1322,  1443,   807, 92117, 92621,
   75485, -5000,  1458, -5000, 91613,  1481,  1504, 63876, -5000, 93125,
   -5000, -5000,  1344, -5000, 86573, -5000, -5000, -5000, -5000, -5000,
    1209, -5000, 64886, 60304,    82,  1342, -5000, -5000, 93629, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, 91613,  2258,
    1313, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000,   857, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000,   675, -5000,  1018,  1029,  1558,   338,  1447, -5000,
   -5000, -5000, 18231, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
  114284,  2337, -5000, -5000, -5000,  1552, -5000,  1479, -5000, -5000,
   -5000,  1556, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,   308,
   -5000, -5000, -5000, -5000,  2066,113282, 84557, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, 73469, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000,   208, -5000, -5000,
   -5000, -5000, -5000, 84557, 84557, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, 84557,  1684, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000,   316,  1978, -5000, -5000, 64886,  2891,  2891,
    2260,114284, -5000, -5000, -5000, 66401, 91613, 91613, 91613,  1963,
   91613,  1910, 91613,   593, 66401,121815, 87077,  2061,  1916, 55674,
   94133, -5000,120504, 91613, 91613, 94637, 91613,  1854, 82037, 91613,
    2035, 91613, 91613,122252, 95141,  2182, -5000,  2375,  1597, -5000,
   -5000, -5000, 91613,  6228,  2412, -5000, -5000, 91613,  2030, 66401,
   91613,  1964, 91613,  2046, 91613, -5000, 91613,  2049, 95645,   629,
    1734,121815,  2001, 56191,  2130, 91613,121815, 96149, 91613, 91613,
   -5000, -5000,  2120, 91613, 91613, -5000,  2225,122689,  1774,  2236,
    2384,  2294,  1151, -5000, -5000,  2481,  2064, -5000, -5000,  2500,
   84557, -5000, 82541, -5000, -5000, -5000,  2328, -5000, -5000, -5000,
   -5000, -5000, -5000,119630,  1998, -5000, -5000, 66906, 91613,  2372,
   -5000, -5000, 96653, 69936,  2155, -5000,   631, 67411,123126,  2439,
    2156, 56708,  2524, 97157,123563, 97661, -5000, -5000, 98165, -5000,
   98669,  2242,  2372, 99173, 70441,124000, -5000,  2365, 99677, -5000,
   13721, -5000,  2132,  2352,  2171,  1423, 84557, 84557,  1180,115659,
   -5000, -5000,   857, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000,   333,   612, 62340,   770, 62853, -5000, -5000,   853,  1255,
    1273,   333,  2573,  2573,   600, 84557, -5000, -5000,   612, -5000,
     884,   590,  2184,  2184,  2184,  2348,   706, -5000,  2184,  2316,
   -5000, -5000, -5000, -5000, 86573, 62340, 62853, -5000,  2192,  2412,
     188,  2597,  2261, -5000, -5000, -5000, -5000, -5000,  2262, 91613,
   91613, 91613, -5000, -5000, -5000,  2622,  2239,  2477, -5000,  2229,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,  2427,
    2432,  2440,    85,  2412,  2350, -5000,  2557, -5000,  2470, 38676,
   38676,  1334, 84557,  2412, 63366, 87581,109757,   190,119630,  2412,
  100181,  2305,  1354,  2492, -5000, -5000, -5000,   436, -5000,  2689,
    2321,  2532,   240,  1597, 53125, -5000,  2320,  1095, 86573,114785,
   -5000, -5000, -5000, -5000,   181,  2628, 39198, -5000, 91613,  2326,
   -5000,  2347,  2326,  2363,  2364,  1558, -5000, 91613,  1602,  1602,
    2736,  1602,  1336,  1872, -5000,  2753, -5000,  2643,  2642, 86573,
    1342,  1630,  2367, -5000, -5000, -5000,  2404, -5000,  2399,  2414,
   -5000,   623,  2676, -5000, -5000, -5000, -5000,  2501,  2509,  2522,
    2530,  2454,  2534,   228, -5000, -5000, -5000, -5000,  2776, -5000,
   -5000, -5000, -5000, -5000, -5000,  2889,  2876,118319,118319,   663,
     903,   185,   263, -5000, -5000, -5000,  2739, -5000, -5000,  2730,
   91613,  2574, 91613, -5000, -5000, -5000,100685, -5000, -5000,  2891,
    2404,  2502, -5000,   171, -5000,  1095, -5000,   276,   304,   361,
    1703,  2507,  1806,  3431, -5000,   851, 91613,  2620,   161,     7,
    2541, 88085,  4655,  2518,  2665,   345,  2792,  2843,  5666,   228,
   88589, -5000, -5000, -5000, -5000, 91613, 91613, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000,  2542, -5000, -5000,  2554,
    2870,  2757,  2842,  2722,  1427,  2771,  1082,  2903,  5583,  1454,
  101189,110261,  2878,  2918,  6724,  1641,   956,  2805,  1188,  2913,
    2766,  1973,  2932,  7559, 91613,  2627, -5000,  2869,  2977,   519,
   -5000,   371, -5000,  2695,  2840,   748, 66401,  2658, -5000, -5000,
   91613, -5000, -5000, 70946,  2734, -5000,   633, 66401, -5000,  2866,
    2715, 57225, 91613, -5000, 91613, -5000, -5000, -5000, -5000, -5000,
    2803,  2979, 91613, 70946, -5000,  2929, 91613, -5000,  2184,  2848,
    2699,  3088, 70946,   195, 91613,  1672,  3118, 91613,  2917,  1672,
    2738,101693, -5000, -5000,  1672, -5000, -5000, 91613, 91613,  2713,
    1780,  2907,  1672,  2922,  3125,  3126,  2786,  2898,  1033,  1451,
     143,  3018,  1672,  2767,102197,102701, 91613,  2774, 91613,  3100,
   66401, 91613,  3030, -5000,  2894, 89093, -5000,  2732,  2481, -5000,
   -5000, -5000, -5000, -5000,   760, -5000, -5000, -5000, -5000,  3044,
    2502,   255,  3048,  2740,  3050, -5000, -5000,  2788, -5000,  2788,
    2788,  2746,  2746,  2914,  2748,  3058, -5000, -5000, -5000,  2318,
    2788,  2746, -5000, 71956, -5000,  1807,  1870, -5000,   139, -5000,
    3166, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,   119,
   -5000,   915, -5000,  1944, -5000, -5000, -5000, -5000,  2782, -5000,
    3065,  2518,  3066, -5000,  2756,103205, -5000,103709,104213,  3070,
    2542,121815,  3071,  2955,  3077,  2756,  3079,  2963,  3082,   255,
    3083, -5000,  1149,  3072,  3087,  2968,  3091,   139,  3092,  2012,
    2756,120067,  3094,   153, -5000, 14512, 13721, -5000, 20398,  1841,
   -5000, -5000, -5000, -5000, -5000, -5000, 42852,   959,  2867, -5000,
   -5000, -5000,  1970, -5000,116989, -5000,  1180,   612, -5000, 84557,
     612, 84557,   600,   612, 84557,   612, 84557,   600,   612, 84557,
   84557, 84557,   612, -5000, -5000,   254,   237, -5000, -5000, -5000,
   -5000, -5000, 84557,  2789, 91613, 91613, -5000, -5000, -5000, 79013,
  121815, 79517, -5000, 91613, -5000,    99, 84557, -5000, 84557, -5000,
    2412, -5000, -5000,  2352, 70946,  3203,121815,  3100, -5000,  2009,
   -5000, -5000, -5000, -5000, -5000, -5000,  3025, 91613,  3089,  3090,
   79013,121815, -5000,104717,119630,  2986,  2796, -5000, -5000, -5000,
   -5000,  2040,  2443,   405,  2474, 42852,  2798,   204,   204,  2802,
    3103, -5000, -5000, -5000,   394,  2807,  2808, -5000,   421,   421,
    2809,  2811, -5000,   430,  2812,  2813,  2677,   487,  2817,  2818,
    2820,  2318,   204, 42852, -5000,  2821,   421,  2822,  2823,  2824,
    2691,  2826, -5000,  2769,  2831,   448,   457,  2833,  2834, -5000,
    2809, -5000,   383,  2839,  2841,  2850,  2854,  2855,  2857,  2861,
    2862, 42852, 42852, 42852, -5000, 37110,  1095,  2412, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000,   498,  5689, -5000,  2882,
   -5000, -5000,  3046, -5000, -5000, 42852, -5000, -5000,   225, -5000,
     517, -5000, -5000,  1095, -5000, -5000,  1883, -5000, -5000, -5000,
   -5000,  3114,  2863,  2042,  2042,   233, -5000, 81029, 81029, -5000,
   -5000,  1559,  2864, -5000,  2138, -5000, -5000, -5000, -5000, -5000,
   -5000,119193,  3284, -5000,  2431,  2412,   371,  1799,  3228,116099,
  116544,  3123,  3123,  3108, -5000, -5000, 91613, -5000, -5000, 42852,
   59294, -5000,  1095,   123,  3124, -5000, -5000, -5000,  2054, -5000,
   -5000, -5000,   857, -5000, 16940, -5000,  2058,  2326, 91613, 91613,
    3289, -5000, -5000,  2347, -5000, -5000,  1558,  1558, 42852,  1558,
     202,  1745, 39720, 42852,  3173,  3073,  1639,  1402,  3174, -5000,
    3074,  1336,  1872, 86573, 91613,105221,  2994, -5000, -5000,  2404,
    2888,  2045, -5000, 72965,113783,113783,  3138, -5000, -5000,  1017,
     615,  3007,  3101,  2573,  1626,  2157, -5000, -5000,  2883, -5000,
    3229, 81029,  2943,118319, -5000, -5000, 91613, -5000, -5000, 89597,
   -5000, -5000, -5000,  1928,  2886, -5000,  2901, 91613, -5000,  3404,
    2157,  2157, -5000, -5000,  2893, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000,114284,  2899, 91613, -5000,  2900,  2902, -5000,
  114785, 59799,  1879,  1095,  2980,  2983,  3031, 64886,  2908,  2988,
    2990,  3041,  3150, -5000, -5000,  2997,  2999,110765, -5000, -5000,
     982, -5000, -5000, -5000,   982, -5000,  2942, -5000,  1345,   425,
    1513,  3000,   235,  1009,  3301, -5000,  1440,  3062, -5000, -5000,
   -5000,  5285, 91613,  3246,  7831,  3130,   228,  3061, -5000, -5000,
    3178,  3019,  3020,  3142,   228,   991,111269, -5000, -5000, -5000,
   -5000, -5000, -5000,  4169, 35570, -5000,  3021,  3001,  3035, 91613,
   74477,  2121,  3137,  1912,  2163,   764, 91613,  3216,  3152, 91613,
    2954,  3040,  3042,  3243,  2967,  2221,  3337,  2966, -5000, -5000,
    3148,  3244,  3282,  8495,  3032,  3034, 68926,  1419, 57742, 91613,
   91613,  3332,  1923,  3063, -5000, -5000, -5000,  1923, 91613,  3064,
    3068, 91613,   228, -5000,  3387,   228,   228,  1563,  3390,  3075,
     539,  1601,  1672,  2966,  1328, -5000,  3078,  3081,  1317, -5000,
    3182, -5000, -5000,  1462,  3080, 86573,   250,  1936,  2966,  3086,
    3093,  2967,  2967, 91613, 91613, 91613, 91613, 91613,   155,  3405,
    3406,  3096,   187,  3131,  3003, -5000,120941,  3099,109757, -5000,
   -5000, 91613,  3105,  2003,  2966,  1266, -5000,  1863, -5000, -5000,
   -5000,  1597, -5000, 91613, -5000, 91613,  2502, 70946,  3202,  3260,
   -5000,  3043, -5000,  2518,   228, -5000, 91613, 91613,  2542,  3206,
    1510,  1194, 70946,  3215,  3274, 91613,  3275,  3095, -5000,  1260,
   59799, -5000,  2713,  3033,  3450, 91613, 64886, -5000,  3462,   982,
   -5000, 70946,  3230,  3346, -5000, 91613,  3245,  3051, -5000,  3393,
    3107, -5000, -5000,  1071, 91613, -5000,  3363,121815,  1246,  2412,
    3098,121815,  3283, 91613, 91613, 91613, 91613, -5000, -5000,  3253,
     728,   138, -5000,120941, -5000, 91613,  3264,  1328,  3265,  3479,
      52,  2184,105725,  3362, -5000,106229,  3109,  3483, 70946,  3313,
   -5000, -5000,  3069,  2573, -5000,  2732, -5000,  2117, -5000,  3200,
   -5000, 66401,   255, -5000, -5000, -5000, -5000, 70946, 91613, -5000,
    3110, -5000, -5000, 42852, -5000, -5000, -5000,  2573, -5000, 70946,
    2788,  2788, -5000, -5000,  3501,  3167,  3170,  2573, -5000,  2573,
   -5000, 70946, -5000,  3104,  3115,  3214,  2573, -5000,  3169, -5000,
    3180,  2573, -5000,  2092, -5000,106733, 66401,   255,121815,121815,
    3410,   153,  3417,  3168,  3421,  3171, 57742,   255,   158, 91613,
   91613,121815, 91613, 91613, 91613, -5000, 91613, -5000, -5000, -5000,
   -5000, 70946, 91613, 91613, 70946, -5000,121815,120941,  3424,  3425,
     255, 91613, 91613, -5000, -5000, 19874,  1919, -5000, 13721, -5000,
   16940,  2098,  3123, -5000,  1684, 91613,  1204,  1180,124437, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, 84557, -5000, 84557,
     600, -5000, -5000, 84557, -5000, 84557,   600, -5000, 84557, -5000,
   -5000, -5000, 84557, 91613,  3630,  3116, -5000,  1883, -5000, 91613,
    2122, -5000, -5000,  2126,  1125, 91613, 91613,   682, 66401, 91613,
    3318, 91613, 91613, 91613, 91613, 91613,  3201,  2864,  1566, -5000,
     219,   321, 86573,  3325, -5000, -5000, -5000, -5000, -5000,  2145,
    2258,   798, 91613,  1497,  2262, -5000, -5000, 79517, 78005,  3418,
     120, 91613, -5000, -5000,  4613, 42852, 38154, -5000, -5000, 16940,
    3164, 42852, 42852,  3127,  2573,  2573, -5000,  3409, 42852, 42852,
   42852,  2573,  2573,  3805, 42852, 57742, 42852, 45462, 34001, 42852,
   42852, 37632, -5000, 42852,  3343, 46506, 42852,  1799,  3344, 42852,
    1799,  3805,  3571,  3571,  1342,  2254,  6179,  3133,  1095, -5000,
    2573,   786,   287, 70946, 42852, 42852, 42852, 42852, 64886,  3212,
     258, 91613, 42852,  3139,  1773, -5000, 42852, -5000,  3140, 42852,
    3218,  1286, 42852, 42852, 42852, 42852, 42852, 42852, 42852, 42852,
   42852, -5000, 47522,   303, -5000,  3426,  3438,   -34,   883, 80021,
   38676,  3436, -5000, 32955, -5000,   295, 84557, -5000, -5000,  1095,
    3436, -5000, -5000, -5000, -5000, -5000,  1928,  3143, -5000,  3156,
   -5000, -5000, -5000, -5000, -5000, 91613,  3284, -5000, -5000,  3222,
   -5000, -5000, -5000, -5000,   528, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000,  3146, -5000, -5000, -5000, -5000,  3146, -5000,
   -5000,  3123,  3149,  4151, -5000, -5000, -5000, -5000,  3428,  3434,
     255,114284, 91613,   181, 83045, -5000, 39198, -5000,  2166, -5000,
    3158, -5000,  3413, -5000,  3159, -5000, 11895,  3413, -5000, -5000,
     178,  3272,  3408,  3356, -5000, -5000, -5000,  3165, 16940, -5000,
    2202, 16940,  2206, -5000, -5000, -5000, -5000, -5000, -5000,  1269,
   -5000, 91613,  1396,  3173,  1402,  3221,  1174,  3584, 91613, -5000,
   53633,  2147, -5000,  2404, -5000, -5000, 16630, -5000, 32452, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,  3175, -5000,
   -5000, -5000, -5000,   228,  3185,  3662, -5000,118319, -5000, -5000,
   -5000,  3630, -5000,  2500, -5000,  2500,  3687, -5000, 84557, -5000,
   -5000, -5000, -5000,  1179, -5000, 13721, -5000, 13721, -5000,  3358,
   -5000,  3570, -5000, 71956, -5000,  3186, -5000, 71451, 67916, -5000,
   -5000,  1206, -5000,   685,  3252,  3258,  3309,121815, 91613, 91613,
   -5000, 64886,121815, 91613, 91613, -5000,121815, 91613, 91613, -5000,
   -5000, -5000, -5000, -5000,117434,   957, 78005,  3314, 75989, -5000,
   -5000,  3189, 91613,  3248,  3437,  3440,   630, -5000, -5000,107237,
   -5000,  3397,121815, 91613, 91613, 42852,  3400, 91613, 91613, -5000,
     372,  3278,  3279, -5000, 91613,  3280, 66401,  3205, 91613, 91613,
   70946,  3281,   650, 66401,  3250, 58259, 91613, 91613, 91613, 91613,
    3334,  3510, 70946, 91613,  3459,  1262, 86573,   121,  2063,  2966,
    3419, -5000,  1217, -5000,121815, 91613,  3411, -5000, -5000, -5000,
   76493,  3628,  3331, -5000, -5000,111773, -5000, -5000, -5000,  2190,
   -5000,121815,121815, 91613,  8764, 91613,  1478, -5000, -5000, 70946,
   -5000, 91613, 91613, 91613,  3473, 91613, 83549,107741,108245,    47,
    1021,  3474, 91613, 84053, -5000, 91613, -5000, -5000, 65391,121815,
   91613,   480, 64886, -5000, -5000, 91613, -5000,  3420,   782, -5000,
   91613,  9487,  3317,  3328, 91613,   343,  2128,  2966, 91613, 91613,
    3241,  2195,  3322,  3373, -5000,  3441,  1158, 91613, -5000,121815,
    1150, -5000,  3392,121815, 91613,  7732, -5000, -5000,   228, -5000,
   -5000, -5000, -5000, -5000, 91613, 91613,   228, 91613,   228,  1737,
   -5000,121815, 91613, -5000, -5000, -5000, 91613,  9417, 91613, 91613,
   91613, 91613,121815, 91613, -5000, -5000,  1248,  1382,  1835,  1881,
    3396, 91613,  3530, 91613,108749,121815, 91613, 91613, 91613,  1742,
   -5000,  3375, -5000,121815,  1150,  9501, 91613, 91613,  3333,  3338,
     163,  3415, -5000, -5000, -5000, -5000, -5000, -5000,  3511,  3678,
  109253,  1812, -5000,  3513,  3514,  3320,  3323,  3517, 91613,  1812,
   91613, -5000, -5000, -5000, -5000,  3516, 91613,  1812,  3520,  1812,
    3467,   658, -5000, -5000,  1672, -5000,  2205, -5000,  3286, -5000,
   42852, 70946, -5000,  2233, -5000,  3287,   728, -5000, -5000, 64886,
   91613,  1074,   614,  3586, 74981,  4518,  3575, 91613,  3324, 91613,
    3580,  4518, 91613, -5000,  1623, 78005, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000,  3583, -5000,  2412,  2713,  2713,
    2713,  2713, -5000, -5000, -5000, -5000,  3489,  1979, -5000,  3297,
    2713, 91613,  3422,  4518,  3298,  3611, -5000,  1328,  3612,  3614,
   91613, 74981,  2135,  3342,  3515,  3725,  2184,  2412,  3518,  3503,
   -5000, 36079,  5473,  3505,  3557,119630, 89093, -5000,  3321,  3597,
    3598,  3619, -5000,  2502, -5000,  3738, -5000, 42852,  2246,  3329,
     139, -5000, -5000,  3326,  3115,  3348,  3350,  3335,  3336, -5000,
    2573, 51093, 91613,  3339,  1434,  3542,  3340, -5000,  3643,   255,
    2518, -5000,  2756, -5000, 91613, -5000, 91613, 91613, 91613, 91613,
    2542, -5000, -5000,  3527,   255,  2756,  3535,   255,   255, -5000,
    3581,  3537,   255,   139,  2756,  3464,  3646,119630, -5000,   153,
   -5000, -5000, -5000, -5000, -5000, 42852, -5000, -5000,  2184,  2117,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, 84557,  2500, -5000,  2250, -5000, 91613, -5000,  3620,  3621,
    3622,  3351,  3352,  3384, 91613,  3353, -5000,  3351,   228,  3351,
    2864,  2864,  3351,  3352,121378,  3786,  3650, -5000,  3442,  3360,
    3660,   762, -5000,   793,    15,  3590, -5000, -5000, -5000, -5000,
   70946, -5000, -5000, -5000, -5000, -5000,121815,  3412, 91613, 91613,
   -5000,   122,  3561,  3376,121378,  3776,   255, -5000, 66401, -5000,
   -5000, 70946,  3452,  3469, 66401,  3579,  3427, -5000, -5000, -5000,
   -5000, -5000, 70946, -5000,  3626, 91613,  2256, -5000,  1896, -5000,
    1948, 42852,   102, -5000, 15022,  2263, 42852,  3383,  3385, -5000,
   -5000, -5000, -5000, -5000, -5000,  3388,  3680, -5000, -5000,  2264,
    2273,  2281,  3399,  3407,  5228,  3416, 15471,  3423,  3391, 45462,
   45462, 37110,  1408, -5000, 45462,  3429,  3574,  2298, 14906,  3430,
    3439, 15553, 40242, 42852, 40242, 40242, 15592,  3430,  3444,  2304,
   64886,  3585, 15914,  2311, -5000, 42852, 64886,  6139, 42852, -5000,
   42852,  3446, -5000, -5000,  3085,  3085,  3085,  3805, -5000,  3433,
   -5000, 45462, 45462, -5000,  2520, 37110, -5000, -5000,  3699, -5000,
   -5000,  1582, -5000,  3414, -5000, -5000,  2591, 57742, 12218, 42852,
     272, 42852,  3139, 42852,  3486,  3085,  3085,  3085,   501,   501,
     267,   267,   267,  2065,   883, -5000, -5000, -5000,  3435,  3443,
    3449,  3592,  3453, 42852, -5000,  2199,  2248, 91613,  5710,  6678,
   11045, -5000, -5000, -5000, 48552,  3451, 42852, 42852, 42852,  3456,
   -5000,  2578, 16940,   719, -5000,  2639, -5000, -5000, -5000,  3451,
    1290,  3687,  1928, -5000,  1597,  2573,   786,116989, -5000, -5000,
   -5000, 42852, -5000, -5000, -5000, -5000,  2347, -5000, -5000, -5000,
   -5000, -5000, 91613,  2258, 42852, -5000, -5000,  3054,  3454, 42852,
    2202, -5000, -5000,  3475, -5000, 42852, -5000, -5000, -5000,  2864,
   -5000,  3645, -5000, -5000, -5000, 48552,  3460,  3476, 52617,  3613,
   -5000, 91613, -5000, 91613,   174, -5000, -5000, -5000,  3463, -5000,
   -5000, -5000,  1329, -5000, -5000, -5000, -5000, -5000, -5000,  3455,
   -5000,  3457, -5000,  3472, -5000, -5000, -5000, -5000,   209,  3461,
    3466,  3465,   -76, -5000, 67916,  1944, -5000, 71451, -5000, 71451,
   -5000,  1944,  3824, -5000, 67916,  1892,121815, 91613, 91613, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000,121815,121815,  3633, 91613,  3647,  3655, 42852,   804,
   91613,  3470,  3477,  1534,  3731, 91613, -5000,  3774,   255, -5000,
   -5000,  3544, -5000, 16940, -5000, -5000, -5000, -5000, -5000,121815,
   91613, -5000,119630, -5000,  2502, 70946, -5000, -5000, -5000, 91613,
    3504, 91613, -5000, 91613, 91613, 91613,  2542, -5000, -5000, -5000,
   -5000,  1195, 70946, -5000, -5000, 91613, 91613,   483,  3549,  3551,
   91613, -5000,   740,  3182,  9999, 91613, 91613, 91613,  3735, -5000,
   -5000, -5000, -5000,  3676, -5000, -5000, 67916, -5000,  2756,   509,
    3558,  2966, -5000,  3668, -5000,  1319, -5000,  3606, -5000, -5000,
   -5000, -5000,  3796,   255,  3798,   255, 91613, 91613, 91613, 91613,
    3615, -5000, -5000, -5000, -5000, -5000, 64886, 64886, 64886,  2324,
   -5000, -5000,  2412, -5000, -5000, -5000, -5000, -5000, -5000,  3758,
   -5000,  2325, -5000,  1555, -5000, -5000, -5000, -5000, -5000, -5000,
  121815, 91613, 10083, 91613, 91613, 91613,  1920, -5000,  1268, 70946,
   -5000, 69431,121815, 91613, 91613,  3576,121815,  3552, -5000, -5000,
    3733,  3674, -5000,  1906,  3675,121815,  3560, -5000, -5000,  3587,
   -5000, -5000,  3588,  2448,  2966,  1328, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000,   962,   342,  2830,  2966,  3591, -5000,
    3599, -5000, -5000, -5000,  3727,  3729,  3730,  3600,  3601,  3634,
    3602,  3604,  3639, -5000,  3605,  3658,  3616,  3663,  3617,   255,
   70946,  3740,  2412,  3652,  3838,   255, -5000,  3618, -5000, -5000,
    3952, -5000, 91613, -5000,  3623,  2838,  2966, -5000, -5000,121815,
   91613, -5000, -5000, -5000,  1812, 70946, 91613,  3791, -5000, -5000,
   -5000,  1812,  1812, 91613, 91613,  1812,  3799, -5000,  3800, 91613,
    3801, -5000,  1812, -5000, -5000, -5000, -5000,  2848,  3547, -5000,
    2328, 55157,  6516,  3548, -5000, 64886, 55157,  2099,  1677,   211,
    1672,119630, 91613,119630, -5000,   614,  3668, 91613, 91613,  3553,
    3550, -5000, -5000, -5000, -5000,121815,   813,121815,  2573, -5000,
   -5000,  3625, -5000, 91613,  2184,   354,  3632,  3967,  3126,  1246,
    3703,  1822,  3910,  3342, -5000, -5000, -5000, -5000, 91613, 91613,
     728,  2412, -5000,  3563,  3572, -5000, 91613, 91613, 91613, 91613,
   91613,  2258,  3566,  3573, 70946,    34,  3766,  3768,  2967,  3992,
    3887,  2258,  3342,  3657,  3890, 91613, -5000,  2331,   118, -5000,
    2412,119630, 68421,  3879, -5000,  5057, -5000, -5000,   810, 91613,
    3865, -5000, 91613, -5000, -5000, 52109,   255, 70946,  2338, -5000,
   -5000, -5000,  2573, -5000, -5000,   460,   460,  3593, -5000, 51601,
   -5000,  3594, -5000,  2114, -5000,  3981, -5000, 91613, -5000,   255,
     153,  3649,   255,  3651,   255,   255, 91613, -5000, 91613, -5000,
   -5000, 91613, 91613, -5000, -5000, 91613,120941,   255, -5000, 16940,
    3893, -5000, -5000, -5000, -5000,  3724,  3726,  3737, 91613,  3351,
   66401, -5000,  3596,121815,  1599, -5000, -5000,  3792, -5000, -5000,
   86573,  3722, -5000, -5000, -5000, -5000,  3919,  3923, -5000, -5000,
   -5000,   955, -5000, -5000, -5000,121815, 79013,   160,121815, -5000,
    2502,  3866, -5000, -5000,  2518,   228, -5000,  3867, 91613,  3868,
   -5000, -5000, -5000,  3624, 16059, 42852, -5000,  3934, 70946, -5000,
    6638, -5000, -5000, -5000, 42852, -5000, -5000, -5000, -5000, -5000,
   42852, -5000, 42852,  3912, -5000, 34524,  4060,  4060,  3629, 70946,
   45462, 45462, 45462, 45462,  1527,  2822, 45462, 45462, 45462, 45462,
   45462, 45462, 45462, 45462, 45462, 45984,   626, -5000,  3804, 42852,
   42852,  3921,  3912, -5000, 70946,  3627,  3430,  3636,  3637, 42852,
   -5000, -5000,  2342, 47014,  3638, 64886, -5000, 42852, 13971,  2353,
    3669, 16658,  1095,  7265,  2412, 42852,  2302,  3951, 42852,  2359,
   42852,  3925, -5000, -5000, -5000,  3640, -5000, -5000, 70946, 42852,
    3641,  2851, 45462, 45462,  2934, -5000,  3102, 42852, 37110, -5000,
    3813,  3667, 54141, -5000, 35047,  3644,  1209,  1209,  1209,  1209,
   -5000, 91613, 91613, 91613, 49060,  3933, 48044, 90101,  3648,  1720,
   -5000, 90101, -5000, 90605, -5000,  3664, -5000,  3653,  1095, 42852,
    3928,   931,   931,  3813, -5000, 42852, 42852, 40764,  3656, -5000,
    3928, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000,  3665, -5000,  3659, -5000,
   -5000,   371,  3670, -5000, -5000,  8829,   209, -5000, -5000,  3672,
   -5000,  3654, -5000,  3454,   997, -5000,  7467,  3837, -5000, -5000,
   -5000,  3648, 41286,  3793, -5000,  2386, -5000, -5000,  4020,  3793,
   -5000, -5000,  2391, 53633,  3460, 39198,  1095,  2573,  3681, -5000,
    2500,  1290, -5000, -5000, -5000, -5000, -5000,  2392,  1914, -5000,
   -5000, 67916, -5000,  3728, -5000, -5000, -5000,  2756,  2756,   836,
    3351,  3955,   836,  8038, -5000, -5000, 49568, 91613, 91613, -5000,
   91613,  2395,  1935, 91613, -5000, 91613, -5000, -5000, -5000, -5000,
    4074, -5000, 91613, -5000, -5000,  3717,  3719, -5000, 91613, 91613,
   91613, 91613,  3917, -5000, -5000,  2507, -5000, -5000,121815, 91613,
   -5000, -5000, -5000,   428,  2849,  2966, -5000,  3752, -5000, -5000,
    3935, -5000,  4075,  3763, 91613,  3679, -5000,  1935,   783,  2967,
     206, -5000, -5000,  3747, -5000, 91613, -5000, 91613, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, 65391, -5000,
   -5000, 91613, -5000, 64886, 55157, 64886, -5000,  1430,   463,  2982,
    2966, -5000,  3762, -5000,  3764,  3765,  3807,  1197,   538,  3767,
    3769,  3812,  3688,  3690,  3692, -5000, -5000,  3839, 91613,  2756,
    3694,  3732,   333,  2412, -5000, -5000,  2412,  2756,  2412, 91613,
   91613, 91613,  4096,  3784, 91613, 91613, 91613, 91613, 91613, 91613,
    3997,   995,  2149,121815, 91613, 91613,121815, 91613, 91613, 91613,
   91613, 91613, 91613, 91613, -5000,  4081,  4012,  2051,  4052,  3772,
   91613, -5000, 91613,  3182, 91613, 91613, -5000, -5000, -5000,  3705,
    3956,  1812, -5000, -5000,  3957,  3959, -5000,  1812,  1812,  3960,
    1812, -5000,  1260, 64886, -5000,  2493, -5000,  3286,  3654,  2573,
    2157, -5000, -5000, -5000, -5000, -5000, -5000, -5000,  2394, -5000,
   -5000, 91613,  3713, 91613, 91613, 45462, -5000,  1713,   212, -5000,
    3964, 91613,  3750, -5000, -5000, -5000,  3891, 91613, -5000, -5000,
   -5000, -5000, -5000,  3720, -5000,  3995, 74981,  2756,121815,121815,
    2756, -5000, 70946,  3739,  3342, -5000, -5000, -5000, -5000, -5000,
   -5000,121815,  3552,121815,  1246,  1505,102701,  3771, -5000,  3741,
    4031, -5000,  3742,  3745, -5000, -5000, 91613,  3668,  2401,  1328,
     568,  2171,  3412, 76997,  2135,  3995, -5000, -5000, -5000,  4110,
    3823, -5000,  2258, 91613,  3412,  3823,  2412, 91613,  3248, -5000,
   67916, 42852, 42852, -5000,  3746, -5000,  3751,  5690, -5000,  3809,
    3749,  2713, -5000, -5000, -5000, -5000, -5000, -5000,  3822,  3754,
   91613,  4192, -5000, -5000, -5000,  3757, -5000,  3756, -5000, -5000,
   -5000,  2041,114284, 51601, 51601, 51601, 51601, 51601, -5000, -5000,
     255, -5000, -5000, 91613, -5000, 91613, -5000, -5000,   255,   255,
     255,   255, -5000,  3877, -5000,  2258, 91613, 91613, 91613,  3351,
   -5000,   228, -5000,  4053,121378, -5000, -5000,  2407, 91613, -5000,
   -5000, -5000,  4116,   120,  4061, -5000, -5000,  4019,  1940,  4021,
    4023,  1940,  4024,  1940, -5000, 42852, 16940, -5000,  3775, -5000,
   16940,  8251, 16940,  3921, -5000,  2416, 42852, -5000,  4680,  4680,
    4680,  3734,  4069, -5000,  1608,  3779,  4680,  4680,  4680,   154,
     154,   157,   157,   157,  4060,   626, 16940, 16940, -5000, -5000,
    3780, -5000, -5000, -5000,  3430, -5000, 43374,  3932,  4181, -5000,
   -5000, -5000,  3821,  3825,  3785, -5000, 42852, 43896,  3782, 71956,
    3968, -5000,  1401, 42852, 42852,  4360, -5000,  7765, 42852, 70946,
    2430,  4360,   344, 42852,  4002,  4198, 42852, 42852,  3595,  8701,
    3789, 42852,112277, -5000, -5000, -5000,  2433, 42852, 91613, 91613,
   91613, 91613, -5000, -5000, -5000, 90101, 90605,  3795, 50584,  1720,
    3790, 91613, -5000, -5000,  3802, 48552,  4049,  3987, -5000, 48552,
    3987,  1729,  3987,  4051,  3895, 54649, -5000, -5000,  3811,  3998,
   -5000, 32955,  1640, 16940,  4205,  4095, 42852,  3814,  3815,  3816,
   16940, 16940, 42852, -5000,  2412,  4095,  1290,   247,  2412, -5000,
   -5000, -5000, 57742, -5000, -5000, -5000, -5000, -5000,  4018, 16940,
   38676, -5000,  2258, 91613,  1095,    40, -5000,  3834, 91613, -5000,
    3793, -5000, -5000, 13721, -5000, -5000, -5000, -5000,  3894,  2434,
   -5000, -5000, -5000, -5000, -5000,  3901, 78005,  4120, -5000, 42852,
    2437, -5000,  3864,  4212,   116,  2449,  2460,  1935, -5000,  3750,
   -5000,  1804,  4098,   172, -5000,   255, -5000, 70946, -5000, 91613,
   91613, -5000, -5000, -5000, -5000, 91613,  2908, -5000, -5000, 91613,
   91613, 91613, 91613, -5000,121815, 91613, -5000, 64886,  1677,  4035,
   -5000, -5000,  4037,   333, 91613, -5000, 70946,   255,   255, -5000,
   -5000, -5000, -5000,  3848,  4238,  3927, 91613, 91613, 91613, 91613,
  121815, 91613, 91613,  2573,  2573, 70946,  3841, -5000,  2573,  2573,
    3842, -5000,121815, 91613, 91613, -5000, -5000, -5000,  3924, -5000,
   42852,  4232, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
  121815, 91613,  3929, -5000,  3930, -5000, -5000, -5000, 91613, 91613,
   91613, 91613,  4157, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, 91613, -5000, -5000,  2412,  2412, 70946,
     255,   255, -5000, -5000, -5000,  4099,  1812, -5000,  1812,  1812,
   -5000, -5000,  1812, -5000,   326,  2463, -5000,115222, -5000, -5000,
    3118,  2412,  3118,  1530, -5000, -5000,  3118, -5000,  3118, -5000,
    1935,  2018,  4141,  4146, 42852, -5000,  1061,  3734, -5000, -5000,
   -5000, -5000,  3750,  2184,  3909, 66401,  1337, -5000,  4126,  1074,
   74981,  1893,  3857,  3975, -5000,  2756,  2756,  3914, 91613,  4276,
    2756,  3732, -5000,   632, 91613,  4185,  3903, -5000,  2412, -5000,
   -5000,  3342, -5000, 91613, 74981,  3412, -5000,  2466, -5000, -5000,
   -5000,  3900,  3768,  2135,  1392, 91613, -5000,  3904,  4281, -5000,
   -5000,  4160,  4062,  3874, -5000, 16940, 16940,  2412, 72461,  5057,
   70946,  4172, -5000, 91613,   691,  4139, 91613, -5000,   255, -5000,
   -5000,  3878,  2013,  2013, -5000, -5000, -5000, -5000,   255,   255,
   -5000, -5000, -5000, -5000, 91613,  3351,  3351,  3351, -5000,  4067,
   -5000, -5000,  4133, -5000,   255,121378,  1940, -5000, -5000, -5000,
    1940,  1940, -5000,  1940, -5000, 16940, -5000, -5000, -5000, -5000,
    9150, 45462,  4176, -5000,  3885, 70946, -5000,  3889,  2469,  2472,
   46506,  4040, -5000, -5000, -5000,  9638,  3936, 16940,  3993,  3898,
    3905,  4360,  4360,  7765,  2476, -5000,  4360, 42852, 42852,  4360,
    4360, 42852, -5000, -5000,  9658,  4070, -5000, -5000, 10148, -5000,
   -5000, -5000, -5000, -5000, -5000, 65896, 90101,  3907, 91613,  1720,
   48552, -5000, -5000,  1843, -5000, 48552,  4147, -5000, 48552, 91613,
   -5000, 91613,  3915, 91613, -5000,   719, 44418, 42852,  3940, -5000,
   -5000, -5000,  3813, -5000,  3940, -5000,  2157, -5000, -5000, -5000,
   -5000, -5000,  3913, 84557,   234, -5000, -5000,  4274, 49568,  4250,
    3926, -5000, -5000, -5000, -5000, -5000,121378,  4102,121378,  1935,
   10453,  3750, 49568, 58776, 91613, 91109, 91109,  4072,  3750,  3909,
   -5000, -5000, -5000, -5000, -5000, -5000,  3931, -5000, -5000, -5000,
   -5000,  4005, -5000, -5000,   674,  3325,  2484, -5000, -5000, -5000,
   -5000, -5000,  4081, -5000, -5000, 55157,121815, 91613, -5000,  4006,
   -5000, -5000, -5000, -5000, -5000, 50076, 57742, -5000,  1197,  3937,
    3953,   538, -5000, -5000, -5000, 91613, 10600,  3954,  1279,  3325,
   91613, 91613,  1679,  1512,  1876,  3351,  4227, -5000, -5000, -5000,
    4081, -5000, -5000,  1812, -5000, -5000, -5000, -5000, -5000,  1672,
    4267, -5000, 64886, -5000,118756, -5000, -5000, -5000,  2412, -5000,
    2412,  4135, 91613, 60809,  2412,  2412, 66401,  4351,  4351, 91613,
   -5000, 10728,  4152, -5000,  3909,  4174,  4222, -5000,  3958, 91613,
    4119,  3965,  3966,  1108,  1108, 91613, 91613, 91613,  2487,  2258,
   -5000,  1246, 74981,  3668, -5000,  1670,  3969,  4278, -5000,  4372,
    3566,  3970, -5000, -5000, 76997,  4154,  3823,  3768,  4101, -5000,
    4103, -5000,  1650, -5000,  2258, 91613, 91613, 49568, -5000, 71451,
   -5000,  2488, -5000, -5000, -5000,  4042,  3451,  4073,  4076,  3976,
   91613,   655, -5000,  3989, -5000, -5000, -5000, -5000, -5000, -5000,
   91613, -5000,   160, -5000, -5000, -5000, -5000, -5000,  4451, 45462,
   70946,  2495, 42852, -5000, 42852, -5000,  4379, -5000, -5000, -5000,
     592, -5000, -5000, -5000,  4360,  4360,  4360, -5000,  4380,  3813,
   -5000, -5000,  2504,  4398, -5000, 91613,  2516, -5000, 42852,  3984,
   -5000, -5000, 48552,  1843,  3985,  2525, 91613,  2526, 70946,  3986,
    3999,    27,  4000, 33478,  4001, -5000, -5000, -5000, -5000, -5000,
   16940, 16940, 91613, -5000,  3991, -5000, -5000, -5000, -5000, -5000,
   -5000, 91613,  2536, -5000,    69, 36588, -5000, -5000,  1599,   836,
     160,  4212,  3909, -5000,  4003, -5000, -5000, 91613, -5000,   993,
     993, 91613,  3909, -5000, -5000, 91613,  4086, -5000, -5000, 64886,
    4059, -5000,  1341,  3325, 91613, 70946,  2518,    80, -5000, 70946,
   70946, -5000, -5000, -5000, 42852,  4091, -5000, -5000, -5000, -5000,
   -5000, 91613, 91613, 91613, 91613, 91613,   255, -5000,  3547,  2412,
   -5000, -5000,  2537, -5000, -5000, -5000, 91613,  3741, -5000,  3741,
   -5000, -5000,  4351,  1122, -5000, -5000, -5000,  1932,  4218, -5000,
    1097,  4203,  4100,  4022, -5000, 66401,  4458,  3995, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000,  2540,  3668,  4322,  3342,
    3904, -5000, -5000, -5000, -5000, 42852,  4179,  2258,  2135,  3995,
   -5000, -5000, -5000,  3823, -5000, -5000,  4407,  4213,  4411,  3412,
   -5000,  3248,  2547, -5000,  5690, 72461, 70946,  4354,  4063,  4065,
   -5000, -5000,  4077, 91613, -5000, -5000,  2390,  4476,  3668, -5000,
    4451,  2548, -5000,  2552,  2565,  4186,  4084, -5000, 42852,    96,
    3664, 65896,  4038, -5000,  2568, -5000, 16940, 91613, -5000, -5000,
   42852, -5000,  2587, -5000, -5000, 42852,  4039, 42852, -5000, 44418,
    4034, -5000,  4456, -5000, -5000,  3451, 49568, -5000,  4158, -5000,
    4335, -5000, 91109,  4083, 57742, -5000,  3454,  3454,  2184, -5000,
    1935, -5000, 91613, -5000, 42852, -5000,  4131, -5000, -5000,  2599,
   -5000,  1456,  4200,  4346,  2602,  2634, 10802, 91613,  3352,  1876,
    3352, -5000,  3351, -5000, -5000, -5000, -5000,118756,  3741, -5000,
   -5000, -5000,  4373,  4316, -5000, -5000, -5000, -5000,   323, -5000,
    4244,  4245, 91613, -5000,  4056, -5000,  2641,  4175, -5000, -5000,
   91613,  4472,  4475, -5000, 11424, 66401,  3904,  3768,  2135,  1677,
   -5000,  4252, -5000,  4253, -5000,  4066,  3342,  5057, -5000, -5000,
    1362,  4355,  4362, -5000, -5000, -5000, -5000, -5000, 91613, -5000,
   -5000, -5000, -5000, -5000, -5000,  3430, 41808, 41808,  4079, -5000,
   -5000, 91613, -5000,  2644,  2653, -5000,  2654, 44418,  2664, -5000,
   91613,  4078, -5000, -5000, 53633,121378,   993,  4087, -5000,  4080,
   -5000, -5000,  4174,  1935,  3325, 16940, 91613, 66401,  4471, -5000,
   -5000, -5000,  4200, -5000, -5000, -5000,  3325, 91613, -5000,  4204,
   -5000,   687,   687,  4412, -5000,  4140, -5000, -5000,  4082, -5000,
    4522, 91613, -5000,  1197,  2258, -5000,  4088, -5000,  3823,  3768,
   -5000, -5000, 49568,  3823, -5000, -5000, -5000,  2358, 66401, 66401,
   -5000, 44940,  4216,   599, 14121, -5000, -5000, -5000, -5000,  2667,
   -5000,  4235, -5000,  2671, -5000, -5000, -5000,  1366,   160,  3454,
   42852,  1935, -5000,  4203, -5000,  3325,  2518, 91613, -5000, -5000,
   -5000,  3903, -5000,  4523, -5000,  1242, -5000, -5000, -5000, -5000,
    3668,  3841,  3904, 64381, -5000,  3823,  2675,  3451, -5000,  2268,
   -5000, -5000, -5000, -5000, -5000, -5000, -5000,  4090,  4094,  4507,
   -5000, -5000, -5000, -5000, -5000, -5000,  4104, -5000, -5000, -5000,
   -5000, -5000, 11536, -5000, -5000, -5000, -5000,  4408, -5000, -5000,
   -5000, -5000, -5000,  2682, -5000, -5000, -5000, -5000, -5000, -5000,
    3342, -5000,  1904, -5000, -5000,  1954,  2364,  4177,  4391, 42330,
   42852, -5000,  1935,  4260, -5000, 64381,  3823, -5000,  2268,  4206,
    4208, -5000, 11613, 66401, -5000,  3451, -5000,  4137,  4143, -5000,
    4106, -5000,  4399,  4400, 64381, 66401, 66401,  2693, -5000, -5000,
   -5000
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5000, -5000,  4255, -5000, -1250,   307,  2649,  -784, -5000, -5000,
   -5000,  3366, -5000, -5000, -5000, -5000, -5000, -5000, -5000,  3401,
   -5000, -5000,  1829, -2704, -5000, -5000,   -36,  3364, -1692,   -40,
    2939,  1467, -5000, -1477, -5000, -5000,  -896,    19, -5000,  3370,
   -1085, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -1182,
    1980,  1289,  7209, -2640, -5000, -5000, -1779, -3470, -5000,   634,
   -5000, -5000,  1917, -5000, -5000, -5000,  1133,   550,  -475, -5000,
   -5000, -5000, -5000, -5000, -5000, -5000,  -255, -5000, -5000,  -622,
     290,  -106, -2697,  -292, -5000, -5000,   523,  -294, -1701, -5000,
   -3844, -5000,    55, -5000, -5000, -5000,  -271, -1809,  1395, -5000,
   -1018, -1498,  1731,  -697, -5000,  -153, -5000,  -763,  -620,  -618,
    -709, -4013, -4031, -4474, -4063, -3803,  1404, -5000, -4024,   299,
     491, -5000,   319,   337, -5000,   506, -1150, -1841, -5000, -1109,
   -5000, -5000, -5000, -3239, -5000, -5000, -5000, -5000,   -65, -5000,
   -5000, -5000, -5000,   551, -5000, -5000, -5000, -5000, -5000, -5000,
   -2578,  1898,  1899, -5000, -5000, -3440, -5000, -1225, -5000,   680,
   -3268,  1315, -5000, -5000, -5000,  2645, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -1950, -5000, -5000, -5000, -5000,
   -5000,   531,    53, -5000, -5000, -5000, -5000,   352, -5000,  1911,
    1126, -5000, -5000, -5000,  -753,  -845,  -825, -5000, -3278, -5000,
   -5000, -5000, -5000,  -225, -5000, -5000, -5000, -5000, -5000, -5000,
   -1312, -5000,  1191, -3398, -5000, -5000,  1199, -5000, -5000, -5000,
   -5000, -5000,  -686,  -158,  2684, -5000,  -548,  -656, -5000, -5000,
   -5000,  -154, -5000, -5000, -5000, -5000, -5000, -5000, -1423, 11289,
   -1382,  -836, -5000, -5000, -5000, -5000, -2227, -5000, -5000, -5000,
   -3694, -5000,  4550,    25,  -728,   355, -5000,  -204,   -80,  3199,
   -1492, -2936,   467,  -346, -5000, -2193, -5000, -5000, -5000, -2830,
   -5000, -5000, -5000, -5000, -3782,   369, -5000,  3187, -5000, -4030,
   -4734, -3793, -4260, -4596, -4119, -3776, -5000, -5000, -1442, -5000,
   -5000, -5000, -1842,  2217, -2291, -5000, -2447,   537,  1485, -1256,
   -3049, -4034, -1031, -3507, -5000, -5000, -3965,  -455, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -1432,  -918, -5000, -5000,  3787,
   -5000, -4494, -5000,  3761, -5000, -5000, -5000, -5000,  2491,  2494,
   -5000,  2498, -5000, -5000, -1835,  1272, -5000, -5000, -5000, -5000,
   -5000,  -671,  -780, -5000, -5000, -5000,   374, -5000, -5000, -5000,
   -5000,  2007, -1257, -1035,  3661,   395, -4850, -5000, -5000,  -508,
   -5000,  2909, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -2159, -5000, -5000, -4606, -5000, -5000, -5000, -5000, -5000,  2345,
    2346,   -94,  -228, -5000, -5000, -1618, -5000,  -852, -5000,  2580,
   -5000, -5000, -5000, -5000,  1583,   396,   589,   -70, -5000, -5000,
   -5000,   339, -5000, -5000, -3674,   -68, -5000, -5000, -5000, -5000,
   -4641, -5000,   -66,  -593,   873, -5000, -5000, -3075, -5000,   479,
     -77,  3290,  1851,   -75,  1797,  -248,  -237,  -222,   -71,   -53,
    3053, -5000,  3113, -5000,  -196,  2072, -5000, -5000, -1151,  -339,
   -5000,  1603,  -936,  2334,  3039,  3045, -5000,  1594, -5000, -5000,
    1606, -5000,   941,  -565,  -446, -5000, -5000, -5000, -5000,   382,
    -932,  2349, -5000,  3052, -5000, -5000, -5000, -2180,  1593, -3626,
     973, -3657, -3615,   433,   410, -1168,  -239,  -165, -1075,  3057,
   -5000, -5000, -5000,   987,  -415, -5000, -5000,  -408, -3098,   909,
   -5000, -4578, -2610,  4818, -1959, -1381, -5000, -5000, -1323, 21927,
   -5000, -5000, -5000, 23294, 24317, -5000, -5000, 24760, 25336, -5000,
   -1178,  1183, 25783, 19623, -1353, -1325, -1607, 17962, -2639,  -857,
   -3030, -5000, -3795, -2585, -5000, -5000, -5000,  -193,  1043,   101,
   -5000, -5000, -5000, -5000,    17, -5000,  -538, -5000,  -536, -5000,
   -5000, -5000,  -519, -4999,  2482, -5000, -5000, -5000,  -866, -5000,
   26499,  1644, -5000, -1287, -2995, -3009, -3653, -2150, -5000, -5000,
   -5000, -5000, -5000, -5000, -5000, -1710, -3543,  -758,  1721, -5000,
   -5000,  1810, -5000, -5000, -5000, -1657, -1179, -2893,  1725, -2307,
   -5000, -1138, -5000, -1061,  2486, -1090,  8144, -1690, 20459,  -115,
   -2574, -1635, -1918, -5000,  4665, -5000,  2949,  -128,  -718,  3524,
    -944,  -961,  7721,  5027,  6458, -3395, -5000, -5000,   489, -5000,
   -5000, -5000,  4193,  1225, -5000,  3468, -5000,  1984,  2758, -5000,
   -5000,  2354,  -976,    35, -5000,  -496, -5000,  -120, -5000, -5000,
   -5000,   210, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,
   -5000,  3084, -5000, -5000, -1574, -5000, -5000, -5000, -5000, -5000,
    4463,  -374, -5000,  3853,  -372, -5000, -5000, -5000, -5000, -5000,
   -5000, -5000, -5000, -5000,  3097,  2387, -5000,  3642, -5000, -5000,
   -5000,   -21,  3304, -5000, -5000, -5000, -1313,  -619,  3685,  3686,
    2351, -5000, -5000, -5000, -5000, -5000, -5000, -5000, -5000,  2360,
   -5000, -5000,  1692, -2284,  2361, -5000, -5000,   948, -5000, -5000,
     443, -5000,   951, -5000,  3192, -5000, -5000, -5000,  1001, -5000,
   -5000, -5000,  -564, 17479,   -61,   -95,   170,  1526, -5000, 10526,
   15651,  -105,  3117,   -64, 14192, 22470,    73, -5000,  4464,  2376,
    1937, -1059, -5000,  3973,  2672,  7150, -5000, -1057,   168,  2938,
   -5000,    -2,  -676, -1284,  3432,  -760, -2126, -5000,  4890, -5000,
   -3402, -5000, -1091,  3869, -1299
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2799
static const yytype_int16 yytable[] =
{
      81,  1144,  1396,   371,  1761,  1359,  1091,   376,   366,  2147,
     367,   848,   369,  1267,   419,  1692,  1163,   418,  1164,   746,
     419,   845,  1767,   418,  1536,  1537,  1538,  2202,  2157,   752,
    1542,  1714,  2151,   955,  1128,  1153,  2230,   943,  1038,  1682,
    1465,  1989,  2124,   938,  2002,  2966,  1833,  2051,  1505,  2428,
    2567,  1480,  2630,  1723,  1959,   418,   848,  1267,  2072,  1125,
    1038,  2143,  2933,  1460,   900,  2417,   845,  1395,  3707,  2648,
    1012,  3860,  3161,  2130,  1786,  1201,   420,  1706,  2269,   957,
    3258,  3260,   420,  1060,  2032,  2755,  3997,   701,  2114,  2115,
    1046,  2638,  3170,   376,   997,  2039,  1953,   264,  2123,  2044,
     418,  3980,  1968,  4178,  2048,  3418,  4152,  3549,  4222,  3569,
     896,  1994,  2055,  2710,   420,  1267,  2142,  4433,  4014,  3190,
    4016,  3479,  2074,  2842,  3844,  2431,  3029,   848,  1954,   733,
    1092,  2720,  4205,  1205,  1147,  2663,  4125,   845,  4130,  1155,
    1920,  4125,  4680,  1816,  2102,  1818,  3688,  1396,  3911,  3853,
     949,  4473,  4508,  4472,  1156,  4360,  1500,  1244,  1477,   420,
    4467,  3851,  3852,  4672,  1273,  2884,   733,  2860,  4666,  1079,
      79,   418,  2483,  2485,  2486,  1290,  2417,  4634,  4683,  1122,
    4679,  1114,  4673,  4689,  2192,  3844,  4406,   947,   954,   852,
    3169,  1035,  2724,  2725,  2623,  1142,  3792,   954,  4976,  2637,
    2477,  2477,  2540,  1354,  2187,  3927,  1990,  1088,  1362,  2191,
    4389,  1892,  1699,  1035,  4846,  1088,  1754,  1088,  2217,  1372,
    1757,  1794,  1795,  5055,  5107,  5057,  4404,  2925,  4328,  1196,
     420,  2111,  2112,  3562,   852,  4446,  3257,  4241,   954,  3922,
    1489,  3749,  2122,  2375,  3749, -2797, -2797, -2797, -2797,   427,
    5100,  1807, -2797,  5202,  2071,   906,   427,  2135,  5126,  1868,
   -2797, -2797,  4844,    45,    37,    38,    39,    40,  2223,  2640,
    2103,    44,  2731,  2130,  1390,  2114,  2115,  1807, -1700, -1700,
   -1700, -1700,  1087,  2418,  2103, -1700,   846,   129,   130,  2103,
    1087,  2103,  1087,  2123,   423,  1218,  1514,  5133,  5134,   427,
    1519,  1520,  1521,  4211,  2736,   852,  3725,   371,    43,  5281,
    1532,   376,   366,    45,   367,  3501,   369,  1133,   427,  1571,
    2027,    37,    38,    39,    40,   427,   419,    43,    44,   418,
    5323,   846,    45,  3652,   427,  3654,  3916,    37,    38,    39,
      40,  1206, -1700,    43,    44,  1577,  1808,  2839,    45,   897,
   -2798, -2798, -2798, -2798,  2323,  2251,  3705, -2798,  2317,  4853,
    3005,   419,  3142,  1869,   418, -2798, -2798,  4196,   273, -2050,
   -2050, -2050, -2050,  3100,  4827,  1696, -2050,   274, -2795, -2795,
   -2795, -2795,  2850,  2329,  4511, -2795,  2103,  3100,   420, -1938,
    5257,  2575,  2573, -2795, -2795,  2204, -1938,   275,  2640,  4630,
    3322,   264,   846,  2018,   427,  3135,  2194,  2718,  3154,  2111,
    2112,  3696,  3136,  2331,  1725,   276,  1726,  2981,    45,  -836,
    3746,  3747,  1553,   420, -2211,  3766,  1685,  4146,  2438,  2035,
     300,  2977,  5489,   320,  2122, -2794, -2794, -2794, -2794,   858,
    5246,   859, -2794,  1868,  5155,  3376, -1957,   325,  2891,  2002,
   -2794, -2794,   343, -1957,  3926,  1267,  4165, -1695, -1695, -1695,
   -1695,  1192,  3796,  3797, -1695,     3,  5356,  2318, -2390, -2390,
   -2390, -2390,  5277,   347,   365, -2390,  5417,  3307,  5242, -1700,
   -1700, -1700, -1700, -2390, -2390,  3697, -1700,  1220,  1177,  1164,
    2640,  2640,  3143,  5357,  2365, -1667, -1667, -1667, -1667,  4064,
    2359,  3377, -1667,  5193, -1680, -1680, -1680, -1680,  2840,  1525,
    2419, -1680,  2978,  5401,  4849,  1525,  3232,  2158,  -405,  2439,
    1396, -1695, -1710, -1710, -1710, -1710,  4512,  2104,  1157, -1710,
    5541, -1710, -1710, -1710, -1710,  1837,  2982,  4631, -1710,  5258,
     943,  2104,  3517,  1396,  4166,  2961,  2104,  1869,  2104,  2967,
    3521,  2969,  3523,  2289,  2972,  3248,  1178,   370,  1296,  3252,
    2662, -1707, -1707, -1707, -1707,  2561,  4828,   381, -1707,  3846,
    3345,  2763,    37,    38,    39,    40,  2640,  2362,  2851,    44,
    1797,  1800,  2562,  1199,  1200,  2180,  2767,  1207,  2323,  3031,
    2362,    37,    38,    39,    40,  2393,  2248,  4732,    44,  4734,
    2406,  2406,    37,    38,    39,    40,  1926,  1158,  1134,    44,
    -148,  2640,  2261,  1396,  1541,  1179,   862,  2329,  1180,  -148,
    2409,  2410,  5512,  4167,  -148,  3502,  4522,  2270,  2252,  4125,
    3846,  1870,  2732,  4212,  4513,  1190,  2737,  4514,  2563, -2211,
    1719,  4972,  4977,  2104,  1720,  2136,  4854,  2331,  1776,  2149,
    1297,  1541,  2252,   949,  2206,  1829,  2564,   249,  5299,   863,
    1809,  2417,  1803,  1727,  2841,  3396,  5376,  4944,  2131,  2036,
    1708,  4477,   273,  3761,  3762,  3763,  3764,  2224,  2273,  3764,
    1197,   274,  2182,  5397,  2574,  2109,  1809,  2149,  5476,  4274,
     947,  1298,  2609,  3101,  4649,  1032,  1033, -2797,  4147,  2719,
    2706,   275,  2708,  3913,  3199, -2211,  4764,  3812,  2417, -1938,
    2376,  1181,  3168,  3749,  1554,  3397,  3945,  2983, -2211,   276,
    2789,  2036,   860,  1284,  4993,  3137,  2186,  3976,  1198,  4406,
   -1700,  2954,  2662,  2891,   300,  2715,  2984,   320,   954,   954,
    1396,  2677,  1299,  5454,  2754,  1032,  1785,  4660,  1396,  1396,
    2758,   325,  1209,  1233,  2360,  5459,   343,  3308,  2929,  4168,
    4738,  1144,   845,  2360,  3981,  4816, -1957,  2611,  1567,  4789,
    4783,  1240,  3346,  4793,  4538,  2617,  4832,   347,   365,  2207,
    1810,  1811,  2209,  5439,  1506,  2213,  1192,  2215,  2565,  2350,
    2218,  4065,  3413,  5402,  2222, -1667,   418,   419,  4918,  1345,
     418,  3398, -2798,   702,  3844,  2388,  3844,  1350,  1159,  1448,
    3929,  2011,  3930,  2962,  5504,  1182,  1762,  2499,  5462,  1719,
    2897, -2050,  2973,  1720,  4169,  2463,  2878,  5491,  3320,  2464,
   -2795,  5262,  1392,  2696,  1183,   426,  2699,  2700,  1335, -1467,
    3414,  4702,  4703,  4704,  4705,  4706,  1026,  2688,  4423,  4620,
    1032,  1033,  2691,  5418,  1999,   420,  3992,  1405,  3336,   420,
    2963,   370,  2626,  1229,  4174,  3161,  3161,  3161,  1027,  2649,
   -1667,   381,  1229,   701,  4539,  1525,  5092,  4499,  1205,   958,
     701,  2937,  4459,  5102,  2096,  1709,  2109, -2794,  3880,  1544,
    2566,   701,  3525,  1507,  1777,  1513,  2452,  1518,  4663,  1498,
    2001,  2187,  3234,  1522,  3234,  2764,  3272,  1229,  1155, -1695,
    5226,  2944,  4526,  5192, -1467,  1501,  3844,  2947,  2833,   701,
   -2390,  3993,  2484,  1156,   701,  4997,  3406,  1513,  1518,  1499,
     852, -1700,  3337,  2623,  3362,   701,  2097,   376,  1796,  4104,
    4105,  2125,  2881,  2882,  2561,  5475,  1512,  2113,  1517,  1859,
    2125,  1710,  3399,  2125,  1393,  1533,  2117,  5492,  1531,  3977,
    2126,   701,  2850,  1544,  1567,  1229,  2138,  3981,  2570,  2126,
    2323,  1446,  2126,  5212,  2127,  1229,   701,  3692,  1547,  1549,
    5266,  5267,   701,  2129,  3336,  1192,  1063,   954,  3026,  3028,
    5043,  4695,  1446,   701,  1765,  3035,  3092,  2834,    81,  2329,
    4224,  3049,  3050,  3051,  1026,  5463,  2710,   701,  3694, -1467,
    2684,  3067,  3069, -1707,  4444,  2000,  3079,  2563,  1181,  3608,
    2347,  2348,  2349,  2350,  2320, -1667,  1027,   846,  2098,  2331,
    1934,  1241,  5013,  4473,  1178,  2564,  5014,  5015,  1494,  5016,
    1730,   703,   954,  2363,  3914, -2160,  5103,  4473,  1511,  4472,
    1516,  1935,    35,  1860,  3175,  4158,  -148,  -148,  3337,  1150,
      41,    42,  1267,  2853, -1467,  1724,  1064,  1351,   418,  1449,
    1695,  2012,  1526,  4461,  1703,  5464,  1874,  3280,  2099,  4225,
    1546,  1548, -2047,  1689,  4123,  1737,  5106,  1026,  3321,  4123,
    3340,  2964,  5021,  1179,  4664,  2138,  2139,  1229,  1229,  5465,
    5227,  2936,  3294,  4509,  1088,  3195,   701,  3526,  1088,  1027,
    1973,  4308,  4309,  4310,  4311,  3407,  1534,  4316,  4317,  4318,
    4319,  4320,  4321,  4322,  4323,  4324,  4325,   420, -2193,  5044,
    5330,  5213,   959,  4281,  1229,  1526,  2318,  1192,  1842,   733,
    4998,  5159,  2124,  3759,  3760,  3761,  3762,  3763,  3764,  2650,
    1974,  3265,  2970,  2971,  5317,  1540,  3295,  5327,  4962, -2526,
    2651,  2100,  2652,  1178,  5047,  4218, -1467,  2565,    79,  5051,
    5337,  5335,  5053,  4364,  4365,  5334,  5328,  3693,  1799,  1087,
    2618,   751,  4222,  1087,   960,  2835,  3196,  2063,  1843,  1181,
    4839,  4969,  4473, -1470,  2575,   701,   701,  2480,  2836,  1861,
   -1667,  4132, -1467,  2149,  2902, -1467,  4159,  1065,  3695, -1667,
    5168,  2113, -1667,  1837, -1667,  4226,  3340,  2915,  2653,   961,
      35,   962,  1179,  4434,  4569,  2139,  3886,  2064,    41,    42,
    1148,  1857,  2924,  1862,  1525,  1541,  5300,  1505,  2910,  4867,
    1079,  1963, -2160,  4462,  1066,  1067,  4135,  2996,  3857,  3846,
     427,  3846,  1851,    37,    38,    39,    40,  5449,  5169,    43,
      44,  1577,  1808,  1863,    45,  2481,  5170,  2619, -1470,  2566,
    -630,  1150,  1719,  4282,  3679,  4463,  1720,  4098,  1088,  1088,
    4227,  1844,  4435,  2880,  4102,  4103,  1978,  2483,  4106,  5263,
    1267,  1149,  1979,  2140,  5171,  4111,  4464,  5419,  3861,  5269,
   -2160,  3862,  3863,  2167,  1229,  1975,  3430,  5260,  3541,  4062,
    1851,  1446,  3864,  3865,  3866,  1229,  3867,  3868,  1181,  2089,
    3178,  3869,  3870,  3871,  2482, -2193,  1864,  2149,  2096,  2576,
    2550,  1446,  5305,  1068,    37,    38,    39,    40,  2923,   901,
    1446,    44,  2551,  2168,  1005,  2940,  3464,  5329,  2771,  3968,
    3282,  1789,  3465,  1087,  1087,  5474, -2526,  3431,  1150,  3217,
    5477,  3846,  2958, -1470,  1006,  3844,  4037,  5221,  5172,  3844,
    1819,  3209,  5424,  4831,  4063,  1526,  5301,  3055,  1229,  4570,
    2939,  4942,  2065, -2193,  3237,   853,  4139,  1380,  2772,  3969,
    1980,    37,    38,    39,    40,   854,  1007,  1144,    44,  1976,
    2345,  2346,  2347,  2348,  2349,  2350,  3349,  4423,  3120,  2577,
    2814,  3432,  5519,  4812, -2526,  3473,  4805,  1789, -1470,  3378,
    1181,  1446,  2140,  1848,  4140,  1849,  5238,  5509,  3283,  1267,
    1939,  1202,  2208,  4533,  2210,   376,  5043,  2214,  4141,  2216,
    3063,  2141,  2219,  2220,  2221,  4949,  2808,  5306,  3081,  2514,
    3466,  1164,  3361,  4724,  1816,  2228,  1818,  1942,  3649,   701,
    4416,  4473,  5279,  5373,  1940,  5425,  5284,  5285,  3872,  2254,
    4038,  2255,  2098,  5545,  3542,  3379,  2066,  5111,  3655,   701,
    4125,  3650,  1151,    81,    81,  2815,    81,  4270,  2323,  1026,
    5380,  5381,  1579,  3350,  1229,  3749,  4627,   855,  2169,  3750,
    3751,  3752,   701,  3433,  2424,  1943,  3336,  1026,  1049,  2432,
    2433,  1027,  2437,  3444,  3991,  5307,  3574,  3575,  3576,  3577,
   -1470,  3998,  2099,  5181,  1156,  1156,  4142,  1156,  3582,  1027,
   -2212,  2797,  2959,  4534,  3528,  3457,  1981,  3121,   701,  5173,
    3425,  1296,  3122,  2773,  3970,  3445,  3262,  2331, -2240,  1381,
    2441,  2067,  1446,  4950,   701,  2809, -1470,  3543,   206, -1470,
    1750,  1170,   904,  3496,  2960,  1751,  3161,  5510,  3887,   701,
    1982,  2068,   701,  4294,  2555,  1205,  4659,  4123,  3123,   216,
    3337,  1171,  4978,  1229,  2556,   216,  1944,  2442,  1494,  3446,
    3628,  1172,  2170,  1396,  4979,  3940,  3467,  3449,  1765,  3451,
    1983,  2557,  3873,  1382,  2710,  2100,  1097,  3426,  4451,  1383,
    3338,  1229,   224,  3434,  2748,  2416,  4039,  3626,   224,  1719,
    4066,  3435,   903,  1720,  3436,   845,  1750,  4473,  4535,  1752,
    3468,   856,  5426,  1297,  1945,  2579,  1946,  2774,  3971,  1229,
    1229,  1229,  2713,  1229,  3339,  2580,  2709,  1053,  2749,  3874,
    4040,   862,   235,    79,    79,  2354,    79,  1910,   235,   418,
    3469,   920,  5157,  1229,  3753,   238,  2380,  2381,  1753,  1061,
    2569,   238,  1789,  5501,  1298,  1948,  1063,  3326,   845,  4708,
    4041,  4709,  2481,  1931,  2444,  3754,   248,  1002,  3358,  2782,
    2783,  5125,   248,  1173,   863,  1752,  1810,  1811,  2570,   701,
    3218,  1098,  2396,  3124,  1744,  3999,   249,   701,   701,  5322,
     419,   419,   418,   418,   418,  1950,  4263,  1229,   420,   922,
    3210,  2069,   733,   733,  4312,  1299,  4313, -2212,  -532,  1267,
    3470,  4000,  2416,  3263,  1753,  3264,  2558,  5319,  3340,  2445,
    2701,  2482,   845,   920,  3755, -2240,  1229,  2382,  1062,  3875,
    1229,  1229,  4980,  5276,  1952,  3844,  1064,  1174,  1130,   419,
    3844,  5211,   418,  1096,  3471,  3844,  2518,  2682,  3844,   418,
    2496,   420,   420,   420,  3748,  1705,   418,  4524,  5349,  3801,
     913,  3802,  5196,  1683,  1296, -2212,  3776,  2769,  2581,  5012,
    5197,   701,  1910,   852,  3472,  1123,  5388,  3951,  3844,  1745,
    2717,   922,  1956, -2240,  3803,  4742,  2604,  4743,  2149, -2071,
    3846,  2383,  3844,  -170,  3846,  3211,  4197,  4132,  3799,  4201,
    1093,   420,  2582,  4133,  2655,  5270,   733,  1175,   420,  1446,
    4222,  2683,  3246,  2571,  4134,   420,  1957,  1181,  3602,  -170,
    3490,  5273,  4525,  1146,  2770,  1088,  1979,  4314,  1857,  1684,
    4931,  3883,  1857,  2891,  3849,  4932,  3825,  4315,  5389,  3681,
    3917,   920,  4135,  1750,  4136,   930,  5423,   931,  1136,  2702,
    2149,  2703,  1789,  3928,  4597,   372,  1297,  1789,  1789,  3265,
    4600,  4601, -1000,  4603,  1088,  4396,    37,    38,    39,    40,
     846,   936,  1446,    44,  3967,  3913,  5132,  1065,  5207,  4933,
    5088,  4628,  5090,  2664,  1396,  2366,  3437,  3804,  2036,   862,
     852,  1709,  3805,  3357,  2701,  4857,  4858,  1298,  1934,   922,
    1087,  3756,  3757,  3758,  1446,  3759,  3760,  3761,  3762,  3763,
    3764,  2795,  1752,  2489,  1066,  1067,  2490,  1958,  4744,  1935,
    4137,   845,  2897,  4952,  1980,   908,  5198,   930,  4961,   931,
    3290,  1851,   863,  2492,   427,  4397,  1851,  3844,  2398,  1087,
    3437,   372,  3570,   216,  4397,  4629,  1396,  4971,  1299,  3620,
    3108,  3429,  3109,  2052,  5344,   418,  1160,  1710,  2510,  2512,
      37,    38,    39,    40,   701,  4398,  1088,    44,  4269,  1969,
    1567,  5383,  4850,  2876,  4398,  3110,   224,  4138,  2399,   427,
    4399,  2707,  4139,  5129, -1006,  1446,  3294,   846,  4396,  4795,
    4400, -2590,  3858,    45,    37,    38,    39,    40,   920,  4400,
    1446,    44,  3844,  1970,  5130,  3493,  2441,  1971,  2788,  2491,
    5511,  3667,  4478,  4303,   420,  4401,   235,  1857,  3806,  1446,
    4140,  3192,  2665,  2702,  1789,  2703,  1143,  3185,  3807,  1164,
    5536,  1834,  1789,  1972,  4141,   701,  4851,  2975,  3959,   701,
    3948,  1087,  4329,  2442,  3002,   930,  5182,   931,  2406,  2666,
    4024,   701,    37,    38,    39,    40,   922,   933,  4397,    44,
    4179,   862,  1167,  4025,   249,  1835,  1446,  2986,   935,  4188,
    4273,  2052,  2667,  3111,  2668,  2149, -1516,  5183,  3112,  1229,
    5451, -1516,  5018,  3113,  1501,  1446,     8,  4953,  4398,   852,
    1789,  1229,  4402,  1789,  1789,  1836,  2443,  1446,  3982,  4480,
    3161,  4402,  4480,  4399,   863,  3161,   376,  2662,  4274,  1446,
    2942,  3161,  2943,  4400,   864,  3168,  2945,  3508,  2946,  3881,
    4002,  2948,  4142,  4817,  1229,  2949,   701,   701,  4500,  1373,
    4954,  4587,  2323,   905,  1839,  -428,  1202,  5372,  4401,   701,
    2444,  5302,  3985,  1934,  1719, -1516, -2050,   999,  1720,  1446,
    5129,  4588,  1446,  1154,   701,   701,  1352,  5048,  1353,   372,
    1374,  2329,  1789,    81,  1935,  2995,    81,  3001,  1840,   376,
    2992,  5130,  2993,  4527,  2994,  4481,   701,  1373,  4481,  3810,
    3846,  3844,  3063,  3063, -1516,  3846,   846,  3063,  3192,  3024,
    3846,  2331,  1375,  3846,  4284,  2445,  1396,  3474,  1841,  1094,
    4510,  4515,   930,  3098,   931,  5532,  3844,  2534,  1374,  3114,
    4030,  4054,  5110,   845,  2750,  4402,  1229,    43,  2664,  3115,
    1280,  2177,    45,  3846,  3063,  3063,  2751,  3475,  2052,  1208,
    4482,  1267,  4483,  4482,  4936,  4483,  1701,  3846,  1376,  3168,
    4176,  2535,  2178,  3476,  -428,  4727,  1281,   418,  4034,  2640,
    5136,  2752,  4289,  1229,  1229,  3671,  1219,  2386,  2641,  1229,
    1229,   963,  4238,  4239,  4937,  3048,  1229,  1229,  1229,  4682,
    4148,  2536,  1229,  3477,  1229,  1229,  1229,  1229,  1229,  1229,
    2125,  1229,  4035,  1229,  1229,  2664,  1376,  1229,  2644,   209,
    2645,  2640,  3201,  3579,  3775,  5049,  3777,  3778,  3580,  2126,
    2647,  1446,  1229,  1229,  1229,  1229,   420,  4833,  1234,  1730,
    1229,  3892,  4036,  2127,  1229,  1988,  2721,  1229,  3937,  3938,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  5499,
    1229,  1396,  3284,    79,  3287, -2071,    79,   419,  1229,   209,
     418,  1229,  2811,  2125,  1236,  2664,  2646,  5129,  3608,  4914,
    2188,  4915,  4916,  2371,  2189,  4917,  2372,  2665,  4571,  5521,
    5220,  2843,  2126,  5178,  4670,  1988,  1579,   121,  5130,  3749,
    1249,  3220,  3844,  3750,  3751,  3752,  2129,  4989,    35,  4572,
    1250,   852,  3846,  2747,  2666,   125,    41,    42,  3085,  1295,
    4353,  3088,   419,  3933,   419,   418,  3958,   418,  2113,   420,
    2541,  3721,  1493,   427,  1229,  2935,  3281,  2667,  4123,  2668,
    2664,  5537,  3277,  4131,  5538,  4458,  2416,  1286,  3580,  5448,
    2113,  3344,  2541,  1355,  2665,  1356,   845,  5551,  2188,  4475,
    4476,  4928,  2932,  4930,  4287,  2120,  2121,  4934,  4305,  4935,
      35,   427,  2662,  3347,  1934,  1294, -1479,  3846,    41,    42,
    2113,  2666,  1837,  3722,   420,    45,   420,  3723, -1479,  1339,
     418,  1741,  4049, -1479, -1467,  1935,    37,    38,    39,    40,
    1342,  4057,  4334,    44,  2667,   701,  2668,  2197,   846,  2198,
    1344,    35,   427,  1347,  2665,    37,    38,    39,    40,    41,
      42,    43,    44,    81,  1360,    81,    45, -1671, -1671, -1671,
   -1671,  1446,  1368,  2664, -1671,  1446,  1446, -1479,  3415,  2662,
    -531,  2666,  4245,  4246,  4247,   701,  2263,  4376,  2264,   420,
     701,  1377,  5203,  1192,   701,  1378,  4164, -1479, -1678, -1678,
   -1678, -1678,   701,  1379,  2667, -1678,  2668,  3403,  4243,  4244,
    4245,  4246,  4247,   845,  2276,  1385,   249,   845,  4700,  2665,
     701,   427,  3428,  1229,  2473,  2474,  4715,  4716,  4717,  3754,
    1396,  2422,  1396,  2423,  1229,  2425, -1479,  2426,  1446,  2662,
     193,  1229,  1455,  4496, -1479,  1388,  2666,   418,  3206,  3207,
    1446,   418, -1540, -1540,  2322,  2897,  4290,  2323,  2869,  1447,
    2870,  4157,   701,  4160,   852,  4277,  2390,  4608,  2113,  2667,
    2541,  2668,  1402,  1088,  2002,  2934,  3595,  2935,  3596,   701,
     701,  4243,  4244,  4245,  4246,  4247,  2329,  1446,  3755,  4248,
    1456,  3826, -2799,  3827,  1472,  4149,  3846,  4151,  1481,  2955,
    1396,  2956,  1461,  2957,  2662,  2956,   420,   701,    45,  4609,
     420,  1789,  2665,   216,  1000,  3892,  2331,  3855,  3856,  4412,
    3892,  3846,  2989,   216,  2990,  2322,  2473,  3230,  2323,  5478,
     193,  1819,  1539,    79,  4610,    79,  5137,   701,  3438,  2666,
    3828,   701,  3829,  3191,  3539,  3192,   224,  1496,  1087,  4611,
    4417,  4418,  4419,  4612,   845,  1418,   224,  2329,  3571,   701,
    1535,   846,  2667, -2799,  2668,  4215,  1543,  3355, -1479,  3356,
     701,  1550,  3420,  4613,  3421,  1556,  4614,  2391, -1046, -1046,
    3798,   852,  3529,   701,  3530,   852,   235,  2331,   418,  4615,
    1564,   701,  3438,  5152,  1558,  1557,   235,  2662,  1565,   238,
    2664, -1669, -1669, -1669, -1669,  2417,  1566,  1567, -1669,   238,
    3534,  4283,  3535,   216,  1568, -1672, -1672, -1672, -1672,  1569,
     248, -2799, -1672,  3629,  1570,  2935, -2799,  3673,  1719,  2956,
     248,  1741,  1720,  3720,   249,  2935,  1574,  3168,  1229,  1446,
    3729,  3735,  2935,  2935,   249, -1250,   224,   420, -1250,  1573,
    3736,  3809,  2935,  3438,  1576,   372,  1143,  1711,  3737,  3438,
    2935,  1713, -2799,  1144,  1704,  3756,  3757,  3758,  4616,  3759,
    3760,  3761,  3762,  3763,  3764,  3768,  4617,  2935,   846,  1707,
    1712,  3781,   846,  2935,   129,   130,   235,  3846,  3786,  1718,
    3787,  3438, -2799, -1670, -1670, -1670, -1670, -2799,  4061,   238,
   -1670,  4017,  4022,  4018,  4023,  1738,  2338,  1144,  4209,  1446,
    4210,  1731,  4618,   701,  1748,  4236,  1789,  2935,  4592,  4335,
     248,  4336,   852,  1739,  1789,  1229,  1789,  1763,  4902,  4903,
    4345,  4905,  4346, -2799,  5479,  4621,  4356,  4622,  2935,  2665,
    1741,  1742,  1005,  3063,  3063,  3063,  3063,  1768,  1210,  3063,
    3063,  3063,  3063,  3063,  3063,  3063,  3063,  3063,  3063,  4692,
    1211,  1212,  1006,  4442,  4989,  4443,  2666,  1764,  4447,  4457,
    4448,  3264,  4479,  1770,  2956,   701,  4338,  2338,  4661,  1213,
    2956,  1774,  1214,  1229,  4721,  2322,  2252, -2799,  2323,  2667,
      80,  2668,  1154,  4739,  1007,  2935,  1775,  1778,  1032,  1785,
    1779,    74,  3831,  3832,  3833,  3063,  3063,  4765,  1780,  2990,
    4777,  4835,  2935,  3264,  4841,  1148,  4842,  2329,  4760,   846,
    1144,  1781,   701, -2799,  2662,  3782,  4847, -1517,  2956,  1782,
    1783,  3789, -1517,  1784,  1790,   845,  1192,  4848,  1446,  2956,
    4921,   845,  4922,  4973,   701,  4974,  5023,  2331,  5024,  5025,
    1791,  2935,   701,  5033,  1793,  2990,  1229,  1823, -2799,  1446,
    1822,  5108,  1229,  5109,  5179,  5204,  2956,  5205,  2322,   418,
    1446,  2323,  5222,  1825,  2990,   418,  1149,   700,  1831,  1229,
   -2799,  5230,  1867,  5231,  1229,  1837,  1872,  2345,  2346,  2347,
    2348,  2349,  2350,  5235,  1894,  3192, -1517,  1896,  1898,  4749,
    2329,  1215,  5241,  5243,  4186,  4186, -2799,  1229,  1229,  1229,
    1899,  4363,  1229,  5255,  5296,  5256,  5297,  5318,  1926,  2385,
    1229,  1229,  1229,  1229,  5336,  5350,  5256,  2990,   420,  5351,
    2331,  3787,  1928,  1229,   420, -1517,  1229,  1929,  1229,  1216,
     948,  1930,  5352,  1150,  2935,  5362,   966,  3192,  1931,  1229,
    1229, -2799, -2799,  1229,  1933,  1938,   206, -2799,  2345,  2346,
    2347,  2348,  2349,  2350,  5365,  1037,  4186,  1229,  2995,  1229,
    1941,  1229,   376,  2992,  1052,  2993,  5387,  2994,  2990,  5393,
    4925,  2990,  2664,   216,  1964,  1965,  1789,  1037,  1251,  1977,
    2664,  1229,  1986, -2799,  4366,  1252,  1253,  1254,  1987,  1991,
    4958,  2664,  1229,   852,  1229,  1229,  1229,  1996,  3892,   852,
    1997,  5394,  4718,  2990,  1998,  4670,   224,  2003,  5409,  2322,
    5410,  5440,  2323,  3192,  2005,   701, -2799, -2799, -2799,  1229,
    5441,  5442,  2935,  2935,  2007, -2799,  2322,  2338,  2010,  2323,
   -2799,  5444,  1229,  2935,  5495,  2014,  4186,  1229,  5498,  2015,
    5249,  2329,  5520,  1229,  5256,  2021,   235,  2330,  2022,  5534,
    1008,  5535,  2025,  1229,  4645,  4646,  2028,  1151,  2329,   238,
    5560,  1747,  5535,  1749, -2799,  2030, -2799,  4650,  2033,  2040,
    4067,  2331,  4794,  2045,  4797,  5487,  5488,  2043,  4095,  2036,
     248,  2054,  2056,  2057,  -190,  2059,  2061,  2073,  2331,  4501,
     846,  2075,  1446,  2084,  1009,  1446,   846,  1446,  2082,  2088,
     881,  2101,  1446,  2093,   701,  2106,  2107,  2108, -2799,  2109,
    2338,  2665,  2113,  2116,  2117,  2119,  2133,  2145,  3063,  2665,
     701,   701,  2146,  2148,  2664,  2149,  1229,  2156,  2159,  2160,
    2665,   845,   845,   845,  2161,  1833,  2162,  2163,  2666,  2164,
    2166,  2171,  2173,   372,  2172,  2195,  2666,   701,  2174,  2176,
     701,  2181,  4367,  1446,  2260,  2229,  2265,  2666,  2267,  2268,
    2274,  2667,  2275,  2668,  2281,   418,   418,   418,  2282,  2667,
    1446,  2668,  2283,  2284,  2285,   249,  2332,  2287,  2288,  2289,
    2667,  2333,  2668,  2290,  2291,  1789,  2292,  2294,  2295,  2296,
    2297, -2799,  2298, -2799,  1446,  5234,  2662,  2299, -2799,  2300,
    2301, -2799,  5558,  5559,  2662,  2303,  5234,  2304,  2345,  2346,
    2347,  2348,  2349,  2350,  2355,  2662,  2305,  2336,  2277,  4824,
    2306,  2307,  4528,  2308,   420,   420,   420,  2309,  2310,  2359,
    3891,  2357,  2360,  2385, -2799,  2389,  2401,  2286,  1525,  2411,
    2430,  2421,  1751,  2459,  2461,  1753,  2470,  2472,   701,  2479,
    1181,  2487,  2493,  2495,  2497,  2505,  2506,  1446,  2508,  1446,
     701,  2338,  2513,  2665,   701,  2515, -2742,  2302,  2517,  2537,
    2795,  2539,  2538,   701,  5147,  5149,  2541,  2542,  2338,  2543,
     845,  2544,  2315,  2545, -2799,  5292,  2546,  5141,  2547,  2572,
    2666,  2345,  2346,  2347,  2348,  2349,  2350,  2553,  2578,   852,
     852,   852,  2584,  2606,  2610,  2612,  2613,  2616,  2614,  2615,
    2631,  2643,  2632,  2667,   418,  2668,  2633,  2655,  1446,    35,
    2658,  4370,  2656,    37,    38,    39,    40,    41,    42,  2659,
      44,  2660,  2661,  2662,  2670,  2671,  2672,   701,  4927,  2674,
    2673,    35,  2340,  1446,  2678,  4233,  2679,   943,  2662,    41,
      42,  2687,  2689,  2693,  4822,  2697,  4192,  2694,  2704, -2799,
    1910,  2716,  2733,  2734,  2705,  1544,  4204,  2711,  4117,  1446,
    2712,  2738,  2739,   420,  1446,  2722,  2760,  2761,  2762,   701,
    2768,   701,  2723,  1154,  1154,  2735,  1154,  5363,  2743,  2776,
    4232,  2777,  2779,   701,  2746,   701,   846,   846,   846,  2790,
    4864,  2791,  2796,  2800,  2799,  2803,  1267,  1257,  1258,  1259,
    1144,  1260,  1261,  1262,  1263,  1264,  1265,  2804,   915,  2807,
    2812,  1958,  2827,  2832,  2845,  2848,  2780,  1842,  1144,  3039,
    2849,  2857,  1446,   948,  2863,  2341,  2865,  2866, -2799, -2799,
   -2799,  2872,  2345,  2346,  2347,  2348,  2349,  2350,   852,   701,
    1446,  2883, -2799,   691,  2885,  4945,  4898,  2886,  2894,  2345,
    2346,  2347,  2348,  2349,  2350,  1446,  2892,  2904,  2890,  2895,
    4378,  4379,  4380,  4381,  2906,  2861,  2877,  1843,  2908,  2891,
    2907,  2926,  2927,  2909,  2951,  2952,  1396,  2968,  5298,  2987,
    2974,  3031,  3004,  3036,  5059,  3080,  3086,  3040,  2323,  3099,
     954,  5074,  3090,  3140,   701,  3105,  3117,  3119,  3139,  5138,
    3154,  3172,  3171,  3174,  5280,  3177,  3179,  3182,  1229,  2322,
    4340,   701,  2323,  3183,  3193,  5283,  1149,  3202,  3194,  3203,
     845,  3204,  5087,  3215,  3205,  3221,  3239,  2375,  3254,  1789,
    3253,  3266,  3236,   701,  1789,   846,   701,  3267,  5288,  3268,
    5290,  2329,  3238,  3256,  3285,  3288,  3041, -2799,  3292,  3042,
    3290,  3293,  3299,  1229,   418,  3304,  1446,  3309,  3310,  3312,
    1844,  3315,  1229,  5080,  3323,  3319,  3331,  5224,  1229,  3332,
    1229,  2331,  3335,  1229,  3348,  3353,  1701,  1446,  1229,  1229,
    1229,  1229,  1705,  3405,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  3367,  3380,  3410,  1229,  1229,  3411,
    3419,  3422,  1446,  3423,  3439,  3424,  2317,  1229,  3478,  1845,
    3481,  1229,  3499,   420,  3492,  1229,  3503,  3500,  3504,  3505,
    3511,  3512,  3513,  1229,  3515,  3514,  1229,  3522,  1229,  3519,
    3524,  3531,  3536,  3547,  3561,  4771,  1446,  1229,  3563,  3565,
    1229,  1229,  3043,  1846,  3572,  1229,  1229,   209,  1579,  3578,
    5141,  3749,  1229,  3581,  3587,  3750,  3751,  3752,  3588,  3589,
    3590,  3586,  1229,  3598,  1229,  3600,  3601,  3605,  3604,  3618,
    3619,  3622,  1337,  1847,  3623,  3624, -2799,  1229,  3625,  3627,
    3632, -2799,  2490,  1229,  1229,  1229,  3630,  3633,   852,  3634,
    3647,  3656,  3635,  3636,  3661,  5176,  3645,  3646,  4701,  3658,
    1164,  3662,  1848,  3665,  1849,  3666,  3675,  3676,  3677,  3678,
    3192,  2182,  3680,  1789,  3063,  3687,  3690, -2799,  5229,  2322,
    3005,  3689,  2323,  5026,  3691,  3706,  2324,  2325,  2326,  3698,
    1229,  1397,   966,  3701,  3708,  1541,  3712,  3713,  3715,  3718,
    3731,  3716,  3732,  1229,  3734,  3733,  3044,  3745,  3403, -1930,
    4523,  2329,  1850,   845,  4553,  5095,  3738,  2330,   845,  1446,
     845,  2338,  5112,  3800,  3739,  3817,  3822,  3783,    80,  3849,
    3808,  5355,  3795,  3741,  1229,  3898,  3900,  3908,  3902,    74,
    3744,  2331,  3931,  5364,  3904,   846,  3767,   418,  5366,  2935,
    5368,  3818,   418,  1396,   418,  3894,  3773,  3939,  5117,  3820,
    1037,  3780,  1037,  3794,  1037,  3821,   701,  1267,  3915,  3824,
    1037,  1523,  1524,  3854,  3941,  3919,  3920,  3921,  3924,  3942,
    3950,  3953,  3925,  3955,   372,  2188,  3946,  1552,  3978,  3962,
    3979,  3990,  3989,  3947,  1037,  1037,  3995,  3994,  4607,  3892,
    4004,  3754, -2799,  4005,  5505,  4007,   420,  4021,   845,  4013,
    1267,   420,  1446,   420,  4050,  4048,  4052,  4053,  4056,  4058,
    4070,  1572,  4071,  4072,  4075,  1579,  4059,  4060,  3749,  4078,
    4068,  1686,  3750,  3751,  3752,  1698,  1397,  1700,  4069,  4073,
    4074,  4076,   418,  4077,  4079,  4090,  2332,   372,  4080,  4354,
    4086,  2333,   698,  4082,  4088,  4081,  4083,  4092,  4101,  2731,
    3755,   701,  4094,  4113,   701,  4128,  4107,  4108,  4110,  4156,
    4155,  4171,  2334,  2335,  4162,  4173,  1579,  4175,  4177,  3749,
    4185,   852,  4193,  3750,  3751,  3752,   852,  2336,   852,  4198,
    4195,  4186,  4199,  4202,  4203, -2799,  4206,  4207,  4219,  4230,
    4767,   420,  2345,  2346,  2347,  2348,  2349,  2350,  4240,  2135,
    4242,  4253,  4265,  4255,  4266,  4271,  4267,  4677,  2337,  4276,
    3106,  4278,  1037,  1229,  4279,   700,   700,  4268,  4280,  1039,
    1820,  2338,  4297,  4288,  4291,  4293,  3770,  3749,  2276, -1929,
    3769,  1812,  4347,  1150,  4331,  4371,   701,   701,  4306,  4358,
    1446,  1039,  3063,  4332,  4333,  4339,  4359,  4387,  4362,   701,
    4414,   701,  4437,  4377,  4427,  4445,  4409,  4395,   419,  4411,
    4432,   418,  4440,  4424,  4466,  4487,   852,  4460,   846,  4489,
    4232,  4490,  1789,   846,  4426,   846,  4453,  4428,  1037,  4431,
    4495,  4502,  4503,  4504,  4505,  4507,  4516,  4532,  1446,  1229,
    1229,  4529,  4544,  4530,  4531,  4545,  4542,  4546,  4543,  4547,
    4550,  4548,  2340,  4551,  4560,  4561,  4568,  4584,  3754,  4586,
    4511,  4589,  4595,  4596,  4598,  2322,  4599,  4602,  2323,  4624,
     420,  4221,  2324,  2325,  2326,  4632,  4640,  3756,  3757,  3758,
    5382,  3759,  3760,  3761,  3762,  3763,  3764,  4642,  4635,  2327,
    4655,  4674,  4837,   372,  4675,  4648,  4654,  2329,  4690,  4657,
    2956,  4693,   701,  2330,  4658,  4687,  4696,  4688,  4691,  3754,
    4694,  4699,  1579,   846,  4698,  3749,  4714,  3755,  2492,  3750,
    3751,  3752,  4719,  1229,  4723,  4725,  4726,  2331,  4730,  1875,
    4731,  4733,  4736,  4741,  1229,  4745,  4768,  4746,  4750,  4751,
    4752,  4758,  4754, -1931,  4753,  2341,  4773,  4786,  2342,  2343,
    2344,  4785,  2345,  2346,  2347,  2348,  2349,  2350,  4788,  4790,
    4791,  4798,  1876,  4806,  1229,  4799,  1396,  4803,  3755,  4804,
    4807,  4809,  4810,  4811,  1229,  1229,  5379,  1446,  4823,  4830,
    4836,  1229,  1229,  4834,  4838,  4843,  1229,  1446,  4844,  4852,
    4868,  1229,  4869,  4875,  1229,  1229,  4876,  4825,  4877,  1229,
    4888,  4891,  4897,  4895,  4906,  1229,  4913,  4938,  4900,  4901,
    4939,  4946,  4951,  4955,  4956,  4870,  4957,  4959,  4964,  1877,
    4966,  4975,  4984,  1229,  4985,  4982,  4986,  1229,  1267,  1245,
    4987,  4995,  2332,  5000,  5009,  5005,  1274,  2333,  5010,  1229,
    5019,  5020,   845,  5029,  1229,  5022,  5027,  1291,  5030,  1397,
    1229,  5038,  1878,    80,    80,  5031,    80,  5052,  2334,  2335,
    5072,  5081,  5032,  5045,    74,    74,  5089,    74,  1229,  1789,
    5078,  5056,  1397,  2336,  2322,   691,   418,  2323,  5084,  5101,
     691,    81,  5085,  1037,  5105,  5114,  5135,  1879,  5104,  5139,
    5146,   691,  5153,  5119,  3756,  3757,  3758,  1229,  3759,  3760,
    3761,  3762,  3763,  3764,  2337,  3754,  2329,  4631,  5160,  5120,
    5124,  5162, -2799,  5187,  5163,  1446,  5165,  2338,  2256,  1880,
    2339,  5166,  5191,  5167,  5186,  5185,  5208,  5189,  5194,  5209,
    5195,  5206,   701,  5210,  5216,   420,  2331,  5225,  5228,  5232,
    5237,  5240,  1397,  5244,  1446,  3756,  3757,  3758,  5253,  3759,
    3760,  3761,  3762,  3763,  3764,  5245,  5247,  5272,   701,  5264,
    5249,  5274,  5287,  1446,  3755,  1579,  5303,  5308,  3749,  5315,
     701,  5312,  3750,  3751,  3752,  5320,  5325,  5331,  1229,  5313,
    5332,  5333,  5340,  5343,  5341,   209,  5342,  2624,   701,  1883,
    5348,  5354,  5353,  5370,  5361,  5367,  1884,  5371,  2340,  5375,
    5374,  5377,  5386,  1885,  5390,  5281,  5399,  5400,  5403,  5405,
     852,  2625,  5408,  5413,  5411,  2319,  5414,  1446,    35,  5420,
    5421,  5428,  5422,  1887,  2321,  4819,    41,    42,  5429,  5457,
    5461,  1888,  5401,  5469,  4372,   701,  5438,  5452,  2364,  5468,
    5402, -2799,  5490,  5450,  5473,  5529, -2799,  3555,  5496,  5527,
    5508,    79,  1229,  5528,  5533,  5540,  5539,  5543,  5552,  5547,
    5530,  5548,  5554,  1229,  5553,  5555,  5556,  1162,  2744,  1397,
    1937,  3567,  2395,  2397,  3884,  1962,  1897,  1397,  1397,  2408,
    1961,  3409, -2799,  1037,  4001,  1889,  3491,  4521,  1037,  1037,
    4112,  2341,  4604,  5294,  2342,  2343,  2344,  5140,  2345,  2346,
    2347,  2348,  2349,  2350,  3430,  5398,  3180,   846,  5188,  4644,
    5190,  4943,  3181,  5175,  3944,  5453,  1446,  3674,  1446,  5093,
    5503,  5406,  5404,  5467,  4678,  4662,  2338,  3949,  4519,  4639,
    3545,  3546,  4015,  4651,  4960,  2824,  4181,  3537,  5507,  5557,
    5544,  3756,  3757,  3758,  3008,  3759,  3760,  3761,  3762,  3763,
    3764,   691,   691,   701,  5164,  3431,  4129,  5471, -2799,  4116,
    5118,   700,  2488,  2806,  1524,  5392,  5458,  5121,  1057,  1229,
    2249,  4720,  5259,  1446,  2262,  3259,  5079,  4684,  1229,  3932,
    5338,  1398,  2502,  1473,  2998,  4089,  5481,  2999,  5546,  2509,
    2511,  3009,  3000,  2552,  1579,  1229,  1229,  3749,  3187,  1229,
    3188, -2799, -2799, -2799,  3556,  1789,  3889, -2799,  2941,  3432,
    4665,  5447,  4826,  1229,  1715,  1875,  4449,  3755,  1229,  2196,
    3670,  2427,  3010,  1229,  2370,  2456,  1229,  3890,  3214,  3899,
    2455,  4425,  5443,  5369,  1229,  1229,  3897,  4814,  3901,  4390,
    2460,  4796,  3213,  3011,  5239,  1144,  5360,  4607,  1876,  4784,
    2465,  4386,  5359,  4450,  3012,  1037,  1229,   845,  4249,  5223,
    4341,  5075,  5445,  1037,   701,  5446,   701,  1144,  5437,  3144,
    1229,  3893,  3726,  3815,  3013,  3813,  3153,  4231,  1195,  3014,
    3621,  3240,  5430,  2868,  1165,  1492,  2095,  2257,  2315,  2478,
    3231,   418,  1830,  3879,  3247,  3244,  2471,  3245,  4455,  4815,
   -2799,  3433,  4456,  1446,   701,  1877,  2374,  2345,  2346,  2347,
    2348,  2349,  2350,  1229,  5180,  1801,  1802,  4430,  1188,  3672,
    2475,  1037,    83,  3251,  1037,  1037,  2714,  3015,     0,  2953,
       0,     0,  2315,  1530,     0,     0,     0,     0,  1878,  5199,
       0,  3557,     0,     0,     0,     0,     0,  2185,  3016,  3106,
     420,     0,   701,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1229,  3819,     0,     0,     0,     0,
       0,     0,     0,  1879,     0,     0,     0,     0,     0,     0,
       0,  3837,     0,     0,  3558,     0,     0,     0,     0,     0,
       0,     0,     0,  1037,  3756,  3757,  3758,  2785,  3759,  3760,
    3761,  3762,  3763,  3764,     0,  1880,     0,     0,     0,   881,
       0,  3434,     0,     0,  5077,  1229,     0,  1446,     0,  3435,
     372,     0,  3436,     0,  1039,   852,  1039,  2823,  1039,     0,
       0,     0,     0,  1881,  1039,     0,  3017,     0,     0,     0,
       0,     0,  3837,  3018,   845,  1143,  3755,  1229,  1446,  3019,
    1229,     0,  1229,     0,     0,     0,     0,     0,  1039,  1039,
       0,     0,     0,     0,     0,     0,     0,  1882,     0,     0,
       0,   209,  2867,  1789,     0,  1883,  1229,     0,   418,     0,
    1229,  3020,  1884,     0,  3021,     0,  1446,     0,     0,  1885,
       0,  1229,     0,     0,     0,     0,  2879,  1886,     0,     0,
       0,     0,  3022,     0,     0,     0,  2887,     0,  2888,  1887,
       0,     0,     0,  1229,     0,  2893,     0,  1888,     0,     0,
    2896,     0,   846,     0,     0,     0,     0,  3023,     0,     0,
       0,     0,     0,     0,     0,   379,     0,   420,     0,     0,
       0,   379,  5326,  1446,     0,     0,   694,  1446,  1446,     0,
       0,     0,  1229,    80,     0,     0,    80,     0,     0,     0,
       0,     0,     0,     0,    74,     0,     0,    74,     0,     0,
       0,  1889,     0,   379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1039,     0,     0,     0,
       0,     0,     0,  1229,     0,     0,     0,     0,  3610,     0,
     698,   698,     0,     0,     0,  1817,     0,     0,     0,     0,
       0,     0,   852,  1229,     0,     0,     0,  1875,   379,     0,
       0,     0,     0, -2799, -2799, -2799,     0,  3759,  3760,  3761,
    3762,  3763,  3764,  1446,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5347,     0,     0,     0,     0,     0,
    1876,     0,  1039,     0,     0,  3047,  1229,     0,     0,  1229,
       0,  5526,     0,  3037,  3038,     0,  1083,     0,  1229,     0,
    3052,  3053,     0,  1229,  1083,  1229,  1083,  1229,     0,     0,
       0,     0,     0,     0,  1229,     0,     0,     0,     0,   379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3091,
       0,     0,  1229,     0,     0,     0,     0,  1877,     0,   846,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1878,     0,  2322,     0,     0,  2323,     0,   691,     0,  2324,
    2325,  2326,     0,  1229,     0,  2502,     0,     0,     0,     0,
       0,     0,  3176,     0,     0,     0,  2327,     0,     0,  5472,
    3611,     0,     0,     0,  2329,  1879,     0,     0,     0,     0,
    2330,     0,  5486,     0,  1229,  1229,   376,  5483,     0,  5484,
       0,  5485,     0,     0,     0,  1229,     0,     0,  5516,     0,
       0,     0,     0,   701,  2331,     0,     0,  1880,   845,     0,
       0,     0,     0,     0,     0,  1229,  2586,     0,   372,  1037,
       0,     0,     0,     0,     0,     0,     0,     0,   372,     0,
       0,     0,     0,     0,  5486,     0,     0,     0,   376,  5483,
       0,  5484,   418,  5485,     0,     0,     0,   379,     0,  2587,
    1229,     0,   372,     0,     0,     0,  1229,  1229,     0,  1229,
    5516,     0,  2588,     0,     0,   700,     0,     0,     0,     0,
     845,     0,  1037,   209,     0,     0,  2589,  1883,  1229,  5516,
       0,  1820,   379,    80,  1884,    80,     0,     0,     0,   845,
       0,  1885,  1812,  5486,    74,     0,    74,   376,  5483,  2625,
    5484,   420,  5485,     0,   418,     0,     0,  1039,     0,  2332,
       0,  1887,     0,     0,  2333,  2590,     0,     0,     0,  1888,
       0,     0,  1397,   418,     0,     0,  2591,     0,     0,     0,
       0,     0,     0,  1037,     0,  2334,  2335,     0,     0,  3613,
    2742,     0,     0,     0,     0,     0,  2592,     0,     0,     0,
    2336,  2593,     0,     0,     0,     0,     0,  1229,  1229,     0,
    1221,     0,     0,   420,     0,     0,     0,     0,     0,  1243,
       0,  1229,     0,  1889,     0,     0,   852,  3614,  4221,     0,
       0,  2337,   420,  1229,  1229,     0,     0,     0,  1700,     0,
       0,     0,     0,     0,  2338,     0,     0,  2339,     0,     0,
       0,     0,     0,     0,  1340,     0,     0,     0,     0,     0,
       0,  2813,     0,     0,  3610,  2826,     0,     0,     0,     0,
    2594,     0,     0,     0,     0,     0,     0,  2742,     0,     0,
       0,     0,     0,  1875,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,  2315,     0,     0,     0,     0,
       0,  2595,     0,     0,     0,     0,     0,   852,     0,     0,
       0,  4385,  1400,  4388,     0,     0,  1876,     0,     0,     0,
       0,  5517,  1451,   846,     0,  2340,     0,  1037,     0,     0,
       0,   881,     0,     0,     0,  1037,     0,  1037,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2903,     0,     0,     0,  1039,     0,     0,
       0,  1900,  1039,  1039,     0,  2596,     0,  1901,     0,     0,
       0,  2597,     0,  1877,  2598,     0,     0,     0,     0,  3510,
       0,  2742,     0,  5517,     0,   846,     0,  3510,     0,     0,
       0,     0,  1942,     0,     0,  3510,     0,  3510,     0,     0,
       0,     0,  5517,  2599,   846,     0,  1878,  1902,     0,     0,
    2600,     0,     0,     0,     0,     0,     0,  2601,  2341,     0,
       0,  2342,  2343,  2344,  2602,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,     0,  3611,  3740,     0,    35,
    1943,  1879,     0,     0,  1900,  3573,   698,    41,    42,  2603,
    1901,     0,     0,  2322,     0,     0,  2323,     0,  1903,     0,
    2324,  2325,  2326,     0,     0,  1904,     0,     0,  1905,     0,
       0,  1429,     0,  1880,     0,  3603,     0,  2327,     0,     0,
    2328,  3610,     0,  1397,     0,  2329,     0,     0,     0,     0,
    1902,  2330,  1429,     0,     0,     0,     0,     0,     0,     0,
    1875,     0,     0,     0,     0,     0,     0,     0,     0,  3642,
       0,     0,     0,     0,     0,  2331,     0,     0,     0,  3637,
    3640,  1944,     0,     0,  1906,     0,     0,     0,     0,  1039,
       0,     0,     0,  1876,     0,     0,     0,  1039,     0,   209,
       0,  1903,     0,  3612,     0,  1397,     0,     0,  1904,     0,
    1884,  1905,     0,     0, -2302,     0,     0,  1885,     0,     0,
       0,     0,     0,     0,   379,  2625,     0,     0,   379,  1945,
       0,  1946,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,  1947,   694,  1908,     0,  1888,     0,     0,     0,   694,
    1877,     0,     0,  1909,     0,  1039,     0,  1037,  1039,  1039,
     694,  1910, -2302,     0,     0,  3613,     0,  1906,     0,     0,
    1948,  1911,     0,     0, -2302,     0,     0,     0,     0, -2302,
    2332,     0,     0,  1878, -2302,  2333,     0,     0,   694, -2302,
       0,     0, -2302,   694,     0, -2302,     0,     0,     0,  1889,
       0,     0,     0,  3614,   694,  1949,  2334,  2335,  1913,  1914,
    1950,  2006,     0,  3611,     0,     0,     0,     0,  1879,     0,
       0,  2336,  2013, -2302,  1907,     0,  1908,  1039,     0,     0,
     694,     0,     0,     0,     0,  1951,  1909,     0,     0,   372,
       0,     0,     0, -2302,  1910,   694,     0,     0,     0,  1952,
    1880,   694,  2337,     0,  1911,     0,     0,     0,     0,     0,
       0,   691,   694,     0,     0,  2338,     0,     0,  2339,   865,
       0,     0,     0,     0,     0,     0,   694,     0,     0,     0,
       0,     0, -2302,     0, -2302,  2086,     0,     0,  1912,     0,
   -2302,  1913,  1914,     0,     0,     0,     0,     0,  1916,     0,
       0,  3269,   372,     0,     0,     0,  3273,     0,     0,     0,
    3276,     0,     0,     0,     0,   866,   209,     0,  1915,     0,
    1883,     0,     0,     0,     0,     0,     0,  1884,     0,   867,
       0,     0,     0,     0,  1885,     0,  3300,     0,     0, -2302,
       0,     0,  2625,     0,     0,     0,  2340,   868,     0,     0,
       0,     0,     0,   869,  1887,  1397,     0,     0,     0,     0,
       0,  2502,  1888,     0,  3882,     0,  1037,     0,   870,     0,
       0,  2009,     0,  1083,     0,   694,     0,  1083,  3351,   871,
       0,  1916,  3613,     0,     0,     0,     0,   872,  1053,     0,
       0,  2024,     0,     0,     0,   691,   379,     0,     0,   873,
    2034,     0,     0,     0,   874,     0,     0,     0,     0,     0,
     875,     0,     0,     0, -2302,     0,  1889,     0,     0,     0,
    3614,     0,     0,  3394,     0,     0,     0,   876,     0,     0,
       0,     0,  3837,     0,     0,     0,  3837,     0, -2302,  2341,
   -2302, -2302,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,
    2349,  2350,   877,   691,     0,     0,     0,  3440,     0,     0,
       0,     0,     0,  2322,   694,   694,  2323,     0,     0,     0,
    2324,  2325,  2326,   878, -2302,  3452,     0, -2302, -2302,   372,
   -2302,     0,     0,     0,     0,     0,  3462,  2327,     0,     0,
    1397,     0,     0,     0,     0,  2329,     0,     0,     0,  3486,
       0,  2330,     0,  2322,   879,     0,  2323,   691,     0,     0,
    2324,  2325,  2326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,  2331,     0,  2327,     0,     0,
       0,     0,     0,     0,   881,  2329,     0,     0,     0,     0,
       0,  2330,     0,     0,     0,     0,     0,  1083,  1083,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   882,     0,     0,     0,  2331,   883,     0,   884,  1306,
    4020,     0,     0,     0,   885,     0,     0,   886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1307,     0,     0,   887,   888,     0,     0,   889,
       0,  4055,  2258,   890,     0,  1308,  1309,     0,     0,     0,
       0,     0,   891,     0,     0,  1310,     0,   892,     0,  1311,
    2332,     0,     0,     0,     0,  2333,     0,     0,     0,   893,
       0,     0,     0,     0,     0,     0,     0,  1312,     0,     0,
       0,     0,   894,  1039,     0,     0,  2334,  2335,     0,     0,
    4087,     0,     0,     0,     0,     0,     0,     0,  1313,     0,
    2332,  2336,     0,     0,     0,  2333,     0,     0,     0,  1314,
       0,     0,  3510,     0,     0,     0,     0,  1315,     0,  3510,
    3510,     0,     0,  3510,     0,     0,  2334,  2335,     0,  1316,
    3510,     0,  2337,     0,  1317,     0,  1039,     0,     0,  4126,
     698,  2336,     0,     0,  4126,  2338,     0,     0,  2339,  1397,
    1037,  1397,     0,     0,     0,  1037,  1817,  1318,   694,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3686,     0,
       0,     0,  2337,     0,     0,     0,     0,  4161,   694,     0,
       0,     0,  1319,     0,     0,  2338,     0,     0,  2339,  4184,
    3700,     0,     0,     0,     0,     0,     0,  1039,  3686,     0,
       0,   694,     0,  1320,     0,     0,   380,     0,     0,     0,
       0,     0,   380,     0,     0,     0,     0,   695,  4214,  1397,
       0,     0,     0,     0,     0,     0,  2340,     0,     0,     0,
       0,     0,     0,     0,  1321,     0,     0,   694,     0,     0,
       0,     0,     0,     0,   380,     0,     0,  3642,     0,     0,
       0,  4237,     0,   694,  1322,     0,     0,  3837,  3640,     0,
       0,     0,  3837,     0,   881,  3837,  2340,     0,   694,     0,
    2322,   694,     0,  2323,     0,     0,     0,  2324,  2325,  2326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   380,
       0,  1323,     0,     0,  2327,     0,  1324,  5086,  1325,     0,
       0,     0,  2329,     0,  1326,     0,     0,  1327,  2330,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2341,
       0,     0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,
    2349,  2350,  2331,     0,  1037,     0,  1328,     0,  3790,  1329,
       0,  1039,     0,  1330,     0,     0,     0,     0,     0,  1039,
    1331,  1039,  1332,     0,     0,     0,     0,  1333,     0,  2341,
     380,     0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,
    2349,  2350,     0,     0,     0,     0,  3089,     0,     0,     0,
       0,     0,  1334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2322,     0,     0,  2323,     0,     0,   694,  2324,
    2325,  2326,  4351,     0,     0,     0,   694,   694,     0,     0,
       0,     0,     0,     0,  2681,     0,  2327,   379,     0,     0,
       0,     0,     0,     0,  2329,     0,   372,     0,     0,     0,
    2330,     0,     0,     0,     0,     0,  2873,  2332,     0,     0,
       0,     0,  2333,     0,     0,     0,     0,     0,     0,     0,
       0,   372,     0,     0,  2331,     0,     0,     0,     0,     0,
    3934,     0,     0,  2334,  2335,     0,     0,     0,     0,     0,
     379,   379,   379,     0,     0,     0,     0,     0,  2336,     0,
       0,  2900,     0,     0,     0,     0,     0,     0,     0,     0,
     694,     0,  1900,     0,     0,  2759,     0,     0,  1901,     0,
       0,     0,     0,  3956,     0,     0,     0,     0,     0,  2337,
    2775,     0, -2304,     0,     0,     0,     0,     0,   380,  3837,
     379,     0,  2338,     0,     0,  2339,     0,   379,     0,  2798,
    2315,     0,     0,     0,   379,     0,  4452,     0,  1902,     0,
       0,     0,     0,     0,  1083,     0,     0,     0,     0,     0,
       0,     0,  2315,   380,     0,     0,     0,     0,     0,  2332,
   -2304,     0,     0,     0,  2333,     0,     0,     0,     0,     0,
       0,     0, -2304,  1243,     0,     0,  2864, -2304,     0,     0,
       0,     0, -2304,  1083,     0,  2334,  2335, -2304,     0,  1903,
   -2304,     0,     0, -2304,     0,  2875,  1904,     0,     0,  1905,
    2336,     0,     0,  2340,  4026,     0,     0,  1429,     0,     0,
       0,  1039,     0,     0,     0,     0,  4045,     0,     0,  2889,
       0, -2304,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2337,  4126,     0,     0,     0,     0,     0,     0,     0,
       0, -2304,     0,  1037,  2338,     0,     0,  2339,     0,     0,
       0,     0,     0,     0,   372,  1906,     0,     0,     0,  2920,
       0,  4554,  1429,     0,  4555,     0,  4556,     0,     0,     0,
       0,  1037,     0,     0,     0,     0,     0,     0,     0,     0,
   -2304,     0, -2304,   694,     0,  1083,     0,     0, -2304,     0,
       0,     0,     0,  4096,     0,     0,  2341,     0,     0,  2342,
    2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,  3510,
       0,     0,  1907,  4127,  1908,  3510,  3510,     0,  3510,     0,
    2785,     0,     0,     0,  1909,  2340,     0,     0,     0,     0,
       0,     0,  1910,   379,     0,     0,     0, -2304,  1523,  1524,
       0,     0,  1911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   694,     0,     0,     0,   694,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     694,     0,     0,     0,     0,     0,  1966,     0,     0,  1913,
    1914,     0,     0,     0,     0,     0,  1053,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1967,     0,     0,     0,
       0,  3093, -2304,     0,  4681,     0,     0,     0,  2341,     0,
    1039,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,  4299, -2304,     0, -2304, -2304,
       0,     0,     0,     0,     0,   694,   694,     0,     0,     0,
       0,  3642,  3642,  3642,  3642,  3642,     0,     0,   694,     0,
    2742,     0,  3640,  3640,  3640,  3640,  3640,     0,     0,  1916,
       0,     0, -2304,   694,   694, -2304, -2304,  4272, -2304,     0,
       0,   372,     0,     0,     0,     0,     0,     0,     0,     0,
    1037,     0,     0,     0,   372,   694,  4729,     0,     0,  4729,
       0,  4729,  4286,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,   743,     0,   743,     0,     0,     0,
       0,  3314,     0,     0,     0,     0,   743,     0,  1243,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5525,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   743,   743,     0,     0,   743,     0,     0,     0,
       0,     0,   743,     0,     0,   380,  1040,     0,     0,   380,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,     0,   372,     0,     0,  1040,     0,
     695,     0,     0,     0,     0,     0,     0,     0,     0,  2322,
       0,   695,  2323,   743,     0,   379,  2324,  2325,  2326,     0,
       0,     0,  4813,     0,     0,  4820,  4821,     0,     0,     0,
       0,     0,     0,  2327,     0,     0,  2502,     0,     0,   695,
       0,  2329,     0,     0,   695,     0,     0,  2330,     0,     0,
       0,    80,     0,     0,     0,   695,     0,     0,     0,     0,
       0,     0,    74,     0,     0,     0,     0,     0,  3318,     0,
       0,  2331,     0,     0,     0,     0,     0,     0,     0,     0,
    3333,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,     0,     0,
       0,     0,   695,     0,     0,     0,     0,     0,   379,     0,
       0,     0,     0,   695,     0,     0,     0,  3363,     0,     0,
       0,     0,  1037,     0,     0,     0,     0,   695,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4885,  4886,     0,     0,     0,  4889,  4890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4497,   379,  1039,   379,     0,     0,     0,  1039,
       0,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,  2333,     0,     0,   694,  4908,  4909,     0,     0,     0,
       0,     0,     0,     0,  3510,     0,  3510,  3510,     0,     0,
    3510,     0,  2334,  2335,     0,  1397,     0,     0,     0,  4929,
       0,  2322,     0,     0,  2323,     0,  1037,  2336,  2324,  2325,
    2326,     0,     0,     0,   694,     0,   695,     0,   379,   694,
       0,     0,     0,   694,     0,  2327,   743,     0,     0,     0,
       0,   694,     0,  2329,     0,     0,     0,   380,  2337,  2330,
       0,     0,     0,     0,     0,     0,  4968,  4573,     0,   694,
    4576,  2338,     0,     0,  2339,     0,     0,     0,     0,  3533,
       0,     0,     0,  2331,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4988,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   694,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1083,     0,     0,   695,   695,  1900,   694,   694,
       0,     0,     0,  1901,  4729,     0,     0,     0,  4729,  4729,
       0,  4729,     0,  3710,     0,     0,     0,     0,     0,  3714,
       0,     0,  2340,     0,     0,   379,   694,     0,  1039,   379,
       0,     0,     0,     0,     0,     0,     0,  4652,     0,     0,
       0,     0,     0,  1902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   694,     0,  2332,     0,
     694,     0,     0,  2333,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   694,     0,
       0,     0,     0,     0,  2334,  2335,     0,     0,     0,   694,
       0,     0,     0,     0,  1903,     0,     0,     0,     0,  2336,
       0,  1904,   694,     0,  1905,  5076,     0,     0,     0,     0,
     694,     0,     0,     0,     0,  2341,     0,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
    2337,     0,  4350,     0,     0,     0,     0,     0,  3686,     0,
       0,     0,     0,  2338,     0,   743,  2339,     0,  3699,     0,
     693,     0,     0,  4126,     0,     0,     0,     0,     0,  3847,
    1906,     0,     0,     0,  1037,     0,   379,     0,     0,  3711,
    1900,     0,     0,     0,     0,     0,  1901,   843,     0,     0,
    3717,     0,     0,     0,     0,     0,     0,     0,     0,  2322,
       0,  3510,  2323,   743,   743,     0,  2324,  2325,  2326,     0,
       0,  1942,  1397,     0,     0,     0,  5144,     0,  5145,     0,
       0,     0,  5150,  5151,     0,     0,  1902,  1907,     0,  1908,
    3847,  2329,   843,     0,  2340,     0,     0,  2330,     0,  1909,
       0,     0,   694,     0,     0,     0,     0,  1910,     0,     0,
       0,   743,     0,     0,     0,     0,     0,  1911,     0,  1943,
       0,  2331,     0,     0,     0,     0,     0,     0,     0,   695,
       0,     0,     0,     0,     0,     0,     0,  1903,     0,  1900,
    1082,     0,     0,     0,  1904,  1901,     0,  1905,  1082,   695,
    1082,  1992,     0,     0,  1913,  1914,     0,     0,     0,     0,
       0,     0,     0,   843,   694,     0,     0,     0,     0,     0,
       0,     0,   695,     0,     0,     0,     0,     0,     0,     0,
       0,  1993,     0,     0,     0,  1902,     0,  2341,     0,     0,
    2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,
    1944,     0,     0,  1906,  4436,     0,     0,  1039,   695,     0,
       0,   694,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   695,     0,  2332,     0,     0,     0,
       0,  2333,     0,   694,     0,  1039,  1903,     0,     0,   695,
       0,   694,   695,  1904,  1916,     0,  1905,     0,  1945,     0,
    1946,     0, -2799, -2799,     0,     0,     0,     0,     0,     0,
    1947,     0,  1908,     0,  4882,     0,     0,  2336,     0,     0,
       0,     0,  1909,     0,     0,     0,  4892,     0,     0,     0,
    1910,     0,     0,     0,     0,     0,     0,  5295,     0,  1948,
    1911,     0,     0,     0,     0,     0,     0,     0, -2799,     0,
       0,     0,  1906,     0,     0,     0,     0,     0,     0,  1389,
     743,  2338,   743,     0,     0,     0,     0,   379,     0,     0,
       0,     0,     0,   379,  3442,     0,     0,  1913,  1914,  1950,
       0,     0,  2322,     0,     0,  2323,     0,     0,     0,  2324,
    2325,  2326,     0,  3960,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3443,     0,  2327,     0,     0,  1907,
    3972,  1908,     0,   743,  2329,     0,   743,   743,  1952,   695,
    2330,  1909,     0,     0,     0,  5345,     0,   695,   695,  1910,
       0,   699,     0,  1040,     0,  1040,     0,     0,   380,  1911,
       0,   699,  2340,     0,  2331,   743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   694,  1040,  1040,  1916,     0,     0,
       0,     0,     0,  2607,     0,     0,  1913,  1914,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   380,   380,   380,     0,  1397,     0,  4042,     0,  4044,
       0,     0,     0,  2608,  1039,     0,     0,     0,     0,  3686,
       0,   695,   743,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,  2342,  2343,
    2344,   380,  2345,  2346,  2347,  2348,  2349,  2350,   380,  2332,
       0,     0,     0,   694,  2333,   380,     0,     0,  4085,     0,
       0,     0,     0,     0,     0,     0,  1916,     0,     0,   694,
     694,     0,     0,     0,     0,  2334,  2335,     0,     0,     0,
       0,     0,     0,  4099,     0,     0,     0,     0,     0,     0,
    2336,     0,     0,   699,     0,  2322,   694,     0,  2323,   694,
       0,     0,  2324,  2325,  2326,  1243,     0,   699,   699,     0,
       0,  1806,     0,     0,     0,     0,     0,     0,     0,  2327,
    3686,  2337,  3686,     0,     0,     0,     0,  2329,     0,     0,
       0,     0,     0,  2330,  2338,     0,     0,  2339,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5518,  3363,   379,   379,   379,     0,     0,     0,     0,
       0,     0,  5515,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   694,     0,     0,
       0,     0,     0,     0,   695,  4235,     0,     0,     0,   694,
       0,     0,     0,   694,     0,  2340,     0,     0,     0,     0,
       0,     0,   694,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5518,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5515,     0,  1039,     0,     0,     0,
       0,     0,  5518,     0,   380,     0,     0,     0,     0,  3847,
       0,  3847,  2332,  5515,     0,     0,     0,  2333,     0,     0,
       0,     0,     0,     0,     0,   695,     0,     0,     0,   695,
       0,     0,     0,     0,     0,     0,   694,     0,  2334,  2335,
       0,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2336,     0,     0,  4298,     0,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,   379,     0,     0,  4468,     0,  4307,   694,     0,
     694,     0,     0,     0,  2337,     0,     0,     0,   843,     0,
    1039,     0,   694,     0,   694,     0,     0,  2338,     0,     0,
    2339,     0,  4330,  1900,     0,     0,   693,     0,     0,  1901,
       0,     0,     0,   693,     0,     0,   695,   695,     0,     0,
       0,  3847,     0,     0,   693,     0,     0,     0,     0,   695,
       0,     0,     0,     0,     0,     0,  2258,     0,     0,     0,
       0,     0,     0,     0,   695,   695,     0,  2132,   694,  1902,
       0,     0,   693,     0,     0,     0,     0,   693,     0,     0,
       0,     0,     0,     0,   699,     0,   695,     0,   693,   743,
       0,   743,     0,     0,   743,     0,   743,     0,  2340,   743,
     743,   743,     0,     0,     0,  2227,     0,     0,  2165,     0,
       0,     0,   743,     0,   693,     0,  2175,     0,     0,     0,
    1903,     0,  2183,   694,     0,     0,   743,  1904,   743,   693,
    1905,     0,     0,   743,     0,   693,     0,     0,     0,     0,
     694,     0,     0,     0,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,     0,   694,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1906,     0,     0,     0,
       0,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,
    2347,  2348,  2349,  2350,     0,     0,     0,     0,  4737,     0,
       0,     0,     0,     0,     0,  2322,   380,     0,  2323,     0,
       0,     0,  2324,  2325,  2326,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2327,
       0,     0,   379,  1907,     0,  1908,     0,  2329,     0,     0,
       0,     0,     0,  2330,     0,  1909,  2368,  1082,     0,   693,
       0,  1082,     0,  1910,     0,     0,     0,   743,   743,     0,
       0,     0,     0,  1911,     0,     0,     0,  2331,  1039,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,   699,
     699,     0,  1900,     0,     0,     0,     0,     0,  1901,     0,
       0,     0,     0,     0,     0,     0,     0,  2675,     0,   380,
    1913,  1914,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3686,
       0,     0,     0,     0,     0,     0,     0,  2676,  1902,     0,
       0,     0,     0,  2322,     0,     0,  2323,     0,   693,   693,
    2324,  2325,  2326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   380,     0,   380,  2327,     0,     0,
       0,   743,     0,   699,     0,  2329,     0,     0,     0,     0,
       0,  2330,  2332,  2504,     0,   695,     0,  2333,     0,  1903,
       0,     0,     0,     0,     0,     0,  1904,     0,     0,  1905,
    1916,     0,     0,     0,     0,  2331,     0,     0,  2334,  2335,
    4647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2336,     0,   695,     0,     0,     0,   380,
     695,  1082,  1082,     0,   695,   694,     0,     0,     0,     0,
       0,     0,   695,     0,     0,     0,     0,     0,     0,     0,
    1248,     0,     0,     0,  2337,  1906,   699,     0,     0,  1278,
     695,     0,     0,     0,   699,     0,     0,  2338,  1293,     0,
    2339,     0,     0,     0,     0,   379,  1303,     0,     0,     0,
     379,  1338,   379,     0,     0,     0,     0,     0,     0,     0,
    3847,     0,     0,     0,  3847,     0,     0,     0,     0,     0,
       0,     0,   695,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,  1907,     0,  1908,  2333,     0,     0,     0,   695,
     695,     0,   699,     0,  1909,   699,   699,     0,     0,     0,
     694,     0,  1910,   694,     0,     0,  2334,  2335,     0,     0,
       0,     0,  1911,     0,     0,     0,   380,   695,  2340,     0,
     380,  2336,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     379,     0,     0,     0,     0,     0,  3360,   695,     0,  1913,
    1914,   695,  2337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,  2338,     0,     0,  2339,   695,
       0,     0,     0,     0,     0,     0,  1915,  2258,     0,     0,
     695,     0,   693,     0,     0,   694,   694,     0,     0,  5346,
       0,     0,     0,   695,     0,     0,     0,     0,   694,     0,
     694,   695,   693,     0,     0,     0,     0,     0,     0,     0,
       0,  2341,     0,  1561,  2342,  2343,  2344,     0,  2345,  2346,
    2347,  2348,  2349,  2350,     0,   693,     0,     0,  4772,     0,
       0,     0,     0,     0,  2322,     0,     0,  2323,     0,  1916,
       0,  2324,  2325,  2326,     0,     0,  2340,     0,     0,  1693,
       0,     0,     0,     0,     0,     0,     0,   380,  2327,     0,
       0,   693,     0,     0,     0,     0,  2329,     0,  1717,   379,
       0,     0,  2330,     0,     0,     0,     0,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1743,   693,     0,     0,   693,  2331,     0,     0,     0,
    4948,   694,     0,     0,     0,  4856,     0,     0,     0,     0,
       0,  2874,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4872,     0,     0,     0,     0,  2341,
       0,     0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,
    2349,  2350,     0,  4887,  4429,     0,  2901,   743,     0,   743,
    2905,     0,     0,   743,     0,   743,  2911,  2912,   743,     0,
       0,     0,   743,     0,     0,     0,     0,  2368,     0,     0,
       0,     0,     0,     0,     0,   695,     0,     0,     0,  2928,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,  2332,     0,     0,     0,     0,  2333,  4910,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,  2334,  2335,     0,
     693,   693,   695,     0,     0,     0,     0,     0,     0,     0,
       0,   843,  2336,     0,     0,     0,     0,     0,     0,     0,
    3847,     0,     0,     0,   695,  3847,     0,     0,     0,     0,
    3847,     0,   695,  3847,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2337,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2338,     0,     0,  2339,
       0,     0,     0,  3847,   843,  2047,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3847,  4994,  2227,
       0,     0,     0,     0,   693,  1900,  3167,     0,  2077,  2080,
    2081,  1901,     0,     0,     0,     0,  2504,     0,     0,     0,
       0,   694,     0,     0,   379,     0,     0,     0,   380,     0,
       0,     0,     0,     0,   380,     0,     0,     0,     0,     0,
    5116,     0,     0,     0,     0,     0,     0,   694,   843,     0,
       0,  1902,     0,  2258,     0,     0,     0,  2340,  1082,   694,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1900,     0,   694,     0,     0,
     699,  1901,     0,     0,     0,     0,     0,     0,     0,  1900,
       0,  1243,     0,     0,     0,  1901,     0,  1082,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,  1904,
       0,     0,  1905,     0,     0,     0,     0,     0,     0,  3184,
       0,  1902,     0,     0,   694,   695,     0,     0,     0,     0,
       0,     0,     0,   699,     0,  1902,     0,   699,     0,     0,
       0,     0,  3847,  3243,     0,  1806,     0,     0,   743,     0,
    2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,  2347,
    2348,  2349,  2350,     0,     0,     0,     0,  5017,  1906,     0,
       0,     0,  1903,  1693,     0,     0,     0,     0,     0,  1904,
       0,     0,  1905,     0,     0,     0,  1903,     0,     0,     0,
       0,     0,     0,  1904,   699,     0,  1905,   693,     0,  1082,
       0,     0,     0,     0,  1693,     0,     0,  3847,     0,     0,
       0,     0,  2322,     0,   695,  2323,     0,     0,     0,  2324,
    2325,  2326,     0,     0,     0,  1907,     0,  1908,     0,     0,
     695,   695,  2322,     0,     0,  2323,  2327,  1909,  1906,  2324,
    2325,  2326,   694,     0,  2329,  1910,     0,   843,     0,     0,
    2330,     0,  1906,     0,     0,  1911,  2327,   695,     0,     0,
     695,     0,     0,     0,  2329,     0,     0,     0,   693,     0,
    2330,     0,   693,     0,  2331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,     0,     0,     0,  3455,
       0,     0,  1913,  1914,  2331,  1907,     0,  1908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1909,     0,  1907,
       0,  1908,     0,     0,     0,  1910,     0,     0,     0,  3456,
    5314,  1909,     0,     0,     0,  1911,     0,     0,  2258,  1910,
       0,     0,     0,     0,   380,   380,   380,     0,   699,  1911,
       0,     0,     0,     0,     0,     0,   699,     0,   699,     0,
    2412,     0,     0,   694,     0,   694,     0,     0,   695,   693,
     693,     0,  1913,  1914,     0,     0,  4085,     0,     0,     0,
     695,     0,   693,  3494,   695,     0,  1913,  1914,     0,  2332,
       0,     0,  1916,   695,  2333,     0,  3847,   693,   693,  1915,
       0,     0,     0,   694,     0,     0,     0,     0,  2467,  2332,
       0,     0,     0,  3495,  2333,  2334,  2335,     0,     0,   693,
       0,  3847,     0,     0,     0,     0,     0,     0,     0,     0,
    2336,     0,     0,  2258,     0,  2334,  2335,  2258,  2258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   379,
    2336,   694,     0,     0,     0,     0,     0,   695,     0,     0,
       0,  2337,  1916,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2338,     0,  1916,  2339,     0,     0,
       0,  2337,     0,     0,     0,     0,     0,     0,     0,     0,
    5416,     0,     0,   380,  2338,     0,     0,  2339,     0,   695,
       0,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,     0,   695,     0,     0,     0,     0,
       0,     0,     0,     0,  5339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2634,     0,     0,     0,     0,     0,   843,
    2654,     0,  5456,     0,     0,  2340,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   695,
       0,     0,     0,     0,  2686,  2340,     0,     0,     0,     0,
       0,     0,  2692,     0,     0,  2695,     0,  3847,     0,  3631,
       0,     0,     0,  1243,  1243,     0,     0,  1900,     0,     0,
       0,   743,  2227,  1901,     0,     0,     0,     0,  3648,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
       0,  2730,     0,  3657,   695,     0,  3659,  3660,     0,     0,
       0,  3663,  3664,     0,     0,  2745,   379,     0,  3668,     0,
       0,   695,     0,  1902,     0,     0,     0,     0,  2341,  2757,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,   695,     0,  5028,   695,     0,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,  1900,     0,     0,     0,  5037,     0,  1901,     0,     0,
       0,     0,     0,     0,  1903,     0,     0,     0,  2810,     0,
       0,  1904,     0,     0,  1905,     0,     0,     0,  5550,     0,
       0,     0,     0,     0,     0,  3709,     0,     0,   693,  2844,
    1243,  1243,     0,     0,     0,     0,  2856,  1902,     0,     0,
       0,     0,  2322,     0,     0,  2323,     0,     0,     0,  2324,
    2325,  2326,     0,   380,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2327,     0,   693,     0,
    1906,     0,   843,   693,  2329,     0,     0,   693,     0,     0,
    2330,     0,     0,     0,     0,   693,     0,     0,  1903,     0,
       0,     0,     0,     0,     0,  1904,     0,     0,  1905,     0,
       0,     0,     0,   693,  2331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1907,     0,  1908,
       0,     0,  2504,     0,   694,     0,     0,   699,     0,  1909,
       0,     0,     0,     0,     0,   693,     0,  1910,     0,  2938,
       0,     0,     0,     0,  1906,     0,  1082,  1911,     0,     0,
       0,     0,   693,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   843,
     693,  3983,     0,   843,  1913,  1914,  1693,  1693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2332,
       0,  1907,   694,  1908,  2333,     0,  2997,     0,     0,     0,
     693,  3984,     0,  1909,   693,     0,     0,     0,     0,     0,
       0,  1910,     0,     0,     0,  2334,  2335,     0,     0,     0,
       0,  1911,   693,     0,     0,     0,   695,     0,     0,     0,
    2336,     0,     0,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,   693,  4028,     0,     0,  1913,  1914,
       0,  2337,     0,     0,  1916,     0,   380,     0,     0,     0,
       0,   380,     0,   380,  2338,     0,     0,  2339,     0,     0,
       0,     0,     0,     0,     0,  4029,     0,     0,     0,     0,
     379,     0,     0,  3152,     0,     0,     0,  3954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     843,     0,     0,     0,     0,     0,     0,     0,     0,  3173,
       0,   695,     0,     0,   695,     0,     0,  2322,     0,     0,
    2323,     0,     0,     0,  2324,  2325,  2326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1916,     0,
       0,  2327,   379,     0,     0,  2340,  3186,     0,  3189,  2329,
       0,   380,     0,     0,     0,  2330,     0,     0,     0,     0,
       0,   379,  4006,     0,  4008,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,  1693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,   695,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   695,
       0,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     0,     0,   739,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,  5040,     0,     0,   739,     0,
       0,   699,     0,     0,  2322,     0,   699,  2323,  4084,     0,
       0,  2324,  2325,  2326,  4091,   693,  1048,     0,     0,     0,
     380,     0,     0,     0,  2332,     0,     0,     0,  2327,  2333,
       0,  1050,     0,     0,     0,     0,  2329,   693,     0,  1058,
       0,     0,  2330,     0,     0,   693,     0,     0,     0,     0,
    2334,  2335,   695,     0,  1072,     0,  1048,     0,     0,     0,
    1095,     0,     0,     0,     0,  2336,  2331,     0,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,  1132,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   743,  2337,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2338,
       0,     0,  2339,     0,     0,     0,     0,     0,     0,  3385,
       0,   843,     0,     0,     0,     0,     0,   843,     0,     0,
       0,     0,  2322,     0,     0,  2323,     0,     0,  3412,  2324,
    2325,  2326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4234,  2327,     0,     0,     0,
       0,     0,     0,     0,  2329,     0,     0,     0,     0,     0,
    2330,  2332,     0,     0,     0,     0,  2333,     0,  4251,  4252,
       0,  4254,     0,  4256,  4257,   699,     0,     0,     0,     0,
    2340,     0,     0,     0,  2331,     0,  4264,  2334,  2335,     0,
       0,     0,     0,     0,     0,     0,  2322,     0,     0,  2323,
       0,     0,  2336,  2324,  2325,  2326,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2327,     0,     0,     0,     0,     0,  4285,     0,  2329,     0,
       0,     0,     0,  2337,  2330,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2338,     0,     0,  2339,
       0,     0,     0,     0,     0,     0,     0,     0,  2331,     0,
       0,     0,     0,  3564,     0,     0,     0,     0,     0,     0,
       0,     0,   695,  2341,     0,   380,  2342,  2343,  2344,     0,
    2345,  2346,  2347,  2348,  2349,  2350,     0,     0,     0,  2332,
    5091,     0,     0,     0,  2333,     0,     0,   693,   695,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     695,     0,     0,   693,   693,  2334,  2335,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2340,   695,     0,
    2336,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,     0,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2337,     0,  2332,     0,     0,     0,     0,  2333,     0,
       0,     0,     0,     0,  2338,   695,     0,  2339,     0,     0,
    3243,     0,     0,     0,     0,     0,     0,     0,     0,  2334,
    2335,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   843,   843,   843,
    2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,  2347,
    2348,  2349,  2350,     0,     0,  2337,     0,  5123,     0,     0,
       0,   693,     0,     0,     0,     0,     0,     0,  2338,     0,
       0,  2339,  3703,   693,     0,  2340,     0,   693,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,   739,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0, -2318,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2340,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,  5158,   843, -2318,     0,     0,
       0,     0,   693,     0,   693,     0,     0,     0,     0, -2318,
       0,     0,     0,     0, -2318,     0,   693,     0,   693, -2318,
       0,     0,     0,     0, -2318,     0,     0, -2318,     0,     0,
   -2318,  3830,     0,     0,   695,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2341,     0,     0,  2342,  2343,  2344, -2318,  2345,
    2346,  2347,  2348,  2349,  2350,     0,     0,     0,     0,  5395,
       0,     0,   693,     0,   695,     0,     0,     0, -2318,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2318,     0, -2318,
     380,     0,   695,     0,     0, -2318,     0,   693,     0,     0,
       0,  1225,  1231,  1231,   739,     0,  1231,     0,  1239,     0,
    1225,     0,  1127,     0,   693,  1269,     0,     0,     0,     0,
       0,  1127,     0,     0,  1127,     0,     0,     0,  1231,     0,
    1127,   699,     0,     0,     0,     0,   693,     0,  1305,   693,
       0,     0,     0,  1127, -2318,  1225,     0,     0,  1231,     0,
     739,     0,  1231,     0,     0,     0,     0,     0,     0,  1269,
       0,     0,     0,  1365,     0,     0,     0,     0,     0,  4707,
    1231,     0,     0,     0,     0,     0,     0,  4710,  4711,  4712,
    4713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1053,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1225,     0,     0,     0,     0,   739,     0,
       0,     0,     0,  1225,     0,     0,   843,  1269,  2322, -2318,
       0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,  2327, -2318,     0, -2318, -2318,     0,     0,     0,
    2329,     0,     0,     0,     0,     0,  2330,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   380,  4047, -2318,
    2331,     0, -2318, -2318,     0, -2318,     0,  2504,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1127,     0,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2322,     0,     0,  2323,     0,  1673,  1673,  2324,  2325,  2326,
     739,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2327,     0,     0,     0,     0,     0,
    1127,     0,  2329,     0,  1127,     0,     0,     0,  2330,     0,
       0,     0,  1673,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1127,     0,  2332,     0,     0,     0,     0,
    2333,     0,  2331,     0,     0,  1127,     0,     0,     0,     0,
       0,  4153,  4154,     0,  4855,     0,     0,  2322,     0,   693,
    2323,  2334,  2335,     0,  2324,  2325,  2326,  4163,     0,     0,
       0,     0,     0,     0,     0,     0,  2336,     0,     0,     0,
       0,  2327,     0,  4180,     0,     0,  4873,  4874,     0,  2329,
       0,     0,  4189,  4190,     0,  2330,     0,     0,     0,   843,
       0,     0,     0,     0,   843,     0,   843,  2337,     0,  4208,
       0,     0,     0,     0,     0,   695,     0,   699,     0,  2331,
    2338,     0,     0,  2339,     0,     0,     0,  1127,     0,     0,
       0,     0,     0,     0,     0,     0,  1127,     0,     0,     0,
       0,  1231,  1231,     0,     0,     0,     0,  2332,     0,     0,
       0,     0,  2333,     0,   693,     0,     0,   693,     0,  4911,
    4912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2334,  2335,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2336,     0,
       0,     0,  1225,   695,   843,     0,     0,     0,     0,     0,
       0,  2340,     0,  1225,     0,     0,     0,  1269,     0,     0,
    1693,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
       0,     0,  1231,     0,  2332,     0,     0,     0,     0,  2333,
       0,     0,  2338,     0,     0,  2339,     0,  1127,     0,   693,
     693,     0,     0,  1231,  1231,     0,     0,     0,     0,     0,
    2334,  2335,   693,     0,   693,     0,     0,     0,     0,     0,
    1127,  1127,  1127,     0,  1231,  2336,  1225,  5004,     0,     0,
       0,  2092,     0,     0,     0,     0,     0,  5006,  5007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   380,     0,  5011,  2341,     0,  2337,  2342,  2343,  2344,
       0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,  2338,
       0,  5415,  2339,  2340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,     0,  4382,  4383,  4384,     0,  2322,
       0,  1231,  2323,  1231,  1231,     0,  2324,  2325,  2326,     0,
       0,     0,     0,   380,     0,   693,     0,     0,     0,     0,
       0,     0,     0,  2327,     0,     0,     0,  3195,     0,     0,
       0,  2329,   380,     0,     0,     0,     0,  2330,     0,     0,
       0,     0,  1673,     0,     0,   699,     0,     0,     0,     0,
    2340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2331,     0,     0,     0,     0,  2341,     0,     0,  2342,
    2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,
    2232,  2232,     0,  5531,     0,  1127,     0,  1048,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3196,     0,
       0,     0,     0,  2266,     0,     0,  1127,     0,     0,  2272,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2341,     0,     0,  2342,  2343,  2344,     0,
    2345,  2346,  2347,  2348,  2349,  2350,     0,     0,     0,  1673,
    5549,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,  2333,     0,     0,     0,  1230,  1232,     0,     0,  1235,
       0,  1237,     0,     0,     0,     0,     0,  1673,  1673,  1673,
       0,  1673,  2334,  2335,     0,     0,     0,     0,     0,     0,
       0,  1288,     0,     0,     0,     0,     0,  2336,     0,     0,
       0,  1673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,     0,     0,     0,  1346,     0,     0,     0,     0,
       0,     0,     0,   739,   739,     0,     0,     0,  2337,     0,
       0,  5219,     0,  1370,     0,   693,     0,     0,   843,     0,
       0,  2338,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0,  1127,     0,     0,  1673,     0,     0,     0,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,  4623,     0,     0,  1673,  1673,
       0,   693,     0,     0,     0,  4633,     0,     0,     0,  1127,
    1127,  2469,     0,     0,     0,     0,     0,     0,     0,  5261,
       0,     0,  2322,     0,     0,  2323,     0,     0,     0,  2324,
    2325,  2326,  2340,     0,     0,     0,     0,   739,     0,     0,
    4653,     0,     0,     0,     0,     0,  2327,     0,   693,     0,
       0,     0,     0,     0,  2329,     0,     0,     0,     0,     0,
    2330,     0,     0,     0,     0,  5293,     0,  2856,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2331,     0,   699,  3197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
       0,     0,     0,     0,     0,  1127,  2639,     0,     0,     0,
       0,     0,  1127,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,  1269,     0,  1127,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,  1127,     0,  2332,
       0,     0,     0,     0,  2333,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,  2334,  2335,     0,     0,  1231,
    1231,  1231,  1231,  1127,     0,     0,     0,     0,     0,     0,
    2336,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
       0,     0,  4779,  4780,  4781,  4782,     0,     0,     0,  2756,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2337,  1231,  1231,  1924,  1925,     0,     0,     0,     0,
       0,  1231,     0,     0,  2338,     0,     0,   693,     0,   693,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
    1231,  1231,  1231,     0,     0,     0,     0,   693,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,  1127,     0,
       0,  2756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2026,     0,  1225,     0,     0,
       0,     0,     0,     0,   739,  2340,     0,     0,     0,  1673,
       0,     0,     0,   843,     0,   693,  2049,  2050,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5500,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2083,     0,     0,
       0,     0,  1225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1269,     0,     0,     0,  1231,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,     0,  2153,  2155,     0,     0,
       0,     0,     0,     0,     0,  2232,     0,     0,     0,     0,
       0,     0,  1231,     0,  1225,     0,     0,     0,  1127,  1127,
       0,  1231,     0,     0,     0,     0,     0,     0,  1127,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1127,     0,
       0,     0,     0,  1048,  1048,     0,     0,  3007,     0,     0,
       0,  1673,  1673,     0,     0,     0,     0,  1673,  1673,     0,
       0,     0,     0,     0,  1673,  1673,  1673,     0,     0,     0,
    1673,  1269,  1673,  1673,  1673,  1673,  1673,  1673,     0,  1673,
     843,  1673,  1673,     0,     0,  1673,     0,  4996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1673,  1673,  1673,  1673,     0,     0,     0,  1231,  1673,     0,
       0,     0,  1673,     0,     0,  1673,     0,     0,  1673,  1673,
    1673,  1673,  1673,  1673,  1673,  1673,  1673,     0,  1673,     0,
       0,     0,     0,     0,     0,  1127,  1673,     0,     0,  1673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1127,     0,
    1127,     0,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
       0,     0,     0,     0,  3222,     4,  3229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     6,     7,     0,     0,     0,
       8,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,    36,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,   739,     0,    45,     0,     0,     0,     0,
       0,     0,  1048,  5156,  1048,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,     0,  1693,
       0,  1673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1225,     0,  1231,  1231,     0,     0,     0,  1225,
       0,  1269,     0,  1231,     0,  1231,     0,    46,     0,  1231,
    5201,     0,  1127,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2639,     0,     0,     0,     0,     0,     0,  3365,     0,
       0,     0,     0,     0,  3375,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   967,     0,     0,   843,     0,     0,     0,  2657,    47,
    1127,     0,     0,   968,  3417,  3417,     0,     0,     0,     0,
       0,     0,     0,   739,     0,     0,     0,    48,     0,     0,
       0,     0,     0,     0,   969,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,   970,    49,     0,
       0,     0,     0,     0,     0,  5268,     0,     0,     0,     0,
       0,   971,     0,     0,     0,     0,   843,  3480,     0,  3483,
    3485,    50,  2726,  2727,  2728,  2729,     0,     0,     0,   972,
       0,     0,     0,     0,     0,   843,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
     973,     0,     0,     0,  1231,     0,  1231,    51,     0,     0,
      52,   974,  1231,     0,     0,  2765,  2766,     0,     0,   975,
       0,     0,     0,     0,  2778,    53,  1673,     0,     0,     0,
       0,   976,     0,     0,  2792,     0,   977,     0,     0,     0,
    2639,     0,   978,  3417,     0,  1127,     0,     0,  3568,     0,
       0,  1048,     0,     0,     0,     0,     0,     0,     0,   979,
       0,     0,  2828,  2829,  2830,  2831,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3480,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,  3594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2092,    54,     0,   980,     0,     0,     0,     0,
       0,     0,     0,  1673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3641,  3644,     0,
       0,     0,     0,     0,     0,     0,   981,     0,     0,     0,
    1231,     0,  1231,  3417,  1231,  3417,     0,   982,     0,    55,
       0,     0,     0,     0,     0,     0,   983,     0,     0,  2914,
       0,     0,  2917,     0,    56,     0,   881,     0,     0,     0,
       0,  1673,  2922,     0,     0,     0,     0,     0,     0,    57,
       0,  2930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2232,   984,     0,     0,     0,     0,   985,     0,
     986,     0,     0,     0,     0,     0,   987,    58,     0,   988,
       0,     0,     0,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,    67,    68,     0,    69,
      70,    71,    72,    73,  1127,     0,     0,     0,   989,     0,
       0,   990,     0,     0,  1225,   991,     0,     0,     0,     0,
    1225,     0,   992,     0,   993,     0,     0,     0,     0,   994,
       0,  1231,     0,     0,     0,     0,     0,  1673,     0,     0,
       0,   995,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   996,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,  1673,  1673,     0,     0,
    1673,     0,     0,     0,     0,     0,     0,     0,  1673,  1673,
    1673,  1673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1673,     0,     0,  1673,     0,  1673,     0,     0,     0,
    3103,     0,     0,     0,     0,     0,     0,  1673,  1673,     0,
       0,  1673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1269,     0,  1673,     0,  1673,     0,  1673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,     0,  1127,     0,     0,     0,     0,     0,     0,
    3848,     0,  1673,  1673,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,  1673,     4,     0,     0,     0,
       0,  1673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3848,     0,     0,  3907,     0,     5,  3910,     0,  3229,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,  3417,     0,     0,     0,
       0,  2232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,  1231,
    1231,  1231,     0,     0,     0,     0,     0,     0,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3316,  3317,     0,
       0,     0,     0,     0,     0,     0,  3328,     0,  3330,     0,
       0,     0,  3334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,  3447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    51,     0,
       0,    52,  1231,     0,     0,     0,     0,     0,     0,  3417,
    3417,     0,     0,     0,     0,     0,    53,     0,     0,  3507,
       0,     0,     0,     0,     0,  2322,     0,  3516,  2323,  3518,
       0,     0,  2324,  2325,  2326,  3520,     0,     0,     0,     0,
       0,     0,     0,  1127,  1127,     0,     0,     0,     0,  2327,
       0,     0,     0,     0,     0,     0,     0,  2329,     0,  1127,
       0,     0,     0,  2330,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2232,  1127,     0,     0,     0,     0,
       0,     0,     0,  2232,  1127,  1127,     0,  2331,     0,     0,
       0,     0,     0,     0,    54,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,  3592,
       0,     0,     0,     0,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3641,     0,     0,     0,     0,
      55,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,  1231,    56,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,  3651,     0,  3653,     0,     0,
      57,     0,     0,     0,     0,  2322,  1225,     0,  2323,     0,
       0,     0,  2324,  2325,  2326,     0,  1127,     0,     0,     0,
       0,     0,  2332,     0,     0,     0,     0,  2333,    58,  2327,
       0,     0,  1127,     0,     0,     0,    59,  2329,    60,    61,
      62,    63,    64,  2330,  1231,    65,    66,  1485,  2334,  2335,
       0,  1673,    71,  1486,     0,     0,     0,     0,     0,     0,
    1673,     0,     0,  2336,     0,     0,  1673,  2331,  1673,     0,
       0,  1673,     0,     0,     0,     0,  1673,  1673,  1673,  1673,
       0,     0,  1673,  1673,  1673,  1673,  1673,  1673,  1673,  1673,
    1673,  1673,     0,     0,  2337,  1673,  1673,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,     0,  2338,   851,  1673,
    2339,     0,     0,  1673,  3719,     0,     0,     0,     0,     0,
       0,  1673,     0,     0,  1673,     0,  1673,     0,     0,     0,
       0,  4342,     0,     0,     0,  1673,     0,     0,  1673,  1673,
       0,     0,     0,  1673,  1673,     0,     0,     0,  4374,  5493,
    1673,     0,     0,   851,     0,     0,     0,  1127,  1127,  1127,
    1225,     0,  3848,  4394,     0,     0,     0,  4394,     0,  4408,
       0,     0,  2332,     0,     0,  1673,     0,  2333,     0,     0,
       0,  1673,  1673,  1673,     0,     0,     0,     0,  2340,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2334,  2335,
       0,  1086,     0,     0,  4343,     0,     0,     0,     0,  1086,
       0,  1086,     0,  2336,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   851,     0,     0,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3229,
       0,  1673,     0,     0,  2337,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2338,     0,     0,
    2339,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4474,  2232,  2232,     0,  2756,     0,     0,  5494,
       0,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,
    2347,  2348,  2349,  2350,  1231,  1231,  1231,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4518,     0,     0,     0,     5,  2340,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3963,     0,  3964,  3965,  3966,     0,  4590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,
    2347,  2348,  2349,  2350,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,  1127,     0,  1231,
       0,  1673,     0,     0,     0,     0,     0,  1127,     0,     0,
       0,     0,     0,  4638,     0,     0,     0,     0,     0,     0,
       0,     0,  2639,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1127,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3480,     0,     0,     0,     0,     0,     0,  4671,
       0,    47,     0,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,  2756,     0,     0,     0,  1673,  1673,    48,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,     0,     0,     0,     0,  3641,
    3641,  3641,  3641,  3641,     0,     0,     0,     0,     0,  3417,
       0,  3417,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4100,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,  1673,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1673,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1673,  1673,     0,     0,     0,     0,     0,  1673,
    1673,     0,     0,     0,  1673,     0,     0,     0,     0,  1673,
       0,     0,  1673,  1673,     0,     0,     0,  1673,  4776,     0,
       0,     0,     0,  1673,  1127,  1127,  1127,  1127,     0,     0,
       0,  4394,  4408,     0,  4394,    54,     0,  4787,     0,     0,
       0,  3848,     0,     0,     0,  3848,     0,     0,     0,     0,
       0,  4802,     0,     0,     0,     0,     0,  1673,     0,     0,
       0,     0,  1673,     0,     0,  4258,     0,  4259,  1673,     0,
       0,  4261,     0,     0,     0,     0,     0,     0,  1269,     0,
       0,    55,     0,     0,     0,     0,  1673,     0,     0,  3907,
       0,     0,     0,     0,  3229,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2322,    57,  1048,  2323,     0,  1673,     0,  2324,  2325,  2326,
       0,     0,     0,     0,     0,     0,     0,  4292,     0,     0,
       0,     0,     0,     0,  2327,  3417,  3417,     0,     0,    58,
       0,     0,  2329,     0,     0,     0,     0,    59,  2330,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1485,  2184,
    4871,     0,     0,    71,     0,     0,     0,     0,     0,   851,
       0,     0,  2331,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,  2322,     0,     0,  2323,
    1231,     0,     0,  2324,  2325,  2326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2327,     0,     0,  3728,     0,  3769,     0,     0,  2329,     0,
    3770,     0,     0,     0,  2330,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,     0,     0,  2332,     0,  1227,
       0,  1225,  2333,     0,     0,  1444,  2639,     0,  2331,  1227,
       0,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
       0,     0,     0,  2334,  2335,     0,  1444,     0,     0,  1231,
    2639,     0,     0,     0,     0,     0,     0,     0,  2336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,  5003,     0,     0,     0,     0,     0,     0,  2337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2338,     0,     0,  2339,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4491,  4492,  4493,
    4494,     0,     0,     0,     0,     0,     0,  1673,     0,     0,
       0,     0,     0,  2332,     0,     0,  1673,     0,  2333,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1227,  1673,  1673,     0,     0,  1673,  1086,  2334,
    2335,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,  1225,  4394,     0,  2336,     0,  3848,     0,     0,     0,
       0,  3848,     0,  2340,  3848,  5054,     0,  3480,  1227,  5058,
       0,     0,  1673,  1673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2337,     0,     0,     0,     0,
       0,     0,     0,     0,  4474,     0,     0,     0,  2338,     0,
       0,  2339,     0,     0,     0,     0,     0,     0,  4474,  1269,
    1231,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1225,  1269,     0,     0,     0,  2341,     0,     0,  2342,
    2343,  2344,  4625,  2345,  2346,  2347,  2348,  2349,  2350,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2232,  2232,
       0,     0,  1225,     0,     0,  1127,     0,     0,     0,     0,
       0,     0,  1086,  1086,     0,  4638,     0,     0,     0,     0,
       0,  1127,     0,  3417,     0,     0,     0,     0,  2639,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
    4671,     0,     0,     0,     0,  1444,     0,     0,     0,  1227,
       0,  1231,  1127,  4474,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,  2341,     0,  1444,  2342,  2343,  2344,     0,  2345,
    2346,  2347,  2348,  2349,  2350,  1673,     0,     0,  1673,     0,
    1673,     0,     0,     0,     0,  2322,     0,     0,  2323,     0,
       0,     0,  2324,  2325,  2326,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,  1673,     0,     0,     0,  3848,  2327,
       0,     0,  5058,     0,     0,     0,     0,  2329,     0,  1673,
       0,     0,     0,  2330,     0,     0,     0,     0,  5252,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1673,     0,     0,     0,  1444,     0,  2331,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,  1127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2322,     0,     0,
    2323,     0,     0,     0,  2324,  2325,  2326,     0,     0,     0,
    1673,     0,     0,     0,     0,     0,     0,  1231,  1231,  1231,
    1231,  2327,     0,     0,  3774,     0,     0,     0,     0,  2329,
       0,     0,  2232,     0,     0,  2330,  2322,     0,     0,  2323,
       0,     0,     0,  2324,  2325,  2326,     0,     0,  1227,     0,
       0,  1225,     0,     0,     0,     0,     0,     0,     0,  2331,
    2327,     0,     0,     0,     0,     0,     0,     0,  2329,     0,
       0,  1673,     0,     0,  2330,     0,     0,     0,     0,     0,
       0,     0,  2332,     0,     0,     0,     0,  2333,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2331,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,  2334,  2335,
       0,     0,     0,     0,  1673,     0,     0,  1225,     0,     0,
       0,     0,     0,  2336,     0,     0,  1673,     0,     0,     0,
       0,  1673,     0,  1673,     0,  1673,     0,  1227,     0,     0,
       0,     0,  4474,     0,     0,     0,     0,     0,  1231,     0,
    1269,     0,     0,     0,  2337,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,  2332,  1227,     0,  2338,     0,  2333,
    2339,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3742,  3779,     0,     0,     0,
    2334,  2335,     0,  1227,  1227,  1227,     0,  1227,     0,     0,
       0,     0,     0,  2332,     0,  2336,  1231,     0,  2333,     0,
       0,  1225,     0,     0,     0,     0,     0,  1227,     0,  4904,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2334,
    2335,     0,     0,  4907,  5003,     0,  2337,     0,     0,     0,
       0,     0,  1673,  1673,  2336,     0,     0,  3480,  2340,  2338,
       0,     0,  2339,  1673,     0,     0,  5252,     0,     0,     0,
    3229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,   851,  1225,     0,  2337,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,  2338,     0,
       0,  2339,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,  1227,  1227,     0,     0,  4474,     0,
       0,     0,  4970,     0,  1225,  1225,     0,  1673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2340,     0,     0,     0,     0,     0,  1673,     0,     0,     0,
       0,  2341,     0,  1231,  2342,  2343,  2344,     0,  2345,  2346,
    2347,  2348,  2349,  2350,     0,     0,     0,     0,  2322,     0,
       0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2327,  1444,     0,  3785,     0,     0,     0,   851,
    2329,     0,     0,     0,     0,     0,  2330,     0,     0,  1086,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,  1673,     0,     0,     0,
    2331,     0,     0,  2341,     0,     0,  2342,  2343,  2344,  1225,
    2345,  2346,  2347,  2348,  2349,  2350,     0,     0,  1086,     0,
       0,  1225,  1225,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,
    2346,  2347,  2348,  2349,  2350,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5096,  5098,  5098,     0,     0,     0,     0,
       0,     0,     0,  2322,     0,     0,  2323,     0,     0,     0,
    2324,  2325,  2326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2332,     0,  2327,     0,     0,
    2333,     0,     0,     0,     0,  2329,     0,     0,     0,     0,
    1086,  2330,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2334,  2335,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,  2331,  2336,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,  1444,     0,     0,     0,  2337,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2338,     0,     0,  2339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5200,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
    2332,  1444,     0,     0,     0,  2333,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,  2340,     0,     0,     0,     0,  2334,  2335,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2336,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2337,     0,     0,     0,  5265,     0,     0,     0,
       0,     0,     0,     0,     0,  2338,     0,     0,  2339,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5289,     0,  5291,  2341,     0,     0,  2342,  2343,  2344,
    1227,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,  1227,     0,
       0,     0,     0,  1227,  1227,     0,  2340,     0,     0,     0,
    1227,  1227,  1227,     0,     0,     0,  1227,     0,  1227,  1227,
    1227,  1227,  1227,  1227,     0,  1227,     0,  1227,  1227,     0,
       0,  1227,     0,     0,     0,  4295,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,  1227,  1227,  1227,  1227,
     851,     0,     0,     0,  1227,     0,     0,     0,  1227,     0,
       0,  1227,     0,     0,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,     0,  1227,     0,     0,     0,     0,     0,
       0,  5098,  1227,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2341,
       0,     0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,
    2349,  2350,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5412,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    86,    87,    88,     0,
      90,    91,    92,     0,     0,  1443,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,     0,     0,     0,     0,     0,   120,
     121,     0,     0,     0,     0,   122,  5460,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,   125,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,  1444,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,     0,
       0,     0,  2322,     0,     0,  2323,  5506,     0,   132,  2324,
    2325,  2326,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2327,  1227,   139,  4349,
       0,     0,     0,     0,  2329,   143,     0,   144,  1227,     0,
    2330,     0,  1444,   147,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,   150,     0,     0,     0,     0,
       0,     0,   151,     0,  2331,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
     851,   165,     0,     0,   851,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,  2332,
     181,     0,     0,     0,  2333,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2334,  2335,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,   192,
    2336,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,  2337,  1227,  1444,  1443,     0,     0,   201,     0,   202,
       0,   851,     0,  1443,  2338,     0,     0,  2339,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,  2322,     0,   213,  2323,     0,     0,
       0,  2324,  2325,  2326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,  2327,     0,
     221,     0,     0,  1444,     0,     0,  2329,     0,     0,     0,
       0,     0,  2330,     0,   223,     0,     0,     0,     0,  1227,
     225,     0,     0,     0,  1443,  2340,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,  2331,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3233,     0,     0,     0,     0,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,  2332,     0,     0,     0,     0,  2333,     0,     0,     0,
    1227,     0,     0,  1444,     0,  1443,  1227,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,  2334,  2335,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,  1227,     0,
       0,     0,  2336,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1227,  1227,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,  2337,  1227,  1227,  1227,  1227,     0,     0,
       0,     0,   851,     0,     0,     0,  2338,  1227,   851,  2339,
    1227,     0,  1227,   909,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,  1227,   910,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,  1227,     0,  1227,   911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   912,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,   913,
       0,     0,     0,  -790,     0,     0,  1227,     0,  1227,  1227,
    1227,     0,     0,     0,     0,     0,     0,  2340,     0,     0,
       0,   914,     0,     0,     0,     0,     0,   915,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,   916,     0,     0,     0,  1227,     0,     0,     0,
       0,  1227,     0,   917,     0,     0,     0,  1227,     0,     0,
       0,   918,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,   919,     0,     0,     0,     0,     0,     0,
     920,     0,     0,     0,   921,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -1000,     0,     0,     0,     0,  1444,     0,     0,  1444,
    2341,  1444,     0,  2342,  2343,  2344,  1444,  2345,  2346,  2347,
    2348,  2349,  2350,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   922,     0,
    1227,     0,  2533,     0,     0,     0,     0,  -532,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   923,     0,
       0,   924,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   925,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,  -428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   926,     0,  1443,   851,   851,
     851,     0,   927,     0,     0,     0,     0,     0,  -428,     0,
       0,   928,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,  1444,     0,     0,     0,     0,     0,     0,
    -428,     0,     0,   929,   930,     0,   931,   932,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,   934,     0,     0,     0,     0,     0,   935,     0,     0,
     936,     0,     0,   937,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,  -428,     0,     0,     0,
       0,     0,  1444,  1443,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,  1443,     0,     0,     0,  1084,  1444,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,   851,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,  1443,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
    1444,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,  1227,     0,  1227,     0,     0,  1227,     0,     0,
       0,  1444,  1227,  1227,  1227,  1227,     0,     0,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,     0,     0,
       0,  1227,  1227,     0,     0,     0,  1444,     0,     0,     0,
       0,  1227,     0,     0,  1443,  1227,     0,   851,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
    1227,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
    1444,  1227,     0,     0,  1227,  1227,     0,     0,     0,  1227,
    1227,     0,     0,     0,  3165,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,  1227,  1227,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3255,     0,     0,     0,  2533,  3261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,   851,  1444,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    85,     0,     0,     0,     0,     0,
      89,  1443,     0,     0,    93,     0,    94,     0,    96,    97,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,   106,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   118,   119,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   127,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,   128,     0,   129,   130,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,  1161,  1223,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,   141,   142,     0,     0,     0,     0,
     145,     0,   146,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,   148,     0,   149,     0,     0,     0,     0,
       0,     0,  1444,  1227,  1227,     0,     0,     0,     0,     0,
     152,     0,   153,     0,     0,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   157,     0,   158,
       0,     0,     0,   159,     0,     0,     0,     0,     0,   160,
       0,     0,  1443,     0,     0,     0,  1223,   162,     0,   164,
       0,     0,  1442,     0,     0,   166,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     170,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   186,     0,  1227,     0,
       0,   187,     0,     0,     0,     0,     0,     0,  1227,  1227,
       0,  1444,   188,     0,     0,  1227,  1227,     0,     0,     0,
    1227,  1444,     0,   193,     0,  1227,     0,     0,  1227,  1227,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,  1223,
       0,     0,     0,     0,     0,  1084,     0,  1227,     0,  1084,
       0,  1227,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,   205,     0,     0,     0,  1227,   206,
     207,     0,   208,     0,  1227,  1223,     0,   209,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
     214,     0,  1227,     0,     0,   215,   216,     0,     0,     0,
       0,  1443,     0,   217,     0,     0,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,  1227,  1443,     0,     0,     0,     0,     0,     0,   224,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
     231,     0,     0,     0,     0,     0,     0,     0,   233,   851,
       0,     0,     0,     0,   234,     0,     0,     0,  1444,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   238,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,   248,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   249,     0,  1084,
    1084,  -144,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3165,  3165,  3165,
       0,     0,  1442,     0,     0,     0,  1227,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,  2533,     0,     0,  3261,     0,
    3261,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,  1444,     0,     0,
       0,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
    1227,     0,     0,  1227,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,  1227,     0,     0,
       0,     0,  1227,  1443,     0,     0,     0,  1227,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,  1227,  1227,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1657,  1657,     0,  1223,     0,     0,  1444,     0,     0,
    1443,     0,  1443,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,  1734,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   851,     0,     0,     0,     0,     0,
    1223,  1223,  1223,     0,  1223,     0,     0,     0,  1227,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,  1444,  3261,     0,     0,     0,     0,  3261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1444,     0,  1227,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,  1223,  1223,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,  1227,  1443,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,  3261,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,  1444,     0,     0,
    1442,  1444,  1444,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,  1084,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,  1227,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,  1444,     0,
    1443,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,  1227,     0,  1443,     0,     0,     0,     0,
       0,     0,  1227,     0,     0,     0,     0,  1227,     0,  1227,
       0,  1227,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,  1227,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,  3165,  1442,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2279,  1227,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,  2293,     0,     0,     0,  1227,
    1223,     0,  2533,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,  2311,  2312,  2313,     0,  2316,     0,     0,
    1442,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
    1227,  1227,     0,  1227,     0,  1223,     0,  2358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3261,     0,     0,     0,     0,
       0,  2413,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,     0,     0,     0,  2448,  2451,     0,  1223,     0,     0,
       0,  1227,  1227,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,  1227,  1227,     0,
       0,     0,     0,     0,  1223,  1223,     0,     0,     0,     0,
    1223,  1223,     0,     0,     0,     0,     0,  1223,  1223,  1223,
       0,     0,     0,  1223,     0,  1223,  1223,  1223,  1223,  1223,
    1223,     0,  1223,     0,  1223,  1223,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,  1223,  1223,  1223,  1223,     0,     0,     0,
       0,  1223,     0,  1443,     0,  1223,     0,     0,  1223,     0,
       0,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,  1442,     0,     0,     0,  1442,  1442,     0,     0,
    1443,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,  3165,     0,     0,  1223,     0,  3165,     0,  1442,
       0,     0,  1223,  3165,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    48,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,     0,    52,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,  3034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3054,     0,  3056,     0,
       0,  3068,  3071,  3076,     0,     0,     0,     0,  3082,  1223,
    1442,  3087,     0,     0,     0,     0,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,  3094,  3095,  3096,  3097,
       0,     0,     0,     0,  3104,     0,     0,     0,  3116,     0,
       0,  3118,     0,     0,  3125,  3126,  3127,  3128,  3129,  3130,
    3131,  3132,  3133,     0,  3134,     0,     0,     0,     0,     0,
       0,     0,  1657,    55,     0,  3162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,  4992,
    1442,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    57,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    58,     0,     0,     0,     0,     0,     0,  1734,    59,
       0,    60,    61,    62,    63,    64,  1443,     0,    65,    66,
    1485,  2931,     0,     4,     0,    71,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,  1442,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,  1223,     0,     0,
    1442,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3261,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,  3303,  1223,  1223,
    1223,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,  1223,  1223,  1223,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1223,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,  1223,     0,
    1223,     0,  1223,     0,     0,     0,     0,    47,     0,     0,
       0,     0,   953,     0,     0,     0,     0,  1441,     0,     0,
       0,   953,  1223,     0,     0,    48,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,  1223,  1223,  1223,     0,     0,
    3261,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,   953,     0,     0,     0,     0,     0,     0,    50,
       0,  1443,     0,  1223,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1141,     0,     0,
       0,     0,     0,     0,     0,    51,     0,  1141,    52,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,  1442,     0,  1442,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,  3532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,  1223,     0,     0,
    1443,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,  4992,  1443,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,  1191,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3669,  1442,     0,
    1442,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,     0,     0,    59,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1485,     0,     0,     0,     0,    71,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,  1442,
       0,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,  3724,     0,     0,     0,     0,  3730,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,  2316,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3076,     0,  3076,  3076,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,  3788,     0,     0,
    3791,     0,  3793,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,  3811,     0,  3814,     0,  3816,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3162,  3162,
    3162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2436,     0,     0,  1223,
       0,  3896,   953,   953,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1442,     0,     0,
    1191,     0,     0,  1223,     0,     0,     0,     0,     0,  1223,
       0,  1223,     0,     0,  1223,     0,     0,     0,  1442,  1223,
    1223,  1223,  1223,     0,     0,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,     0,     0,     0,  1223,  1223,
    3943,     0,     0,  1442,     0,     0,     0,     0,  1223,     0,
       0,     0,  1223,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1223,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,  1442,  1223,     0,
       0,  1223,  1223,     0,     0,     0,  1223,  1223,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2394,  1223,     0,
       0,  1238,     0,     0,  1223,  1223,  1223,     0,     0,  1271,
       0,     0,  1275,  1276,     0,  1279,     0,     0,  1285,     0,
    1287,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1341,
       0,     0,     0,     0,     0,     0,     0,  1349,     0,     0,
       0,  1223,     0,     0,  1361,     0,     0,  1366,  1367,     0,
       0,     0,  1369,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1191,
    1442,   953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,  1401,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1463,     0,  1467,     0,     0,  1469,     0,  1471,
       0,     0,  1475,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1191,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,  1824,
       0,  1826,     0,     0,     0,  1828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4296,     0,  1442,
    1223,  1223,     0,     0,     0,  1866,  4300,     0,     0,     0,
       0,     0,  4301,     0,  4302,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,  4326,  4327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,  3082,
       0,     0,     0,  1995,  1441,     0,     0,  4352,     0,     0,
    4355,     0,  4357,     0,     0,     0,     0,     0,     0,  2008,
       0,  4361,     0,     0,  1223,     0,     0,     0,     0,  4368,
    4369,  2019,     0,  2020,     0,  1223,     0,     0,     0,     0,
       0,  2023,     0,     0,  1441,     0,     0,  1441,     0,     0,
       0,     0,     0,  2038,     0,     0,  2042,     0,     0,     0,
       0,  4413,     0,     0,     0,  1223,     0,  4420,  4421,  3162,
       0,     0,     0,     0,     0,  1223,  1223,     0,  1442,     0,
       0,     0,  1223,  1223,     0,     0,     0,  1223,  1442,     0,
    2087,     0,  1223,     0,     0,  1223,  1223,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,  4439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1734,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,  2250,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
    1441,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,  1442,
       0,     0,     0,  4685,  4686,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1141,  2429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,  1442,  1441,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,  1223,     0,     0,
    1223,     0,     0,     0,     0,  2500,     0,  4735,  2500,     0,
       0,     0,  1441,     0,  1223,     0,  2507,     0,  4740,  1223,
       0,     0,     0,     0,  1223,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,  2516,  1223,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,  4755,  4757,
       0,     0,     0,     0,     0,  4761,  4762,     0,     0,     0,
    4763,  1223,     0,     0,     0,  4766,     0,     0,  4769,  4770,
       0,  2605,     0,  4774,     0,     0,     0,     0,     0,  4778,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,  3162,     0,     0,     0,     0,  3162,     0,
       0,     0,     0,     0,  3162,     0,     0,     0,  2685,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4840,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,  1442,
       0,  1223,     0,  1223,  2802,     0,     0,     0,     0,     0,
       0,     0,  4896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4941,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,  1442,  1442,
       0,     0,     0,  1223,  2899,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,  2913,     0,
       0,  2916,     0,  2918,     0,  2919,     0,     0,     0,     0,
       0,  2921,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2950,     0,  1442,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,  2429,     0,     0,     0,  2429,     0,
    2429,     0,     0,  2429,     0,     0,     0,  1223,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,  1223,     0,  1223,     0,  1223,  5034,
    5035,     0,     0,  5036,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5070,  5071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
    1441,     0,  1441,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,  1223,     0,     0,     0,     0,     0,  1223,  1223,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1191,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,  3082,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3270,  3271,     0,
       0,     0,  3274,  3275,     0,     0,     0,  3278,  1223,  1223,
    5236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3289,  1223,     0,     0,  2316,     0,     0,  3298,     0,
       0,     0,  3301,  3302,  1223,  1223,  3305,  3306,     0,     0,
       0,     0,  1441,  3311,  1441,     0,     0,  1734,     0,     0,
       0,     0,     0,     0,     0,  3327,     0,  3329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3352,     0,     0,     0,     0,  3354,
       0,     0,     0,     0,     0,     0,  5286,     0,     0,     0,
       0,     0,  3359,     0,     0,     0,     0,     0,     0,     0,
    3364,     0,  3366,  1441,  3368,  3371,  3373,     0,     0,     0,
       0,  3381,  3384,     0,     0,     0,     0,     0,     0,  3395,
       0,     0,     0,     0,  3404,     0,     0,     0,  1441,  3408,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5324,     0,     0,
       0,     0,     0,  3441,  1441,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,  3448,     0,  3450,     0,     0,     0,
       0,  3453,     0,     0,     0,  3454,     0,  3458,  3459,  3460,
    3461,     0,  3463,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3487,  3488,  3489,     0,     0,
       0,     0,     0,     0,     0,  3497,  3498,     0,     0,     0,
       0,  5070,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,  5385,     0,     0,     0,
    1432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,  3540,
    1432,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5434,  5434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5070,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    1432,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5434,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1191,     0,  5502,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2429,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3704,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5434,  5542,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,  3888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3935,  3936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3957,
       0,     0,     0,     0,     0,     0,  1228,     0,  3961,     0,
       0,     0,     0,  1445,     0,  1441,     0,  1228,     0,     0,
       0,     0,     0,     0,  3973,  3975,     0,     0,     0,  3975,
       0,     0,     0,  1445,  3986,  3987,  3988,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,  4009,  4010,  4011,  4012,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4027,     0,  4031,  4032,  4033,     0,     0,     0,     0,     0,
       0,     0,  4046,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,  4093,     0,     0,     0,     0,     0,  1432,     0,  4097,
       0,     0,     0,     0,     0,     0,  1228,     0,  1432,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,  4109,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4150,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4187,  1432,     0,     0,  4191,
       0,     0,     0,     0,     0,  1228,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4229,     0,
       0,     0,     0,  1228,   953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,  1432,     0,     0,     0,     0,  4250,     0,     0,     0,
    1441,  1228,  1228,  1228,     0,  1228,     0,     0,     0,     0,
    4260,     0,     0,     0,  4262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,  2429,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,  1228,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4485,     0,  4486,     0,     0,     0,     0,     0,
       0,  4488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,     0,     0,  4506,  1432,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,  4517,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
    4520,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,  1441,     0,
    1445,     0,     0,     0,     0,     0,     0,  4549,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,  1432,  4557,  4558,
    4559,     0,     0,  4562,  4563,  4564,  4565,  4566,  4567,  1432,
       0,     0,     0,  4574,  4575,     0,  4577,  4578,  4579,  4580,
    4581,  4582,  4583,     0,     0,     0,     0,     0,     0,     0,
       0,  4591,     0,  4593,  4594,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,  4626,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,  1441,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,     0,     0,     0,
       0,  1445,     0,  1441,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,  3975,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,  1432,     0,
       0,     0,     0,     0,     0,  2429,  2429,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4722,  1441,     0,
       0,     0,  1441,  1441,     0,  1228,  1228,     0,     0,     0,
       0,  1228,  1228,     0,     0,     0,     0,     0,  1228,  1228,
    1228,     0,     0,     0,  1228,     0,  1228,  1228,  1228,  1228,
    1228,  1228,     0,  1228,     0,  1228,  1228,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,  1445,  1228,  1228,  1228,  1228,     0,     0,
       0,     0,  1228,     0,     0,     0,  1228,     0,     0,  1228,
       0,     0,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,     0,  1228,     0,     0,     0,     0,     0,     0,  1441,
    1228,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,  4859,     0,     0,     0,  4860,  4861,
    4862,  4863,     0,     0,  4865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4878,  4879,  4880,  4881,     0,
    4883,  4884,     0,  1445,     0,     0,     0,  1445,  1445,     0,
       0,     0,  4893,  4894,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4899,     0,     0,     0,     0,     0,     0,  2429,  2429,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
    1445,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,  4963,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,  4981,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5008,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,  1432,     0,  1432,     0,  1434,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,     0,     0,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
    1228,  1445,  2429,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,  1434,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,  1434,  5113,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,  1228,  1432,     0,
       0,     0,     0,     0,  5122,     0,     0,     0,     0,  5127,
    5128,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1434,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,     0,     0,     0,  1228,     0,  1432,     0,     0,
       0,     0,     0,  1434,     0,  5177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,  3975,
    1445,     0,     0,  1432,     0,  1434,     0,     0,  1434,  5218,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,  1445,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,  2429,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,  2429,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,  1228,     0,     0,  1228,     0,     0,     0,     0,  1432,
    5254,     0,  1228,  1228,  1228,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,  1432,  1228,     0,     0,  1228,     0,
    1228,     0,     0,     0,  5271,     0,     0,     0,     0,     0,
       0,  1228,  1228,  5278,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,  1228,     0,  1228,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,  1228,     0,  1228,  1228,  1228,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,  1228,     0,     0,     0,  1432,     0,     0,     0,  1435,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,  1228,
       0,     0,  3975,     0,     0,  1228,  1432,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2429,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,  1445,     0,  1445,
       0,  5384,     0,  1437,  1445,  1432,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,  5396,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5407,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,  1434,  1434,     0,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5455,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5470,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,  1445,
       0,  1445,     0,     0,     0,     0,  1434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,  1434,     0,     0,     0,  1432,
       0,     0,     0,  1437,     0,     0,     0,  1445,     0,     0,
       0,     0,  1437,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
    1228,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,  1445,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    1228,  1435,  1228,     0,     0,  1228,     0,     0,     0,  1445,
    1228,  1228,  1228,  1228,     0,     0,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,     0,     0,     0,  1228,
    1228,     0,     0,  1435,  1445,     0,     0,     0,     0,  1228,
       0,     0,     0,  1228,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,  1228,     0,
    1228,     0,     0,     0,     0,     0,  1432,     0,  1445,  1228,
       0,     0,  1228,  1228,  1434,     0,  1432,  1228,  1228,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,  1434,  1228,     0,     0,  1438,
       0,     0,     0,     0,  1437,     0,  1434,     0,     0,  1228,
       0,     0,     0,     0,  1435,  1228,  1228,  1228,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,  1432,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,  1435,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
       0,  1434,     0,  1434,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
    1434,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,  1432,     0,     0,     0,     0,     0,  1438,     0,
    1445,  1228,  1228,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,  1438,
       0,     0,     0,     0,     0,  1228,     0,  1437,     0,     0,
       0,     0,     0,     0,  1434,     0,  1228,  1440,     0,     0,
       0,     0,  1437,     0,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,  1437,  1432,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,  1228,     0,  1445,
       0,     0,     0,  1228,  1228,  1434,     0,     0,  1228,  1445,
    1434,     0,     0,  1228,     0,     0,  1228,  1228,     0,     0,
    1435,  1228,     0,     0,  1435,  1435,     0,  1228,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,  1437,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,  1228,     0,     0,     0,     0,  1228,     0,  1434,     0,
    1438,  1437,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,  1435,     0,     0,
    1228,     0,     0,     0,     0,     0,  1432,     0,     0,  1435,
       0,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,  1437,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1432,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,  1434,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,  1434,     0,     0,  1432,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,  1440,     0,     0,     0,
       0,     0,  1434,     0,     0,  1228,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
    1445,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,  1228,     0,     0,     0,  1445,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,  1228,  1228,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
    1228,     0,  1438,     0,     0,  1228,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  1228,  1228,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,  1437,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,     0,  1435,
       0,     0,     0,  1438,     0,  1445,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,  1228,     0,     0,  1438,     0,
       0,     0,  1437,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,  1434,  1228,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1445,     0,  1228,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,  1438,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,  1435,     0,  1435,     0,     0,     0,
       0,  1435,     0,     0,     0,  1445,     0,     0,     0,  1445,
    1445,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,  1434,     0,  1228,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,  1445,  1445,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,  1440,
    1228,     0,     0,     0,     0,  1228,     0,  1228,     0,  1228,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,  1435,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,  1437,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,  1228,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
    1434,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,  1440,     0,  1228,  1228,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,  1435,     0,     0,     0,  1228,     0,  1438,
       0,     0,     0,  1438,  1438,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
    1440,     0,  1228,     0,     0,     0,     0,     0,  1228,  1228,
       0,  1228,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,  1440,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,  1438,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,  1437,     0,     0,  1437,     0,  1437,
       0,     0,     0,     0,  1437,  1228,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,  1437,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2352,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
    1440,  1440,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,  1434,     0,  1437,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1437,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,  1437,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,  1434,  1434,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,  1438,     0,  1438,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2352,
       0,  1437,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,  2352,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,  1440,     0,  3064,     0,     0,     0,
       0,     0,     0,     0,  1435,  1440,     0,     0,     0,     0,
    2352,  2352,  2352,     0,     0,  2352,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,  2352,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1437,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2352,  1438,     0,
    2352,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,     0,     0,
    1440,     0,  1440,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
    1438,     0,     0,     0,     0,  1440,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,  1440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,  1435,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,  2352,     0,  2352,     0,  1440,  3064,  3064,
       0,  3765,     0,  3064,     0,     0,     0,  2352,     0,     0,
    2352,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,  2352,     0,     0,     0,     0,  2352,     0,     0,     0,
       0,  1440,     0,  2352,  2352,  2352,  2352,     0,     0,     0,
    3064,  3064,     0,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,  2352,     0,     0,
       0,     0,     0,     0,  2352,  2352,  2352,  2352,  2352,  2352,
    2352,  2352,  2352,  2352,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,  1437,     0,     0,     0,  1437,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,  2352,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,  2352,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3765,  3765,     0,     0,  3064,
    3064,  3064,  3064,     0,     0,  3064,  3064,  3064,  3064,  3064,
    3064,  3064,  3064,  3064,  3064,  3765,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2352,     0,     0,
    2352,     0,  2352,     0,     0,  3765,  3765,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2352,  3064,  3064,  2352,     0,  2352,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,  1438,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3064,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,  2352,
    2352,  2352,     0,  1440,     0,     0,     0,  3765,  3765,  3765,
    3765,     0,     0,     0,     0,  3765,  3765,  3765,  3765,  3765,
    3765,  3765,  3765,  3765,  3765,  2352,  2352,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,     0,     0,  2352,     0,  2352,     0,     0,     0,
    2352,     0,     0,  3765,  3765,     0,     0,  2352,  2352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,  1440,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,  2352,
    2352,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3765,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    85,  2352,  2352,    86,    87,    88,    89,
      90,    91,    92,    93,     0,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,   118,   119,     0,     0,     0,   120,
     121,     0,     0,     0,  2352,   122,     0,     0,     0,  2352,
    3064,     0,     0,     0,   123,     0,   124,     0,   125,   126,
      35,     0,     0,     0,  2352,     0,  2352,     0,    41,    42,
    2352,  2352,  2352,     0,     0,  2352,     0,     0,  2352,  2352,
       0,     0,     0,  2352,   127,     0,     0,  2352,     0,     0,
       0,     0,     0,     0,   128,     0,   129,   130,     0,     0,
       0,     0,     0,     0,     0,     0,   131,     0,   132,     0,
       0,   133,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,   140,     0,   141,   142,   143,     0,   144,     0,   145,
       0,   146,     0,   147,     0,     0,     0,     0,     0,  2352,
       0,     0,   148,     0,   149,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,   152,
       0,   153,   154,   155,   156,     0,     0,     0,     0,     0,
   -1494,     0,     0,     0,     0,     0,   157,     0,   158,     0,
       0,     0,   159,     0,     0,     0,     0,     0,   160,   161,
       0,     0,     0,     0,     0,  2352,   162,   163,   164,     0,
       0,   165,     0,     0,   166,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,   170,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,   174,     0,     0,     0,     0,
    2352,     0,     0,     0,     0,   175,   176,     0,     0, -1494,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,   185,   186,     0,     0,     0,     0,
     187,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,   193,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,  3765,  3064,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,  2352,  2352,  2352,     0,   201,     0,   202,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,   205,     0,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,     0,     0,  2352,
    2352,   210,   211,     0,   212,     0,   213,     0,     0,   214,
       0,     0,     0,     0,   215,   216,     0,     0,     0,     0,
       0,     0,   217,     0,   218,     0,   219,   220,     0,     0,
     221,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,   224,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,   230,     0,   231,
       0,     0,     0,     0,   232,     0,     0,   233,     0,     0,
   -1494,     0,     0,   234,     0,     0,     0,     0,   235,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,   238,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,     0,     0,
       0,     0,   248,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   249,     0,     0,     0,
    -144,     0,     0,     0,     0,     0,     0,     0,     0,  3765,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,  2352,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,   428,   429,   430,   431,   432,   433,   434,   435,
     760,   436,   437,   438,   761,   762,   763,   764,   765,   766,
     767,   439,   440,   768,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,   769,   446,   447,   448,   449,
     450,   770,   771,   451,   452,   772,   139,   453,   773,   454,
     455,   456,   457,   143,   774,   144,   775,   458,   459,   460,
     461,   147,   462,   463,   776,   777,   464,   465,   466,   467,
     468,   469,   778,   150,   470,   471,   779,   780,   781,   782,
     151,   783,   784,   785,   473,   474,   475,   476,   722,   477,
     154,   155,   478,   786,   479,   787,   480,   481,   482,   483,
     484,   788,   485,   486,   487,   789,   790,   488,   489,   490,
     491,   492,   791,   493,   494,   495,   792,   496,   497,   498,
     793,   499,   500,   501,   502,   163,   503,   504,   505,   165,
     794,   506,   795,   507,   508,   167,   509,   796,   510,   797,
     511,   168,   798,   169,   512,   513,   514,   799,   515,   171,
     800,   172,   516,   801,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,   802,   525,   526,   527,   528,   529,
     530,   803,   531,   175,   176,   804,   532,   533,   534,   805,
     177,   806,   178,   807,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,   808,   809,   542,   182,   183,   543,
     184,   810,   544,   545,   546,   811,   812,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,   190,   191,   560,   561,   192,   813,   562,
     563,   194,   564,   814,   195,   565,   196,   566,   567,   568,
     815,   569,   816,   817,   570,   571,   572,   818,   819,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,   820,   582,   583,   201,   584,   202,   585,   586,
     587,   821,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,   822,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   823,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,   824,   623,   624,   625,   626,   627,   825,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
     826,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,   827,   647,   648,   828,   649,   225,   650,
     651,   652,   653,   654,   829,   226,   227,   830,   831,   656,
     657,   228,   658,   229,   832,   659,   660,   661,   662,   663,
     664,   665,   833,   834,   666,   667,   668,   669,   670,   835,
     836,   671,   672,   673,   674,   675,   837,   236,   838,   676,
     237,   677,   678,   679,   680,   839,   840,   681,   841,   842,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
    1000,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,  3235,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1577,  1578,  1579,
      45,  1580,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  3156,   436,   437,
     438,     0,     0,     0,     0,  1581,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,  1582,   136,
    1583,  1584,     0,   446,   447,   448,   449,   450,  1585,  1586,
     451,   452,  1587,  1588,   453,     0,   454,   455,   456,   457,
    1589,     0,  1590,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,
    1597,   473,   474,   475,   476,   722,   477,  1598,  1599,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,  3157,     0,   488,   489,  1413,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,  1600,   503,   504,   505,  1601,  1602,   506,     0,
     507,   508,  1603,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1604,     0,  1605,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1416,  1606,     0,  1607,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1608,   183,   543,   184,     0,   544,
     545,   546,  1609,  1610,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1611,
     190,  1612,   560,   561,   192,  1613,   562,   563,   194,   564,
    1614,  1615,   565,  1616,   566,   567,   568,     0,   569,     0,
       0,  1617,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1618,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1619,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1620,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  1621,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1622,   629,   630,   218,
     631,   632,   220,   633,   634,  1623,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1624,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1625,  1626,     0,     0,   656,   657,  1627,   658,
    1628,  1629,   659,   660,   661,   662,   663,   664,   665,     0,
    1630,   666,   667,   668,   669,   670,  1631,     0,   671,   672,
     673,   674,   675,   728,  1632,  3158,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,   729,   688,   689,  1641,     0,     0,     0,     0,
       0,     0,  1642,  1643,  3159,     0,     0,     0,     0,     0,
       0,  1645,  3160,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,   216,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,   224,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,  2314,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,   238,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
     248,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,  5248,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,  1581,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,  1582,   136,  1583,  1584,     0,   446,
     447,   448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,
     453,     0,   454,   455,   456,   457,  1589,     0,  1590,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
    1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,
     476,   722,   477,  1598,  1599,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,  1600,   503,
     504,   505,  1601,  1602,   506,     0,   507,   508,  1603,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,  1604,     0,  1605,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,  1416,  1606,     0,  1607,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
    1608,   183,   543,   184,     0,   544,   545,   546,  1609,  1610,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1611,   190,  1612,   560,   561,
     192,  1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,
     566,   567,   568,     0,   569,     0,     0,  1617,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1618,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1619,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1620,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,  1621,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1622,   629,   630,   218,   631,   632,   220,   633,
     634,  1623,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1624,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1625,  1626,
       0,     0,   656,   657,  1627,   658,  1628,  1629,   659,   660,
     661,   662,   663,   664,   665,     0,  1630,   666,   667,   668,
     669,   670,  1631,     0,   671,   672,   673,   674,   675,   728,
    1632,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,
     689,  1641,     0,     0,     0,     0,     0,     0,  1642,  1643,
       0,     0,     0,     0,     0,     0,     0,  1645,  3066,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,  4304,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1577,
    1578,  1579,    45,  1580,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1581,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1582,   136,  1583,  1584,     0,   446,   447,   448,   449,   450,
    1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,   455,
     456,   457,  1589,     0,  1590,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,
    1595,  1596,  1597,   473,   474,   475,   476,   722,   477,  1598,
    1599,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1413,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1600,   503,   504,   505,  1601,  1602,
     506,     0,   507,   508,  1603,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1604,     0,
    1605,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1416,  1606,
       0,  1607,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1608,   183,   543,   184,
       0,   544,   545,   546,  1609,  1610,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1611,   190,  1612,   560,   561,   192,  1613,   562,   563,
     194,   564,  1614,  1615,   565,  1616,   566,   567,   568,     0,
     569,     0,     0,  1617,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1618,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1619,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1620,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1621,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1622,   629,
     630,   218,   631,   632,   220,   633,   634,  1623,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1624,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1625,  1626,     0,     0,   656,   657,
    1627,   658,  1628,  1629,   659,   660,   661,   662,   663,   664,
     665,     0,  1630,   666,   667,   668,   669,   670,  1631,     0,
     671,   672,   673,   674,   675,   728,  1632,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,
       0,     0,     0,     0,  1642,  1643,     0,     0,     0,     0,
       0,     0,     0,  1645,  4375,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,     0,  1406,   136,  1407,  1408,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,  1409,  1410,   453,
       0,   454,   455,   456,   457,     0,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
     722,   477,  1411,  1412,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,     0,   503,   504,
     505,     0,     0,   506,     0,   507,   508,  1414,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,     0,     0,     0,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,  2519,   525,   526,   527,
     528,   529,   530,     0,   531,   175,  2520,     0,   532,   533,
     534,  1416,  1417,     0,  1418,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,     0,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1419,   190,  1420,   560,   561,     0,
       0,   562,   563,   194,   564,     0,     0,   565,  1421,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,  2522,   198,   574,   199,     0,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,   584,     0,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1422,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,     0,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,  2523,   631,   632,   220,   633,   634,
    1424,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1425,  1426,     0,
       0,   656,   657,     0,   658,     0,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,  1427,
    2524,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   729,   688,   689,
       0,     0,     0,     0,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  2628,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,  2519,   525,   526,   527,   528,
     529,   530,     0,   531,   175,  2520,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,  2522,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2523,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,  2524,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,     0,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  3606,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,  1733,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,   216,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,   224,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,  2314,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,   238,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
     248,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,   216,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,   224,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,  2314,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,   238,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,   248,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,  3072,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,  3073,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,  3074,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,  3075,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,  2276,  3027,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,  1644,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,  1733,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,  2446,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,  3073,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,  4422,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,  4438,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
    5431,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,  5432,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,  5433,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,  5432,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,  5433,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,  4747,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,  4756,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,  5060,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  5061,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,  5062,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  5063,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445, -2799,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,  5432,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520, -2799,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,     0,     0,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543, -2799,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,     0,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632, -2799,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,  5433,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
   -2799,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,     0,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  3058,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,     0,     0,     0,     0,  3059,
    3060,     0,     0,     0,     0,     0,     0,     0,  3061,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,     0,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,     0,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    3058,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,     0,     0,     0,     0,     0,     0,
       0,  3059,  3060,     0,     0,     0,     0,     0,     0,     0,
    3061,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
       0,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,     0,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  3058,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,     0,     0,     0,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,  3061,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,     0,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,  4337,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,     0,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    3058,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,     0,     0,     0,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    3061,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,     0,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,     0,
       0,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,     0,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,     0,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,     0,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,  1586,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,  1601,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,   172,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
    3834,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
    1615,   565,   196,   566,   567,   568,     0,   569,     0,  1124,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,  3835,   617,   618,   619,   620,   621,   727,   622,   216,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,   224,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,  1627,   658,  1628,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,  2314,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,   238,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,     0,     0,   248,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    3836,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,  1586,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,  1601,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,   172,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,  3834,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,  1615,   565,
     196,   566,   567,   568,     0,   569,     0,  1124,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,  3835,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,  1627,   658,  1628,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  3836,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,  1586,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,  1601,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,   172,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,  1615,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,  3835,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,  1627,   658,  1628,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,   249,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,  1586,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,  1601,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,   172,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,  1615,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,  1627,   658,  1628,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,     0,     0,
       0,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,  4469,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,  5115,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,  4391,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0, -1598,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0, -1598,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531, -1598,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536, -1598,   537,   538,   539,   540,   541,
       0,     0,   542,   182, -1598,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189, -1598,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612, -1598,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,     0,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  1741,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,  3638,  3639,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  3639,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,   216,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,   224,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  2314,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
     238,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,   248,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,   249,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   216,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,   224,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  2314,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,   238,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,   248,
       0,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,   249,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,     0,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  1716,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,  3223,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  4372,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  4801,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,  1251,    45,     0,     0,     0,     0,     0,  1252,  1253,
    1254,   428,   429,   430,   431,   432,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,     0,
    1406,   136,  1407,  1408,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,  1409,  1410,   453,   773,   454,   455,
     456,   457,     0,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   720,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,     0,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,  1411,
    1412,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,  1413,   491,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,     0,   503,   504,   505,     0,   794,
     506,   795,   507,   508,  1414,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,     0,   800,
       0,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,     0,     0,   532,   533,   534,  1416,  1417,
     806,  1418,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,     0,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1419,   190,  1420,   560,   561,     0,   813,   562,   563,
     194,   564,   814,     0,   565,  1421,   566,   567,   568,   815,
     569,   816,   817,  4118,   571,   572,   818,   819,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,     0,   584,     0,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,  1422,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,   629,
     630,  2523,   631,   632,   220,   633,   634,  1424,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,  1425,  1426,     0,   831,   656,   657,
       0,   658,     0,   832,   659,   660,   661,   662,   663,   664,
     665,     0,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,     0,  1427,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,     0,     0,     0,
    1257,  1258,  1259,     0,  4119,  4120,  1262,  1263,  1264,  1265,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,  1252,  1253,  1254,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,  1255,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,  1256,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,  1257,  1258,  1259,
       0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1251,     0,     0,     0,     0,
       0,     0,  1252,  1253,  1254,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,  1357,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,  1358,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,
    1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1251,     0,     0,     0,     0,     0,     0,  1252,
    1253,  1254,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
    1457,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,  1458,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  1459,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,     0,     0,
       0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,
    1265,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,  1252,  1253,  1254,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,  2016,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,  2017,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,  1257,  1258,
    1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1251,     0,     0,     0,
       0,     0,     0,  1252,  1253,  1254,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,
    1261,  1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1251,     0,     0,     0,     0,     0,     0,
    1252,  1253,  1254,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,  3324,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,  3325,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,
    1264,  1265,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1251,     0,     0,     0,     0,     0,     0,  1252,  1253,  1254,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,  5094,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,  1257,
    1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   760,   436,   437,   438,
     761,   762,   763,   764,   765,   766,   767,   439,   440,   768,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,   769,   446,   447,   448,   449,   450,   770,   771,   451,
     452,   772,   139,   453,   773,   454,   455,   456,   457,   143,
     774,   144,   775,   458,   459,   460,   461,   147,   462,   463,
     776,   777,   464,   465,   466,   467,   468,   469,   778,   150,
     470,   471,   779,   780,   781,   782,   151,   783,   784,   785,
     473,   474,   475,   476,   722,   477,   154,   155,   478,   786,
     479,   787,   480,   481,   482,   483,   484,   788,   485,   486,
     487,   789,   790,   488,   489,   490,   491,   492,   791,   493,
     494,   495,   792,   496,   497,   498,   793,   499,   500,   501,
     502,   163,   503,   504,   505,   165,   794,   506,   795,   507,
     508,   167,   509,   796,   510,   797,   511,   168,   798,   169,
     512,   513,   514,   799,   515,   171,   800,   172,   516,   801,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
     802,   525,   526,   527,   528,   529,   530,   803,   531,   175,
     176,   804,   532,   533,   534,   805,   177,   806,   178,   807,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
     808,   809,   542,   182,   183,   543,   184,   810,   544,   545,
     546,   811,   812,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,   813,   562,   563,   194,   564,   814,
     195,   565,   196,   566,   567,   568,   815,   569,   816,   817,
     570,   571,   572,   818,   819,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,   820,   582,
     583,   201,   584,   202,   585,   586,   587,   821,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,   822,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   823,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,   824,
     623,   624,   625,   626,   627,   825,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,   826,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,   827,
     647,   648,   828,   649,   225,   650,   651,   652,   653,   654,
     829,   226,   227,   830,   831,   656,   657,   228,   658,   229,
     832,   659,   660,   661,   662,   663,   664,   665,   833,   834,
     666,   667,   668,   669,   670,   835,   836,   671,   672,   673,
     674,   675,   837,   236,   838,   676,   237,   677,   678,   679,
     680,   839,   840,   681,   841,   842,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,  2414,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,  2519,   525,   526,   527,   528,
     529,   530,     0,   531,   175,  2520,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,  2521,
     573,  2522,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2523,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,  2524,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,     0,
      86,    87,    88,   705,    90,    91,    92,   706,  2525,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,    86,    87,    88,   705,    90,
      91,    92,   706,  1131,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
      86,    87,    88,   705,    90,    91,    92,   706,  5148,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,  1021,
     430,   431,   432,   433,   434,   435,  1022,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,  1023,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
    1024,   167,   509,     0,   510,     0,  1025,     0,  1026,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
    1027,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,  1028,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,  1029,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,  1030,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,  1031,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,     0,     0,
       0,  1032,  1033,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,  1021,   430,   431,   432,   433,   434,   435,  1022,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,  1055,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,  1024,   167,   509,     0,   510,     0,  1056,
       0,  1026,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,  1027,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,  1028,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,  1029,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,  1030,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,  1031,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,     0,     0,     0,  1032,  1033,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,  1510,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,  1026,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,  1027,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  1032,  1033,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1515,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,  1026,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,  1027,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,     0,     0,     0,
    1032,  1033,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,   723,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,  1687,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
    1101,  1688,    86,    87,    88,   705,    90,    91,    92,   706,
    1102,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,  1103,   452,  1074,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,  1104,     0,  1105,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,  1106,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,  1107,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,  1108,
     614,   615,   213,   616,   617,   618,  1109,   620,   621,   727,
     622,     0,   623,   624,   625,   626,  1110,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,  1111,   227,     0,     0,  1112,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,  1078,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,  1113,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   760,   436,   437,   438,   761,   762,   763,
     764,   765,   766,   767,   439,   440,   768,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,   769,   446,
     447,   448,   449,   450,   770,   771,   451,   452,   772,   139,
     453,   773,   454,   455,   456,   457,   143,   774,   144,   775,
     458,   459,   460,   461,   147,   462,   463,   776,   777,   464,
     465,   466,   467,   468,   469,   778,   150,   470,   471,   779,
     780,   781,   782,   151,   783,   784,   785,   473,   474,   475,
     476,   722,   477,   154,   155,   478,   786,   479,   787,   480,
     481,   482,   483,   484,   788,   485,   486,   487,   789,   790,
     488,   489,   490,   491,   492,   791,   493,   494,   495,   792,
     496,   497,   498,   793,   499,   500,   501,   502,   163,   503,
     504,   505,   165,   794,   506,   795,   507,   508,   167,   509,
     796,   510,   797,   511,   168,   798,   169,   512,   513,   514,
     799,   515,   171,   800,   172,   516,   801,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,   802,   525,   526,
     527,   528,   529,   530,   803,   531,   175,   176,   804,   532,
     533,   534,   805,   177,   806,   178,   807,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,   808,   809,   542,
     182,   183,   543,   184,   810,   544,   545,   546,   811,   812,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,   813,   562,   563,   194,   564,   814,   195,   565,   196,
     566,   567,   568,   815,   569,   816,   817,   570,   571,   572,
     818,   819,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,   820,   582,   583,   201,   584,
     202,   585,   586,   587,   821,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,   822,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     823,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,   824,   623,   624,   625,
     626,   627,   825,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,   826,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,   827,   647,   648,   828,
     649,   225,   650,   651,   652,   653,   654,   829,   226,   227,
     830,   831,   656,   657,   228,   658,   229,   832,   659,   660,
     661,   662,   663,   664,   665,   833,   834,   666,   667,   668,
     669,   670,   835,   836,   671,   672,   673,   674,   675,   837,
     236,   838,   676,   237,   677,   678,   679,   680,   839,   840,
     681,   841,   842,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   760,   436,
     437,   438,   761,   762,   763,   764,   765,   766,   767,   439,
     440,   768,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,   769,   446,   447,   448,   449,   450,   770,
     771,   451,   452,   772,   139,   453,   773,   454,   455,   456,
     457,   143,   774,   144,   775,   458,   459,   460,   461,   147,
     462,   463,   776,   777,   464,   465,   466,   467,   468,   469,
     778,   150,   470,   471,   779,   780,   781,   782,   151,   783,
     784,   785,   473,   474,   475,   476,   722,   477,   154,   155,
     478,   786,   479,   787,   480,   481,   482,   483,   484,   788,
     485,   486,   487,   789,   790,   488,   489,   490,   491,   492,
     791,   493,   494,   495,   792,   496,   497,   498,   793,   499,
     500,   501,   502,   163,   503,   504,   505,   165,   794,   506,
     795,   507,   508,   167,   509,   796,   510,   797,   511,   168,
     798,   169,   512,   513,   514,   799,   515,   171,   800,   172,
     516,   801,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,   802,   525,   526,   527,   528,   529,   530,   803,
     531,   175,   176,   804,   532,   533,   534,   805,   177,   806,
     178,   807,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,   808,   809,   542,   182,   183,   543,   184,   810,
     544,   545,   546,   811,   812,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,   813,   562,   563,   194,
     564,   814,   195,   565,   196,   566,   567,   568,   815,   569,
     816,   817,   570,   571,   572,   818,   819,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
     820,   582,   583,   201,   584,   202,   585,   586,   587,   821,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,   822,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   823,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,   824,   623,   624,   625,   626,   627,   825,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,   826,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,   827,   647,   648,   828,   649,   225,   650,   651,   652,
     653,   654,   829,   226,   227,   830,   831,   656,   657,   228,
     658,   229,   832,   659,   660,   661,   662,   663,   664,   665,
     833,   834,   666,   667,   668,   669,   670,   835,   836,   671,
     672,   673,   674,   675,   837,   236,   838,   676,   237,   677,
     678,   679,   680,   839,   840,   681,   841,   842,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,  3386,
     433,   434,   435,   760,   436,   437,   438,   761,   762,   763,
     764,   765,   766,   767,   439,   440,   768,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,   769,   446,
     447,   448,   449,   450,   770,   771,   451,   452,   772,   139,
     453,   773,   454,   455,   456,   457,   143,   774,   144,   775,
     458,   459,   460,   461,   147,   462,   463,   776,   777,   464,
     465,   466,   467,   468,   469,   778,   150,   470,   471,   779,
     780,   781,   782,   151,   783,   784,   785,   473,   474,   475,
     476,   722,   477,   154,   155,   478,   786,   479,   787,   480,
     481,   482,   483,   484,   788,   485,   486,   487,   789,   790,
     488,   489,   490,  3387,   492,   791,   493,   494,   495,   792,
     496,   497,   498,   793,   499,   500,   501,   502,   163,   503,
     504,   505,   165,   794,   506,   795,   507,   508,   167,   509,
     796,   510,   797,   511,   168,   798,   169,   512,   513,   514,
     799,   515,   171,   800,   172,   516,   801,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,   802,   525,   526,
     527,   528,   529,   530,   803,   531,   175,   176,   804,   532,
     533,   534,   805,   177,   806,   178,   807,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,   808,   809,   542,
     182,   183,   543,   184,   810,   544,   545,   546,   811,   812,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,   813,   562,   563,   194,   564,   814,   195,   565,   196,
     566,   567,   568,   815,   569,   816,   817,   570,   571,   572,
     818,   819,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,   820,   582,   583,   201,   584,
     202,   585,   586,   587,   821,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,   822,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     823,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,   824,   623,   624,   625,
     626,   627,   825,  3388,   630,   218,   631,   632,   220,   633,
     634,   221,   635,   826,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,   827,   647,   648,   828,
     649,   225,   650,   651,   652,   653,   654,   829,   226,   227,
     830,   831,   656,   657,   228,   658,   229,   832,   659,   660,
     661,   662,   663,   664,   665,   833,   834,   666,   667,   668,
     669,   670,   835,   836,   671,   672,   673,   674,   675,   837,
     236,   838,   676,   237,   677,   678,   679,   680,   839,   840,
     681,   841,   842,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
    1586,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,  1601,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,   172,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,  1615,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,  1627,
     658,  1628,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  1399,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1450,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,  2519,   525,   526,   527,   528,   529,   530,     0,
     531,   175,  2520,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,  2522,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    2523,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,  2524,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
       0,     0,   562,   563,   194,   564,  2616,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  2523,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,  4216,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,  2680,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    1423,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
    4043,     0,   562,   563,   194,   564,     0,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  1423,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,  1415,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    1423,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,  1476,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
       0,     0,   562,   563,   194,   564,     0,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  1423,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    1423,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
       0,     0,   562,   563,   194,   564,     0,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  2523,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
       0,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,     0,   136,     0,     0,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,     0,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,     0,     0,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,     0,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,     0,     0,     0,     0,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,     0,   190,     0,   560,   561,
       0,     0,   562,   563,   194,   564,     0,     0,   565,     0,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,     0,   631,   632,   220,   633,
     634,     0,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,     0,     0,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   760,   436,   437,
     438,   761,   762,   763,   764,   765,   766,   767,   439,   440,
     768,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,   769,   446,   447,   448,   449,   450,   770,   771,
     451,   452,     0,   139,   453,   773,   454,   455,   456,   457,
     143,   774,   144,   775,   458,   459,   460,   461,   147,   462,
     463,   776,   777,   464,   465,   466,   467,   468,   469,   778,
     150,   470,   471,     0,   780,   781,   782,   151,   783,   784,
     785,   473,   474,   475,   476,     0,   477,   154,   155,   478,
     786,   479,   787,   480,   481,   482,   483,   484,   788,   485,
     486,   487,   789,   790,   488,   489,   490,   491,   492,   791,
     493,   494,   495,   792,   496,   497,   498,   793,   499,   500,
     501,   502,   163,   503,   504,   505,   165,   794,   506,   795,
     507,   508,   167,   509,   796,   510,   797,   511,   168,   798,
     169,   512,   513,   514,   799,   515,   171,   800,   172,   516,
     801,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,   802,   525,   526,   527,   528,   529,   530,   803,   531,
     175,   176,     0,   532,   533,   534,     0,   177,   806,   178,
     807,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,   808,   809,   542,   182,   183,   543,   184,   810,   544,
     545,   546,   811,   812,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,   813,   562,   563,   194,   564,
     814,   195,   565,   196,   566,   567,   568,   815,   569,   816,
     817,   570,   571,   572,   818,   819,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,   820,
     582,   583,   201,   584,   202,   585,   586,   587,   821,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,   822,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   823,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
     824,   623,   624,   625,   626,   627,   825,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,   826,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
     827,   647,   648,   828,   649,   225,   650,   651,   652,   653,
     654,   829,   226,   227,     0,   831,   656,   657,   228,   658,
     229,   832,   659,   660,   661,   662,   663,   664,   665,     0,
     834,   666,   667,   668,   669,   670,   835,   836,   671,   672,
     673,   674,   675,     0,   236,   838,   676,   237,   677,   678,
     679,   680,   839,   840,   681,   841,   842,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,  1194,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,  2561,   454,   455,
     456,   457,   143,     0,     0,  2635,   458,   459,   460,   461,
       0,   462,   463,   720,  2562,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
    2636,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,  2564,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
    2565,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,  2566,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,  2561,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,  2562,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,  2636,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,  2564,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,  3548,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,  2565,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,  2566,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,  1089,   434,   435,  1041,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,  1042,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,  1090,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,  1043,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
    1044,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1041,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,  1042,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,  3286,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,  1043,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,  1044,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,  2561,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,  2562,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
    2636,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,  2564,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
    2565,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,  2566,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   718,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,   721,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,   723,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1041,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,  1042,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,  1043,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
    1044,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,   950,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   951,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     952,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  2234,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,  2235,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,  2236,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,  2237,   511,     0,     0,     0,  2238,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,  2239,  2240,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,  2241,   620,   621,   727,   622,     0,  2242,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,  2243,   649,     0,  2244,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,  2245,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,  1042,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,  1043,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,  1044,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,  2223,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,  3145,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,  3146,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,  2501,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,  3147,
     649,     0,   650,  3148,   652,  3149,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,  3150,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   745,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   723,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   899,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1282,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1283,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,  1124,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1391,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,   129,   130,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  3369,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
    3370,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  3382,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,  3383,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   956,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,  1003,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
    1059,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,  1124,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1246,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1247,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1690,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1873,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
    1124,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1921,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1922,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,  2090,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,  2223,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
    2501,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,  4391,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,  4405,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,  5097,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,  1071,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1073,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1075,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1076,   227,
       0,     0,  1077,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1118,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,  1119,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,  1120,   227,     0,     0,  1121,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,  1138,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1270,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1277,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1292,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1348,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1363,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1404,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1462,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1466,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1468,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1470,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1474,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1482,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,  1701,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,  1103,   452,  1074,   139,
    1702,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,  1107,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,  1108,   614,   615,   213,   616,   617,
     618,  1109,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1694,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1111,   227,
       0,     0,  1112,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,  1113,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,  1827,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1073,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2046,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  2076,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2078,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2150,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2152,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2154,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,  2271,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,  2468,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,     0,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2854,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2858,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2898,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  3297,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  3372,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  3374,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  3484,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,  3506,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,  1103,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
    1107,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
    1108,   614,   615,   213,   616,   617,   618,  1109,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  1694,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1111,   227,     0,     0,  1112,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,  1113,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
    1103,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,  1107,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,  1108,   614,
     615,   213,   616,   617,   618,  1109,   620,   621,   727,   622,
       0,   623,   624,   625,   626,  1694,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,  2548,   651,   652,   653,
     654,     0,  1111,   227,     0,     0,  1112,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,  1113,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,  1103,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,  1107,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,  1108,   614,   615,   213,   616,   617,   618,  2620,
     620,   621,   727,   622,     0,   623,   624,   625,   626,  2621,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,  1111,   227,     0,     0,
    2622,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,  1113,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,  1103,   452,
    1074,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,  1107,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,  1108,   614,   615,   213,
     616,   617,   618,  1109,   620,   621,   727,   622,     0,   623,
     624,   625,   626,  2621,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
    1111,   227,     0,     0,  2622,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  1078,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
    1113,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,     0,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,     0,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,     0,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114, -2554,   115,   116,   117,     0,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
     126,    35,     0,   422,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114, -2555,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,  1189,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,     0,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,  2199,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,  2200,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,  2201,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,  1032,
    1785,  4923,     0,     0,     0,     0,     0,     0,  4924,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,   129,   130,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,   216,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,   224,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   235,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
     238,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,    35,
     427,   248,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,   249,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,  2402,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,  2199,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,  2200,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,  2201,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,     0,
       0,     0,     0,     0,    35,   427,  1032,  1785,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,     0,   477,   154,   155,   478,  2407,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,  2199,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,  2200,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
    2201,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   688,   689,     0,     0,     0,     0,     0,    35,
     427,  1032,  1785,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,  2199,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,  2200,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,  2201,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,     0,
       0,     0,     0,     0,    35,   427,  1032,  1785,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,     0,   477,   154,   155,   478,  3279,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,  2199,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,  2200,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
    2201,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   688,   689,     0,     0,     0,     0,     0,    35,
     427,  1032,  1033,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,   655,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,  2199,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
    2200,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,  2201,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,     0,   473,
     474,   475,   476,     0,   477,   154,   155,   478,  2387,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,  2179,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   688,   689,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,  1272,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,   472,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,  2740,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,   472,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
    3683,   172,   516,     0,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
     472,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,  1289,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,  1371,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,   472,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,  1452,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,   472,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,  1464,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,   472,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
    1478,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,  1479,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,   129,   130,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-5000))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2799))

static const yytype_int16 yycheck[] =
{
       2,   249,   963,    78,  1155,   923,   210,    78,    78,  1451,
      78,   116,    78,   879,    78,  1105,   390,    78,   390,    96,
      84,   116,  1160,    84,  1042,  1043,  1044,  1504,  1460,   106,
    1048,  1122,  1455,   153,   230,   374,  1534,   152,   166,  1100,
     984,  1291,  1423,   149,  1301,  2238,  1225,  1359,  1009,  1739,
    1859,   995,  1894,  1128,  1279,   116,   161,   923,  1370,   224,
     188,  1443,  2188,   981,   141,  1722,   161,   963,  3004,  1904,
     164,  3169,  2363,  1426,  1183,   751,    78,  1112,  1570,   156,
    2527,  2528,    84,   203,  1340,  2003,  3364,    89,  1411,  1412,
     170,  1900,  2376,   164,   159,  1345,  1278,    78,  1421,  1349,
     161,  3340,  1284,  3573,  1354,  2679,  3546,  2804,  3615,  2813,
     131,  1293,  1362,  1954,   116,   981,  1441,  3893,  3386,  2426,
    3388,  2731,  1372,  2073,  3154,  1743,  2276,   232,  1278,    94,
     210,  1966,  3602,   752,   362,  1914,  3531,   232,  3536,   376,
    1249,  3536,  4205,  1202,  1400,  1202,  2976,  1108,  3223,  3158,
     152,  3946,  3996,  3946,   376,  3808,  1008,   875,   994,   161,
    3942,  3156,  3157,  4194,   882,  2124,   131,  2085,  4192,   209,
       2,   232,  1779,  1780,  1781,   893,  1833,  4142,  4208,   219,
    4204,   217,  4195,  4217,  1497,  3215,  3843,   152,   153,   116,
    2370,   166,  1971,  1972,  1886,   248,  3089,   162,  4672,  1900,
    1774,  1775,  1837,   921,  1488,  3254,  1291,   209,   926,  1496,
    3836,  1242,  1108,   188,  4474,   217,  1152,   219,  1517,   937,
    1152,  1197,  1198,  4801,  4865,  4803,  3841,  2177,  3771,    21,
     232,  1409,  1410,  2807,   161,  3909,  2527,  3639,   203,    30,
    1000,    87,  1420,    10,    87,    74,    75,    76,    77,    71,
    4846,    14,    81,  4987,   111,   124,    71,   138,  4899,    98,
      89,    90,   146,    85,    74,    75,    76,    77,    14,   148,
     131,    81,   117,  1626,   950,  1598,  1599,    14,    74,    75,
      76,    77,   209,   160,   131,    81,   116,   106,   107,   131,
     217,   131,   219,  1616,    84,   859,  1024,  4903,  4904,    71,
    1028,  1029,  1030,   185,   117,   232,   204,   382,    80,   229,
    1038,   382,   382,    85,   382,   152,   382,   235,    71,   234,
    1338,    74,    75,    76,    77,    71,   390,    80,    81,   390,
    5180,   161,    85,  2907,    71,  2909,  3229,    74,    75,    76,
      77,    25,   138,    80,    81,    82,    83,   209,    85,   184,
      74,    75,    76,    77,    87,   256,   234,    81,  1645,   187,
     240,   425,   396,   202,   425,    89,    90,   333,    78,    74,
      75,    76,    77,   115,   334,   185,    81,    78,    74,    75,
      76,    77,   330,   116,   178,    81,   131,   115,   390,   102,
     321,   185,   157,    89,    90,  1504,   109,    78,   148,   187,
    2593,   382,   232,  1321,    71,   102,  1497,   157,   234,  1587,
    1588,   396,   109,   146,   233,    78,   235,    96,    85,   412,
    3059,  3060,   234,   425,   234,  3064,  1102,   216,   226,   234,
      78,   212,  5431,    78,  1612,    74,    75,    76,    77,    37,
     413,    39,    81,    98,  4938,   398,   102,    78,   524,  1706,
      89,    90,    78,   109,   530,  1321,   102,    74,    75,    76,
      77,   426,  3101,  3102,    81,     0,   370,  1646,    74,    75,
      76,    77,  5113,    78,    78,    81,  5326,   105,  5056,    74,
      75,    76,    77,    89,    90,   470,    81,   861,   180,   861,
     148,   148,   526,   397,  1673,    74,    75,    76,    77,   157,
     275,   454,    81,  4977,    74,    75,    76,    77,   370,   275,
     387,    81,   293,   190,  4479,   275,  2475,  1461,   192,   317,
    1481,   138,    74,    75,    76,    77,   320,   388,   190,    81,
    5529,    74,    75,    76,    77,   528,   215,   325,    81,   470,
     655,   388,  2769,  1504,   190,  2235,   388,   202,   388,  2239,
    2777,  2241,  2779,   526,  2244,  2514,   248,    78,   187,  2518,
     526,    74,    75,    76,    77,   140,   526,    78,    81,  3154,
     449,  2013,    74,    75,    76,    77,   148,  1668,   526,    81,
    1199,  1200,   157,   703,   704,  1481,  2018,   271,    87,   487,
    1681,    74,    75,    76,    77,  1704,  1540,  4291,    81,  4293,
    1709,  1710,    74,    75,    76,    77,   526,   269,   526,    81,
      71,   148,  1556,  1574,   529,   307,   451,   116,   310,    80,
    1711,  1712,  5472,   269,    85,   462,  4024,  1571,   529,  4024,
    3215,   470,   477,   515,   428,   425,   449,   431,   213,   449,
     524,  4665,  4673,   388,   528,   526,   474,   146,    25,   529,
     279,   529,   529,   655,  1506,  1219,   231,   526,  5152,   494,
     423,  2318,   477,   482,   526,   185,  5262,  4632,   529,   526,
     234,  3949,   382,   519,   520,   521,   522,   423,  1574,   522,
     472,   382,   529,  5289,   449,   481,   423,   529,  5422,   529,
     655,   320,  1874,   435,  4164,   517,   518,   526,   487,   449,
    1950,   382,  1952,   529,   526,   515,  4359,   435,  2365,   422,
     477,   403,  2369,    87,   526,   235,  3290,   396,   528,   382,
    2032,   526,   320,   888,  4689,   422,  1486,   244,   520,  4386,
     526,  2229,   526,   524,   382,  1960,   415,   382,   703,   704,
    1701,  1923,   371,  5384,  2001,   517,   518,  4187,  1709,  1710,
    2006,   382,   857,   868,   529,  5396,   382,   385,  2181,   405,
    4303,  1009,   857,   529,  3342,   518,   422,  1876,   528,  4395,
    4385,   178,  2607,  4399,   236,  1884,  4450,   382,   382,  1507,
     517,   518,  1510,  5361,  1012,  1513,   751,  1515,   363,   522,
    1518,   449,   449,   470,  1522,   110,   857,   861,   472,   914,
     861,   321,   526,    29,  3834,  1701,  3836,   178,   470,   178,
    3257,   178,  3259,  2236,  5455,   507,  1155,  1793,   131,   524,
    2143,   526,  2245,   528,   470,  1761,  2113,   228,   178,  1761,
     526,  5091,   952,  1942,   526,    14,  1945,  1946,   903,   164,
    2675,  4243,  4244,  4245,  4246,  4247,   234,  1932,  3857,  4127,
     517,   518,  1937,  5327,   335,   857,   347,   972,   244,   861,
     178,   382,  1893,   865,  3568,  3156,  3157,  3158,   256,   105,
     185,   382,   874,   875,   336,   275,  4841,   449,  1497,   102,
     882,  2194,  3931,  4848,   124,   449,   481,   526,  3172,  1054,
     465,   893,   234,  1021,   271,  1023,  1753,  1025,   330,  1005,
     529,  2185,  2476,  1031,  2478,  2014,  2541,   909,  1145,   526,
     318,  2210,   449,  4976,   239,  1009,  3946,  2216,   190,   921,
     526,   412,   307,  1145,   926,   234,   144,  1055,  1056,  1006,
     857,   526,   318,  2625,  2635,   937,   176,  1008,   275,  3513,
    3514,   493,  2120,  2121,   140,  5419,  1023,   526,  1025,    98,
     493,   515,   472,   493,   956,   365,   526,   358,  1035,   476,
     512,   963,   330,  1128,   528,   967,   180,  3545,   185,   512,
      87,   973,   512,   318,   526,   977,   978,   215,  1055,  1056,
    5099,  5100,   984,   526,   244,   950,   179,   952,  2275,  2276,
    4785,  4230,   994,   995,  1159,  2282,  2321,   269,  1000,   116,
     190,  2288,  2289,  2290,   234,   318,  2847,  1009,   215,   334,
    1928,  2298,  2299,   526,  3907,   496,  2303,   213,   403,  2861,
     519,   520,   521,   522,   526,   340,   256,   857,   268,   146,
     491,   438,  4726,  4828,   248,   231,  4730,  4731,  1003,  4733,
    1134,   267,  1007,   526,  3224,   275,  4849,  4842,  1023,  4842,
    1025,   512,    70,   202,   526,   242,   517,   518,   318,   340,
      78,    79,  1928,  2081,   389,  1129,   259,   438,  1129,   438,
    1106,   438,   472,   237,  1110,   388,  1241,  2554,   318,   269,
    1055,  1056,   334,  1104,  3531,  1138,   412,   234,   438,  3536,
     476,   409,  4745,   307,   526,   180,   310,  1099,  1100,   412,
     508,  2192,   472,   320,  1106,   112,  1108,   449,  1110,   256,
     154,  3750,  3751,  3752,  3753,   333,   526,  3756,  3757,  3758,
    3759,  3760,  3761,  3762,  3763,  3764,  3765,  1129,   275,  4786,
    5193,   476,   355,   178,  1136,   472,  2315,  1102,   156,  1104,
     449,  4944,  2523,   517,   518,   519,   520,   521,   522,   385,
     194,  2533,  2242,  2243,  5167,   449,   526,  5188,   526,   275,
     396,   401,   398,   248,  4790,  3612,   491,   363,  1000,  4795,
    5204,  5201,  4798,  3812,  3813,  5199,  5189,   415,   275,  1106,
     189,    14,  4689,  1110,   407,   457,   193,   154,   206,   403,
    4468,  4661,  4987,   164,   185,  1197,  1198,   180,   470,   348,
     515,   140,   527,   529,  2148,   530,   393,   400,   415,   524,
     102,   526,   527,   528,   529,   405,   476,  2161,   454,   442,
      70,   444,   307,   226,   229,   310,  3185,   194,    78,    79,
     212,  1233,  2176,   382,   275,   529,   114,  2198,  2156,  4507,
    1280,  1281,   472,   407,   437,   438,   185,   449,   529,  3834,
      71,  3836,  1233,    74,    75,    76,    77,  5376,   150,    80,
      81,    82,    83,   412,    85,   248,   158,   276,   239,   465,
     530,   340,   524,   318,  2964,   439,   528,  3504,  1280,  1281,
     470,   299,   285,  2119,  3511,  3512,    98,  2894,  3515,  5092,
    2156,   273,   104,   507,   186,  3522,   460,  5328,     8,  5102,
     530,    11,    12,   154,  1306,   349,   156,  5089,   234,   347,
    1291,  1313,    22,    23,    24,  1317,    26,    27,   403,  1384,
    2411,    31,    32,    33,   307,   472,   475,   529,   124,   320,
     348,  1333,   235,   526,    74,    75,    76,    77,  2174,   482,
    1342,    81,  1850,   194,   164,  2197,    98,  5191,   154,   154,
     393,  1183,   104,  1280,  1281,  5418,   472,   207,   340,   185,
    5423,  3946,   237,   334,   184,  4395,    98,  5020,   260,  4399,
    1202,  2461,  5337,  4448,   412,   472,   254,  2295,  1380,   384,
     176,   320,   349,   530,  2493,    25,   325,   236,   194,   194,
     202,    74,    75,    76,    77,    35,   216,  1645,    81,   443,
     517,   518,   519,   520,   521,   522,   189,  4416,   122,   400,
     164,   261,  5475,  4422,   530,  2727,  4411,  1249,   389,   398,
     403,  1423,   507,   441,   363,   443,  5052,   185,   471,  2295,
     348,   472,  1509,   236,  1511,  1506,  5231,  1514,   377,  1516,
    2297,   526,  1519,  1520,  1521,   108,   375,   350,  2305,  1823,
     202,  1823,  2634,  4283,  2513,  1532,  2513,   129,  2900,  1461,
     529,  5256,  5115,  5256,   382,   103,  5119,  5120,   178,  1546,
     202,  1548,   268,  5536,   400,   454,   443,  4875,  2910,  1481,
    4875,  2904,   464,  1485,  1486,   239,  1488,  3680,    87,   234,
    5266,  5267,    84,   276,  1496,    87,  4135,   137,   349,    91,
      92,    93,  1504,   353,  1732,   177,   244,   234,   231,  1746,
    1747,   256,  1749,  2695,  3356,   418,  2828,  2829,  2830,  2831,
     491,   202,   318,  4963,  1746,  1747,   465,  1749,  2840,   256,
     275,  2039,   407,   336,  2784,  2717,   348,   251,  1540,   431,
     382,   187,   256,   349,   349,  2695,   340,   146,   275,   398,
     281,   100,  1554,   216,  1556,   484,   527,   483,   378,   530,
     224,     5,   362,  2745,   439,   229,  3857,   325,  3186,  1571,
     382,   120,  1574,  3723,   229,  2194,  4186,  4024,   292,   405,
     318,    25,   190,  1585,   239,   405,   258,   318,  1553,  2698,
    2877,    35,   443,  2554,   202,  3285,   348,  2706,  1763,  2708,
     412,   256,   312,   452,  3445,   401,   102,   449,  3915,   458,
     348,  1613,   438,   463,   348,  1720,   348,  2873,   438,   524,
    3455,   471,   334,   528,   474,  1720,   224,  5422,   431,   293,
     382,   271,   270,   279,   306,   195,   308,   443,   443,  1641,
    1642,  1643,   325,  1645,   382,   205,   318,   438,   382,   359,
     382,   451,   478,  1485,  1486,  1657,  1488,   338,   478,  1720,
     412,   238,  4940,  1665,   256,   491,  1687,  1688,   332,   347,
     157,   491,  1504,  5449,   320,   347,   179,  2595,  1773,  4253,
     412,  4255,   248,   256,   415,   277,   512,   161,  2632,   429,
     430,   412,   512,   137,   494,   293,   517,   518,   185,  1701,
     526,   197,  1704,   417,   102,   386,   526,  1709,  1710,  5179,
    1774,  1775,  1773,  1774,  1775,   387,  3666,  1719,  1720,   296,
     324,   270,  1687,  1688,   197,   371,   199,   472,   305,  2595,
     348,   412,  1837,   527,   332,   529,   391,  5177,   476,   470,
     177,   307,  1837,   238,   336,   472,  1748,   188,   305,   459,
    1752,  1753,   360,   412,   426,  4785,   259,   201,   232,  1823,
    4790,  5000,  1823,   282,   382,  4795,  1830,   348,  4798,  1830,
    1791,  1773,  1774,  1775,  3061,   421,  1837,   347,  5218,   197,
     157,   199,   132,   449,   187,   530,  3073,   277,   348,  4725,
     140,  1793,   338,  1720,   412,   451,   340,  3295,  4828,   197,
    1965,   296,   348,   530,   222,   197,  1871,   199,   529,   382,
    4395,   252,  4842,   386,  4399,   419,  3595,   140,  3105,  3598,
     362,  1823,   382,   146,   261,  5103,  1791,   271,  1830,  1831,
    5337,   412,  2508,   320,   157,  1837,   382,   403,  2856,   412,
      98,  5109,   412,   530,   334,  1847,   104,   320,  1850,   515,
     320,  3176,  1854,   524,   488,   325,  3143,   330,   402,  2968,
     531,   238,   185,   224,   187,   442,  5336,   444,   526,   306,
     529,   308,  1704,  3255,  4101,    78,   279,  1709,  1710,  3261,
    4107,  4108,   259,  4110,  1886,   165,    74,    75,    76,    77,
    1720,   468,  1894,    81,  3326,   529,   384,   400,  4996,   369,
    4836,   188,  4838,   302,  2865,    22,  2690,   325,   526,   451,
    1837,   449,   330,  2631,   177,  4489,  4490,   320,   491,   296,
    1847,   513,   514,   515,  1926,   517,   518,   519,   520,   521,
     522,  2036,   293,   307,   437,   438,   310,   483,   330,   512,
     263,  2036,  3265,  4640,   202,   148,   296,   442,  4652,   444,
     472,  1932,   494,  1785,    71,   235,  1937,  4987,   159,  1886,
    2744,   164,   339,   405,   235,   252,  2927,  4664,   371,  2865,
     197,  2689,   199,   468,  5213,  2036,   529,   515,  1810,  1811,
      74,    75,    76,    77,  1986,   265,  1988,    81,  3678,   348,
     528,  5269,   188,  2108,   265,   222,   438,   320,   199,    71,
     280,   400,   325,   491,   526,  2007,   472,  1837,   165,   280,
     290,   532,  3163,    85,    74,    75,    76,    77,   238,   290,
    2022,    81,  5052,   382,   512,  2743,   281,   386,  2030,   403,
    5470,  2927,  3950,  3743,  2036,   315,   478,  2039,   456,  2041,
     363,   529,   441,   306,  1876,   308,   249,  2421,   466,  2421,
    5520,   348,  1884,   412,   377,  2057,   252,   491,  3314,  2061,
     526,  1988,  3772,   318,  2268,   442,   396,   444,  3177,   468,
     515,  2073,    74,    75,    76,    77,   296,   454,   235,    81,
    3578,   451,   530,   528,   526,   382,  2088,  2252,   465,  3587,
     491,   468,   491,   320,   493,   529,   224,   427,   325,  2101,
    5378,   229,  4741,   330,  2198,  2107,    40,   214,   265,  2036,
    1942,  2113,   392,  1945,  1946,   412,   371,  2119,  3343,   187,
    4411,   392,   187,   280,   494,  4416,  2197,   526,   529,  2131,
    2207,  4422,  2209,   290,   127,  3792,  2213,   325,  2215,  3174,
    3365,  2218,   465,  4427,  2146,  2222,  2148,  2149,  3983,   375,
     257,   100,    87,   146,   348,   375,   472,  5255,   315,  2161,
     415,   229,  3344,   491,   524,   293,   526,   160,   528,  2171,
     491,   120,  2174,   376,  2176,  2177,   442,   334,   444,   382,
     406,   116,  2014,  2185,   512,  2260,  2188,  2267,   382,  2260,
    2260,   512,  2260,  4028,  2260,   263,  2198,   375,   263,  3117,
    4785,  5231,  3059,  3060,   332,  4790,  2036,  3064,   529,  2274,
    4795,   146,   438,  4798,  3706,   470,  3177,   382,   412,   212,
    3999,  4000,   442,  2328,   444,  5503,  5256,   348,   406,   456,
    3412,   325,  4872,  2328,   371,   392,  2238,    80,   302,   466,
     386,   229,    85,  4828,  3101,  3102,   383,   412,   468,   271,
     318,  3117,   320,   318,   236,   320,   118,  4842,   484,  3916,
     438,   382,   250,   382,   484,   325,   412,  2328,   348,   148,
    4910,   408,  3714,  2275,  2276,  2951,    16,   139,   157,  2281,
    2282,   283,  3635,  3636,   266,  2287,  2288,  2289,  2290,  4207,
    3540,   412,  2294,   412,  2296,  2297,  2298,  2299,  2300,  2301,
     493,  2303,   382,  2305,  2306,   302,   484,  2309,   396,   386,
     398,   148,  2440,   334,  3072,   472,  3074,  3075,   339,   512,
     157,  2323,  2324,  2325,  2326,  2327,  2328,  4453,   365,  2423,
    2332,  3197,   412,   526,  2336,   412,   400,  2339,  3282,  3283,
    2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  5447,
    2352,  3312,  2556,  2185,  2558,   382,  2188,  2421,  2360,   386,
    2421,  2363,  2055,   493,   454,   302,   454,   491,  4210,  4596,
     529,  4598,  4599,   331,   533,  4602,   334,   441,   229,  5477,
    5019,  2074,   512,  4957,  4193,   412,    84,    50,   512,    87,
     329,  2466,  5422,    91,    92,    93,   526,  4688,    70,   250,
     484,  2328,  4987,   400,   468,    68,    78,    79,  2307,    34,
     108,  2310,  2476,   521,  2478,  2476,  3312,  2478,   526,  2421,
     528,   525,    70,    71,  2426,   529,  2554,   491,  4875,   493,
     302,   527,  2547,   334,   530,   521,  2541,   402,   339,  5375,
     526,  2606,   528,   442,   441,   444,  2541,  5545,   529,  3947,
    3948,  4610,   533,  4612,  3710,   137,   138,  4616,  3745,  4618,
      70,    71,   526,   400,   491,   283,   212,  5052,    78,    79,
     526,   468,   528,   525,  2476,    85,  2478,   529,   224,   449,
    2541,   527,  3426,   229,   530,   512,    74,    75,    76,    77,
     526,  3435,  3779,    81,   491,  2497,   493,   527,  2328,   529,
     454,    70,    71,   454,   441,    74,    75,    76,    77,    78,
      79,    80,    81,  2515,   384,  2517,    85,    74,    75,    76,
      77,  2523,   402,   302,    81,  2527,  2528,   273,   400,   526,
     305,   468,   519,   520,   521,  2537,   527,  3824,   529,  2541,
    2542,   305,  4989,  2508,  2546,   161,  3564,   293,    74,    75,
      76,    77,  2554,   259,   491,    81,   493,  2662,   517,   518,
     519,   520,   521,  2658,   524,    84,   526,  2662,   527,   441,
    2572,    71,  2687,  2575,   529,   530,  4266,  4267,  4268,   277,
    3541,   527,  3543,   529,  2586,   527,   332,   529,  2590,   526,
     322,  2593,   153,  3975,   340,   531,   468,  2658,   396,   397,
    2602,  2662,   396,   397,    84,  3928,  3715,    87,   491,   454,
     493,  3555,  2614,  3557,  2541,  3690,   185,   124,   526,   491,
     528,   493,   250,  2625,  3881,   527,   491,   529,   493,  2631,
    2632,   517,   518,   519,   520,   521,   116,  2639,   336,   525,
     484,   442,   122,   444,   402,  3541,  5231,  3543,   283,   527,
    3611,   529,   128,   527,   526,   529,  2658,  2659,    85,   166,
    2662,  2493,   441,   405,   532,  3531,   146,    89,    90,  3848,
    3536,  5256,   527,   405,   529,    84,   529,   530,    87,   321,
     322,  2513,   334,  2515,   191,  2517,  4913,  2689,  2690,   468,
     442,  2693,   444,   527,  2799,   529,   438,   526,  2625,   206,
    3851,  3852,  3853,   210,  2799,   274,   438,   116,  2814,  2711,
     526,  2541,   491,   122,   493,  3611,   400,   527,   464,   529,
    2722,   529,   527,   230,   529,   128,   233,   296,    89,    90,
     210,  2658,   527,  2735,   529,  2662,   478,   146,  2799,   246,
     118,  2743,  2744,  4936,   482,   484,   478,   526,   509,   491,
     302,    74,    75,    76,    77,  4412,   279,   528,    81,   491,
     527,  3705,   529,   405,   337,    74,    75,    76,    77,   337,
     512,   251,    81,   527,   334,   529,   256,   527,   524,   529,
     512,   527,   528,   527,   526,   529,   229,  4444,  2790,  2791,
     527,   527,   529,   529,   526,   527,   438,  2799,   530,   449,
     527,   210,   529,  2805,   334,  1008,  1009,   118,   527,  2811,
     529,   279,   292,  3061,   509,   513,   514,   515,   325,   517,
     518,   519,   520,   521,   522,   527,   333,   529,  2658,   337,
     509,   527,  2662,   529,   106,   107,   478,  5422,   527,   519,
     529,  2843,   251,    74,    75,    76,    77,   256,   400,   491,
      81,   527,   527,   529,   529,   529,   336,  3105,   527,  2861,
     529,   233,   369,  2865,   128,   527,  2698,   529,  4093,   527,
     512,   529,  2799,   526,  2706,  2877,  2708,   234,  4568,  4569,
     527,  4571,   529,   292,   526,   491,   527,   493,   529,   441,
     527,   527,   164,  3750,  3751,  3752,  3753,   530,     7,  3756,
    3757,  3758,  3759,  3760,  3761,  3762,  3763,  3764,  3765,  4221,
      19,    20,   184,   527,  5205,   529,   468,   275,   527,   527,
     529,   529,   527,   519,   529,  2927,  3783,   336,   527,    38,
     529,   532,    41,  2935,   527,    84,   529,   417,    87,   491,
       2,   493,  1145,   527,   216,   529,   532,   271,   517,   518,
     449,     2,  3148,  3149,  3150,  3812,  3813,   527,   449,   529,
     527,   527,   529,   529,   527,   212,   529,   116,  4349,  2799,
    3218,   449,  2974,   122,   526,  3080,   527,   224,   529,   449,
     526,  3086,   229,   449,   208,  3080,  2951,   527,  2990,   529,
     527,  3086,   529,   527,  2996,   529,   527,   146,   529,   527,
     111,   529,  3004,   527,   128,   529,  3008,   277,   417,  3011,
     271,   527,  3014,   529,   527,   527,   529,   529,    84,  3080,
    3022,    87,   527,   449,   529,  3086,   273,    89,   526,  3031,
     510,   527,   412,   529,  3036,   528,   495,   517,   518,   519,
     520,   521,   522,   527,   526,   529,   293,   382,   256,  4336,
     116,   160,   527,   527,   529,   529,   122,  3059,  3060,  3061,
     217,   210,  3064,   527,   527,   529,   529,   527,   526,   529,
    3072,  3073,  3074,  3075,   527,   527,   529,   529,  3080,   527,
     146,   529,   528,  3085,  3086,   332,  3088,   217,  3090,   198,
     152,   334,   527,   340,   529,   527,   158,   529,   256,  3101,
    3102,   510,   251,  3105,   382,   334,   378,   256,   517,   518,
     519,   520,   521,   522,   527,   166,   529,  3119,  3193,  3121,
     217,  3123,  3193,  3193,   186,  3193,   527,  3193,   529,   527,
    4607,   529,   302,   405,   256,   217,  2968,   188,    84,   334,
     302,  3143,   229,   292,   210,    91,    92,    93,   382,   217,
    4648,   302,  3154,  3080,  3156,  3157,  3158,   530,  4024,  3086,
     291,   527,  4271,   529,   187,  4974,   438,   472,   527,    84,
     529,   527,    87,   529,   334,  3177,    91,    92,    93,  3181,
     527,   527,   529,   529,   526,   251,    84,   336,   454,    87,
     256,   527,  3194,   529,   527,   329,   529,  3199,   527,   484,
     529,   116,   527,  3205,   529,   402,   478,   122,   229,   527,
     482,   529,   283,  3215,  4158,  4159,   368,   464,   116,   491,
     527,  1149,   529,  1151,   122,   526,   292,  4171,   140,   111,
     400,   146,  4400,   495,  4402,  5428,  5429,   320,   400,   526,
     512,   334,   320,   118,   118,   459,   348,   229,   146,   400,
    3080,   484,  3254,   153,   526,  3257,  3086,  3259,   484,   229,
     366,   217,  3264,   531,  3266,   217,   526,   217,   417,   481,
     336,   441,   526,   359,   526,   217,   110,   495,  4135,   441,
    3282,  3283,   217,   217,   302,   529,  3288,   217,   217,   334,
     441,  3386,  3387,  3388,   217,  4474,   217,   334,   468,   217,
     217,   229,   334,  1506,   217,   438,   468,  3309,   217,   217,
    3312,   217,   210,  3315,   111,   526,   291,   468,   229,   229,
     334,   491,   526,   493,   526,  3386,  3387,  3388,   526,   491,
    3332,   493,   229,   526,   526,   526,   251,   526,   526,   526,
     491,   256,   493,   526,   526,  3177,   526,   526,   526,   526,
     526,   417,   526,   251,  3356,  5045,   526,   526,   256,   526,
     526,   510,  5555,  5556,   526,   526,  5056,   526,   517,   518,
     519,   520,   521,   522,   492,   526,   526,   292,  1581,  4440,
     526,   526,   400,   526,  3386,  3387,  3388,   526,   526,   275,
     336,   345,   529,   529,   292,   111,   168,  1600,   275,   291,
     111,   277,   229,   229,   330,   332,   412,   519,  3410,   271,
     403,   310,   529,   184,   471,   529,   515,  3419,    14,  3421,
    3422,   336,   529,   441,  3426,   526,   526,  1630,   526,   449,
    3535,   400,   449,  3435,  4932,  4933,   528,   449,   336,   449,
    3535,   400,  1645,   293,   510,  5135,   449,  4924,   449,   449,
     468,   517,   518,   519,   520,   521,   522,   515,   157,  3386,
    3387,  3388,   400,   217,   334,   404,   288,   325,   449,   449,
     449,   334,   471,   491,  3535,   493,   441,   261,  3480,    70,
     526,  3820,   330,    74,    75,    76,    77,    78,    79,   449,
      81,   449,   249,   526,   157,   529,   348,  3499,  4607,   217,
     256,    70,   417,  3505,   472,  3625,   472,  3622,   526,    78,
      79,   179,   449,   449,  4432,   128,  3591,   449,   128,   417,
     338,   441,   117,   117,   449,  3690,  3601,   449,  3530,  3531,
     449,   400,   529,  3535,  3536,   449,   334,   277,   495,  3541,
     334,  3543,   449,  1746,  1747,   449,  1749,  5237,   449,   334,
    3625,   277,   277,  3555,   449,  3557,  3386,  3387,  3388,   526,
    4504,   111,   100,   217,   334,   320,  4432,   513,   514,   515,
    3818,   517,   518,   519,   520,   521,   522,   526,   185,   472,
     217,   483,   299,   330,   320,   320,   491,   156,  3836,   180,
     111,   229,  3594,   655,   111,   510,   283,   528,   513,   514,
     515,   401,   517,   518,   519,   520,   521,   522,  3535,  3611,
    3612,   110,   510,    89,   447,  4633,  4560,   447,   449,   517,
     518,   519,   520,   521,   522,  3627,   412,   217,   524,   449,
    3826,  3827,  3828,  3829,   217,   526,   526,   206,   217,   524,
     472,   217,   217,   472,    14,   529,  4607,   329,  5146,   324,
     449,   487,   234,   526,  4805,   312,   312,   248,    87,   447,
    3625,  4812,   529,   225,  3666,   526,   526,   449,   242,  4919,
     234,   515,   529,   451,  5116,   529,   527,   249,  3680,    84,
    3785,  3683,    87,   249,   526,  5117,   273,   415,   529,   281,
    3785,   335,  4830,   472,   529,   111,    34,    10,   128,  3531,
     342,   449,   527,  3705,  3536,  3535,  3708,   449,  5131,   400,
    5133,   116,   527,   527,   400,   526,   307,   122,   281,   310,
     472,   281,   325,  3725,  3785,   325,  3728,   449,   449,   449,
     299,   526,  3734,  4824,   484,   454,   402,  5024,  3740,   229,
    3742,   146,   283,  3745,   325,   334,   118,  3749,  3750,  3751,
    3752,  3753,   421,   333,  3756,  3757,  3758,  3759,  3760,  3761,
    3762,  3763,  3764,  3765,   291,   291,   449,  3769,  3770,   441,
     529,   449,  3774,   400,   382,   334,  5063,  3779,   382,   348,
     250,  3783,   449,  3785,   409,  3787,   371,   449,   277,   111,
     277,   277,   472,  3795,   277,   472,  3798,   277,  3800,   283,
     333,   515,   515,   217,   229,   210,  3808,  3809,   484,   229,
    3812,  3813,   403,   382,   231,  3817,  3818,   386,    84,   330,
    5297,    87,  3824,   526,   526,    91,    92,    93,   217,   217,
     216,   409,  3834,   491,  3836,   320,   111,   334,   320,   334,
     283,   520,   904,   412,   247,   247,   251,  3849,   229,   111,
     524,   256,   310,  3855,  3856,  3857,   527,   509,  3785,   509,
     217,   334,   527,   527,   283,  4955,   527,   527,  4242,   334,
    4242,   334,   441,   409,   443,   229,   256,   256,   256,   495,
     529,   529,   529,  3715,  4741,    99,   526,   292,  5039,    84,
     240,   449,    87,  4750,   234,   334,    91,    92,    93,   309,
    3902,   963,   964,   491,   128,   529,   454,   438,   329,   283,
     527,   484,   527,  3915,   234,   527,   507,   526,  4023,   345,
    4025,   116,   491,  4018,  4052,  4843,   527,   122,  4023,  3931,
    4025,   336,  4876,   234,   527,   449,   344,   352,  1000,   488,
     526,  5228,   509,   527,  3946,   470,   301,   334,   488,  1000,
     527,   146,   128,  5240,   478,  3785,   527,  4018,  5245,   529,
    5247,   526,  4023,  4924,  4025,   511,   527,   334,  4886,   526,
    1021,   527,  1023,   527,  1025,   526,  3978,  4843,   515,   526,
    1031,  1032,  1033,   527,   337,   530,   529,   515,   527,   334,
     259,   217,   527,   449,  2197,   529,   526,  1059,   449,   495,
     449,   325,   267,   526,  1055,  1056,   338,   449,  4113,  4875,
     404,   277,   417,   217,  5456,   217,  4018,   259,  4113,   404,
    4886,  4023,  4024,  4025,   472,   449,   293,   353,   353,   469,
     303,  1093,   303,   303,   400,    84,   449,   449,    87,   400,
     449,  1103,    91,    92,    93,  1107,  1108,  1109,   449,   449,
     449,   449,  4113,   449,   449,   217,   251,  2260,   400,   108,
     320,   256,    89,   400,   412,   449,   449,   449,   277,   117,
     336,  4073,   449,   526,  4076,   527,   277,   277,   277,   529,
     527,   449,   277,   278,   459,   118,    84,   384,   178,    87,
     527,  4018,   526,    91,    92,    93,  4023,   292,  4025,   333,
     527,   529,   334,   111,   217,   510,   449,   217,   229,   244,
     108,  4113,   517,   518,   519,   520,   521,   522,   525,   138,
     526,   472,   229,   472,   400,   529,   400,  4202,   323,   337,
    2333,   409,  1183,  4135,   215,  1197,  1198,   400,   215,   166,
    1202,   336,   208,   277,   277,   277,   234,    87,   524,   345,
     229,  1202,   483,   340,   527,   488,  4158,  4159,   529,   234,
    4162,   188,  5019,   527,   527,   527,   526,   234,   527,  4171,
     242,  4173,   335,   529,   515,   155,   512,   529,  4242,   526,
     526,  4242,   389,   527,   229,   111,  4113,   459,  4018,   472,
    4265,   472,  4024,  4023,   529,  4025,   515,   527,  1249,   527,
     283,   449,   267,   128,   441,   526,   459,   400,  4210,  4211,
    4212,   449,   400,   449,   449,   527,   449,   527,   449,   527,
     526,   382,   417,   491,   128,   441,   229,   146,   277,   217,
     178,   459,   527,   277,   277,    84,   277,   277,    87,   526,
    4242,   491,    91,    92,    93,   281,   526,   513,   514,   515,
    5268,   517,   518,   519,   520,   521,   522,   262,   367,   108,
     229,   151,  4466,  2466,   441,   526,   495,   116,   459,   527,
     529,   449,  4274,   122,   529,   529,    84,   526,   529,   277,
     526,   525,    84,  4113,   527,    87,   409,   336,  4120,    91,
      92,    93,   239,  4295,   178,   234,   277,   146,   277,   130,
     277,   277,   527,   234,  4306,   526,   108,   527,   376,   128,
     489,   529,   527,   345,   489,   510,   527,   527,   513,   514,
     515,   526,   517,   518,   519,   520,   521,   522,   526,   280,
     343,   280,   163,   128,  4336,   440,  5297,   526,   336,   341,
     245,   527,   527,   527,  4346,  4347,  5264,  4349,   330,   515,
     449,  4353,  4354,   459,   234,   491,  4358,  4359,   146,   261,
     325,  4363,   325,   515,  4366,  4367,   128,  4442,   441,  4371,
     529,   529,   140,   449,   217,  4377,   277,   236,   449,   449,
     234,   472,   256,   526,   409,  4513,   472,   111,   203,   220,
     487,   491,   111,  4395,   234,   491,   334,  4399,  5264,   875,
     526,   229,   251,   264,   337,   527,   882,   256,   275,  4411,
     234,   526,  4507,   477,  4416,   526,   376,   893,   425,  1481,
    4422,   351,   253,  1485,  1486,   527,  1488,   280,   277,   278,
     490,   157,   527,   526,  1485,  1486,   334,  1488,  4440,  4271,
     527,   526,  1504,   292,    84,   921,  4507,    87,   198,   377,
     926,  4453,   526,  1504,   449,   449,   229,   288,   527,   192,
     325,   937,   111,   526,   513,   514,   515,  4469,   517,   518,
     519,   520,   521,   522,   323,   277,   116,   325,   304,   526,
     526,   259,   122,   111,   526,  4487,   367,   336,  1550,   320,
     339,   526,   338,   527,   216,   526,   423,   527,   397,   423,
     397,   459,  4504,   527,   515,  4507,   146,   128,   128,   111,
     526,   526,  1574,   527,  4516,   513,   514,   515,   527,   517,
     518,   519,   520,   521,   522,   526,   526,   441,  4530,   526,
     529,   472,   441,  4535,   336,    84,   318,   334,    87,    81,
    4542,   441,    91,    92,    93,   223,   367,   140,  4550,   527,
     337,   140,   198,   476,   491,   386,   491,   388,  4560,   390,
      84,   477,   376,   529,   526,   526,   397,   111,   417,   234,
     412,   488,   441,   404,   374,   229,   203,   261,   334,   334,
    4507,   412,   526,   111,   409,  1647,   111,  4589,    70,   337,
     337,   236,   526,   424,  1656,  4427,    78,    79,   236,   128,
     396,   432,   190,    81,   526,  4607,   527,   527,  1670,   527,
     470,   251,   396,   526,   526,   108,   256,    99,   383,   529,
      97,  4453,  4624,   529,   216,   234,   449,   367,   491,   423,
     526,   423,   526,  4635,   491,   236,   236,   382,  1989,  1701,
    1274,  2812,  1704,  1705,  3177,  1281,  1245,  1709,  1710,  1710,
    1280,  2671,   292,  1704,  3365,   486,  2739,  4023,  1709,  1710,
    3527,   510,  4112,  5138,   513,   514,   515,  4922,   517,   518,
     519,   520,   521,   522,   156,  5297,   525,  4507,  4970,  4156,
    4974,  4626,   531,  4954,  3289,  5382,  4688,  2956,  4690,  4842,
    5453,  5311,  5310,  5402,  4203,  4189,   336,  3293,  4018,  4148,
    2802,  2802,  3387,  4172,  4651,  2060,  3580,  2796,  5461,  5554,
    5535,   513,   514,   515,   101,   517,   518,   519,   520,   521,
     522,  1197,  1198,  4725,  4949,   207,  3535,  5413,   277,  3530,
    4888,  1793,  1783,  2049,  1785,  5283,  5392,  4891,   188,  4741,
    1541,  4274,  5088,  4745,  1557,  2528,  4823,  4210,  4750,  3264,
    5205,   964,  1803,   992,  2263,  3483,  5427,  2263,  5538,  1810,
    1811,   148,  2264,  1854,    84,  4767,  4768,    87,  2423,  4771,
    2424,    91,    92,    93,   256,  4607,  3193,   417,  2198,   261,
    4191,  5374,  4443,  4785,  1123,   130,  3913,   336,  4790,  1499,
    2939,  1738,   179,  4795,  1681,  1756,  4798,  3194,  2464,  3205,
    1755,  3860,  5367,  5249,  4806,  4807,  3200,  4425,  3215,  3836,
    1758,  4401,  2463,   200,  5053,  5063,  5231,  4922,   163,  4386,
    1763,  3834,  5230,  3914,   211,  1876,  4828,  4922,  3645,  5022,
    3787,  4814,  5370,  1884,  4836,  5371,  4838,  5085,  5357,  2357,
    4842,  3197,  3032,  3122,   231,  3120,  2360,  3622,   655,   236,
    2866,  2497,  5348,  2095,   391,  1002,  1388,  1553,  3061,  1775,
    2473,  4922,  1220,  3171,  2513,  2505,  1769,  2506,  3920,  4426,
     510,   353,  3921,  4875,  4876,   220,  1684,   517,   518,   519,
     520,   521,   522,  4885,  4959,  1200,  1200,  3886,   424,  2952,
    1773,  1942,     2,  2517,  1945,  1946,  1958,   284,    -1,  2227,
      -1,    -1,  3105,  1034,    -1,    -1,    -1,    -1,   253,  4984,
      -1,   393,    -1,    -1,    -1,    -1,    -1,  1485,   305,  3122,
    4922,    -1,  4924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4936,  3138,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3154,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2014,   513,   514,   515,  2029,   517,   518,
     519,   520,   521,   522,    -1,   320,    -1,    -1,    -1,   366,
      -1,   463,    -1,    -1,  4816,  4987,    -1,  4989,    -1,   471,
    3193,    -1,   474,    -1,  1021,  4922,  1023,  2059,  1025,    -1,
      -1,    -1,    -1,   348,  1031,    -1,   393,    -1,    -1,    -1,
      -1,    -1,  3215,   400,  5109,  3218,   336,  5019,  5020,   406,
    5022,    -1,  5024,    -1,    -1,    -1,    -1,    -1,  1055,  1056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,
      -1,   386,  2093,  4875,    -1,   390,  5048,    -1,  5109,    -1,
    5052,   438,   397,    -1,   441,    -1,  5058,    -1,    -1,   404,
      -1,  5063,    -1,    -1,    -1,    -1,  2117,   412,    -1,    -1,
      -1,    -1,   459,    -1,    -1,    -1,  2127,    -1,  2129,   424,
      -1,    -1,    -1,  5085,    -1,  2136,    -1,   432,    -1,    -1,
    2141,    -1,  4922,    -1,    -1,    -1,    -1,   484,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,  5109,    -1,    -1,
      -1,    84,  5187,  5115,    -1,    -1,    89,  5119,  5120,    -1,
      -1,    -1,  5124,  2185,    -1,    -1,  2188,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2185,    -1,    -1,  2188,    -1,    -1,
      -1,   486,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1183,    -1,    -1,    -1,
      -1,    -1,    -1,  5165,    -1,    -1,    -1,    -1,   111,    -1,
    1197,  1198,    -1,    -1,    -1,  1202,    -1,    -1,    -1,    -1,
      -1,    -1,  5109,  5185,    -1,    -1,    -1,   130,   161,    -1,
      -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,  5205,  5206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5216,    -1,    -1,    -1,    -1,    -1,
     163,    -1,  1249,    -1,    -1,  2287,  5228,    -1,    -1,  5231,
      -1,  5479,    -1,  2284,  2285,    -1,   209,    -1,  5240,    -1,
    2291,  2292,    -1,  5245,   217,  5247,   219,  5249,    -1,    -1,
      -1,    -1,    -1,    -1,  5256,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2320,
      -1,    -1,  5274,    -1,    -1,    -1,    -1,   220,    -1,  5109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    84,    -1,    -1,    87,    -1,  1793,    -1,    91,
      92,    93,    -1,  5325,    -1,  2376,    -1,    -1,    -1,    -1,
      -1,    -1,  2394,    -1,    -1,    -1,   108,    -1,    -1,  5414,
     283,    -1,    -1,    -1,   116,   288,    -1,    -1,    -1,    -1,
     122,    -1,  5427,    -1,  5356,  5357,  5427,  5427,    -1,  5427,
      -1,  5427,    -1,    -1,    -1,  5367,    -1,    -1,  5473,    -1,
      -1,    -1,    -1,  5375,   146,    -1,    -1,   320,  5473,    -1,
      -1,    -1,    -1,    -1,    -1,  5387,   101,    -1,  3591,  2440,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3601,    -1,
      -1,    -1,    -1,    -1,  5479,    -1,    -1,    -1,  5479,  5479,
      -1,  5479,  5473,  5479,    -1,    -1,    -1,   390,    -1,   134,
    5422,    -1,  3625,    -1,    -1,    -1,  5428,  5429,    -1,  5431,
    5535,    -1,   147,    -1,    -1,  2497,    -1,    -1,    -1,    -1,
    5535,    -1,  2493,   386,    -1,    -1,   161,   390,  5450,  5554,
      -1,  2513,   425,  2515,   397,  2517,    -1,    -1,    -1,  5554,
      -1,   404,  2513,  5538,  2515,    -1,  2517,  5538,  5538,   412,
    5538,  5473,  5538,    -1,  5535,    -1,    -1,  1504,    -1,   251,
      -1,   424,    -1,    -1,   256,   200,    -1,    -1,    -1,   432,
      -1,    -1,  2554,  5554,    -1,    -1,   211,    -1,    -1,    -1,
      -1,    -1,    -1,  2554,    -1,   277,   278,    -1,    -1,   452,
    1986,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
     292,   236,    -1,    -1,    -1,    -1,    -1,  5529,  5530,    -1,
     865,    -1,    -1,  5535,    -1,    -1,    -1,    -1,    -1,   874,
      -1,  5543,    -1,   486,    -1,    -1,  5473,   490,   491,    -1,
      -1,   323,  5554,  5555,  5556,    -1,    -1,    -1,  2620,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,   909,    -1,    -1,    -1,    -1,    -1,
      -1,  2057,    -1,    -1,   111,  2061,    -1,    -1,    -1,    -1,
     305,    -1,    -1,    -1,    -1,    -1,    -1,  2073,    -1,    -1,
      -1,    -1,    -1,   130,    -1,    -1,    -1,    -1,  5535,    -1,
      -1,    -1,    -1,    -1,    -1,  3818,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,    -1,    -1,    -1,  5554,    -1,    -1,
      -1,  3834,   967,  3836,    -1,    -1,   163,    -1,    -1,    -1,
      -1,  5473,   977,  5473,    -1,   417,    -1,  2698,    -1,    -1,
      -1,   366,    -1,    -1,    -1,  2706,    -1,  2708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2149,    -1,    -1,    -1,  1704,    -1,    -1,
      -1,    98,  1709,  1710,    -1,   400,    -1,   104,    -1,    -1,
      -1,   406,    -1,   220,   409,    -1,    -1,    -1,    -1,  2761,
      -1,  2177,    -1,  5535,    -1,  5535,    -1,  2769,    -1,    -1,
      -1,    -1,   129,    -1,    -1,  2777,    -1,  2779,    -1,    -1,
      -1,    -1,  5554,   438,  5554,    -1,   253,   144,    -1,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    -1,   452,   510,    -1,
      -1,   513,   514,   515,   459,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,    -1,   283,   529,    -1,    70,
     177,   288,    -1,    -1,    98,  2827,  1793,    78,    79,   484,
     104,    -1,    -1,    84,    -1,    -1,    87,    -1,   195,    -1,
      91,    92,    93,    -1,    -1,   202,    -1,    -1,   205,    -1,
      -1,   973,    -1,   320,    -1,  2857,    -1,   108,    -1,    -1,
     111,   111,    -1,  2865,    -1,   116,    -1,    -1,    -1,    -1,
     144,   122,   994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2891,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,  2890,
    2891,   258,    -1,    -1,   261,    -1,    -1,    -1,    -1,  1876,
      -1,    -1,    -1,   163,    -1,    -1,    -1,  1884,    -1,   386,
      -1,   195,    -1,   390,    -1,  2927,    -1,    -1,   202,    -1,
     397,   205,    -1,    -1,   164,    -1,    -1,   404,    -1,    -1,
      -1,    -1,    -1,    -1,   857,   412,    -1,    -1,   861,   306,
      -1,   308,    -1,    -1,    -1,    -1,    -1,   424,    -1,    -1,
      -1,   318,   875,   320,    -1,   432,    -1,    -1,    -1,   882,
     220,    -1,    -1,   330,    -1,  1942,    -1,  2968,  1945,  1946,
     893,   338,   212,    -1,    -1,   452,    -1,   261,    -1,    -1,
     347,   348,    -1,    -1,   224,    -1,    -1,    -1,    -1,   229,
     251,    -1,    -1,   253,   234,   256,    -1,    -1,   921,   239,
      -1,    -1,   242,   926,    -1,   245,    -1,    -1,    -1,   486,
      -1,    -1,    -1,   490,   937,   382,   277,   278,   385,   386,
     387,  1306,    -1,   283,    -1,    -1,    -1,    -1,   288,    -1,
      -1,   292,  1317,   273,   318,    -1,   320,  2014,    -1,    -1,
     963,    -1,    -1,    -1,    -1,   412,   330,    -1,    -1,  4202,
      -1,    -1,    -1,   293,   338,   978,    -1,    -1,    -1,   426,
     320,   984,   323,    -1,   348,    -1,    -1,    -1,    -1,    -1,
      -1,  2497,   995,    -1,    -1,   336,    -1,    -1,   339,   101,
      -1,    -1,    -1,    -1,    -1,    -1,  1009,    -1,    -1,    -1,
      -1,    -1,   332,    -1,   334,  1380,    -1,    -1,   382,    -1,
     340,   385,   386,    -1,    -1,    -1,    -1,    -1,   475,    -1,
      -1,  2537,  4265,    -1,    -1,    -1,  2542,    -1,    -1,    -1,
    2546,    -1,    -1,    -1,    -1,   147,   386,    -1,   412,    -1,
     390,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,   161,
      -1,    -1,    -1,    -1,   404,    -1,  2572,    -1,    -1,   389,
      -1,    -1,   412,    -1,    -1,    -1,   417,   179,    -1,    -1,
      -1,    -1,    -1,   185,   424,  3177,    -1,    -1,    -1,    -1,
      -1,  3172,   432,    -1,  3175,    -1,  3177,    -1,   200,    -1,
      -1,  1313,    -1,  1106,    -1,  1108,    -1,  1110,  2614,   211,
      -1,   475,   452,    -1,    -1,    -1,    -1,   219,   438,    -1,
      -1,  1333,    -1,    -1,    -1,  2631,  1129,    -1,    -1,   231,
    1342,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
     242,    -1,    -1,    -1,   464,    -1,   486,    -1,    -1,    -1,
     490,    -1,    -1,  2659,    -1,    -1,    -1,   259,    -1,    -1,
      -1,    -1,  4395,    -1,    -1,    -1,  4399,    -1,   488,   510,
     490,   491,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,   284,  2689,    -1,    -1,    -1,  2693,    -1,    -1,
      -1,    -1,    -1,    84,  1197,  1198,    87,    -1,    -1,    -1,
      91,    92,    93,   305,   524,  2711,    -1,   527,   528,  4442,
     530,    -1,    -1,    -1,    -1,    -1,  2722,   108,    -1,    -1,
    3312,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,  2735,
      -1,   122,    -1,    84,   336,    -1,    87,  2743,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,   146,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,   366,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,  1280,  1281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   393,    -1,    -1,    -1,   146,   398,    -1,   400,   101,
    3392,    -1,    -1,    -1,   406,    -1,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   134,    -1,    -1,   437,   438,    -1,    -1,   441,
      -1,  3433,  1554,   445,    -1,   147,   148,    -1,    -1,    -1,
      -1,    -1,   454,    -1,    -1,   157,    -1,   459,    -1,   161,
     251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,    -1,
      -1,    -1,   484,  2440,    -1,    -1,   277,   278,    -1,    -1,
    3482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,
     251,   292,    -1,    -1,    -1,   256,    -1,    -1,    -1,   211,
      -1,    -1,  3504,    -1,    -1,    -1,    -1,   219,    -1,  3511,
    3512,    -1,    -1,  3515,    -1,    -1,   277,   278,    -1,   231,
    3522,    -1,   323,    -1,   236,    -1,  2493,    -1,    -1,  3531,
    2497,   292,    -1,    -1,  3536,   336,    -1,    -1,   339,  3541,
    3531,  3543,    -1,    -1,    -1,  3536,  2513,   259,  1461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2974,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,  3558,  1481,    -1,
      -1,    -1,   284,    -1,    -1,   336,    -1,    -1,   339,  3581,
    2996,    -1,    -1,    -1,    -1,    -1,    -1,  2554,  3004,    -1,
      -1,  1504,    -1,   305,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    89,  3610,  3611,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,  1540,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,  3639,    -1,    -1,
      -1,  3632,    -1,  1556,   356,    -1,    -1,  4790,  3639,    -1,
      -1,    -1,  4795,    -1,   366,  4798,   417,    -1,  1571,    -1,
      84,  1574,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,   393,    -1,    -1,   108,    -1,   398,  4830,   400,    -1,
      -1,    -1,   116,    -1,   406,    -1,    -1,   409,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,   146,    -1,  3715,    -1,   438,    -1,   529,   441,
      -1,  2698,    -1,   445,    -1,    -1,    -1,    -1,    -1,  2706,
     452,  2708,   454,    -1,    -1,    -1,    -1,   459,    -1,   510,
     232,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,
      -1,    -1,   484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  1701,    91,
      92,    93,  3794,    -1,    -1,    -1,  1709,  1710,    -1,    -1,
      -1,    -1,    -1,    -1,  1926,    -1,   108,  1720,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,  4959,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,  2101,   251,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4984,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
    3266,    -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,
    1773,  1774,  1775,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1793,    -1,    98,    -1,    -1,  2007,    -1,    -1,   104,    -1,
      -1,    -1,    -1,  3309,    -1,    -1,    -1,    -1,    -1,   323,
    2022,    -1,   164,    -1,    -1,    -1,    -1,    -1,   390,  5052,
    1823,    -1,   336,    -1,    -1,   339,    -1,  1830,    -1,  2041,
    5063,    -1,    -1,    -1,  1837,    -1,  3917,    -1,   144,    -1,
      -1,    -1,    -1,    -1,  1847,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5085,   425,    -1,    -1,    -1,    -1,    -1,   251,
     212,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,  2238,    -1,    -1,  2088,   229,    -1,    -1,
      -1,    -1,   234,  1886,    -1,   277,   278,   239,    -1,   195,
     242,    -1,    -1,   245,    -1,  2107,   202,    -1,    -1,   205,
     292,    -1,    -1,   417,  3410,    -1,    -1,  2119,    -1,    -1,
      -1,  2968,    -1,    -1,    -1,    -1,  3422,    -1,    -1,  2131,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,  4024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,  4024,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,  5187,   261,    -1,    -1,    -1,  2171,
      -1,  4053,  2174,    -1,  4056,    -1,  4058,    -1,    -1,    -1,
      -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,   334,  1986,    -1,  1988,    -1,    -1,   340,    -1,
      -1,    -1,    -1,  3499,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,  4101,
      -1,    -1,   318,   527,   320,  4107,  4108,    -1,  4110,    -1,
    4112,    -1,    -1,    -1,   330,   417,    -1,    -1,    -1,    -1,
      -1,    -1,   338,  2036,    -1,    -1,    -1,   389,  4119,  4120,
      -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2057,    -1,    -1,    -1,  2061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2073,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,
     386,    -1,    -1,    -1,    -1,    -1,   438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,
      -1,  2323,   464,    -1,  4206,    -1,    -1,    -1,   510,    -1,
    3177,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   527,   488,    -1,   490,   491,
      -1,    -1,    -1,    -1,    -1,  2148,  2149,    -1,    -1,    -1,
      -1,  4243,  4244,  4245,  4246,  4247,    -1,    -1,  2161,    -1,
    3666,    -1,  4243,  4244,  4245,  4246,  4247,    -1,    -1,   475,
      -1,    -1,   524,  2176,  2177,   527,   528,  3683,   530,    -1,
      -1,  5414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4271,    -1,    -1,    -1,  5427,  2198,  4288,    -1,    -1,  4291,
      -1,  4293,  3708,    -1,    -1,    -1,    -1,    -1,    -1,    89,
      -1,    -1,    -1,    -1,    94,    -1,    96,    -1,    -1,    -1,
      -1,  2586,    -1,    -1,    -1,    -1,   106,    -1,  2593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5479,    -1,    -1,    -1,
      -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   152,   153,    -1,    -1,   156,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,   857,   166,    -1,    -1,   861,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   875,    -1,  5538,    -1,    -1,   188,    -1,
     882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,   893,    87,   203,    -1,  2328,    91,    92,    93,    -1,
      -1,    -1,  4424,    -1,    -1,  4427,  4428,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,  4427,    -1,    -1,   921,
      -1,   116,    -1,    -1,   926,    -1,    -1,   122,    -1,    -1,
      -1,  4453,    -1,    -1,    -1,   937,    -1,    -1,    -1,    -1,
      -1,    -1,  4453,    -1,    -1,    -1,    -1,    -1,  2590,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2602,   963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   978,    -1,    -1,    -1,
      -1,    -1,   984,    -1,    -1,    -1,    -1,    -1,  2421,    -1,
      -1,    -1,    -1,   995,    -1,    -1,    -1,  2639,    -1,    -1,
      -1,    -1,  4513,    -1,    -1,    -1,    -1,  1009,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4533,  4534,    -1,    -1,    -1,  4538,  4539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3978,  2476,  3531,  2478,    -1,    -1,    -1,  3536,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,  2497,  4587,  4588,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4596,    -1,  4598,  4599,    -1,    -1,
    4602,    -1,   277,   278,    -1,  4607,    -1,    -1,    -1,  4611,
      -1,    84,    -1,    -1,    87,    -1,  4607,   292,    91,    92,
      93,    -1,    -1,    -1,  2537,    -1,  1108,    -1,  2541,  2542,
      -1,    -1,    -1,  2546,    -1,   108,   426,    -1,    -1,    -1,
      -1,  2554,    -1,   116,    -1,    -1,    -1,  1129,   323,   122,
      -1,    -1,    -1,    -1,    -1,    -1,  4658,  4073,    -1,  2572,
    4076,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,  2791,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4687,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2625,    -1,    -1,  1197,  1198,    98,  2631,  2632,
      -1,    -1,    -1,   104,  4726,    -1,    -1,    -1,  4730,  4731,
      -1,  4733,    -1,  3008,    -1,    -1,    -1,    -1,    -1,  3014,
      -1,    -1,   417,    -1,    -1,  2658,  2659,    -1,  3715,  2662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4173,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2689,    -1,   251,    -1,
    2693,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2711,    -1,
      -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,  2722,
      -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,   292,
      -1,   202,  2735,    -1,   205,  4816,    -1,    -1,    -1,    -1,
    2743,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
     323,    -1,   527,    -1,    -1,    -1,    -1,    -1,  4274,    -1,
      -1,    -1,    -1,   336,    -1,   655,   339,    -1,  2990,    -1,
      89,    -1,    -1,  4875,    -1,    -1,    -1,    -1,    -1,  3154,
     261,    -1,    -1,    -1,  4875,    -1,  2799,    -1,    -1,  3011,
      98,    -1,    -1,    -1,    -1,    -1,   104,   116,    -1,    -1,
    3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,  4913,    87,   703,   704,    -1,    91,    92,    93,    -1,
      -1,   129,  4924,    -1,    -1,    -1,  4928,    -1,  4930,    -1,
      -1,    -1,  4934,  4935,    -1,    -1,   144,   318,    -1,   320,
    3215,   116,   161,    -1,   417,    -1,    -1,   122,    -1,   330,
      -1,    -1,  2865,    -1,    -1,    -1,    -1,   338,    -1,    -1,
      -1,   751,    -1,    -1,    -1,    -1,    -1,   348,    -1,   177,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,    98,
     209,    -1,    -1,    -1,   202,   104,    -1,   205,   217,  1481,
     219,   382,    -1,    -1,   385,   386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,  2927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,    -1,    -1,    -1,   144,    -1,   510,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
     258,    -1,    -1,   261,   527,    -1,    -1,  4024,  1540,    -1,
      -1,  2974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1556,    -1,   251,    -1,    -1,    -1,
      -1,   256,    -1,  2996,    -1,  4052,   195,    -1,    -1,  1571,
      -1,  3004,  1574,   202,   475,    -1,   205,    -1,   306,    -1,
     308,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,   320,    -1,  4530,    -1,    -1,   292,    -1,    -1,
      -1,    -1,   330,    -1,    -1,    -1,  4542,    -1,    -1,    -1,
     338,    -1,    -1,    -1,    -1,    -1,    -1,  5139,    -1,   347,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,   949,
     950,   336,   952,    -1,    -1,    -1,    -1,  3080,    -1,    -1,
      -1,    -1,    -1,  3086,   382,    -1,    -1,   385,   386,   387,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,  3315,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,    -1,   108,    -1,    -1,   318,
    3332,   320,    -1,  1003,   116,    -1,  1006,  1007,   426,  1701,
     122,   330,    -1,    -1,    -1,  5216,    -1,  1709,  1710,   338,
      -1,  1021,    -1,  1023,    -1,  1025,    -1,    -1,  1720,   348,
      -1,  1031,   417,    -1,   146,  1035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3177,  1055,  1056,   475,    -1,    -1,
      -1,    -1,    -1,   382,    -1,    -1,   385,   386,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1773,  1774,  1775,    -1,  5297,    -1,  3419,    -1,  3421,
      -1,    -1,    -1,   412,  4271,    -1,    -1,    -1,    -1,  4725,
      -1,  1793,  1102,    -1,  1104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,  1823,   517,   518,   519,   520,   521,   522,  1830,   251,
      -1,    -1,    -1,  3266,   256,  1837,    -1,    -1,  3480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,    -1,  3282,
    3283,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,    -1,    -1,  3505,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,  1183,    -1,    84,  3309,    -1,    87,  3312,
      -1,    -1,    91,    92,    93,  3680,    -1,  1197,  1198,    -1,
      -1,  1201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
    4836,   323,  4838,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,  1249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5473,  3594,  3386,  3387,  3388,    -1,    -1,    -1,    -1,
      -1,    -1,  5473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3410,    -1,    -1,
      -1,    -1,    -1,    -1,  1986,  3627,    -1,    -1,    -1,  3422,
      -1,    -1,    -1,  3426,    -1,   417,    -1,    -1,    -1,    -1,
      -1,    -1,  3435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5535,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5535,    -1,  4513,    -1,    -1,    -1,
      -1,    -1,  5554,    -1,  2036,    -1,    -1,    -1,    -1,  3834,
      -1,  3836,   251,  5554,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2057,    -1,    -1,    -1,  2061,
      -1,    -1,    -1,    -1,    -1,    -1,  3499,    -1,   277,   278,
      -1,  2073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,  3728,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,  3535,    -1,    -1,   527,    -1,  3749,  3541,    -1,
    3543,    -1,    -1,    -1,   323,    -1,    -1,    -1,   857,    -1,
    4607,    -1,  3555,    -1,  3557,    -1,    -1,   336,    -1,    -1,
     339,    -1,  3774,    98,    -1,    -1,   875,    -1,    -1,   104,
      -1,    -1,    -1,   882,    -1,    -1,  2148,  2149,    -1,    -1,
      -1,  3946,    -1,    -1,   893,    -1,    -1,    -1,    -1,  2161,
      -1,    -1,    -1,    -1,    -1,    -1,  3808,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2176,  2177,    -1,  1428,  3611,   144,
      -1,    -1,   921,    -1,    -1,    -1,    -1,   926,    -1,    -1,
      -1,    -1,    -1,    -1,  1504,    -1,  2198,    -1,   937,  1509,
      -1,  1511,    -1,    -1,  1514,    -1,  1516,    -1,   417,  1519,
    1520,  1521,    -1,    -1,    -1,  1525,    -1,    -1,  1469,    -1,
      -1,    -1,  1532,    -1,   963,    -1,  1477,    -1,    -1,    -1,
     195,    -1,  1483,  3666,    -1,    -1,  1546,   202,  1548,   978,
     205,    -1,    -1,  1553,    -1,   984,    -1,    -1,    -1,    -1,
    3683,    -1,    -1,    -1,    -1,    -1,   995,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1009,    -1,  3705,    -1,    -1,  3708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,    -1,    -1,    -1,    84,  2328,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,  3785,   318,    -1,   320,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,   330,  1676,  1106,    -1,  1108,
      -1,  1110,    -1,   338,    -1,    -1,    -1,  1687,  1688,    -1,
      -1,    -1,    -1,   348,    -1,    -1,    -1,   146,  4875,    -1,
      -1,    -1,    -1,    -1,  1704,    -1,    -1,    -1,    -1,  1709,
    1710,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,  2421,
     385,   386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   144,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,  1197,  1198,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2476,    -1,  2478,   108,    -1,    -1,
      -1,  1791,    -1,  1793,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,   251,  1803,    -1,  2497,    -1,   256,    -1,   195,
      -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,   205,
     475,    -1,    -1,    -1,    -1,   146,    -1,    -1,   277,   278,
    4162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,  2537,    -1,    -1,    -1,  2541,
    2542,  1280,  1281,    -1,  2546,  3978,    -1,    -1,    -1,    -1,
      -1,    -1,  2554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     876,    -1,    -1,    -1,   323,   261,  1876,    -1,    -1,   885,
    2572,    -1,    -1,    -1,  1884,    -1,    -1,   336,   894,    -1,
     339,    -1,    -1,    -1,    -1,  4018,   902,    -1,    -1,    -1,
    4023,   907,  4025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4395,    -1,    -1,    -1,  4399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,   318,    -1,   320,   256,    -1,    -1,    -1,  2631,
    2632,    -1,  1942,    -1,   330,  1945,  1946,    -1,    -1,    -1,
    4073,    -1,   338,  4076,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,   348,    -1,    -1,    -1,  2658,  2659,   417,    -1,
    2662,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4113,    -1,    -1,    -1,    -1,    -1,   382,  2689,    -1,   385,
     386,  2693,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2014,   336,    -1,    -1,   339,  2711,
      -1,    -1,    -1,    -1,    -1,    -1,   412,  4359,    -1,    -1,
    2722,    -1,  1461,    -1,    -1,  4158,  4159,    -1,    -1,  5216,
      -1,    -1,    -1,  2735,    -1,    -1,    -1,    -1,  4171,    -1,
    4173,  2743,  1481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,    -1,  1069,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,  1504,    -1,    -1,   527,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,   475,
      -1,    91,    92,    93,    -1,    -1,   417,    -1,    -1,  1105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2799,   108,    -1,
      -1,  1540,    -1,    -1,    -1,    -1,   116,    -1,  1124,  4242,
      -1,    -1,   122,    -1,    -1,    -1,    -1,  1556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1147,  1571,    -1,    -1,  1574,   146,    -1,    -1,    -1,
    4635,  4274,    -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,
      -1,  2102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,  4535,   525,    -1,  2147,  2207,    -1,  2209,
    2151,    -1,    -1,  2213,    -1,  2215,  2157,  2158,  2218,    -1,
      -1,    -1,  2222,    -1,    -1,    -1,    -1,  2227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2927,    -1,    -1,    -1,  2180,
      -1,    -1,    -1,    -1,  1250,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,  4589,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1701,    -1,    -1,    -1,    -1,   277,   278,    -1,
    1709,  1710,  2974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1720,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4785,    -1,    -1,    -1,  2996,  4790,    -1,    -1,    -1,    -1,
    4795,    -1,  3004,  4798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
      -1,    -1,    -1,  4828,  1773,  1351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4842,  4690,  2359,
      -1,    -1,    -1,    -1,  1793,    98,  2366,    -1,  1374,  1375,
    1376,   104,    -1,    -1,    -1,    -1,  2376,    -1,    -1,    -1,
      -1,  4504,    -1,    -1,  4507,    -1,    -1,    -1,  3080,    -1,
      -1,    -1,    -1,    -1,  3086,    -1,    -1,    -1,    -1,    -1,
    4885,    -1,    -1,    -1,    -1,    -1,    -1,  4530,  1837,    -1,
      -1,   144,    -1,  4745,    -1,    -1,    -1,   417,  1847,  4542,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    98,    -1,  4560,    -1,    -1,
    2440,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,  4936,    -1,    -1,    -1,   104,    -1,  1886,    -1,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,   202,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,  2420,
      -1,   144,    -1,    -1,  4607,  3177,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2493,    -1,   144,    -1,  2497,    -1,    -1,
      -1,    -1,  4987,  2503,    -1,  2505,    -1,    -1,  2508,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,   527,   261,    -1,
      -1,    -1,   195,  1539,    -1,    -1,    -1,    -1,    -1,   202,
      -1,    -1,   205,    -1,    -1,    -1,   195,    -1,    -1,    -1,
      -1,    -1,    -1,   202,  2554,    -1,   205,  1986,    -1,  1988,
      -1,    -1,    -1,    -1,  1570,    -1,    -1,  5052,    -1,    -1,
      -1,    -1,    84,    -1,  3266,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,   318,    -1,   320,    -1,    -1,
    3282,  3283,    84,    -1,    -1,    87,   108,   330,   261,    91,
      92,    93,  4725,    -1,   116,   338,    -1,  2036,    -1,    -1,
     122,    -1,   261,    -1,    -1,   348,   108,  3309,    -1,    -1,
    3312,    -1,    -1,    -1,   116,    -1,    -1,    -1,  2057,    -1,
     122,    -1,  2061,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2073,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,   386,   146,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,   318,
      -1,   320,    -1,    -1,    -1,   338,    -1,    -1,    -1,   412,
    5165,   330,    -1,    -1,    -1,   348,    -1,    -1,  5020,   338,
      -1,    -1,    -1,    -1,  3386,  3387,  3388,    -1,  2698,   348,
      -1,    -1,    -1,    -1,    -1,    -1,  2706,    -1,  2708,    -1,
    1716,    -1,    -1,  4836,    -1,  4838,    -1,    -1,  3410,  2148,
    2149,    -1,   385,   386,    -1,    -1,  5058,    -1,    -1,    -1,
    3422,    -1,  2161,   382,  3426,    -1,   385,   386,    -1,   251,
      -1,    -1,   475,  3435,   256,    -1,  5231,  2176,  2177,   412,
      -1,    -1,    -1,  4876,    -1,    -1,    -1,    -1,  1764,   251,
      -1,    -1,    -1,   412,   256,   277,   278,    -1,    -1,  2198,
      -1,  5256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,  5115,    -1,   277,   278,  5119,  5120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4922,
     292,  4924,    -1,    -1,    -1,    -1,    -1,  3499,    -1,    -1,
      -1,   323,   475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,   475,   339,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5325,    -1,    -1,  3535,   336,    -1,    -1,   339,    -1,  3541,
      -1,  3543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3555,    -1,  3557,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1899,    -1,    -1,    -1,    -1,    -1,  2328,
    1906,    -1,  5387,    -1,    -1,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3611,
      -1,    -1,    -1,    -1,  1930,   417,    -1,    -1,    -1,    -1,
      -1,    -1,  1938,    -1,    -1,  1941,    -1,  5422,    -1,  2880,
      -1,    -1,    -1,  5428,  5429,    -1,    -1,    98,    -1,    -1,
      -1,  2951,  2952,   104,    -1,    -1,    -1,    -1,  2899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2968,    -1,
      -1,  1977,    -1,  2914,  3666,    -1,  2917,  2918,    -1,    -1,
      -1,  2922,  2923,    -1,    -1,  1991,  5109,    -1,  2929,    -1,
      -1,  3683,    -1,   144,    -1,    -1,    -1,    -1,   510,  2005,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,  3705,    -1,   527,  3708,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    98,    -1,    -1,    -1,   527,    -1,   104,    -1,    -1,
      -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,  2054,    -1,
      -1,   202,    -1,    -1,   205,    -1,    -1,    -1,  5543,    -1,
      -1,    -1,    -1,    -1,    -1,  3006,    -1,    -1,  2497,  2075,
    5555,  5556,    -1,    -1,    -1,    -1,  2082,   144,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,  3785,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,  2537,    -1,
     261,    -1,  2541,  2542,   116,    -1,    -1,  2546,    -1,    -1,
     122,    -1,    -1,    -1,    -1,  2554,    -1,    -1,   195,    -1,
      -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,   205,    -1,
      -1,    -1,    -1,  2572,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,   320,
      -1,    -1,  3172,    -1,  5297,    -1,    -1,  3177,    -1,   330,
      -1,    -1,    -1,    -1,    -1,  2614,    -1,   338,    -1,  2195,
      -1,    -1,    -1,    -1,   261,    -1,  2625,   348,    -1,    -1,
      -1,    -1,  2631,  2632,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2658,
    2659,   382,    -1,  2662,   385,   386,  2242,  2243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,   318,  5375,   320,   256,    -1,  2262,    -1,    -1,    -1,
    2689,   412,    -1,   330,  2693,    -1,    -1,    -1,    -1,    -1,
      -1,   338,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,   348,  2711,    -1,    -1,    -1,  3978,    -1,    -1,    -1,
     292,    -1,    -1,  2722,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2743,   382,    -1,    -1,   385,   386,
      -1,   323,    -1,    -1,   475,    -1,  4018,    -1,    -1,    -1,
      -1,  4023,    -1,  4025,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,    -1,
    5473,    -1,    -1,  2359,    -1,    -1,    -1,  3298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2385,
      -1,  4073,    -1,    -1,  4076,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,
      -1,   108,  5535,    -1,    -1,   417,  2422,    -1,  2424,   116,
      -1,  4113,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,  5554,  3373,    -1,  3375,    -1,  2865,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,  2461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4158,  4159,    -1,    -1,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4171,
      -1,  4173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   527,    -1,    -1,   152,    -1,
      -1,  3531,    -1,    -1,    84,    -1,  3536,    87,  3479,    -1,
      -1,    91,    92,    93,  3485,  2974,   170,    -1,    -1,    -1,
    4242,    -1,    -1,    -1,   251,    -1,    -1,    -1,   108,   256,
      -1,   185,    -1,    -1,    -1,    -1,   116,  2996,    -1,   193,
      -1,    -1,   122,    -1,    -1,  3004,    -1,    -1,    -1,    -1,
     277,   278,  4274,    -1,   208,    -1,   210,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,   292,   146,    -1,    -1,    -1,
     224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3625,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,  2655,
      -1,  3080,    -1,    -1,    -1,    -1,    -1,  3086,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  2674,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3626,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,   251,    -1,    -1,    -1,    -1,   256,    -1,  3649,  3650,
      -1,  3652,    -1,  3654,  3655,  3715,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,   146,    -1,  3667,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,   292,    91,    92,    93,    -1,    -1,  3177,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,  3707,    -1,   116,    -1,
      -1,    -1,    -1,   323,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4504,   510,    -1,  4507,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,   251,
     527,    -1,    -1,    -1,   256,    -1,    -1,  3266,  4530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4542,    -1,    -1,  3282,  3283,   277,   278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,  4560,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3309,    -1,    -1,  3312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,   336,  4607,    -1,   339,    -1,    -1,
    3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3386,  3387,  3388,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,   323,    -1,   527,    -1,    -1,
      -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,  2998,  3422,    -1,   417,    -1,  3426,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3435,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,    -1,    -1,
      -1,   655,    -1,  4725,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
    3499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   527,  3535,   212,    -1,    -1,
      -1,    -1,  3541,    -1,  3543,    -1,    -1,    -1,    -1,   224,
      -1,    -1,    -1,    -1,   229,    -1,  3555,    -1,  3557,   234,
      -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
     245,  3147,    -1,    -1,  4836,    -1,  4838,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   273,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,
      -1,    -1,  3611,    -1,  4876,    -1,    -1,    -1,   293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,   334,
    4922,    -1,  4924,    -1,    -1,   340,    -1,  3666,    -1,    -1,
      -1,   865,   866,   867,   868,    -1,   870,    -1,   872,    -1,
     874,    -1,   876,    -1,  3683,   879,    -1,    -1,    -1,    -1,
      -1,   885,    -1,    -1,   888,    -1,    -1,    -1,   892,    -1,
     894,  4271,    -1,    -1,    -1,    -1,  3705,    -1,   902,  3708,
      -1,    -1,    -1,   907,   389,   909,    -1,    -1,   912,    -1,
     914,    -1,   916,    -1,    -1,    -1,    -1,    -1,    -1,   923,
      -1,    -1,    -1,   927,    -1,    -1,    -1,    -1,    -1,  4250,
     934,    -1,    -1,    -1,    -1,    -1,    -1,  4258,  4259,  4260,
    4261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   438,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,   972,    -1,
      -1,    -1,    -1,   977,    -1,    -1,  3785,   981,    84,   464,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,   488,    -1,   490,   491,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5109,  3424,   524,
     146,    -1,   527,   528,    -1,   530,    -1,  4427,    -1,    -1,
    1054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1069,    -1,  1071,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,  1099,  1100,    91,    92,    93,
    1104,  1105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
    1124,    -1,   116,    -1,  1128,    -1,    -1,    -1,   122,    -1,
      -1,    -1,  1136,  4513,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1147,    -1,   251,    -1,    -1,    -1,    -1,
     256,    -1,   146,    -1,    -1,  1159,    -1,    -1,    -1,    -1,
      -1,  3547,  3548,    -1,  4485,    -1,    -1,    84,    -1,  3978,
      87,   277,   278,    -1,    91,    92,    93,  3563,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,   108,    -1,  3579,    -1,    -1,  4517,  4518,    -1,   116,
      -1,    -1,  3588,  3589,    -1,   122,    -1,    -1,    -1,  4018,
      -1,    -1,    -1,    -1,  4023,    -1,  4025,   323,    -1,  3605,
      -1,    -1,    -1,    -1,    -1,  5297,    -1,  4607,    -1,   146,
     336,    -1,    -1,   339,    -1,    -1,    -1,  1241,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1250,    -1,    -1,    -1,
      -1,  1255,  1256,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,   256,    -1,  4073,    -1,    -1,  4076,    -1,  4590,
    4591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,    -1,  1306,  5375,  4113,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,  1317,    -1,    -1,    -1,  1321,    -1,    -1,
    3706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,  1336,    -1,   251,    -1,    -1,    -1,    -1,   256,
      -1,    -1,   336,    -1,    -1,   339,    -1,  1351,    -1,  4158,
    4159,    -1,    -1,  1357,  1358,    -1,    -1,    -1,    -1,    -1,
     277,   278,  4171,    -1,  4173,    -1,    -1,    -1,    -1,    -1,
    1374,  1375,  1376,    -1,  1378,   292,  1380,  4698,    -1,    -1,
      -1,  1385,    -1,    -1,    -1,    -1,    -1,  4708,  4709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5473,    -1,  4724,   510,    -1,   323,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,   336,
      -1,   527,   339,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4823,    -1,  3831,  3832,  3833,    -1,    84,
      -1,  1455,    87,  1457,  1458,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,  5535,    -1,  4274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,   112,    -1,    -1,
      -1,   116,  5554,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,  1496,    -1,    -1,  4875,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
    1534,  1535,    -1,   527,    -1,  1539,    -1,  1541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    -1,  1567,    -1,    -1,  1570,    -1,    -1,  1573,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,  1613,
     527,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,   866,   867,    -1,    -1,   870,
      -1,   872,    -1,    -1,    -1,    -1,    -1,  1641,  1642,  1643,
      -1,  1645,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   892,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,  1665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   912,    -1,    -1,    -1,   916,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1687,  1688,    -1,    -1,    -1,   323,    -1,
      -1,  5012,    -1,   934,    -1,  4504,    -1,    -1,  4507,    -1,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1716,    -1,    -1,  1719,    -1,    -1,    -1,    -1,
      -1,  4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1748,  4131,    -1,    -1,  1752,  1753,
      -1,  4560,    -1,    -1,    -1,  4141,    -1,    -1,    -1,  1763,
    1764,  1765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5090,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,   417,    -1,    -1,    -1,    -1,  1791,    -1,    -1,
    4176,    -1,    -1,    -1,    -1,    -1,   108,    -1,  4607,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,  5136,    -1,  4203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,  5216,   472,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1899,  1900,    -1,    -1,    -1,
      -1,    -1,  1906,    -1,    -1,  1909,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4725,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1928,    -1,  1930,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1938,    -1,    -1,  1941,    -1,   251,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1965,    -1,    -1,    -1,   277,   278,    -1,    -1,  1973,
    1974,  1975,  1976,  1977,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,  1991,    -1,    -1,
      -1,    -1,  4378,  4379,  4380,  4381,    -1,    -1,    -1,  2003,
      -1,  2005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,  2016,  2017,  1255,  1256,    -1,    -1,    -1,    -1,
      -1,  2025,    -1,    -1,   336,    -1,    -1,  4836,    -1,  4838,
      -1,  2035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2063,
    2064,  2065,  2066,    -1,    -1,    -1,    -1,  4876,    -1,    -1,
      -1,  2075,    -1,    -1,    -1,    -1,    -1,    -1,  2082,    -1,
      -1,  2085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1336,    -1,  2101,    -1,    -1,
      -1,    -1,    -1,    -1,  2108,   417,    -1,    -1,    -1,  2113,
      -1,    -1,    -1,  4922,    -1,  4924,  1357,  1358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1378,    -1,    -1,
      -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2156,    -1,    -1,    -1,  2160,    -1,    -1,  2163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2181,  2182,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2195,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,    -1,  1457,  1458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,  2236,    -1,  2238,    -1,    -1,    -1,  2242,  2243,
      -1,  2245,    -1,    -1,    -1,    -1,    -1,    -1,  2252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2262,    -1,
      -1,    -1,    -1,  2267,  2268,    -1,    -1,  2271,    -1,    -1,
      -1,  2275,  2276,    -1,    -1,    -1,    -1,  2281,  2282,    -1,
      -1,    -1,    -1,    -1,  2288,  2289,  2290,    -1,    -1,    -1,
    2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,    -1,  2303,
    5109,  2305,  2306,    -1,    -1,  2309,    -1,  4693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2324,  2325,  2326,  2327,    -1,    -1,    -1,  2331,  2332,    -1,
      -1,    -1,  2336,    -1,    -1,  2339,    -1,    -1,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,    -1,  2352,    -1,
      -1,    -1,    -1,    -1,    -1,  2359,  2360,    -1,    -1,  2363,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2422,    -1,
    2424,    -1,  2426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2461,    -1,    -1,
      -1,    -1,    -1,    -1,  2468,     5,  2470,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,  5297,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      40,    -1,    42,    43,    -1,    -1,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,  2547,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,  2556,  4939,  2558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5375,    -1,    -1,  4955,
      -1,  2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2586,    -1,  2588,  2589,    -1,    -1,    -1,  2593,
      -1,  2595,    -1,  2597,    -1,  2599,    -1,   137,    -1,  2603,
    4986,    -1,  2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2635,    -1,    -1,    -1,    -1,    -1,    -1,  2642,    -1,
      -1,    -1,    -1,    -1,  2648,    -1,    -1,    -1,    -1,    -1,
      -1,  2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   101,    -1,    -1,  5473,    -1,    -1,    -1,  1909,   209,
    2674,    -1,    -1,   113,  2678,  2679,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2687,    -1,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,    -1,    -1,    -1,    -1,    -1,   147,   248,    -1,
      -1,    -1,    -1,    -1,    -1,  5101,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,  5535,  2731,    -1,  2733,
    2734,   271,  1973,  1974,  1975,  1976,    -1,    -1,    -1,   179,
      -1,    -1,    -1,    -1,    -1,  5554,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2760,    -1,    -1,    -1,
     200,    -1,    -1,    -1,  2768,    -1,  2770,   307,    -1,    -1,
     310,   211,  2776,    -1,    -1,  2016,  2017,    -1,    -1,   219,
      -1,    -1,    -1,    -1,  2025,   325,  2790,    -1,    -1,    -1,
      -1,   231,    -1,    -1,  2035,    -1,   236,    -1,    -1,    -1,
    2804,    -1,   242,  2807,    -1,  2809,    -1,    -1,  2812,    -1,
      -1,  2815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,
      -1,    -1,  2063,  2064,  2065,  2066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2850,  2851,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2866,   403,    -1,   305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2891,  2892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,
    2904,    -1,  2906,  2907,  2908,  2909,    -1,   347,    -1,   449,
      -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,  2160,
      -1,    -1,  2163,    -1,   464,    -1,   366,    -1,    -1,    -1,
      -1,  2935,  2173,    -1,    -1,    -1,    -1,    -1,    -1,   479,
      -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2956,   393,    -1,    -1,    -1,    -1,   398,    -1,
     400,    -1,    -1,    -1,    -1,    -1,   406,   507,    -1,   409,
      -1,    -1,    -1,    -1,    -1,   515,    -1,   517,   518,   519,
     520,   521,    -1,    -1,   524,   525,   526,   527,    -1,   529,
     530,   531,   532,   533,  2998,    -1,    -1,    -1,   438,    -1,
      -1,   441,    -1,    -1,  3008,   445,    -1,    -1,    -1,    -1,
    3014,    -1,   452,    -1,   454,    -1,    -1,    -1,    -1,   459,
      -1,  3025,    -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,
      -1,   471,  3036,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3059,  3060,  3061,    -1,    -1,
    3064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,  3073,
    3074,  3075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3085,    -1,    -1,  3088,    -1,  3090,    -1,    -1,    -1,
    2331,    -1,    -1,    -1,    -1,    -1,    -1,  3101,  3102,    -1,
      -1,  3105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3117,    -1,  3119,    -1,  3121,    -1,  3123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,
      -1,    -1,    -1,  3147,    -1,    -1,    -1,    -1,    -1,    -1,
    3154,    -1,  3156,  3157,  3158,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3194,    -1,    -1,    -1,    -1,  3199,     5,    -1,    -1,    -1,
      -1,  3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3215,    -1,    -1,  3218,    -1,    25,  3221,    -1,  3223,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3288,    -1,  3290,    -1,    -1,    -1,
      -1,  3295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3321,    -1,  3323,
    3324,  3325,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2588,  2589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2597,    -1,  2599,    -1,
      -1,    -1,  2603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,
    3424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,  2704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,
      -1,   310,  3506,    -1,    -1,    -1,    -1,    -1,    -1,  3513,
    3514,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,  2760,
      -1,    -1,    -1,    -1,    -1,    84,    -1,  2768,    87,  2770,
      -1,    -1,    91,    92,    93,  2776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3547,  3548,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,  3563,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3578,  3579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3587,  3588,  3589,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,
      -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2850,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3639,    -1,    -1,    -1,    -1,
     449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3656,    -1,  3658,   464,    -1,    -1,  3662,    -1,
      -1,    -1,    -1,    -1,    -1,  2906,    -1,  2908,    -1,    -1,
     479,    -1,    -1,    -1,    -1,    84,  3680,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,  3690,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,   256,   507,   108,
      -1,    -1,  3706,    -1,    -1,    -1,   515,   116,   517,   518,
     519,   520,   521,   122,  3718,   524,   525,   526,   277,   278,
      -1,  3725,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
    3734,    -1,    -1,   292,    -1,    -1,  3740,   146,  3742,    -1,
      -1,  3745,    -1,    -1,    -1,    -1,  3750,  3751,  3752,  3753,
      -1,    -1,  3756,  3757,  3758,  3759,  3760,  3761,  3762,  3763,
    3764,  3765,    -1,    -1,   323,  3769,  3770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3779,    -1,   336,   116,  3783,
     339,    -1,    -1,  3787,  3025,    -1,    -1,    -1,    -1,    -1,
      -1,  3795,    -1,    -1,  3798,    -1,  3800,    -1,    -1,    -1,
      -1,   360,    -1,    -1,    -1,  3809,    -1,    -1,  3812,  3813,
      -1,    -1,    -1,  3817,  3818,    -1,    -1,    -1,  3822,   228,
    3824,    -1,    -1,   161,    -1,    -1,    -1,  3831,  3832,  3833,
    3834,    -1,  3836,  3837,    -1,    -1,    -1,  3841,    -1,  3843,
      -1,    -1,   251,    -1,    -1,  3849,    -1,   256,    -1,    -1,
      -1,  3855,  3856,  3857,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,
      -1,   209,    -1,    -1,   433,    -1,    -1,    -1,    -1,   217,
      -1,   219,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,  3902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3913,
      -1,  3915,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3946,  3947,  3948,    -1,  3950,    -1,    -1,   358,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,  3968,  3969,  3970,  3971,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4007,    -1,    -1,    -1,    25,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3321,    -1,  3323,  3324,  3325,    -1,  4090,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4131,    -1,  4133,
      -1,  4135,    -1,    -1,    -1,    -1,    -1,  4141,    -1,    -1,
      -1,    -1,    -1,  4147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4186,    -1,    -1,    -1,    -1,    -1,    -1,  4193,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4203,
      -1,    -1,    -1,  4207,    -1,    -1,    -1,  4211,  4212,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4243,
    4244,  4245,  4246,  4247,    -1,    -1,    -1,    -1,    -1,  4253,
      -1,  4255,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
      -1,  4295,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4306,    -1,    -1,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4346,  4347,    -1,    -1,    -1,    -1,    -1,  4353,
    4354,    -1,    -1,    -1,  4358,    -1,    -1,    -1,    -1,  4363,
      -1,    -1,  4366,  4367,    -1,    -1,    -1,  4371,  4372,    -1,
      -1,    -1,    -1,  4377,  4378,  4379,  4380,  4381,    -1,    -1,
      -1,  4385,  4386,    -1,  4388,   403,    -1,  4391,    -1,    -1,
      -1,  4395,    -1,    -1,    -1,  4399,    -1,    -1,    -1,    -1,
      -1,  4405,    -1,    -1,    -1,    -1,    -1,  4411,    -1,    -1,
      -1,    -1,  4416,    -1,    -1,  3656,    -1,  3658,  4422,    -1,
      -1,  3662,    -1,    -1,    -1,    -1,    -1,    -1,  4432,    -1,
      -1,   449,    -1,    -1,    -1,    -1,  4440,    -1,    -1,  4443,
      -1,    -1,    -1,    -1,  4448,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,   479,  4466,    87,    -1,  4469,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3718,    -1,    -1,
      -1,    -1,    -1,    -1,   108,  4489,  4490,    -1,    -1,   507,
      -1,    -1,   116,    -1,    -1,    -1,    -1,   515,   122,   517,
     518,   519,   520,   521,    -1,    -1,   524,   525,   526,   527,
    4514,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,   857,
      -1,    -1,   146,    -1,    -1,    -1,    -1,   865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4570,    -1,    -1,    -1,
      -1,   909,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
    4584,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,   111,    -1,   229,    -1,    -1,   116,    -1,
     234,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
    4624,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,   967,
      -1,  4635,   256,    -1,    -1,   973,  4640,    -1,   146,   977,
      -1,    -1,    -1,    -1,  4648,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,    -1,   994,    -1,    -1,  4663,
    4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4693,
      -1,    -1,  4696,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3968,  3969,  3970,
    3971,    -1,    -1,    -1,    -1,    -1,    -1,  4741,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,  4750,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1099,  1100,  4767,  4768,    -1,    -1,  4771,  1106,   277,
     278,    -1,  1110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4785,  4786,    -1,   292,    -1,  4790,    -1,    -1,    -1,
      -1,  4795,    -1,   417,  4798,  4799,    -1,  4801,  1136,  4803,
      -1,    -1,  4806,  4807,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4828,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,  4842,  4843,
    4844,  4845,  4846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4885,  4886,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,  4133,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4932,  4933,
      -1,    -1,  4936,    -1,    -1,  4939,    -1,    -1,    -1,    -1,
      -1,    -1,  1280,  1281,    -1,  4949,    -1,    -1,    -1,    -1,
      -1,  4955,    -1,  4957,    -1,    -1,    -1,    -1,  4962,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1306,    -1,
    4974,    -1,    -1,    -1,    -1,  1313,    -1,    -1,    -1,  1317,
      -1,  4985,  4986,  4987,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,  1342,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,  5019,    -1,    -1,  5022,    -1,
    5024,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1380,    -1,  5048,    -1,    -1,    -1,  5052,   108,
      -1,    -1,  5056,    -1,    -1,    -1,    -1,   116,    -1,  5063,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,  5072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5085,    -1,    -1,    -1,  1423,    -1,   146,    -1,    -1,
      -1,    -1,    -1,  5097,    -1,    -1,    -1,  5101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
    5124,    -1,    -1,    -1,    -1,    -1,    -1,  5131,  5132,  5133,
    5134,   108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,
      -1,    -1,  5146,    -1,    -1,   122,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,  1496,    -1,
      -1,  5165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,  5185,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1554,    -1,   277,   278,
      -1,    -1,    -1,    -1,  5228,    -1,    -1,  5231,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,  5240,    -1,    -1,    -1,
      -1,  5245,    -1,  5247,    -1,  5249,    -1,  1585,    -1,    -1,
      -1,    -1,  5256,    -1,    -1,    -1,    -1,    -1,  5262,    -1,
    5264,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
    5274,    -1,    -1,    -1,   251,  1613,    -1,   336,    -1,   256,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   354,   234,    -1,    -1,    -1,
     277,   278,    -1,  1641,  1642,  1643,    -1,  1645,    -1,    -1,
      -1,    -1,    -1,   251,    -1,   292,  5320,    -1,   256,    -1,
      -1,  5325,    -1,    -1,    -1,    -1,    -1,  1665,    -1,  4570,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,  4584,  5348,    -1,   323,    -1,    -1,    -1,
      -1,    -1,  5356,  5357,   292,    -1,    -1,  5361,   417,   336,
      -1,    -1,   339,  5367,    -1,    -1,  5370,    -1,    -1,    -1,
    5374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1719,  1720,  5387,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5397,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1748,    -1,    -1,    -1,  1752,  1753,    -1,    -1,  5422,    -1,
      -1,    -1,  4663,    -1,  5428,  5429,    -1,  5431,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,  5450,    -1,    -1,    -1,
      -1,   510,    -1,  5457,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,  1831,    -1,   111,    -1,    -1,    -1,  1837,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,  1847,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5529,  5530,    -1,    -1,    -1,
     146,    -1,    -1,   510,    -1,    -1,   513,   514,   515,  5543,
     517,   518,   519,   520,   521,   522,    -1,    -1,  1886,    -1,
      -1,  5555,  5556,    -1,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,  1926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4844,  4845,  4846,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,   108,    -1,    -1,
     256,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
    1988,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,  2007,
      -1,    -1,    -1,    -1,    -1,   146,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,  2036,    -1,
      -1,    -1,    -1,  2041,    -1,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4985,    -1,    -1,    -1,    -1,    -1,
    2088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2101,    -1,    -1,    -1,    -1,    -1,  2107,
      -1,    -1,    -1,    -1,    -1,  2113,    -1,    -1,    -1,    -1,
     251,  2119,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,   277,   278,  2146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2171,    -1,    -1,  2174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,  5097,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5132,    -1,  5134,   510,    -1,    -1,   513,   514,   515,
    2238,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2275,  2276,    -1,
      -1,    -1,    -1,  2281,  2282,    -1,   417,    -1,    -1,    -1,
    2288,  2289,  2290,    -1,    -1,    -1,  2294,    -1,  2296,  2297,
    2298,  2299,  2300,  2301,    -1,  2303,    -1,  2305,  2306,    -1,
      -1,  2309,    -1,    -1,    -1,   446,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2323,  2324,  2325,  2326,  2327,
    2328,    -1,    -1,    -1,  2332,    -1,    -1,    -1,  2336,    -1,
      -1,  2339,    -1,    -1,  2342,  2343,  2344,  2345,  2346,  2347,
    2348,  2349,  2350,    -1,  2352,    -1,    -1,    -1,    -1,    -1,
      -1,  5262,  2360,    -1,    -1,  2363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2426,    -1,
      -1,    -1,    -1,    -1,   973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,   994,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,  5397,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,  2527,
    2528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,  5457,    -1,   118,    91,
      92,    93,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,  2575,   138,   111,
      -1,    -1,    -1,    -1,   116,   145,    -1,   147,  2586,    -1,
     122,    -1,  2590,   153,    -1,  2593,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2602,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,   183,    -1,    -1,    -1,  2625,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,
    2658,   221,    -1,    -1,  2662,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,    -1,
      -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,   251,
     280,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
     292,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,    -1,
      -1,    -1,    -1,    -1,  1313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,
      -1,   323,  2790,  2791,  1333,    -1,    -1,   357,    -1,   359,
      -1,  2799,    -1,  1342,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    -1,    84,    -1,   396,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,    -1,    -1,   417,   108,    -1,
     420,    -1,    -1,  2861,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,   434,    -1,    -1,    -1,    -1,  2877,
     440,    -1,    -1,    -1,  1423,   417,    -1,   447,   448,    -1,
      -1,    -1,    -1,   453,    -1,   455,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,
      -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2935,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,  2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
    3008,    -1,    -1,  3011,    -1,  1554,  3014,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3022,    -1,    -1,   277,   278,    -1,
      -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,  3036,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3059,  3060,  3061,    -1,    -1,  3064,    -1,    -1,    -1,
      -1,    -1,    -1,   323,  3072,  3073,  3074,  3075,    -1,    -1,
      -1,    -1,  3080,    -1,    -1,    -1,   336,  3085,  3086,   339,
    3088,    -1,  3090,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3101,  3102,   113,    -1,  3105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3119,    -1,  3121,    -1,  3123,   134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,  3143,    -1,    -1,    -1,   157,
      -1,    -1,    -1,   161,    -1,    -1,  3154,    -1,  3156,  3157,
    3158,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,  3181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   200,    -1,    -1,    -1,  3194,    -1,    -1,    -1,
      -1,  3199,    -1,   211,    -1,    -1,    -1,  3205,    -1,    -1,
      -1,   219,    -1,    -1,    -1,    -1,    -1,  3215,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,
     238,    -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   259,    -1,    -1,    -1,    -1,  3254,    -1,    -1,  3257,
     510,  3259,    -1,   513,   514,   515,  3264,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
    3288,    -1,  1831,    -1,    -1,    -1,    -1,   305,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,
      -1,    -1,    -1,    -1,    -1,  1894,    -1,    -1,  3356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   393,    -1,  1926,  3386,  3387,
    3388,    -1,   400,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3419,    -1,  3421,    -1,    -1,    -1,    -1,    -1,    -1,
     438,    -1,    -1,   441,   442,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,    -1,   471,    -1,    -1,    -1,    -1,  2007,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,
      -1,    -1,  3480,  2022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,  2041,    -1,    -1,    -1,   217,  3505,   219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3531,    -1,    -1,    -1,  3535,  3536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2088,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2131,    -1,    -1,    -1,  3594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3612,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3627,
      -1,    -1,  2171,    -1,    -1,  2174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3725,    -1,    -1,
    3728,    -1,    -1,    -1,    -1,    -1,  3734,    -1,    -1,    -1,
      -1,    -1,  3740,    -1,  3742,    -1,    -1,  3745,    -1,    -1,
      -1,  3749,  3750,  3751,  3752,  3753,    -1,    -1,  3756,  3757,
    3758,  3759,  3760,  3761,  3762,  3763,  3764,  3765,    -1,    -1,
      -1,  3769,  3770,    -1,    -1,    -1,  3774,    -1,    -1,    -1,
      -1,  3779,    -1,    -1,  2323,  3783,    -1,  3785,    -1,  3787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,    -1,    -1,
    3798,    -1,  3800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3808,  3809,    -1,    -1,  3812,  3813,    -1,    -1,    -1,  3817,
    3818,    -1,    -1,    -1,  2363,    -1,  3824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3834,    -1,  3836,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3849,    -1,    -1,    -1,    -1,    -1,  3855,  3856,  3857,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3915,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3946,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,  2527,  2528,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4018,    -1,    -1,    -1,    -1,  4023,  4024,  4025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
       9,  2590,    -1,    -1,    13,    -1,    15,    -1,    17,    18,
      -1,    -1,    -1,  2602,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    44,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    -1,  4135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,
      -1,    -1,    -1,    -1,   865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   121,   874,  4162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,   143,   144,    -1,    -1,    -1,    -1,
     149,    -1,   151,    -1,    -1,    -1,    -1,    -1,   909,    -1,
      -1,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,  4210,  4211,  4212,    -1,    -1,    -1,    -1,    -1,
     179,    -1,   181,    -1,    -1,   184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,   198,
      -1,    -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,   208,
      -1,    -1,  2791,    -1,    -1,    -1,   967,   216,    -1,   218,
      -1,    -1,   973,    -1,    -1,   224,   977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,    -1,    -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   255,  4295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,  4336,    -1,
      -1,   300,    -1,    -1,    -1,    -1,    -1,    -1,  4346,  4347,
      -1,  4349,   311,    -1,    -1,  4353,  4354,    -1,    -1,    -1,
    4358,  4359,    -1,   322,    -1,  4363,    -1,    -1,  4366,  4367,
      -1,    -1,    -1,  4371,    -1,    -1,    -1,    -1,    -1,  4377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1099,  1100,
      -1,    -1,    -1,    -1,    -1,  1106,    -1,  4395,    -1,  1110,
      -1,  4399,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4411,   373,    -1,    -1,    -1,  4416,   378,
     379,    -1,   381,    -1,  4422,  1136,    -1,   386,    -1,    -1,
      -1,    -1,   391,    -1,    -1,   394,    -1,    -1,    -1,    -1,
     399,    -1,  4440,    -1,    -1,   404,   405,    -1,    -1,    -1,
      -1,  2990,    -1,   412,    -1,    -1,    -1,   416,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,
      -1,  4469,  3011,    -1,    -1,    -1,    -1,    -1,    -1,   438,
      -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,  4487,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,    -1,
     459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,  4507,
      -1,    -1,    -1,    -1,   473,    -1,    -1,    -1,  4516,   478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,    -1,    -1,    -1,    -1,  4535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4550,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,  1280,
    1281,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4589,    -1,    -1,    -1,  1306,    -1,    -1,    -1,    -1,
      -1,    -1,  1313,    -1,    -1,    -1,  1317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3156,  3157,  3158,
      -1,    -1,  1333,    -1,    -1,    -1,  4624,    -1,    -1,    -1,
      -1,  1342,    -1,    -1,    -1,    -1,    -1,  4635,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4688,    -1,  4690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1423,    -1,    -1,  3254,    -1,    -1,  3257,    -1,
    3259,    -1,    -1,    -1,    -1,  3264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4741,    -1,    -1,    -1,  4745,    -1,    -1,
      -1,    -1,  4750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4767,
    4768,    -1,    -1,  4771,    -1,    -1,  3315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1496,    -1,  4785,    -1,    -1,
      -1,    -1,  4790,  3332,    -1,    -1,    -1,  4795,    -1,    -1,
    4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4806,  4807,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1554,  4842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1099,  1100,    -1,  1585,    -1,    -1,  4875,    -1,    -1,
    3419,    -1,  3421,    -1,    -1,    -1,    -1,  4885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1613,    -1,    -1,    -1,    -1,    -1,  1136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4922,    -1,    -1,    -1,    -1,    -1,
    1641,  1642,  1643,    -1,  1645,    -1,    -1,    -1,  4936,    -1,
      -1,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1665,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4987,
      -1,  4989,  3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5019,  5020,    -1,  5022,    -1,  5024,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,    -1,    -1,
      -1,  1752,  1753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5048,    -1,    -1,    -1,  5052,  3594,    -1,    -1,    -1,    -1,
    5058,    -1,    -1,    -1,    -1,  5063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3612,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5085,  3627,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5109,    -1,    -1,    -1,    -1,    -1,  5115,    -1,    -1,
    1831,  5119,  5120,    -1,    -1,    -1,  5124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1886,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,    -1,    -1,    -1,  5185,    -1,  3728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5205,  5206,    -1,
    3749,    -1,    -1,    -1,    -1,  1926,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5228,    -1,    -1,  5231,    -1,  3774,    -1,    -1,    -1,    -1,
      -1,    -1,  5240,    -1,    -1,    -1,    -1,  5245,    -1,  5247,
      -1,  5249,    -1,    -1,    -1,    -1,    -1,    -1,  5256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,
      -1,    -1,    -1,    -1,    -1,    -1,  5274,  1988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2022,    -1,    -1,    -1,    -1,    -1,    -1,  3857,  2030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5325,    -1,    -1,
    2041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1585,  5356,  5357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2088,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1613,    -1,    -1,    -1,  5387,
    2101,    -1,  3931,    -1,    -1,    -1,  2107,    -1,    -1,    -1,
      -1,    -1,  2113,    -1,    -1,    -1,    -1,    -1,  2119,    -1,
      -1,    -1,    -1,  1641,  1642,  1643,    -1,  1645,    -1,    -1,
    2131,    -1,    -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,
    5428,  5429,    -1,  5431,    -1,  2146,    -1,  1665,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2171,    -1,    -1,  2174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5473,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,    -1,
      -1,  1719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1748,    -1,    -1,    -1,  1752,  1753,    -1,  2238,    -1,    -1,
      -1,  5529,  5530,    -1,    -1,    -1,    -1,  5535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5543,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5554,  5555,  5556,    -1,
      -1,    -1,    -1,    -1,  2275,  2276,    -1,    -1,    -1,    -1,
    2281,  2282,    -1,    -1,    -1,    -1,    -1,  2288,  2289,  2290,
      -1,    -1,    -1,  2294,    -1,  2296,  2297,  2298,  2299,  2300,
    2301,    -1,  2303,    -1,  2305,  2306,    -1,    -1,  2309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2323,  2324,  2325,  2326,  2327,    -1,    -1,    -1,
      -1,  2332,    -1,  4162,    -1,  2336,    -1,    -1,  2339,    -1,
      -1,  2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,
      -1,  2352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2360,
      -1,    -1,  2363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,  2426,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4349,    -1,  2523,    -1,    -1,    -1,  2527,  2528,    -1,    -1,
    4359,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2575,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4411,    -1,    -1,  2586,    -1,  4416,    -1,  2590,
      -1,    -1,  2593,  4422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2602,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   227,    -1,    -1,  2625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,    -1,
      -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,    -1,    -1,   310,    -1,  4535,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4589,    -1,    -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2294,    -1,  2296,    -1,
      -1,  2299,  2300,  2301,    -1,    -1,    -1,    -1,  2306,  2790,
    2791,  2309,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2324,  2325,  2326,  2327,
      -1,    -1,    -1,    -1,  2332,    -1,    -1,    -1,  2336,    -1,
      -1,  2339,    -1,    -1,  2342,  2343,  2344,  2345,  2346,  2347,
    2348,  2349,  2350,    -1,  2352,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2360,   449,    -1,  2363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,  4688,
    2861,  4690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,  2877,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,    -1,    -1,    -1,    -1,    -1,    -1,  2426,   515,
      -1,   517,   518,   519,   520,   521,  4745,    -1,   524,   525,
     526,   527,    -1,     5,    -1,   531,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2935,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      42,    43,    -1,    -1,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,  2990,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,  3008,    -1,    -1,
    3011,    -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3031,    -1,    -1,    -1,    -1,  3036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4875,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,  2575,  3059,  3060,
    3061,    -1,    -1,  3064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3072,  3073,  3074,  3075,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3085,    -1,    -1,  3088,    -1,  3090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3101,  3102,    -1,    -1,  3105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,  3119,    -1,
    3121,    -1,  3123,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,   994,    -1,    -1,
      -1,   162,  3143,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3154,    -1,  3156,  3157,  3158,    -1,    -1,
    4989,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3181,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,  5020,    -1,  3194,    -1,    -1,    -1,    -1,  3199,    -1,
      -1,    -1,    -1,    -1,  3205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3215,    -1,    -1,   238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,    -1,   248,   310,  5058,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3254,    -1,    -1,  3257,    -1,  3259,    -1,
      -1,    -1,    -1,  3264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5115,  3288,    -1,    -1,
    5119,  5120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,    -1,    -1,
      -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5205,  5206,    -1,    -1,
      -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2935,  3419,    -1,
    3421,    -1,    -1,    -1,    -1,   507,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,    -1,   517,   518,   519,   520,   521,
      -1,    -1,   524,   525,   526,    -1,    -1,    -1,    -1,   531,
      -1,    -1,    -1,    -1,    -1,    -1,  1313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,  3480,
      -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,  3036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3061,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3072,    -1,  3074,  3075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1423,  3085,    -1,    -1,
    3088,    -1,  3090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3594,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3119,    -1,  3121,    -1,  3123,    -1,    -1,    -1,    -1,
      -1,  3612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3627,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3156,  3157,
    3158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3194,    -1,    -1,  3680,
      -1,  3199,   703,   704,    -1,    -1,    -1,  3205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1554,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3725,    -1,    -1,  3728,    -1,    -1,
     751,    -1,    -1,  3734,    -1,    -1,    -1,    -1,    -1,  3740,
      -1,  3742,    -1,    -1,  3745,    -1,    -1,    -1,  3749,  3750,
    3751,  3752,  3753,    -1,    -1,  3756,  3757,  3758,  3759,  3760,
    3761,  3762,  3763,  3764,  3765,    -1,    -1,    -1,  3769,  3770,
    3288,    -1,    -1,  3774,    -1,    -1,    -1,    -1,  3779,    -1,
      -1,    -1,  3783,    -1,    -1,    -1,  3787,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3795,    -1,    -1,  3798,    -1,  3800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,  3809,    -1,
      -1,  3812,  3813,    -1,    -1,    -1,  3817,  3818,    -1,    -1,
      -1,    -1,    -1,  3824,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3834,    -1,  3836,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1704,  3849,    -1,
      -1,   872,    -1,    -1,  3855,  3856,  3857,    -1,    -1,   880,
      -1,    -1,   883,   884,    -1,   886,    -1,    -1,   889,    -1,
     891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   910,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,    -1,
      -1,  3902,    -1,    -1,   925,    -1,    -1,   928,   929,    -1,
      -1,    -1,   933,    -1,  3915,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   950,
    3931,   952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3946,    -1,   968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   983,    -1,   985,    -1,    -1,   988,    -1,   990,
      -1,    -1,   993,    -1,  1831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1007,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4024,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1070,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1926,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1138,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4162,    -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2041,    -1,    -1,    -1,    -1,  1210,
      -1,  1212,    -1,    -1,    -1,  1216,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3725,    -1,  4210,
    4211,  4212,    -1,    -1,    -1,  1236,  3734,    -1,    -1,    -1,
      -1,    -1,  3740,    -1,  3742,    -1,    -1,    -1,    -1,    -1,
      -1,  2088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2107,  3769,  3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2119,    -1,    -1,    -1,    -1,    -1,    -1,  3787,
      -1,    -1,    -1,  1294,  2131,    -1,    -1,  3795,    -1,    -1,
    3798,    -1,  3800,    -1,    -1,    -1,    -1,    -1,    -1,  1310,
      -1,  3809,    -1,    -1,  4295,    -1,    -1,    -1,    -1,  3817,
    3818,  1322,    -1,  1324,    -1,  4306,    -1,    -1,    -1,    -1,
      -1,  1332,    -1,    -1,  2171,    -1,    -1,  2174,    -1,    -1,
      -1,    -1,    -1,  1344,    -1,    -1,  1347,    -1,    -1,    -1,
      -1,  3849,    -1,    -1,    -1,  4336,    -1,  3855,  3856,  3857,
      -1,    -1,    -1,    -1,    -1,  4346,  4347,    -1,  4349,    -1,
      -1,    -1,  4353,  4354,    -1,    -1,    -1,  4358,  4359,    -1,
    1381,    -1,  4363,    -1,    -1,  4366,  4367,    -1,    -1,    -1,
    4371,    -1,    -1,    -1,    -1,    -1,  4377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4395,    -1,    -1,  3915,  4399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4411,    -1,    -1,    -1,    -1,  4416,    -1,    -1,    -1,    -1,
      -1,  4422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4440,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2323,    -1,  4469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,
      -1,    -1,  1543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4535,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4635,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,
    2527,  2528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4688,    -1,  4690,
      -1,    -1,    -1,  4211,  4212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1738,  1739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2590,    -1,    -1,    -1,    -1,    -1,    -1,
    4741,    -1,    -1,    -1,  4745,  2602,    -1,    -1,    -1,  4750,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4767,  4768,    -1,    -1,
    4771,    -1,    -1,    -1,    -1,  1796,    -1,  4295,  1799,    -1,
      -1,    -1,  2639,    -1,  4785,    -1,  1807,    -1,  4306,  4790,
      -1,    -1,    -1,    -1,  4795,    -1,    -1,  4798,    -1,    -1,
      -1,    -1,    -1,    -1,  1825,  4806,  4807,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4828,  4346,  4347,
      -1,    -1,    -1,    -1,    -1,  4353,  4354,    -1,    -1,    -1,
    4358,  4842,    -1,    -1,    -1,  4363,    -1,    -1,  4366,  4367,
      -1,  1872,    -1,  4371,    -1,    -1,    -1,    -1,    -1,  4377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4885,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4411,    -1,    -1,    -1,    -1,  4416,    -1,
      -1,    -1,    -1,    -1,  4422,    -1,    -1,    -1,  1929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2791,  4936,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4987,    -1,  4989,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5019,  5020,
      -1,  5022,    -1,  5024,  2045,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5048,    -1,    -1,
      -1,  5052,    -1,    -1,    -1,    -1,    -1,  5058,    -1,    -1,
      -1,    -1,  5063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5085,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5115,    -1,    -1,    -1,  5119,  5120,
      -1,    -1,    -1,  5124,  2145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2990,    -1,    -1,    -1,    -1,  2159,    -1,
      -1,  2162,    -1,  2164,    -1,  2166,    -1,    -1,    -1,    -1,
      -1,  2172,    -1,    -1,  3011,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5165,  3022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2223,    -1,  5205,  5206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2235,    -1,    -1,    -1,  2239,    -1,
    2241,    -1,    -1,  2244,    -1,    -1,    -1,  5228,    -1,    -1,
    5231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5240,
      -1,    -1,    -1,    -1,  5245,    -1,  5247,    -1,  5249,  4767,
    4768,    -1,    -1,  4771,    -1,  5256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4806,  4807,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5356,  5357,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5367,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,
    3257,    -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     973,  5422,    -1,    -1,    -1,    -1,    -1,  5428,  5429,    -1,
    5431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,
      -1,    -1,    -1,    -1,  5022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2538,  2539,    -1,
      -1,    -1,  2543,  2544,    -1,    -1,    -1,  2548,  5529,  5530,
    5048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2562,  5543,    -1,    -1,  5063,    -1,    -1,  2569,    -1,
      -1,    -1,  2573,  2574,  5555,  5556,  2577,  2578,    -1,    -1,
      -1,    -1,  3419,  2584,  3421,    -1,    -1,  5085,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2596,    -1,  2598,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2615,    -1,    -1,    -1,    -1,  2620,
      -1,    -1,    -1,    -1,    -1,    -1,  5124,    -1,    -1,    -1,
      -1,    -1,  2633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2641,    -1,  2643,  3480,  2645,  2646,  2647,    -1,    -1,    -1,
      -1,  2652,  2653,    -1,    -1,    -1,    -1,    -1,    -1,  2660,
      -1,    -1,    -1,    -1,  2665,    -1,    -1,    -1,  3505,  2670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5185,    -1,    -1,
      -1,    -1,    -1,  2694,  3531,    -1,    -1,    -1,    -1,  3536,
      -1,    -1,    -1,    -1,  2705,    -1,  2707,    -1,    -1,    -1,
      -1,  2712,    -1,    -1,    -1,  2716,    -1,  2718,  2719,  2720,
    2721,    -1,  2723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2736,  2737,  2738,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2746,  2747,    -1,    -1,    -1,
      -1,  5249,    -1,    -1,    -1,    -1,    -1,  3594,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3612,  5274,    -1,    -1,    -1,
    1313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,
    1333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5356,  5357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5367,
      -1,    -1,    -1,    -1,    -1,   865,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   874,    -1,    -1,    -1,    -1,    -1,
    1423,  3728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3749,    -1,    -1,    -1,    -1,    -1,    -1,   909,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5431,    -1,    -1,    -1,  3774,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2951,    -1,  5450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3808,    -1,    -1,    -1,    -1,    -1,   967,    -1,    -1,
      -1,    -1,    -1,   973,    -1,    -1,    -1,   977,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2999,    -1,
      -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5529,  5530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1099,
    1100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4024,    -1,    -1,
      -1,  3192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3267,  3268,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3310,
      -1,    -1,    -1,    -1,    -1,    -1,  1306,    -1,  3319,    -1,
      -1,    -1,    -1,  1313,    -1,  4162,    -1,  1317,    -1,    -1,
      -1,    -1,    -1,    -1,  3335,  3336,    -1,    -1,    -1,  3340,
      -1,    -1,    -1,  1333,  3345,  3346,  3347,    -1,    -1,    -1,
      -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4210,    -1,  3376,  3377,  3378,  3379,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1380,    -1,    -1,  1926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3411,    -1,  3413,  3414,  3415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,
      -1,  3492,    -1,    -1,    -1,    -1,    -1,  2030,    -1,  3500,
      -1,    -1,    -1,    -1,    -1,    -1,  1496,    -1,  2041,    -1,
      -1,    -1,  4349,    -1,    -1,    -1,    -1,    -1,  3519,    -1,
      -1,    -1,  4359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2088,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1554,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3586,  2119,    -1,    -1,  3590,
      -1,    -1,    -1,    -1,    -1,  1585,    -1,    -1,  2131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3619,    -1,
      -1,    -1,    -1,  1613,  3625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2171,    -1,
      -1,  2174,    -1,    -1,    -1,    -1,  3647,    -1,    -1,    -1,
    4487,  1641,  1642,  1643,    -1,  1645,    -1,    -1,    -1,    -1,
    3661,    -1,    -1,    -1,  3665,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1665,    -1,  3678,    -1,  4516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4589,    -1,    -1,    -1,    -1,    -1,  1748,    -1,
      -1,    -1,  1752,  1753,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4690,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1894,    -1,    -1,    -1,  4745,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1926,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3953,    -1,  3955,    -1,    -1,    -1,    -1,    -1,
      -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2523,    -1,    -1,  3994,  2527,  2528,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4005,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,
    4021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,  4875,    -1,
    2030,    -1,    -1,    -1,    -1,    -1,    -1,  4048,    -1,    -1,
      -1,  2041,    -1,    -1,    -1,    -1,    -1,  2590,  4059,  4060,
    4061,    -1,    -1,  4064,  4065,  4066,  4067,  4068,  4069,  2602,
      -1,    -1,    -1,  4074,  4075,    -1,  4077,  4078,  4079,  4080,
    4081,  4082,  4083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4092,    -1,  4094,  4095,    -1,    -1,    -1,  2088,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,
      -1,  2101,    -1,    -1,    -1,    -1,    -1,  2107,    -1,    -1,
      -1,    -1,    -1,  2113,    -1,    -1,    -1,    -1,    -1,  2119,
      -1,    -1,    -1,  4134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2131,    -1,    -1,    -1,    -1,    -1,  1313,    -1,    -1,
      -1,    -1,  4989,    -1,    -1,    -1,  2146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,
      -1,  2171,    -1,  5020,  2174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1423,  2791,    -1,
      -1,    -1,    -1,    -1,    -1,  4266,  4267,  4268,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4278,  5115,    -1,
      -1,    -1,  5119,  5120,    -1,  2275,  2276,    -1,    -1,    -1,
      -1,  2281,  2282,    -1,    -1,    -1,    -1,    -1,  2288,  2289,
    2290,    -1,    -1,    -1,  2294,    -1,  2296,  2297,  2298,  2299,
    2300,  2301,    -1,  2303,    -1,  2305,  2306,    -1,    -1,  2309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,    -1,
      -1,    -1,    -1,  2323,  2324,  2325,  2326,  2327,    -1,    -1,
      -1,    -1,  2332,    -1,    -1,    -1,  2336,    -1,    -1,  2339,
      -1,    -1,  2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,
    2350,    -1,  2352,    -1,    -1,    -1,    -1,    -1,    -1,  5206,
    2360,    -1,    -1,  2363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2990,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3011,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3022,
      -1,    -1,    -1,    -1,  4495,    -1,    -1,    -1,  4499,  4500,
    4501,  4502,    -1,    -1,  4505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4526,  4527,  4528,  4529,    -1,
    4531,  4532,    -1,  2523,    -1,    -1,    -1,  2527,  2528,    -1,
      -1,    -1,  4543,  4544,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4561,    -1,    -1,    -1,    -1,    -1,    -1,  4568,  4569,    -1,
    4571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2575,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2586,    -1,    -1,    -1,
    2590,    -1,    -1,  2593,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,
      -1,    -1,    -1,  4654,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4675,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4714,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3254,    -1,    -1,  3257,    -1,  3259,    -1,  1894,    -1,
      -1,  3264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3315,    -1,    -1,    -1,    -1,  4788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3332,
    2790,  2791,  4803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,    -1,    -1,
     973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   994,    -1,    -1,    -1,    -1,  2022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,
      -1,  2861,    -1,    -1,    -1,  2041,  4877,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3419,  2877,  3421,    -1,
      -1,    -1,    -1,    -1,  4895,    -1,    -1,    -1,    -1,  4900,
    4901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2107,    -1,    -1,    -1,  2935,    -1,  3480,    -1,    -1,
      -1,    -1,    -1,  2119,    -1,  4956,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2131,    -1,    -1,    -1,    -1,
      -1,    -1,  3505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,  5000,
    2990,    -1,    -1,  3536,    -1,  2171,    -1,    -1,  2174,  5010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3008,    -1,
      -1,  3011,    -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3031,    -1,    -1,  5045,    -1,  3036,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5056,    -1,    -1,    -1,    -1,
      -1,  3594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3059,
    3060,  3061,    -1,    -1,  3064,    -1,    -1,    -1,    -1,  3612,
    5081,    -1,  3072,  3073,  3074,  3075,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3627,  3085,    -1,    -1,  3088,    -1,
    3090,    -1,    -1,    -1,  5105,    -1,    -1,    -1,    -1,    -1,
      -1,  3101,  3102,  5114,    -1,  3105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3119,
      -1,  3121,    -1,  3123,  5135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3143,    -1,    -1,    -1,  2323,    -1,    -1,
      -1,    -1,    -1,    -1,  3154,    -1,  3156,  3157,  3158,    -1,
    1313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1333,  3181,    -1,    -1,    -1,  3728,    -1,    -1,    -1,  1342,
      -1,    -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,  3199,
      -1,    -1,  5213,    -1,    -1,  3205,  3749,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5237,    -1,    -1,    -1,
      -1,  3774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3254,    -1,    -1,  3257,    -1,  3259,
      -1,  5272,    -1,   973,  3264,  3808,    -1,    -1,    -1,    -1,
    1423,    -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,  3288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,
      -1,  2527,  2528,    -1,    -1,    -1,  3356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5411,  1554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2590,    -1,    -1,    -1,    -1,  3419,
      -1,  3421,    -1,    -1,    -1,    -1,  2602,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2639,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3480,  4024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3612,    -1,    -1,  2791,    -1,    -1,    -1,  4162,
      -1,    -1,    -1,  1333,    -1,    -1,    -1,  3627,    -1,    -1,
      -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,
    3680,    -1,    -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3725,    -1,    -1,  3728,    -1,
      -1,    -1,    -1,    -1,  3734,    -1,    -1,    -1,    -1,    -1,
    3740,  1894,  3742,    -1,    -1,  3745,    -1,    -1,    -1,  3749,
    3750,  3751,  3752,  3753,    -1,    -1,  3756,  3757,  3758,  3759,
    3760,  3761,  3762,  3763,  3764,  3765,    -1,    -1,    -1,  3769,
    3770,    -1,    -1,  1926,  3774,    -1,    -1,    -1,    -1,  3779,
      -1,    -1,    -1,  3783,    -1,    -1,    -1,  3787,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3795,    -1,    -1,  3798,    -1,
    3800,    -1,    -1,    -1,    -1,    -1,  4349,    -1,  3808,  3809,
      -1,    -1,  3812,  3813,  2990,    -1,  4359,  3817,  3818,    -1,
      -1,    -1,    -1,    -1,  3824,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3834,  3011,  3836,    -1,    -1,   973,
      -1,    -1,    -1,    -1,  1554,    -1,  3022,    -1,    -1,  3849,
      -1,    -1,    -1,    -1,  2007,  3855,  3856,  3857,    -1,    -1,
     994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2041,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3915,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3931,    -1,    -1,    -1,  2088,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4487,    -1,  3946,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2119,    -1,    -1,    -1,
      -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,  2131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2171,    -1,
      -1,  2174,    -1,    -1,  4024,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,
      -1,  3257,    -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4135,    -1,    -1,    -1,  3315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4690,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,
      -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1313,
    3356,    -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,
      -1,    -1,  4745,    -1,    -1,    -1,    -1,    -1,  1342,    -1,
    4210,  4211,  4212,    -1,    -1,    -1,  1926,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3419,    -1,  3421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,  1423,
      -1,    -1,    -1,    -1,    -1,  4295,    -1,  2007,    -1,    -1,
      -1,    -1,    -1,    -1,  3480,    -1,  4306,   994,    -1,    -1,
      -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3505,
      -1,  2041,  4875,    -1,    -1,    -1,  4336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4346,  4347,    -1,  4349,
      -1,    -1,    -1,  4353,  4354,  3531,    -1,    -1,  4358,  4359,
    3536,    -1,    -1,  4363,    -1,    -1,  4366,  4367,    -1,    -1,
    2523,  4371,    -1,    -1,  2527,  2528,    -1,  4377,  2088,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4395,    -1,  2107,    -1,  4399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2119,
      -1,  4411,    -1,    -1,    -1,    -1,  4416,    -1,  3594,    -1,
    1554,  2131,  4422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3612,  2590,    -1,    -1,
    4440,    -1,    -1,    -1,    -1,    -1,  4989,    -1,    -1,  2602,
      -1,  3627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2171,    -1,    -1,  2174,    -1,    -1,    -1,    -1,  4469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2639,  4487,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5058,  4516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4550,    -1,  3728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5115,  3749,    -1,    -1,  5119,  5120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4589,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3774,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4624,    -1,  1313,    -1,    -1,    -1,
      -1,    -1,  3808,    -1,    -1,  4635,    -1,    -1,  2791,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4688,    -1,
    4690,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1423,    -1,    -1,    -1,
      -1,  4741,    -1,    -1,    -1,  4745,    -1,    -1,    -1,    -1,
    4750,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,
    1894,    -1,    -1,    -1,    -1,    -1,    -1,  4767,  4768,    -1,
      -1,  4771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4785,    -1,    -1,    -1,    -1,
    4790,    -1,  1926,    -1,    -1,  4795,    -1,    -1,  4798,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4806,  4807,    -1,    -1,
      -1,    -1,    -1,  2523,    -1,    -1,    -1,  2527,  2528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4828,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2990,    -1,    -1,
      -1,    -1,  4842,    -1,    -1,    -1,    -1,    -1,  4024,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3011,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1554,    -1,  3022,
      -1,    -1,    -1,  2007,    -1,  4875,    -1,    -1,    -1,    -1,
    2590,    -1,    -1,    -1,    -1,  4885,    -1,    -1,  2022,    -1,
      -1,    -1,  2602,    -1,    -1,    -1,  2030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,
      -1,    -1,    -1,    -1,    -1,    -1,  4936,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2088,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2119,  4162,  4987,    -1,  4989,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5019,
    5020,    -1,  5022,    -1,  5024,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4210,    -1,    -1,  2171,    -1,    -1,
    2174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5048,    -1,
      -1,    -1,  5052,    -1,    -1,    -1,    -1,    -1,  5058,    -1,
      -1,    -1,    -1,  5063,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2791,    -1,    -1,    -1,  5085,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3254,    -1,    -1,  3257,    -1,  3259,    -1,    -1,    -1,
      -1,  3264,    -1,    -1,    -1,  5115,    -1,    -1,    -1,  5119,
    5120,    -1,    -1,    -1,  5124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,    -1,
      -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3315,    -1,    -1,  5165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4349,    -1,    -1,    -1,    -1,    -1,  3332,
      -1,    -1,    -1,  4359,    -1,  5185,    -1,    -1,    -1,  2323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,  5205,  5206,  1894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5228,    -1,
      -1,  5231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1926,
    5240,    -1,    -1,    -1,    -1,  5245,    -1,  5247,    -1,  5249,
      -1,    -1,    -1,    -1,    -1,    -1,  5256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,  3421,    -1,
      -1,    -1,    -1,    -1,  5274,    -1,    -1,    -1,    -1,    -1,
    2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4487,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2007,    -1,    -1,    -1,    -1,  5325,    -1,  3480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,
    4516,    -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3505,    -1,  2041,    -1,  5356,  5357,    -1,  4535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,    -1,
      -1,    -1,    -1,  3536,    -1,    -1,    -1,  5387,    -1,  2523,
      -1,    -1,    -1,  2527,  2528,    -1,    -1,    -1,    -1,    -1,
      -1,  2088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4589,    -1,    -1,    -1,    -1,    -1,    -1,
    2107,    -1,  5422,    -1,    -1,    -1,    -1,    -1,  5428,  5429,
      -1,  5431,  2119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3594,    -1,    -1,  2131,    -1,    -1,    -1,    -1,    -1,
    5450,    -1,    -1,    -1,    -1,    -1,  2590,    -1,    -1,  3612,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2602,    -1,
      -1,    -1,    -1,    -1,  3627,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2171,    -1,    -1,  2174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4690,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5529,
    5530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5543,  3254,    -1,    -1,  3257,    -1,  3259,
      -1,    -1,    -1,    -1,  3264,  5555,  5556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,
      -1,    -1,    -1,    -1,    -1,  3728,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3749,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3774,  3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3808,    -1,  2791,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1657,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4875,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3419,
      -1,  3421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1734,    -1,    -1,    -1,    -1,    -1,    -1,
    3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,
    2527,  2528,    -1,    -1,  5020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4024,    -1,    -1,    -1,    -1,    -1,  3011,    -1,    -1,
      -1,    -1,  5058,    -1,  3594,    -1,    -1,    -1,  3022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3612,  2590,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2602,    -1,  3627,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5115,
      -1,    -1,    -1,  5119,  5120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3728,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3749,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4210,    -1,    -1,
      -1,    -1,    -1,    -1,  3774,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,    -1,
      -1,    -1,    -1,    -1,  2791,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3254,    -1,    -1,  3257,    -1,  3259,    -1,    -1,    -1,    -1,
    3264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,    -1,
      -1,  3315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4349,    -1,  3332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2190,
      -1,  3931,  3356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3419,    -1,  3421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2990,    -1,    -1,    -1,    -1,  2279,    -1,
      -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2293,    -1,  3011,    -1,  2297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4487,  3022,    -1,    -1,    -1,    -1,
    2311,  2312,  2313,    -1,    -1,  2316,  3480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4535,    -1,    -1,    -1,    -1,  2358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,    -1,    -1,
      -1,    -1,  3536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,
      -1,    -1,  2413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3594,    -1,    -1,    -1,    -1,  2436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2448,  3612,    -1,
    2451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3627,    -1,    -1,    -1,    -1,    -1,    -1,
    4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4690,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,
    3257,    -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4745,    -1,  3728,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3749,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4349,
    3774,    -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,  4359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,
      -1,    -1,    -1,    -1,  3808,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3419,    -1,  3421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3480,    -1,    -1,    -1,  3931,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3505,    -1,
      -1,    -1,    -1,    -1,    -1,  4535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4989,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,  3536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4589,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5058,    -1,  3594,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3612,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5115,    -1,    -1,    -1,  5119,  5120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,    -1,
      -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,    -1,    -1,
      -1,  3728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3749,  3034,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4210,    -1,    -1,    -1,
      -1,    -1,    -1,  3054,    -1,  3056,    -1,  3774,  3059,  3060,
      -1,  3062,    -1,  3064,    -1,    -1,    -1,  3068,    -1,    -1,
    3071,    -1,    -1,    -1,    -1,  3076,    -1,    -1,    -1,    -1,
      -1,  3082,    -1,    -1,    -1,    -1,  3087,    -1,    -1,    -1,
      -1,  3808,    -1,  3094,  3095,  3096,  3097,    -1,    -1,    -1,
    3101,  3102,    -1,  3104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3116,    -1,  3118,    -1,    -1,
      -1,    -1,    -1,    -1,  3125,  3126,  3127,  3128,  3129,  3130,
    3131,  3132,  3133,  3134,    -1,  4875,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4989,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3303,    -1,    -1,    -1,    -1,  4024,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5058,    -1,
      -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4535,    -1,    -1,    -1,  5115,    -1,    -1,    -1,  5119,
    5120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4690,    -1,    -1,    -1,
      -1,  3532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3724,    -1,    -1,    -1,    -1,    -1,  3730,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3746,  3747,    -1,    -1,  3750,
    3751,  3752,  3753,    -1,    -1,  3756,  3757,  3758,  3759,  3760,
    3761,  3762,  3763,  3764,  3765,  3766,    -1,    -1,    -1,    -1,
    4487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,
    3791,    -1,  3793,    -1,    -1,  3796,  3797,    -1,    -1,  4516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3811,  3812,  3813,  3814,    -1,  3816,    -1,    -1,  4535,    -1,
      -1,    -1,    -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3885,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5058,  3896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5115,    -1,    -1,    -1,  5119,  5120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4690,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4875,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,  4300,
    4301,  4302,    -1,  5020,    -1,    -1,    -1,  4308,  4309,  4310,
    4311,    -1,    -1,    -1,    -1,  4316,  4317,  4318,  4319,  4320,
    4321,  4322,  4323,  4324,  4325,  4326,  4327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4352,    -1,    -1,  4355,    -1,  4357,    -1,    -1,    -1,
    4361,    -1,    -1,  4364,  4365,    -1,    -1,  4368,  4369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5115,    -1,
      -1,    -1,  5119,  5120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4413,    -1,    -1,    -1,    -1,    -1,    -1,  4420,
    4421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4627,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,  4685,  4686,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,  4735,    55,    -1,    -1,    -1,  4740,
    4741,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,  4755,    -1,  4757,    -1,    78,    79,
    4761,  4762,  4763,    -1,    -1,  4766,    -1,    -1,  4769,  4770,
      -1,    -1,    -1,  4774,    94,    -1,    -1,  4778,    -1,    -1,
      -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,   118,    -1,
      -1,   121,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,    -1,    -1,  4840,
      -1,    -1,   162,    -1,   164,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,   181,   182,   183,   184,    -1,    -1,    -1,    -1,    -1,
     190,    -1,    -1,    -1,    -1,    -1,   196,    -1,   198,    -1,
      -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,   208,   209,
      -1,    -1,    -1,    -1,    -1,  4896,   216,   217,   218,    -1,
      -1,   221,    -1,    -1,   224,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,   239,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,
    4941,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,   269,
      -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,
     280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,
     290,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
      -1,    -1,   322,   323,    -1,    -1,   326,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5018,  5019,    -1,
      -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,
      -1,    -1,    -1,  5034,  5035,  5036,    -1,   357,    -1,   359,
      -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   372,   373,    -1,    -1,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,    -1,    -1,   386,    -1,    -1,  5070,
    5071,   391,   392,    -1,   394,    -1,   396,    -1,    -1,   399,
      -1,    -1,    -1,    -1,   404,   405,    -1,    -1,    -1,    -1,
      -1,    -1,   412,    -1,   414,    -1,   416,   417,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,   438,    -1,
     440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,
      -1,    -1,    -1,   453,    -1,   455,    -1,   457,    -1,   459,
      -1,    -1,    -1,    -1,   464,    -1,    -1,   467,    -1,    -1,
     470,    -1,    -1,   473,    -1,    -1,    -1,    -1,   478,   479,
      -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,
     530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,  5502,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5542,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
     532,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,   533,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,
      -1,   526,   527,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,   527,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,   527,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,   527,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,    -1,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,    -1,    -1,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,   358,    -1,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   527,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   527,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,   524,   525,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,   519,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   526,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   527,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,   525,   526,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,   512,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,   512,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   526,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
      -1,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,    -1,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,   519,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   519,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   519,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   519,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,   234,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,   234,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,   234,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,   234,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
       4,   515,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,    -1,   124,    -1,    -1,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,    -1,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,    -1,    -1,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,    -1,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,    -1,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,    -1,   317,   318,
      -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,    -1,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,    -1,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
      -1,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,    -1,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,   231,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,   231,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,   231,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,   168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,   231,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,    -1,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,    -1,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,
      -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,
      -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
      -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,
     499,   500,   501,   502,   503,   504,   505,   506,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,
     147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,
      -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,
      -1,    -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,
     277,   278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,
      -1,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,
     417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,
      -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   498,   499,   500,   501,   502,   503,   504,   505,   506,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,
      -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,
     266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,    -1,
      -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   315,
     316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,
     326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,   345,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
     396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,   499,   500,   501,   502,   503,   504,   505,
     506,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,
     235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,
      -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,
      -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,   517,
     518,   519,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    70,
      71,   512,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,   526,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    -1,
      -1,    -1,    -1,    -1,    70,    71,   517,   518,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,   508,   509,    -1,    -1,    -1,    -1,    -1,    70,
      71,   517,   518,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    -1,
      -1,    -1,    -1,    -1,    70,    71,   517,   518,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,   508,   509,    -1,    -1,    -1,    -1,    -1,    70,
      71,   517,   518,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,   508,   509,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   535,  1140,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   209,   227,   248,
     271,   307,   310,   325,   403,   449,   464,   479,   507,   515,
     517,   518,   519,   520,   521,   524,   525,   526,   527,   529,
     530,   531,   532,   533,  1130,  1141,  1169,  1171,  1262,  1272,
    1273,  1275,  1281,  1282,  1170,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   196,   198,   202,
     208,   209,   216,   217,   218,   221,   224,   227,   233,   235,
     239,   241,   243,   251,   255,   265,   266,   272,   274,   277,
     278,   280,   289,   290,   292,   294,   295,   300,   311,   314,
     315,   316,   319,   322,   323,   326,   328,   342,   343,   345,
     346,   357,   359,   361,   372,   373,   378,   379,   381,   386,
     391,   392,   394,   396,   399,   404,   405,   412,   414,   416,
     417,   420,   426,   434,   438,   440,   447,   448,   453,   455,
     457,   459,   464,   467,   473,   478,   479,   482,   491,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   512,   526,
     536,   537,   543,   544,   546,   547,   548,   549,   550,   551,
     552,   554,   555,   559,   571,   576,   577,   580,   581,   582,
     594,   597,   598,   614,   653,   656,   657,   658,   665,   671,
     673,   675,   676,   679,   682,   683,   687,   688,   697,   701,
     702,   703,   704,   705,   708,   710,   711,   712,   713,   714,
     721,   734,   735,   739,   741,   742,   743,   753,   755,   762,
     763,   766,   767,   768,   769,   770,   776,   778,   781,   785,
     789,   790,   800,   801,   804,   809,   820,   843,   846,   847,
     848,   851,   854,   856,   858,   860,   861,   866,   867,   870,
     871,   872,   879,   880,   882,   883,   884,   889,   891,   892,
     898,   899,   900,   901,   902,   903,   905,   906,   908,   909,
     911,   914,   915,   920,   926,   929,   931,   939,   941,   946,
     953,   957,   958,   959,   960,   961,   962,   965,  1000,  1137,
    1138,  1142,  1144,  1145,  1162,  1163,  1164,  1165,  1176,  1178,
    1182,  1183,  1184,  1185,  1186,  1188,  1190,  1192,  1193,  1194,
    1195,  1197,  1202,  1203,  1207,  1208,  1217,  1219,  1220,  1221,
    1224,  1229,  1232,  1237,  1239,  1240,  1243,  1245,  1248,  1257,
    1275,  1283,    72,  1165,  1173,  1174,    14,    71,    94,    95,
      96,    97,    98,    99,   100,   101,   103,   104,   105,   113,
     114,   116,   117,   119,   120,   121,   128,   129,   130,   131,
     132,   135,   136,   139,   141,   142,   143,   144,   149,   150,
     151,   152,   154,   155,   158,   159,   160,   161,   162,   163,
     166,   167,   175,   176,   177,   178,   179,   181,   184,   186,
     188,   189,   190,   191,   192,   194,   195,   196,   199,   200,
     201,   202,   203,   205,   206,   207,   209,   210,   211,   213,
     214,   215,   216,   218,   219,   220,   223,   225,   226,   228,
     230,   232,   236,   237,   238,   240,   244,   246,   247,   249,
     250,   252,   253,   254,   255,   257,   258,   259,   260,   261,
     262,   264,   268,   269,   270,   276,   279,   281,   282,   283,
     284,   285,   288,   291,   294,   295,   296,   299,   300,   301,
     302,   303,   304,   305,   306,   308,   309,   311,   312,   313,
     317,   318,   321,   322,   324,   327,   329,   330,   331,   333,
     336,   337,   338,   341,   344,   347,   348,   349,   350,   351,
     352,   353,   355,   356,   358,   360,   361,   362,   364,   365,
     366,   367,   368,   369,   370,   371,   373,   374,   375,   376,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   390,   391,   393,   394,   395,   397,   398,   399,   400,
     401,   402,   404,   406,   407,   408,   409,   410,   411,   412,
     413,   415,   416,   418,   419,   421,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   436,   437,   439,
     441,   442,   443,   444,   445,   449,   451,   452,   454,   457,
     458,   459,   460,   461,   462,   463,   466,   467,   468,   469,
     470,   473,   474,   475,   476,   477,   481,   483,   484,   485,
     486,   489,   492,   493,   494,   495,   496,   497,   508,   509,
    1132,  1133,  1135,  1136,  1137,  1138,  1155,  1156,  1267,  1269,
    1273,  1275,    29,   267,  1218,     9,    13,    15,    28,    44,
      45,    49,    50,    55,    64,    66,    68,    69,   102,   137,
     156,   168,   180,   185,   248,   307,   310,   403,   478,   507,
    1123,  1136,  1137,  1157,  1204,  1205,  1247,  1248,  1249,  1253,
    1258,  1259,  1260,  1269,  1275,   102,   954,  1122,  1157,  1253,
    1266,    14,   954,     5,    25,    29,    35,    36,    42,    43,
     102,   106,   107,   108,   109,   110,   111,   112,   115,   127,
     133,   134,   137,   140,   146,   148,   156,   157,   164,   168,
     169,   170,   171,   173,   174,   175,   185,   187,   193,   197,
     198,   204,   208,   212,   222,   224,   229,   231,   234,   239,
     242,   245,   256,   263,   267,   271,   273,   275,   286,   287,
     293,   297,   298,   320,   325,   332,   334,   335,   339,   340,
     354,   363,   377,   389,   405,   411,   422,   435,   438,   446,
     449,   450,   456,   464,   465,   471,   472,   478,   480,   487,
     488,   490,   491,  1136,  1139,  1249,  1250,  1251,  1255,  1256,
    1257,  1258,  1260,    25,    35,   137,   271,  1244,    37,    39,
     320,  1177,   451,   494,   885,   101,   147,   161,   179,   185,
     200,   211,   219,   231,   236,   242,   259,   284,   305,   336,
     356,   366,   393,   398,   400,   406,   409,   437,   438,   441,
     445,   454,   459,   471,   484,   672,  1205,   184,   885,   102,
     954,   482,   916,   334,   362,   885,   124,   605,   958,   101,
     113,   134,   147,   157,   179,   185,   200,   211,   219,   231,
     238,   242,   296,   336,   339,   356,   393,   400,   409,   441,
     442,   444,   445,   454,   459,   465,   468,   471,   615,   655,
     758,   810,   821,  1123,  1146,  1147,  1148,  1157,  1273,  1275,
      14,   102,   361,  1122,  1157,  1161,   427,   954,   102,   355,
     407,   442,   444,   283,   852,   853,  1273,   101,   113,   134,
     147,   161,   179,   200,   211,   219,   231,   236,   242,   259,
     305,   336,   347,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   471,   484,   672,   771,   885,
     532,  1187,  1251,   252,  1161,   164,   184,   216,   482,   526,
     653,   656,   915,   921,   929,   931,   939,   946,   953,   957,
    1142,    95,   102,   119,   226,   232,   234,   256,   285,   317,
     364,   380,   517,   518,   786,   787,   954,  1130,  1131,  1267,
    1269,   102,   164,   377,   405,   791,   792,   793,  1253,   231,
    1253,  1127,  1273,   438,   968,   119,   232,   786,  1253,   451,
    1161,   347,   305,   179,   259,   400,   437,   438,   526,   862,
     863,   399,  1253,   102,   137,   410,   447,   451,   478,   563,
     572,   573,  1136,  1137,  1247,  1252,  1258,  1260,  1275,    99,
     239,   791,   792,   362,   885,  1253,   282,   102,   197,   970,
     971,     4,    14,   135,   156,   158,   296,   313,   393,   400,
     410,   447,   451,   497,   560,   561,   562,   563,   102,   410,
     447,   451,   563,   451,   335,  1011,  1120,  1253,   968,  1241,
    1251,   519,  1253,   235,   526,   917,   526,  1115,   375,   963,
     964,  1122,   963,   958,   959,   962,   530,   916,   212,   273,
     340,   464,   972,   973,   958,   960,   961,   190,   269,   470,
     529,   121,   536,  1185,  1188,  1184,  1180,   530,  1189,  1191,
       5,    25,    35,   137,   201,   271,  1196,   180,   248,   307,
     310,   403,   507,   526,  1049,  1050,  1168,  1172,  1262,    72,
    1165,  1122,  1157,  1276,   185,  1146,    21,   472,   520,  1161,
    1161,  1276,   472,  1209,  1210,  1211,    25,   271,   271,  1255,
       7,    19,    20,    38,    41,   160,   198,  1246,  1246,    16,
    1185,  1128,  1138,  1247,  1250,  1253,  1254,  1258,  1259,  1275,
     773,  1253,   773,  1123,   365,   773,   454,   773,  1122,  1253,
     178,   438,   799,  1128,  1132,  1133,   102,   250,  1120,   329,
     484,    84,    91,    92,    93,   142,   223,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   850,  1082,  1083,  1253,
     250,  1122,   102,  1132,  1133,  1122,  1122,   250,  1120,  1122,
     386,   412,   102,   250,  1011,  1122,   402,  1122,   773,   303,
    1132,  1133,   250,  1120,   283,    34,   187,   279,   320,   371,
     886,   887,   888,  1120,  1126,  1253,   101,   134,   147,   148,
     157,   161,   179,   200,   211,   219,   231,   236,   259,   284,
     305,   336,   356,   393,   398,   400,   406,   409,   438,   441,
     445,   452,   454,   459,   484,   672,   779,  1273,  1120,   449,
    1128,  1122,   526,   773,   454,  1123,   773,   454,   250,  1122,
     178,   438,   442,   444,  1132,   442,   444,   142,   223,   850,
     384,  1122,  1132,   250,   556,  1253,  1122,  1122,   402,  1122,
     773,   303,  1132,   375,   406,   438,   484,   305,   161,   259,
     236,   398,   452,   458,   666,    84,  1149,  1150,   531,  1269,
    1276,   102,  1161,  1275,   955,   570,  1135,  1273,   853,   250,
    1128,  1122,   250,   857,   250,  1123,   123,   125,   126,   137,
     138,   182,   183,   201,   227,   250,   271,   272,   274,   314,
     316,   328,   372,   414,   420,   447,   448,   479,   775,  1027,
    1029,  1031,  1033,  1035,  1037,  1038,  1039,  1041,  1042,  1043,
    1046,  1047,  1247,  1254,  1258,  1259,  1275,   454,   178,   438,
     250,  1128,   250,  1133,  1134,   153,   484,   142,   223,   250,
     850,   128,   250,  1122,   250,  1134,   250,  1122,   250,  1122,
     250,  1122,   402,   857,   250,  1122,   250,   775,   250,   303,
    1134,   283,   250,   772,   773,   526,   532,  1277,  1278,  1279,
    1280,  1282,  1187,    70,  1157,  1206,   526,   930,   615,   954,
     921,   915,   922,   923,   924,  1135,   916,  1131,   787,   788,
     102,   787,   954,  1131,   788,   102,   787,   954,  1131,   788,
     788,   788,  1131,  1130,  1130,   275,   472,  1211,  1212,  1286,
    1287,   954,   788,   365,   526,   526,   634,   634,   634,   334,
     449,   529,   634,   400,  1011,  1012,   787,   954,   787,   954,
     529,   881,  1273,   234,   526,   927,   128,   484,   482,   864,
     865,  1120,  1122,  1253,   118,   509,   279,   528,   337,   337,
     334,   234,  1273,   449,   229,   782,   334,    82,    83,    84,
      86,   110,   123,   125,   126,   133,   134,   137,   138,   145,
     147,   169,   170,   171,   172,   173,   174,   175,   182,   183,
     217,   221,   222,   227,   241,   243,   272,   274,   289,   297,
     298,   314,   316,   320,   325,   326,   328,   336,   346,   357,
     372,   396,   411,   420,   434,   447,   448,   453,   455,   456,
     465,   471,   479,   499,   500,   501,   502,   503,   504,   505,
     506,   510,   517,   518,   519,   526,   958,  1030,  1033,  1036,
    1037,  1038,  1040,  1041,  1042,  1046,  1047,  1051,  1053,  1054,
    1055,  1057,  1078,  1079,  1080,  1084,  1103,  1108,  1117,  1118,
    1128,  1129,  1130,  1253,  1265,  1267,  1269,  1270,  1271,  1272,
    1273,  1116,  1117,   449,   515,  1276,  1273,   449,   515,  1205,
     102,   578,  1119,  1120,   410,   560,   185,   569,  1273,   570,
    1273,   118,   139,   560,   509,   421,   887,   337,   234,   449,
     515,   118,   509,   279,  1286,   888,   526,  1120,   519,   524,
     528,  1109,  1110,  1012,  1257,   233,   235,   482,   912,   913,
     915,   233,   918,   185,  1051,  1113,  1114,   963,   529,   526,
     919,   527,   527,  1120,   102,   197,   969,   969,   128,   969,
     224,   229,   293,   332,   976,   978,   979,   994,   996,   997,
     998,   972,   973,   234,   275,  1011,  1013,  1115,   530,  1179,
     519,  1198,  1199,  1201,   532,   532,    25,   271,   271,   449,
     449,   449,   449,   526,   449,   518,   663,  1131,  1166,  1272,
     208,   111,  1153,   128,  1156,  1156,   275,  1211,  1213,   275,
    1211,  1212,  1213,   477,  1222,  1223,  1269,    14,    83,   423,
     517,   518,  1130,  1214,  1215,  1216,  1265,  1267,  1271,  1272,
    1273,  1274,   271,   277,  1122,   449,  1122,     6,  1122,  1246,
    1201,   526,   833,  1110,   348,   382,   412,   528,   774,   348,
     382,   412,   156,   206,   299,   348,   382,   412,   441,   443,
     491,   571,   574,   893,   894,   895,   896,  1275,   805,    98,
     202,   348,   382,   412,   475,   585,  1122,   412,    98,   202,
     470,   553,   495,   250,  1011,   130,   163,   220,   253,   288,
     320,   348,   382,   390,   397,   404,   412,   424,   432,   486,
     571,   575,   836,   844,   526,   822,   382,   553,   256,   217,
      98,   104,   144,   195,   202,   205,   261,   318,   320,   330,
     338,   348,   382,   385,   386,   412,   475,   583,   584,   691,
     663,   102,   250,  1120,   773,   773,   526,   849,   528,   217,
     334,   256,   545,   382,   491,   512,   538,   545,   334,   348,
     382,   217,   129,   177,   258,   306,   308,   318,   347,   382,
     387,   412,   426,   583,   660,   661,   348,   382,   483,   691,
     699,   573,   561,   563,   256,   217,   382,   412,   583,   348,
     382,   386,   412,   154,   194,   349,   443,   334,    98,   104,
     202,   348,   382,   412,   595,   596,   229,   382,   412,   538,
     574,   217,   382,   412,   583,  1122,   530,   291,   187,   335,
     496,   529,   886,   472,   910,   334,  1128,   526,  1122,  1027,
     454,   178,   438,  1128,   329,   484,   142,   223,   850,  1122,
    1122,   402,   229,  1122,  1027,   283,   773,   634,   368,   600,
     526,   748,   833,   140,  1027,   234,   526,   744,  1122,   538,
     111,   904,  1122,   320,   538,   495,   250,  1120,   538,   773,
     773,   744,   468,   615,   334,   538,   320,   118,   557,   459,
     698,   348,   674,   154,   194,   349,   443,   100,   120,   270,
     722,   111,   744,   229,   538,   484,   250,  1120,   250,   651,
    1120,  1120,   484,   773,   153,   811,  1128,  1122,   229,   672,
      73,  1151,  1253,   531,  1152,  1149,   124,   176,   268,   318,
     401,   217,   833,   131,   388,   586,   217,   526,   217,   481,
    1044,  1044,  1044,   526,  1032,  1032,   359,   526,  1034,   217,
     137,   138,  1044,  1032,  1029,   493,   512,   526,  1048,   526,
    1048,   529,   586,   110,  1028,   138,   526,  1045,   180,   310,
     507,   526,  1049,   774,  1032,   495,   217,   822,   217,   529,
     250,   772,   250,   773,   250,   773,   217,   849,  1134,   217,
     334,   217,   217,   334,   217,   586,   217,   154,   194,   349,
     443,   229,   217,   334,   217,   586,   217,   229,   250,   250,
     570,   217,   529,   586,   527,  1278,  1279,  1277,   529,   533,
    1051,  1087,  1210,  1285,  1286,   438,   955,   527,   529,   222,
     334,   456,   567,   570,   663,   925,   921,   788,   954,   788,
     954,  1287,  1288,   788,   954,   788,   954,  1288,   788,   954,
     954,   954,   788,    14,   423,  1261,  1264,  1269,   954,   526,
     635,   636,  1253,   635,   102,   179,   200,   231,   236,   283,
     284,   400,   406,   438,   441,   459,   794,  1119,  1134,   793,
    1122,   256,   529,   942,   954,   954,  1273,  1206,  1027,  1090,
     111,  1134,   811,   527,   529,   291,  1253,   229,   229,   794,
    1134,   399,  1253,   570,   334,   526,   524,   958,  1091,  1051,
    1107,   526,   526,   229,   526,   526,   958,   526,   526,   526,
     526,   526,   526,  1051,   526,   526,   526,   526,   526,   526,
     526,   526,   958,   526,   526,   526,   526,   526,   526,   526,
     526,  1051,  1051,  1051,   478,   958,  1051,  1087,  1110,  1273,
     526,  1273,    84,    87,    91,    92,    93,   108,   111,   116,
     122,   146,   251,   256,   277,   278,   292,   323,   336,   339,
     417,   510,   513,   514,   515,   517,   518,   519,   520,   521,
     522,  1082,  1084,  1086,  1275,   492,  1066,   345,  1051,   275,
     529,   966,  1286,   526,  1273,  1110,    22,  1268,  1269,  1111,
     966,   331,   334,  1238,  1238,    10,   477,  1225,  1226,  1228,
    1205,  1205,   188,   252,   579,   529,   139,   185,   570,   111,
     185,   296,   568,   663,  1047,  1273,  1275,  1273,   159,   199,
    1063,   168,   185,   564,   565,   567,   663,   185,   564,  1286,
    1286,   291,  1120,  1051,   519,  1125,  1255,  1109,   160,   387,
     777,   277,   527,   529,   916,   527,   529,   964,  1121,  1122,
     111,   919,   960,   960,   974,   975,  1051,   960,   226,   317,
     985,   281,   318,   371,   415,   470,   102,   980,  1051,   981,
     983,  1051,  1053,   994,   995,   979,   978,   976,   977,   229,
     997,   330,   999,   976,   994,  1013,   932,  1120,   111,  1253,
     412,  1198,   519,   529,   530,  1256,  1175,  1178,  1175,   271,
     180,   248,   307,  1050,   307,  1050,  1050,   310,  1130,   307,
     310,   403,  1272,   529,  1167,   184,  1205,   471,  1154,  1156,
    1122,   423,  1130,  1227,  1269,   529,   515,  1122,    14,  1130,
    1272,  1130,  1272,   529,  1185,   526,  1122,   526,  1257,   256,
     266,   340,   342,   414,   480,   519,   826,   827,   828,   830,
     832,   834,  1027,  1254,   348,   382,   412,   449,   449,   400,
    1125,   528,   449,   449,   400,   293,   449,   449,   441,   560,
     348,   893,   895,   515,   897,   229,   239,   256,   391,   806,
     807,   140,   157,   213,   231,   363,   465,   631,   632,   157,
     185,   320,   449,   157,   449,   185,   320,   400,   157,   195,
     205,   348,   382,   740,   400,   680,   101,   134,   147,   161,
     200,   211,   231,   236,   305,   336,   400,   406,   409,   438,
     445,   452,   459,   484,   672,  1122,   217,   382,   412,   583,
     334,   663,   404,   288,   449,   449,   325,   663,   189,   276,
     400,   410,   451,   562,   388,   412,   836,   845,   527,   823,
     826,   449,   471,   441,  1120,   148,   213,   622,   631,  1253,
     148,   157,   868,   334,   396,   398,   454,   157,   868,   105,
     385,   396,   398,   454,  1120,   261,   330,   773,   526,   449,
     449,   249,   526,   590,   302,   441,   468,   491,   493,   590,
     157,   529,   348,   256,   217,   382,   412,   583,   472,   472,
     319,  1027,   348,   412,   850,  1122,  1120,   179,   574,   449,
     540,   574,  1120,   449,   449,  1120,   663,   128,   662,   663,
     663,   177,   306,   308,   128,   449,   538,   400,   538,   318,
     661,   449,   449,   325,  1273,   691,   441,  1011,   157,   449,
     868,   400,   449,   449,   590,   590,   773,   773,   773,   773,
    1120,   117,   477,   117,   117,   449,   117,   449,   400,   529,
     471,   709,  1133,   449,   540,  1120,   449,   400,   348,   382,
     371,   383,   408,   566,   886,  1126,  1253,  1120,   833,  1027,
     334,   277,   495,   822,   663,   773,   773,   849,   334,   277,
     334,   154,   194,   349,   443,  1027,   334,   277,   773,   277,
     491,   606,   429,   430,   601,  1273,   749,   750,  1275,   744,
     526,   111,   773,   745,   746,  1255,   100,   893,  1027,   334,
     217,   677,  1122,   320,   526,   539,   758,   472,   375,   484,
    1120,   539,   217,  1133,   164,   239,   558,   614,   657,   721,
     789,   809,   889,  1273,   699,   700,  1133,   299,   773,   773,
     773,   773,   330,   190,   269,   457,   470,   723,   724,   209,
     370,   526,   709,   539,  1120,   320,   659,   660,   320,   111,
     330,   526,   634,   634,   250,   654,  1120,   229,   250,   812,
    1126,   526,   824,   111,  1027,   283,   528,  1130,  1152,   491,
     493,   956,   401,  1128,   586,  1027,  1123,   526,  1087,  1130,
     775,  1044,  1044,   110,  1028,   447,   447,  1130,  1130,  1027,
     524,   524,   412,  1130,   449,   449,  1130,  1032,   250,  1122,
    1128,   586,  1134,  1133,   217,   586,   217,   472,   217,   472,
     850,   586,   586,  1122,   773,  1134,  1122,   773,  1122,  1122,
    1027,  1122,   773,   775,  1134,   709,   217,   217,   586,   772,
     773,   527,   533,  1280,   527,   529,  1286,  1210,  1120,   176,
     921,   923,   954,   954,  1288,   954,   954,  1288,   954,   954,
    1122,    14,   529,  1268,   635,   527,   529,   527,   237,   407,
     439,  1121,   772,   178,   409,   798,   799,  1121,   329,  1121,
    1119,  1119,  1121,   772,   449,   491,   802,   212,   293,   706,
     707,    96,   215,   396,   415,   943,  1011,   324,   944,   527,
     529,   928,   931,   939,   946,   957,   449,  1120,   862,   863,
     865,   792,   791,   792,   234,   240,   803,  1253,   101,   148,
     179,   200,   211,   231,   236,   284,   305,   393,   400,   406,
     438,   441,   459,   484,   672,   783,  1087,   525,  1087,  1091,
    1092,   487,  1104,  1105,  1051,  1087,   526,  1130,  1130,   180,
     248,   307,   310,   403,   507,  1093,  1094,  1273,  1275,  1087,
    1087,  1087,  1130,  1130,  1051,   850,  1051,  1095,   396,   517,
     518,   526,  1052,  1053,  1084,  1097,   527,  1087,  1051,  1087,
    1098,  1051,   127,   234,   287,   450,  1051,  1087,  1101,  1087,
     312,  1053,  1051,  1061,  1062,  1063,   312,  1051,  1063,   527,
     529,  1130,  1049,  1027,  1051,  1051,  1051,  1051,  1255,   447,
     115,   435,  1112,   773,  1051,   526,   958,  1102,   197,   199,
     222,   320,   325,   330,   456,   466,  1051,   526,  1051,   449,
     122,   251,   256,   292,   417,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,   102,   109,   422,  1081,   242,
     225,  1067,   396,   526,  1078,   238,   296,   438,   442,   444,
     468,   967,  1120,  1118,   234,  1001,   102,   197,   480,   519,
     527,   828,  1051,  1088,  1089,  1254,  1122,  1269,  1109,  1001,
    1227,   529,   515,  1120,   451,   526,  1273,   529,  1286,   527,
     525,   531,   249,   249,   586,  1185,  1120,   913,   914,  1120,
    1113,   527,   529,   526,   529,   112,   193,   472,   818,   526,
     982,  1131,   415,   281,   335,   529,   396,   397,   984,  1119,
     324,   419,   945,   995,   977,   472,   940,   185,   526,   933,
     957,   111,  1253,   526,   947,   948,   949,   950,   951,  1253,
     530,  1199,  1028,   533,  1178,   533,   527,   663,   527,    34,
    1155,  1230,  1231,  1269,  1223,  1228,  1276,  1214,  1028,  1263,
    1279,  1263,  1028,   342,   128,  1254,   527,   828,   830,   827,
     830,  1254,   340,   527,   529,   774,   449,   449,   400,  1133,
    1122,  1122,  1125,  1133,  1122,  1122,  1133,  1123,  1122,   185,
     567,  1131,   393,   471,   791,   400,   239,   791,   526,  1122,
     472,   813,   281,   281,   472,   526,   650,   250,  1122,   325,
    1133,  1122,  1122,  1051,   325,  1122,  1122,   105,   385,   449,
     449,  1122,   449,   681,  1128,   526,   773,   773,  1027,   454,
     178,   438,   799,   484,   142,   223,   850,  1122,   773,  1122,
     773,   402,   229,  1027,   773,   283,   244,   318,   348,   382,
     476,   684,   685,   686,  1011,   449,   868,   400,   325,   189,
     276,  1133,  1122,   334,  1122,   527,   529,  1132,  1134,  1122,
     382,   583,   622,  1027,  1122,  1253,  1122,   291,  1122,   102,
     471,  1122,   250,  1122,   250,  1253,   398,   454,   398,   454,
     291,  1122,   102,   471,  1122,  1120,    98,   202,   412,   692,
     693,   694,   695,  1255,  1133,  1122,   185,   235,   321,   472,
     589,   592,   593,  1255,  1122,   333,   144,   333,  1122,   584,
     449,   441,  1120,   449,   868,   400,  1124,  1253,  1124,   529,
     527,   529,   449,   400,   334,   382,   449,   718,  1123,  1132,
     156,   207,   261,   353,   463,   471,   474,   541,  1275,   382,
    1133,  1122,   382,   412,   583,   660,   663,   773,  1122,   663,
    1122,   663,  1133,  1122,  1122,   382,   412,   583,  1122,  1122,
    1122,  1122,  1133,  1122,    98,   104,   202,   348,   382,   412,
     348,   382,   412,   744,   382,   412,   382,   412,   382,  1026,
    1253,   250,   754,  1253,   250,  1253,  1133,  1122,  1122,  1122,
      98,   596,   409,  1132,   382,   412,   583,  1122,  1122,   449,
     449,   152,   462,   371,   277,   111,   200,   773,   325,   780,
    1273,   277,   277,   472,   472,   277,   773,   780,   773,   283,
     773,   780,   277,   780,   333,   234,   449,   599,   538,   527,
     529,   515,  1051,  1027,   527,   529,   515,   723,   624,  1255,
    1122,   234,   400,   483,   678,   685,   686,   217,   292,   616,
     618,   620,   622,   628,   631,    99,   256,   393,   436,   541,
     542,   229,  1124,   484,  1120,   229,   719,   556,  1253,   557,
     339,   615,   231,  1273,   744,   744,   744,   744,   330,   334,
     339,   526,   744,  1024,  1025,  1026,   409,   526,   217,   217,
     216,  1143,   773,   616,  1253,   491,   493,   646,   491,   591,
     320,   111,   634,  1273,   320,   334,   527,   825,   826,   831,
     111,   283,   390,   452,   490,   835,   836,   837,   334,   283,
     570,  1151,   520,   247,   247,   229,   833,   111,  1087,   527,
     527,   586,   524,   509,   509,   527,   527,  1130,   525,   526,
    1130,  1253,  1273,  1284,  1253,   527,   527,   217,   586,   822,
     772,   773,  1124,   773,  1124,   849,   334,   586,   334,   586,
     586,   283,   334,   586,   586,   409,   229,   570,   586,  1051,
     956,  1276,  1264,   527,   636,   256,   256,   256,   495,  1121,
     529,   663,   664,   242,   795,   796,  1133,    99,   803,   449,
     526,   234,   215,   415,   215,   415,   396,   470,   309,  1027,
    1133,   491,   652,  1120,  1122,   234,   334,   795,   128,   586,
    1128,  1027,   454,   438,  1128,   329,   484,  1027,   283,   773,
     527,   525,   525,   529,  1051,   204,  1105,  1106,   111,   527,
    1051,   527,   527,   527,   234,   527,   527,   527,   527,   527,
     529,   527,   354,  1096,   527,   526,  1052,  1052,  1087,    87,
      91,    92,    93,   256,   277,   336,   513,   514,   515,   517,
     518,   519,   520,   521,   522,  1084,  1052,   527,   527,   229,
     234,  1099,  1100,   527,   111,  1101,  1087,  1101,  1101,   234,
     527,   527,  1255,   352,  1065,   111,   527,   529,  1051,  1255,
     529,  1051,  1111,  1051,   527,   509,  1052,  1052,   210,  1087,
     234,   197,   199,   222,   325,   330,   456,   466,   526,   210,
     850,  1051,   435,  1112,  1051,  1102,  1051,   449,   526,   958,
     526,   526,   344,  1071,   526,  1087,   442,   444,   442,   444,
    1120,   968,   968,   968,   286,   397,   526,   958,  1002,  1003,
    1004,  1011,  1014,  1017,  1054,  1056,  1057,  1128,  1253,   488,
    1022,  1088,  1088,  1089,   527,    89,    90,   529,   972,   973,
    1022,     8,    11,    12,    22,    23,    24,    26,    27,    31,
      32,    33,   178,   312,   359,   459,  1233,  1234,  1236,  1226,
    1227,   887,  1130,  1049,   565,  1051,  1028,   919,  1122,   928,
     975,   336,  1082,  1085,   511,   819,  1051,   984,   470,   981,
     301,  1002,   488,  1023,   478,   934,   935,  1253,   334,   936,
    1253,   951,   952,   529,  1001,   515,  1111,   531,  1181,   530,
     529,   515,    30,  1242,   527,   527,   530,   834,   774,   830,
     830,   128,   832,   521,  1133,  1122,  1122,  1134,  1134,   334,
    1121,   337,   334,  1051,   632,  1124,   526,   526,   526,   650,
     259,   635,   732,   217,   586,   449,  1133,  1122,   570,   833,
    1027,  1122,   495,   773,   773,   773,   773,   849,   154,   194,
     349,   443,  1027,  1122,   667,  1122,   244,   476,   449,   449,
     667,   684,   691,   382,   412,   583,  1122,  1122,  1122,   267,
     325,   826,   347,   412,   449,   338,   689,   732,   202,   386,
     412,   585,   691,   869,   404,   217,   586,   217,   586,  1122,
    1122,  1122,  1122,   404,   694,   695,   694,   527,   529,   696,
    1273,   259,   527,   529,   515,   528,  1133,  1122,   382,   412,
     583,  1122,  1122,  1122,   348,   382,   412,    98,   202,   348,
     382,   412,  1027,   319,  1027,  1133,  1122,  1120,   449,  1134,
     472,   715,   293,   353,   325,  1273,   353,  1134,   469,   449,
     449,   400,   347,   412,   157,   449,   868,   400,   449,   449,
     303,   303,   303,   449,   449,   400,   449,   449,   400,   449,
     400,   449,   400,   449,   586,  1027,   320,  1273,   412,   869,
     217,   586,   449,  1122,   449,   400,  1133,  1122,   780,  1027,
     773,   277,   780,   780,  1124,  1124,   780,   277,   277,  1122,
     277,   780,   600,   526,   602,   603,   750,  1275,   336,   517,
     518,   663,   747,   830,  1085,  1139,  1273,   527,   527,   746,
     747,   334,   140,   146,   157,   185,   187,   263,   320,   325,
     363,   377,   465,   625,   626,   627,   216,   487,   538,   570,
    1122,   570,   689,  1120,  1120,   527,   529,  1134,   242,   393,
    1134,  1130,   459,  1120,   634,   102,   190,   269,   405,   470,
     720,   449,   717,   118,   557,   384,   438,   178,   591,   635,
    1120,   724,   751,   752,  1273,   527,   529,  1122,   635,  1120,
    1120,  1122,   957,   526,   617,   527,   333,   590,   333,   334,
     647,   590,   111,   217,   957,   591,   449,   217,  1120,   527,
     529,   185,   515,   838,  1273,   570,   438,   829,   830,   229,
     839,   491,   837,   840,   190,   269,   405,   470,   877,  1122,
     244,  1147,   957,  1161,   586,  1027,   527,  1130,  1048,  1048,
     525,  1284,   526,   517,   518,   519,   520,   521,   525,  1045,
    1122,   586,   586,   472,   586,   472,   586,   586,   773,   773,
    1122,   773,  1122,   709,   586,   229,   400,   400,   400,  1121,
     799,   529,  1133,   491,   529,   797,   337,  1012,   409,   215,
     215,   178,   318,  1134,   794,   586,  1133,   833,   277,   822,
     663,   277,   773,   277,  1091,   446,  1051,   208,  1027,   527,
    1051,  1051,  1051,  1099,   527,  1087,   529,  1027,  1052,  1052,
    1052,  1052,   197,   199,   320,   330,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1051,  1051,  1100,  1099,
    1027,   527,   527,   527,  1087,   527,   529,   128,  1053,   527,
    1255,  1062,   360,   433,  1064,   527,   529,   483,  1058,   111,
     527,  1273,  1051,   108,   108,  1051,   527,  1051,   234,   526,
    1090,  1051,   527,   210,  1052,  1052,   210,   210,  1051,  1051,
     973,   488,   526,  1072,  1253,   527,  1087,   529,   968,   968,
     968,   968,  1120,  1120,  1120,   958,  1017,   234,   958,  1003,
    1004,   111,  1005,  1006,  1253,   529,   165,   235,   265,   280,
     290,   315,   392,  1008,  1006,   111,  1005,  1007,  1253,   512,
    1021,   526,  1110,  1051,   242,   986,   529,   972,   972,   972,
    1051,  1051,   480,  1089,   527,   986,   529,   515,   527,   525,
    1242,   527,   526,   819,   226,   285,   527,   335,   168,  1051,
     389,   938,   527,   529,  1111,   155,   938,   527,   529,   948,
    1023,  1113,  1130,   515,  1200,  1231,  1236,   527,   521,   834,
     459,   237,   407,   439,   460,   808,   229,   808,   527,   526,
     638,   639,   815,  1056,  1253,   635,   635,   732,  1126,   527,
     187,   263,   318,   320,   733,  1122,  1122,   111,  1122,   472,
     472,   773,   773,   773,   773,   283,   774,  1133,  1122,   449,
     868,   400,   449,   267,   128,   441,  1122,   526,   624,   320,
     590,   178,   320,   428,   431,   590,   459,  1122,  1253,   693,
    1122,   593,   747,  1255,   347,   412,   449,   868,   400,   449,
     449,   449,   400,   236,   336,   431,   756,   757,   236,   336,
     764,   765,   449,   449,   400,   527,   527,   527,   382,  1122,
     526,   491,   716,  1131,  1273,  1273,  1273,  1122,  1122,  1122,
     128,   441,  1122,  1122,  1122,  1122,  1122,  1122,   229,   229,
     384,   229,   250,  1133,  1122,  1122,  1133,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,   146,   587,   217,   100,   120,   459,
    1253,  1122,   691,  1122,  1122,   527,   277,   780,   277,   277,
     780,   780,   277,   780,   601,   609,   610,  1255,   124,   166,
     191,   206,   210,   230,   233,   246,   325,   333,   369,   604,
     732,   491,   493,  1120,   526,   773,  1122,  1052,   188,   252,
     187,   325,   281,  1120,   840,   367,   736,   737,  1253,   677,
     526,   629,   262,   645,   620,  1134,  1134,  1027,   526,   591,
    1134,   715,  1133,  1120,   495,   229,   725,   527,   529,  1026,
     689,   527,   659,   330,   526,   930,   652,   619,   621,   623,
     631,  1253,   646,   645,   151,   441,   648,   957,   654,   652,
     648,  1273,  1126,   813,   831,  1051,  1051,   529,   526,   835,
     459,   529,   744,   449,   526,   667,    84,  1158,   527,   525,
     527,  1185,  1284,  1284,  1284,  1284,  1284,   586,  1124,  1124,
     586,   586,   586,   586,   409,  1121,  1121,  1121,   663,   239,
     796,   527,  1122,   178,   803,   234,   277,   325,   784,  1273,
     277,   277,   784,   277,   784,  1051,   527,   527,  1100,   527,
    1051,   234,   197,   199,   330,   526,   527,   498,  1060,  1087,
     376,   128,   489,   489,   527,  1051,   318,  1051,   529,  1059,
    1029,  1051,  1051,  1051,  1090,   527,  1051,   108,   108,  1051,
    1051,   210,   527,   527,  1051,  1073,  1253,   527,  1051,  1120,
    1120,  1120,  1120,  1006,  1007,   526,   527,  1253,   526,  1003,
     280,   343,  1009,  1003,  1009,   280,  1008,  1009,   280,   440,
    1015,   526,  1253,   526,   341,  1088,   128,   245,   993,   527,
     527,   527,  1089,  1273,   993,  1234,   518,  1227,  1235,  1272,
    1273,  1273,   850,   330,  1117,   957,   935,   334,   526,   937,
     515,   951,   938,  1280,   459,   527,   449,   791,   234,   732,
    1051,   527,   529,   491,   146,   816,   816,   527,   527,   840,
     188,   252,   261,   187,   474,   586,  1027,  1124,  1124,  1122,
    1122,  1122,  1122,  1122,  1134,  1122,   690,   694,   325,   325,
    1131,  1253,  1027,   586,   586,   515,   128,   441,  1122,  1122,
    1122,  1122,  1133,  1122,  1122,  1130,  1130,  1027,   529,  1130,
    1130,   529,  1133,  1122,  1122,   449,  1051,   140,  1134,  1122,
     449,   449,  1121,  1121,   773,  1121,   217,   773,  1273,  1273,
    1027,   586,   586,   277,   780,   780,   780,   780,   472,   607,
     608,   527,   529,   519,   526,   567,   611,   663,   904,  1273,
     904,   320,   325,   369,   904,   904,   236,   266,   236,   234,
     731,  1051,   320,   626,   840,   634,   472,   649,  1128,   108,
     216,   256,   616,   214,   257,   526,   409,   472,   635,   111,
     716,   557,   526,  1122,   203,   726,   487,   728,  1273,   591,
     773,   616,   652,   527,   529,   491,   647,   646,   190,   202,
     360,  1122,   491,   890,   111,   234,   334,   526,  1273,   828,
     841,   842,  1254,   840,  1027,   229,  1120,   234,   449,   859,
     264,   668,  1159,  1253,   586,   527,   586,   586,  1122,   337,
     275,   586,   795,   784,   784,   784,   784,   527,  1052,   234,
     526,  1090,   526,   527,   529,   527,  1053,   376,   527,   477,
     425,   527,   527,   527,  1051,  1051,  1051,   527,   351,  1074,
     527,  1018,  1019,  1056,  1005,   526,  1121,  1003,   334,   472,
    1010,  1003,   280,  1003,  1253,  1025,   526,  1025,  1253,   972,
     167,   243,   395,   526,   987,   988,   989,   990,   991,   992,
    1051,  1051,   490,  1068,   972,  1068,  1130,  1272,   527,   954,
    1286,   157,   814,   815,   198,   526,   958,  1115,   795,   334,
     795,   527,   840,   639,   336,   850,   773,   472,   773,   817,
     817,   377,   840,   649,   527,   449,   412,   944,   527,   529,
     587,   747,  1134,  1122,   449,   526,  1128,   850,   757,   526,
     526,   765,  1122,   527,   526,   412,   944,  1122,  1122,   491,
     512,   907,   384,   907,   907,   229,   587,   780,   538,   192,
     610,   567,   612,   613,  1273,  1273,   325,   635,   519,   635,
    1273,  1273,   799,   111,   855,   855,  1120,   732,   527,   649,
     304,   637,   259,   526,   737,   367,   526,   527,   102,   150,
     158,   186,   260,   431,   630,   630,  1119,  1122,  1124,   527,
     957,   689,   396,   427,   727,   526,   216,   111,   617,   527,
     621,   338,   648,   647,   397,   397,   132,   140,   296,   957,
     773,  1120,   814,   830,   527,   529,   459,  1022,   423,   423,
     527,   667,   318,   476,   669,   670,   515,  1160,  1122,   586,
    1052,  1090,   527,  1061,  1087,   128,   318,   508,   128,   972,
     527,   529,   111,  1020,  1121,   527,  1051,   526,  1003,  1010,
     526,   527,  1025,   527,   527,   526,   413,   526,   527,   529,
    1069,  1070,  1253,   527,  1122,   527,   529,   321,   470,   797,
     808,   586,   816,   649,   526,   773,   818,   818,  1120,   649,
     732,  1122,   441,   694,   472,   588,   412,   944,  1122,  1090,
     822,   229,   760,   849,  1090,  1090,  1051,   441,   772,   773,
     772,   773,  1121,   586,   602,  1273,   527,   529,   635,   855,
     114,   254,   229,   318,   633,   235,   350,   418,   334,   641,
     642,   643,   441,   527,  1128,    81,   738,   645,   527,   689,
     223,   759,   591,   890,  1051,   367,   957,   646,   645,   624,
     648,   140,   337,   140,   652,   813,   527,   835,   841,  1027,
     198,   491,   491,   476,   667,  1130,  1267,  1275,    84,   689,
     527,   527,   527,   376,   477,  1087,   370,   397,  1075,  1021,
    1018,   526,   527,  1121,  1087,   527,  1087,   526,  1087,   988,
     529,   111,  1022,   815,   412,   234,   817,   488,   640,   850,
     819,   819,   634,   732,  1122,  1051,   441,   527,   340,   402,
     374,   761,   760,   527,   527,   527,  1122,   907,   613,   203,
     261,   190,   470,   334,   643,   334,   642,  1122,   526,   527,
     529,   409,   773,   111,   111,   527,  1128,   890,   647,   646,
     337,   337,   526,   591,   840,   103,   270,   878,   236,   236,
    1159,   122,   168,   461,  1051,  1076,  1077,  1076,   527,  1025,
     527,   527,   527,   987,   527,  1070,  1072,   947,   795,   818,
     526,   732,   527,   637,   944,  1122,  1128,   128,   761,   944,
     773,   396,   131,   318,   388,   412,   644,   644,   527,    81,
    1122,   756,   957,   526,   648,   647,   814,   648,   321,   526,
     873,   875,   880,   931,   939,   946,   957,   799,   799,  1077,
     396,   228,   358,   228,   358,   527,   383,  1016,   527,  1022,
     586,   819,  1051,   641,   944,   822,   773,   728,    97,   185,
     325,   689,   890,   729,   730,  1130,  1255,  1272,  1273,   648,
     527,  1022,   874,   875,   876,   958,   959,   529,   529,   108,
     526,   527,   732,   216,   527,   529,   591,   527,   530,   449,
     234,  1077,  1051,   367,   730,   648,   876,   423,   423,   527,
    1128,  1022,   491,   491,   526,   236,   236,   729,   799,   799,
     527
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1560 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1562 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1564 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1566 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1568 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1570 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1572 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1574 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1576 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1578 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1580 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1582 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1584 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1586 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1588 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1590 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1592 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1594 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1596 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1598 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1600 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1602 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1604 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1606 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1608 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1610 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1612 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1614 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1616 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1618 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1620 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1638 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1640 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1642 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1644 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1646 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1648 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1650 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1652 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1654 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1656 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1658 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1660 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1662 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1664 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1666 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1668 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1670 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1672 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1674 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1676 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1678 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1680 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1682 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1684 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1686 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1688 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1690 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1692 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1694 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1696 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1698 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1700 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1702 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1706 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1708 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1710 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1712 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1714 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1716 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1718 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1720 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1722 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1724 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1726 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1728 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1730 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1732 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1734 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1736 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1738 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1740 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1742 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1744 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1746 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1748 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1750 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1752 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1754 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1756 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1758 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1760 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1762 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1764 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1766 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1768 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1770 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1772 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1774 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1776 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1778 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1780 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1787 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1789 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1791 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1793 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1795 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1797 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1799 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1801 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1803 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1805 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1807 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1809 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1815 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1817 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1819 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1821 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1823 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1825 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1827 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1829 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1831 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1837 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1847 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1851 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1857 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1861 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1871 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1880 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1882 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1896 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1903 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1909 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1920 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1926 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1935 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1942 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1948 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1957 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1964 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1971 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1977 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1985 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1989 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1993 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 2000 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 2004 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 2011 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 2015 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 2022 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 2026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 2030 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 2034 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 2038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 2042 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 2046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 2050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 2054 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 2062 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 2066 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 2070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 2074 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 2078 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 2082 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 2090 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 2098 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 2106 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 2109 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 2117 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 2121 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 2129 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 2137 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 2145 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2149 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2157 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2169 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2177 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2185 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2189 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2197 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2201 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2209 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2213 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2217 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[(6) - (9)].str),mm_strdup("authorization"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2222 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2231 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2235 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2246 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2253 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2261 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2269 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2273 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2281 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 2289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2297 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2301 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2305 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2313 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2317 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2321 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2330 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2334 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2338 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2343 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2347 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2351 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2355 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2363 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2367 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2375 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2391 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2399 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2403 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2425 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2429 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2445 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2449 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2461 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2465 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2469 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2473 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2477 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2481 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2489 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2497 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2504 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2508 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2516 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2524 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time zone");
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization");
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2544 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2548 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2556 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2560 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2572 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2580 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2584 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2588 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2592 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2596 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2605 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2613 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2649 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2653 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2657 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2661 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2669 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2673 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2677 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[(6) - (10)].str),mm_strdup("set tablespace"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2681 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[(6) - (13)].str),mm_strdup("owned by"),(yyvsp[(9) - (13)].str),mm_strdup("set tablespace"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2685 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2689 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2693 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[(6) - (10)].str),mm_strdup("set tablespace"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2697 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[(6) - (13)].str),mm_strdup("owned by"),(yyvsp[(9) - (13)].str),mm_strdup("set tablespace"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2705 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2709 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2713 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2717 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2721 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2725 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[(7) - (11)].str),mm_strdup("set tablespace"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2729 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[(7) - (14)].str),mm_strdup("owned by"),(yyvsp[(10) - (14)].str),mm_strdup("set tablespace"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2737 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2749 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2757 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2761 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2765 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2769 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2773 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2777 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2781 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2785 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2789 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2793 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2797 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2801 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2805 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2809 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2813 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2817 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2821 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2825 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2829 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2833 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2837 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set logged");
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2841 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2845 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2849 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2853 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2861 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2873 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2877 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2889 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2893 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2897 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2901 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2905 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2909 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2913 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2917 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2925 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[(3) - (3)].str));
}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2933 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2937 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2945 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2957 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2965 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2972 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2976 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2983 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2987 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2994 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2998 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 3002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 3006 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 3014 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 3022 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 3026 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 3033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 3037 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 3045 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 3049 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 3053 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 3057 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 3065 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 3073 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 3077 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 3085 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 3089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 3093 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 3097 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 3105 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 3110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 3118 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (11)].str), "from") == 0 &&
			   (strcmp((yyvsp[(7) - (11)].str), "stdin") == 0 || strcmp((yyvsp[(7) - (11)].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[(2) - (11)].str),(yyvsp[(3) - (11)].str),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 3126 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[(2) - (7)].str),mm_strdup("to"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3150 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3157 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3161 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3165 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3173 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3177 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3185 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3189 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3196 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3200 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3204 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3208 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3216 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3220 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3224 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3228 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3240 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3244 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[(3) - (3)].str));
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3248 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3260 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3271 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3278 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3282 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3289 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3293 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3304 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3312 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3320 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3324 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3332 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3336 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3343 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3347 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3355 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3363 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3367 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3371 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3375 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3411 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3418 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3422 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3433 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3440 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3444 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3452 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3456 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3464 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3468 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3472 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3480 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3484 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3492 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3500 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3508 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3512 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3523 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3527 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3531 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3547 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3551 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3559 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3563 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3591 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3599 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3603 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3607 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3646 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3658 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3666 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3670 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3674 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3678 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3690 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3697 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3701 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3708 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3720 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3728 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3732 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3737 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3741 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3748 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3760 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3764 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3772 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3776 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3799 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3850 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3857 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3861 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3865 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3869 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3876 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3880 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3884 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3888 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3895 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3899 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3906 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3910 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3917 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3925 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3933 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3941 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3948 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("materialized view"),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3952 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("materialized view if not exists"),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3960 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3968 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3972 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3979 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3987 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3991 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("sequence if not exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 4003 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 4011 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 4015 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 4022 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 4026 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 4034 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 4038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 4042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 4046 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 4050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 4054 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 4058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 4062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 4066 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 4070 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4078 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4090 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4101 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4105 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4113 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4125 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4129 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4141 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4148 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4152 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4160 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4164 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4171 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4183 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4187 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4194 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4198 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4210 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4217 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("location"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4225 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4229 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4236 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4240 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4248 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4252 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4260 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4264 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4271 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4275 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4279 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4287 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4299 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4314 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4318 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4322 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4326 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4330 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4334 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4338 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4342 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4346 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4350 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4354 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4358 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("event trigger"),(yyvsp[(7) - (7)].str));
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4362 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4366 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4370 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4374 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4378 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4382 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4386 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4390 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("materialized view"),(yyvsp[(7) - (7)].str));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4394 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4398 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4402 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4406 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("transform for"),(yyvsp[(7) - (9)].str),mm_strdup("language"),(yyvsp[(9) - (9)].str));
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4410 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4418 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4426 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4434 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4446 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4450 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4458 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4462 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4481 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4485 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4493 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4497 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4504 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4508 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4524 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4528 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4536 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4540 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4544 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4548 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4556 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4564 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4572 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4580 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4588 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4592 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4599 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4611 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4615 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4634 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4650 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4654 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),mm_strdup("server"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4666 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4674 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),mm_strdup("from server"),(yyvsp[(8) - (11)].str),mm_strdup("into"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit to");
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4694 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4698 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4705 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4713 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4717 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4725 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4729 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4737 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4745 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4753 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4761 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4765 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4773 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4777 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4788 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4799 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4810 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4817 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4821 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4828 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4832 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4836 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4840 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4844 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4852 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4856 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4872 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4880 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4884 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4892 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4896 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4900 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4904 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4908 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4916 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4920 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4931 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4950 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4954 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4961 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4965 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4969 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4976 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4980 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4984 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4988 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4996 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 5000 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 5007 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 5010 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 5018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 5022 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 5026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5030 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5034 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5046 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5050 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5058 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[(4) - (11)].str),mm_strdup("on"),(yyvsp[(6) - (11)].str),mm_strdup("execute procedure"),(yyvsp[(9) - (11)].str),mm_strdup("( )"));
}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5062 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[(4) - (13)].str),mm_strdup("on"),(yyvsp[(6) - (13)].str),mm_strdup("when"),(yyvsp[(8) - (13)].str),mm_strdup("execute procedure"),(yyvsp[(11) - (13)].str),mm_strdup("( )"));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5070 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5074 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5082 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("in ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sconst");
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5094 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup(", sconst"));
}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5102 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable replica");
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable always");
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5130 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5139 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5148 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5152 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5156 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5160 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5164 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5168 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5172 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5176 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5188 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5192 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5196 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5200 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5208 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5216 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5220 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5228 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5232 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5244 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5248 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5252 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5256 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5264 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5272 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5276 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5284 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5292 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5296 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5303 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5315 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[(3) - (7)].str),mm_strdup("add value"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5319 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("before"),(yyvsp[(9) - (9)].str));
}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5323 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("after"),(yyvsp[(9) - (9)].str));
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if not exists");
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5335 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5342 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5350 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5354 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5362 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5366 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5370 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5374 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5378 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5390 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5397 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5401 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5412 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5416 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5423 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5428 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5443 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5447 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5455 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5459 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5467 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5471 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5479 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5483 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5491 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5495 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5503 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5511 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5519 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5523 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5527 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5531 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5535 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5539 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5543 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5547 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5619 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5623 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5631 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5635 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5643 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5647 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5655 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5660 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5668 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5676 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5683 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5687 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5691 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5695 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5699 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5703 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5707 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5711 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (9)].str),mm_strdup("on domain"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5715 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5719 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5723 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5727 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5731 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5735 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5739 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5743 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5747 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5751 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5847 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5859 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5863 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on type"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5867 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on domain"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5871 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5875 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5879 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5883 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5895 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5902 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5950 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 5962 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 5966 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 5970 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 5974 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 5980 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 5986 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 5992 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 5998 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6004 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6010 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6016 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6026 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6037 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6048 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6059 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6070 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6081 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6092 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6108 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6124 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6140 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6151 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6167 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6178 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6194 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6209 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6213 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6221 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6225 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6232 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6240 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6244 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6252 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6264 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6268 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6276 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6280 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6288 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6292 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6296 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6308 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6312 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6316 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6320 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6324 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6328 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6332 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6336 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6340 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6344 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6348 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6352 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6356 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6360 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6364 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6368 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6376 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6380 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6388 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6392 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6400 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6404 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6411 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6415 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6423 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6431 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6439 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6443 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6455 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6462 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6466 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6481 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6485 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6492 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6496 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6500 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6508 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6512 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6516 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6544 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6548 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[(2) - (17)].str),mm_strdup("index"),(yyvsp[(4) - (17)].str),mm_strdup("if not exists"),(yyvsp[(8) - (17)].str),mm_strdup("on"),(yyvsp[(10) - (17)].str),(yyvsp[(11) - (17)].str),mm_strdup("("),(yyvsp[(13) - (17)].str),mm_strdup(")"),(yyvsp[(15) - (17)].str),(yyvsp[(16) - (17)].str),(yyvsp[(17) - (17)].str));
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6556 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6560 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6571 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6578 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6582 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6589 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6593 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6600 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6604 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6612 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6616 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6620 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6628 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6632 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6639 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6643 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6647 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6662 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6669 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6677 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6684 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6688 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6692 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6700 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6704 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6723 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6747 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6763 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6775 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6815 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6823 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6827 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6831 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6843 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6855 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6868 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6872 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6876 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (6)].str),mm_strdup("order by"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6884 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6888 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6896 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6900 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6908 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6912 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6916 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6920 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6924 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6932 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6940 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6944 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6948 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6952 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6956 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6964 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6972 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6984 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6988 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6996 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7000 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7012 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup(", for type"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7020 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7024 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7031 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7043 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7051 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7063 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7075 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7082 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7086 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7094 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7098 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7106 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7110 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7118 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7122 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7126 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7130 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7138 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7142 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7150 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7158 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7162 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7170 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7174 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7182 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7186 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7190 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7206 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7213 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7221 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7225 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7232 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("transform for"),(yyvsp[(5) - (10)].str),mm_strdup("language"),(yyvsp[(7) - (10)].str),mm_strdup("("),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7240 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[(5) - (11)].str),mm_strdup(", to sql with function"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7244 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[(5) - (11)].str),mm_strdup(", from sql with function"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7248 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7252 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7260 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[(3) - (8)].str),mm_strdup("for"),(yyvsp[(5) - (8)].str),mm_strdup("language"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7268 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7272 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7276 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7280 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7292 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7300 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7304 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7308 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7316 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7320 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7336 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7340 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7348 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7352 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7356 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7360 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7364 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7368 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7372 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7376 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7380 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7384 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7388 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7392 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7396 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7400 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("rename to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7404 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7408 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7412 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7416 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7420 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7424 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7428 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7432 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7436 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7440 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7444 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7448 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7452 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7456 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7460 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7464 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7468 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7472 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7476 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7480 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename constraint"),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7484 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7488 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7492 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7496 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7500 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7504 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7508 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7512 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7516 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7520 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7524 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7528 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7532 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7536 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7544 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7548 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7559 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7566 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7570 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7574 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7578 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7582 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7586 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7590 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7594 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7598 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7602 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7606 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7610 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7614 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7618 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7622 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7626 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7630 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7634 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7638 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7642 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7646 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7650 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7658 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7666 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7670 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7674 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7678 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7682 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7690 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7694 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7698 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7702 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7706 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7710 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7714 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7718 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7722 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7726 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7730 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7734 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7738 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7746 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7754 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7758 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7762 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7770 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7774 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7782 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7786 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7790 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7794 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7798 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7806 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7810 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7817 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7821 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7825 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7829 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7837 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7841 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7845 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7852 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7856 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7864 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7872 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7876 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7883 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7903 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7907 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7911 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7915 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7919 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7927 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7931 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 7935 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 7939 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 7943 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 7947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 7951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 7955 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 7963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 7967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 7971 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 7978 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 7982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 7986 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 7990 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 7994 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8002 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8006 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8010 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8022 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8029 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8033 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8037 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("recursive view"),(yyvsp[(5) - (12)].str),mm_strdup("("),(yyvsp[(7) - (12)].str),mm_strdup(")"),(yyvsp[(9) - (12)].str),mm_strdup("as"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8042 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[(4) - (14)].str),mm_strdup("recursive view"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),mm_strdup("as"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with check option");
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with local check option");
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8063 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8078 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8086 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8090 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8101 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8109 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8113 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("connection limit");
}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8141 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8145 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8149 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8157 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8161 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8168 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),mm_strdup("with"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8172 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8176 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8196 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8204 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8208 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8216 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8224 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8228 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8232 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8236 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8240 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8244 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8248 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8260 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8267 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8275 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8279 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8283 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8287 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8291 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8295 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8315 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8323 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8327 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8331 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8339 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8343 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8350 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8354 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8358 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8362 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8366 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8374 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8378 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8406 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8410 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8434 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8445 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8452 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8456 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8463 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8467 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8474 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8478 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8482 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8486 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8494 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8498 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8502 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8506 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8510 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8514 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8518 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8522 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8526 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8534 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8546 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8554 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8558 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8566 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8570 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8574 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8581 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8587 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8597 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8601 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8608 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8612 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8616 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8620 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8628 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8630 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8642 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8649 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("insert into"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8657 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8669 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8673 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8677 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8685 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8689 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8697 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8705 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[(3) - (8)].str),mm_strdup("do update set"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8709 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[(3) - (5)].str),mm_strdup("do nothing"));
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8713 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8720 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8728 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8735 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8739 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8746 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8754 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8758 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8765 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8773 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8777 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8792 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8796 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8800 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8804 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8808 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8812 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8820 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8824 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("skip locked");
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8839 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8846 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8854 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8866 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8870 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8878 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8886 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8890 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8898 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8910 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8918 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8971 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8975 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8987 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8990 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8994 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8998 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9002 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9010 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9017 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9021 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9041 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9045 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9053 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9057 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9061 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9065 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9069 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9073 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9077 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9081 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9089 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9093 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9101 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9105 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9109 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9113 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9117 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9121 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9125 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9133 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9137 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9141 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9149 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9153 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9161 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9169 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9173 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9180 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9184 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9186 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9193 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9197 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9201 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9205 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9213 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9217 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9237 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9244 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9248 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9252 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9275 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9286 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9293 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9301 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9305 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9313 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9317 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9325 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9329 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9333 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9337 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9345 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9349 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9356 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9360 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9365 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9373 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9377 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9385 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9397 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9405 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9409 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9413 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9420 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9444 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9452 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9456 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9463 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9467 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9475 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9483 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9487 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9491 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9507 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9523 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9531 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9535 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9542 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9554 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9558 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9569 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9585 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for update");
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9589 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for no key update");
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9593 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for share");
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9597 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for key share");
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9605 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9609 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9616 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9620 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9628 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9632 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9639 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9643 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9655 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9659 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9663 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9667 "preproc.y"
    { 
	if ((yyvsp[(2) - (2)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9674 "preproc.y"
    { 
	if ((yyvsp[(3) - (3)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9681 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9685 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9693 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9697 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9701 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9705 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9709 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9713 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9721 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9725 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9729 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9733 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9741 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9745 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9752 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9760 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9764 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9768 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9799 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9806 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9810 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9822 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9826 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9850 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9854 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9866 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9874 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[(2) - (6)].str),mm_strdup("("),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9886 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9893 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9897 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9905 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9913 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9917 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9925 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9929 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9940 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9962 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9974 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9978 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9985 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9989 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9997 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 10005 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 10007 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 10009 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 10013 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 10017 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 10021 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 10029 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 10039 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 10049 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 10059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 10063 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 10067 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 10075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 10079 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 10083 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 10091 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 10095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 10099 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 10103 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 10111 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 10115 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 10123 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 10127 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 10134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 10138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 10142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 10146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 10150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 10154 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 10158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 10162 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 10166 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10170 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10182 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10186 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10193 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10197 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10209 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10217 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10225 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10233 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10245 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10249 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10257 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10265 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10273 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10277 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10281 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10293 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10301 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10305 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10312 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10316 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10323 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10327 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10331 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10335 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10359 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10402 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10410 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10414 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10418 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10425 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10437 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10441 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10445 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10449 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10453 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10457 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10461 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10465 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10477 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10481 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10485 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10489 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10493 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10497 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10501 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10505 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<>"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10509 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10513 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10517 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10521 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10525 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10529 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10533 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10541 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10545 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10549 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10553 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10557 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10561 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10565 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10569 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10573 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10581 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10585 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10589 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10593 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10597 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10601 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10605 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10609 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10613 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10617 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10621 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10625 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10629 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10633 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10637 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10641 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10645 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10649 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10653 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10657 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10665 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10669 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10673 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10677 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10686 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10694 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10698 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10706 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10714 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10718 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10722 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10726 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10730 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10734 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10738 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10746 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10754 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<>"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10758 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10762 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10766 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10770 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10774 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10778 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10782 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10786 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10798 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10802 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10810 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10814 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10826 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10830 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10834 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10838 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10846 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10858 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("( )"));
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10866 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10870 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10874 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( all"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10878 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( distinct"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("( * )"));
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10890 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10978 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10982 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10986 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10990 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10994 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10998 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 11002 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 11006 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 11010 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 11014 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 11018 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 11022 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 11026 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 11030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 11034 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 11038 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 11042 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 11046 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 11050 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 11054 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 11058 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 11062 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 11066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 11070 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 11074 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 11078 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 11086 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 11090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 11098 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 11102 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 11106 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 11110 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 11117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 11125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 11129 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 11137 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 11141 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 11149 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 11153 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 11161 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 11165 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 11169 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 11176 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 11180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 11184 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 11188 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 11196 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 11200 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 11207 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 11211 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 11218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 11222 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 11229 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 11233 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 11241 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 11249 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 11253 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 11257 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 11264 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 11272 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 11276 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11294 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11310 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11314 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11334 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11338 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11346 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11354 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11362 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11374 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11398 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11402 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11438 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11446 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<=");
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11450 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">=");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<>");
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11462 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11466 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11474 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11486 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11490 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
}
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11514 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11526 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11538 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("=>"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11554 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11558 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11566 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11570 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11582 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11586 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11598 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11605 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11609 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11613 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11633 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11641 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11645 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11653 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11665 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11672 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11676 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11680 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11684 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11688 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11692 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11782 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11786 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11793 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11797 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11805 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11809 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11813 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11817 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11825 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11829 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11837 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11848 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11852 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11914 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11918 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11922 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11938 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11958 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11978 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11986 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 12002 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 12010 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 12018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 12022 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 12030 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 12034 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 12038 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 12042 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 12046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 12050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 12054 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 12058 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 12062 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 12066 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 12070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 12074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 12078 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 12081 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 12082 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 12088 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 12094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 12097 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 12159 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 12167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 12195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
}
    break;

  case 2093:

/* Line 1806 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
}
    break;

  case 2095:

/* Line 1806 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
}
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
}
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
}
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 12251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 12259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
}
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 12263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
}
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
}
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 12279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 12287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conflict");
}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 12311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 12315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 12319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
}
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 12323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 12327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
}
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 12331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
}
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 12335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 12339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cube");
}
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 12343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
}
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 12347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 12351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
}
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 12355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 12359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
}
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 12363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 12367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 12371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 12375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 12379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 12383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 12387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 12391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 12395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 12399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 12403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 12407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 12411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
}
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 12415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 12419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
}
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
}
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event");
}
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
}
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
}
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
}
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
}
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
}
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("filter");
}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
}
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
}
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
}
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
}
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
}
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("import");
}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
}
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
}
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
}
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
}
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
}
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
}
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("locked");
}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("logged");
}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized");
}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
}
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
}
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
}
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
}
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
}
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
}
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
}
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
}
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
}
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
}
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
}
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
}
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
}
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ordinality");
}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
}
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
}
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
}
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
}
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
}
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
}
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
}
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("policy");
}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
}
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
}
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
}
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
}
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
}
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
}
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
}
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
}
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
}
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
}
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
}
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
}
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("refresh");
}
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
}
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
}
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
}
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
}
    break;

  case 2261:

/* Line 1806 of yacc.c  */
#line 12887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 2263:

/* Line 1806 of yacc.c  */
#line 12895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
}
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
}
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollup");
}
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
}
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
}
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
}
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
}
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
}
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
}
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
}
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sets");
}
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
}
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
}
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("skip");
}
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
}
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sql");
}
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
}
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 13003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
}
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 13007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 13011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
}
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 13015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 13019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 13023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 13027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 13031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
}
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 13035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
}
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 13039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 13043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 13047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 13051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 13055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 13059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 13063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
}
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 13067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 13071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transform");
}
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 13075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
}
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 13079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 13083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 13087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 13091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 13095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
}
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 13099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 13103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 13107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
}
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 13111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
}
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 13115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 13119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
}
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 13123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 13127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
}
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 13131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
}
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 13135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
}
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 13139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
}
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 13143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
}
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 13147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 13151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
}
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 13155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 13159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("views");
}
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 13163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 13167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
}
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 13171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("within");
}
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 13175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
}
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 13179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 13183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
}
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 13187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
}
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 13191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
}
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 13195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
}
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
}
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
}
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
}
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
}
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
}
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
}
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
}
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
}
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
}
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grouping");
}
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
}
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
}
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
}
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
}
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
}
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
}
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
}
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
}
    break;

  case 2365:

/* Line 1806 of yacc.c  */
#line 13307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
}
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
}
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
}
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
}
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
}
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
}
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
}
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
}
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
}
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
}
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
}
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
}
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
}
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
}
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
}
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
}
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
}
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
}
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablesample");
}
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
}
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
}
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
}
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
}
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
}
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
}
    break;

  case 2421:

/* Line 1806 of yacc.c  */
#line 13539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
}
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
}
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
}
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
}
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
}
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
}
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
}
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
}
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
}
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
}
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
}
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
}
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
}
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
}
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
}
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lateral");
}
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
}
    break;

  case 2453:

/* Line 1806 of yacc.c  */
#line 13667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
}
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
}
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
}
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
}
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
}
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
}
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
}
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
}
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
}
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
}
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
}
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
}
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
}
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
}
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13796 "preproc.y"
    { connection = NULL; }
    break;

  case 2487:

/* Line 1806 of yacc.c  */
#line 13799 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				}
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13805 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13806 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13807 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13809 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13821 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13822 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13831 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13846 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13848 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13851 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); }
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13853 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13857 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		}
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13869 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)), (yyvsp[(7) - (7)].str), mm_strdup("\"")));
		}
    break;

  case 2502:

/* Line 1806 of yacc.c  */
#line 13885 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13889 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13899 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13900 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 13904 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 13916 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 13924 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 13925 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 13928 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 13929 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 13930 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 13933 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 13934 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 13937 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 13938 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 13941 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 13942 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 13946 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 13948 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 13950 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 13952 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 13956 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 13963 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 13970 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 13986 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 14020 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 14029 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 14033 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			}
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 14037 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 14049 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 14053 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 14055 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2535:

/* Line 1806 of yacc.c  */
#line 14059 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		}
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 14072 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 14080 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 14141 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 14155 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 14157 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 14158 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 14161 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 14162 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 14163 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 14164 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 14165 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); }
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 14172 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 14174 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 14181 "preproc.y"
    {}
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 14183 "preproc.y"
    {}
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 14185 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 14186 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 14189 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 14190 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 14191 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2559:

/* Line 1806 of yacc.c  */
#line 14192 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 14195 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 14196 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 14200 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2563:

/* Line 1806 of yacc.c  */
#line 14206 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 14216 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 14226 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		}
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 14230 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 14240 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		}
    break;

  case 2568:

/* Line 1806 of yacc.c  */
#line 14244 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		}
    break;

  case 2569:

/* Line 1806 of yacc.c  */
#line 14249 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2570:

/* Line 1806 of yacc.c  */
#line 14250 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2571:

/* Line 1806 of yacc.c  */
#line 14254 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2572:

/* Line 1806 of yacc.c  */
#line 14255 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2573:

/* Line 1806 of yacc.c  */
#line 14256 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2574:

/* Line 1806 of yacc.c  */
#line 14259 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2575:

/* Line 1806 of yacc.c  */
#line 14260 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2576:

/* Line 1806 of yacc.c  */
#line 14261 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2577:

/* Line 1806 of yacc.c  */
#line 14262 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2578:

/* Line 1806 of yacc.c  */
#line 14265 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2579:

/* Line 1806 of yacc.c  */
#line 14266 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2580:

/* Line 1806 of yacc.c  */
#line 14270 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2581:

/* Line 1806 of yacc.c  */
#line 14278 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2582:

/* Line 1806 of yacc.c  */
#line 14295 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2583:

/* Line 1806 of yacc.c  */
#line 14303 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2584:

/* Line 1806 of yacc.c  */
#line 14326 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2585:

/* Line 1806 of yacc.c  */
#line 14432 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2586:

/* Line 1806 of yacc.c  */
#line 14466 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2587:

/* Line 1806 of yacc.c  */
#line 14468 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2588:

/* Line 1806 of yacc.c  */
#line 14470 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2589:

/* Line 1806 of yacc.c  */
#line 14474 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2590:

/* Line 1806 of yacc.c  */
#line 14477 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2591:

/* Line 1806 of yacc.c  */
#line 14484 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2592:

/* Line 1806 of yacc.c  */
#line 14527 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2593:

/* Line 1806 of yacc.c  */
#line 14529 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2594:

/* Line 1806 of yacc.c  */
#line 14535 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2595:

/* Line 1806 of yacc.c  */
#line 14544 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
    break;

  case 2596:

/* Line 1806 of yacc.c  */
#line 14550 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2597:

/* Line 1806 of yacc.c  */
#line 14557 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
    break;

  case 2598:

/* Line 1806 of yacc.c  */
#line 14562 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		}
    break;

  case 2599:

/* Line 1806 of yacc.c  */
#line 14567 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2600:

/* Line 1806 of yacc.c  */
#line 14568 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2601:

/* Line 1806 of yacc.c  */
#line 14571 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2602:

/* Line 1806 of yacc.c  */
#line 14572 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2603:

/* Line 1806 of yacc.c  */
#line 14573 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2604:

/* Line 1806 of yacc.c  */
#line 14574 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2605:

/* Line 1806 of yacc.c  */
#line 14575 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2606:

/* Line 1806 of yacc.c  */
#line 14576 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2607:

/* Line 1806 of yacc.c  */
#line 14578 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2608:

/* Line 1806 of yacc.c  */
#line 14586 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2609:

/* Line 1806 of yacc.c  */
#line 14593 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2610:

/* Line 1806 of yacc.c  */
#line 14596 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2611:

/* Line 1806 of yacc.c  */
#line 14597 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2612:

/* Line 1806 of yacc.c  */
#line 14598 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2613:

/* Line 1806 of yacc.c  */
#line 14599 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2614:

/* Line 1806 of yacc.c  */
#line 14600 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2615:

/* Line 1806 of yacc.c  */
#line 14602 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2616:

/* Line 1806 of yacc.c  */
#line 14610 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2617:

/* Line 1806 of yacc.c  */
#line 14617 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2618:

/* Line 1806 of yacc.c  */
#line 14618 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2619:

/* Line 1806 of yacc.c  */
#line 14619 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2622:

/* Line 1806 of yacc.c  */
#line 14627 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2623:

/* Line 1806 of yacc.c  */
#line 14629 "preproc.y"
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(";"), (yyvsp[(3) - (3)].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2624:

/* Line 1806 of yacc.c  */
#line 14638 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2625:

/* Line 1806 of yacc.c  */
#line 14725 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2626:

/* Line 1806 of yacc.c  */
#line 14727 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2627:

/* Line 1806 of yacc.c  */
#line 14733 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2628:

/* Line 1806 of yacc.c  */
#line 14734 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2629:

/* Line 1806 of yacc.c  */
#line 14735 "preproc.y"
    { (yyval.str) = mm_strdup("**"); }
    break;

  case 2630:

/* Line 1806 of yacc.c  */
#line 14742 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		}
    break;

  case 2631:

/* Line 1806 of yacc.c  */
#line 14750 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2632:

/* Line 1806 of yacc.c  */
#line 14753 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2633:

/* Line 1806 of yacc.c  */
#line 14754 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2634:

/* Line 1806 of yacc.c  */
#line 14755 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); }
    break;

  case 2635:

/* Line 1806 of yacc.c  */
#line 14756 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2636:

/* Line 1806 of yacc.c  */
#line 14759 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2637:

/* Line 1806 of yacc.c  */
#line 14760 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
    break;

  case 2638:

/* Line 1806 of yacc.c  */
#line 14761 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2639:

/* Line 1806 of yacc.c  */
#line 14765 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2640:

/* Line 1806 of yacc.c  */
#line 14767 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2641:

/* Line 1806 of yacc.c  */
#line 14774 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2642:

/* Line 1806 of yacc.c  */
#line 14775 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2643:

/* Line 1806 of yacc.c  */
#line 14782 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2644:

/* Line 1806 of yacc.c  */
#line 14789 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2645:

/* Line 1806 of yacc.c  */
#line 14790 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2646:

/* Line 1806 of yacc.c  */
#line 14793 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2647:

/* Line 1806 of yacc.c  */
#line 14794 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2648:

/* Line 1806 of yacc.c  */
#line 14798 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2649:

/* Line 1806 of yacc.c  */
#line 14803 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2650:

/* Line 1806 of yacc.c  */
#line 14810 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2651:

/* Line 1806 of yacc.c  */
#line 14815 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2652:

/* Line 1806 of yacc.c  */
#line 14822 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2655:

/* Line 1806 of yacc.c  */
#line 14831 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2656:

/* Line 1806 of yacc.c  */
#line 14837 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2657:

/* Line 1806 of yacc.c  */
#line 14838 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2658:

/* Line 1806 of yacc.c  */
#line 14841 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2659:

/* Line 1806 of yacc.c  */
#line 14842 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2660:

/* Line 1806 of yacc.c  */
#line 14843 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2661:

/* Line 1806 of yacc.c  */
#line 14844 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2662:

/* Line 1806 of yacc.c  */
#line 14845 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2663:

/* Line 1806 of yacc.c  */
#line 14846 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2664:

/* Line 1806 of yacc.c  */
#line 14847 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2665:

/* Line 1806 of yacc.c  */
#line 14848 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2666:

/* Line 1806 of yacc.c  */
#line 14849 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2667:

/* Line 1806 of yacc.c  */
#line 14856 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2668:

/* Line 1806 of yacc.c  */
#line 14863 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2669:

/* Line 1806 of yacc.c  */
#line 14875 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2670:

/* Line 1806 of yacc.c  */
#line 14881 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2671:

/* Line 1806 of yacc.c  */
#line 14888 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2672:

/* Line 1806 of yacc.c  */
#line 14895 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2673:

/* Line 1806 of yacc.c  */
#line 14896 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2674:

/* Line 1806 of yacc.c  */
#line 14909 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2675:

/* Line 1806 of yacc.c  */
#line 14920 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2676:

/* Line 1806 of yacc.c  */
#line 14931 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2679:

/* Line 1806 of yacc.c  */
#line 14939 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2680:

/* Line 1806 of yacc.c  */
#line 14944 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2683:

/* Line 1806 of yacc.c  */
#line 14952 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2684:

/* Line 1806 of yacc.c  */
#line 14958 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2685:

/* Line 1806 of yacc.c  */
#line 14966 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2686:

/* Line 1806 of yacc.c  */
#line 14971 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2687:

/* Line 1806 of yacc.c  */
#line 14979 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2690:

/* Line 1806 of yacc.c  */
#line 14986 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2691:

/* Line 1806 of yacc.c  */
#line 14990 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2694:

/* Line 1806 of yacc.c  */
#line 14998 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2695:

/* Line 1806 of yacc.c  */
#line 15004 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2696:

/* Line 1806 of yacc.c  */
#line 15013 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2697:

/* Line 1806 of yacc.c  */
#line 15018 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2698:

/* Line 1806 of yacc.c  */
#line 15028 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2699:

/* Line 1806 of yacc.c  */
#line 15038 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2700:

/* Line 1806 of yacc.c  */
#line 15049 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2701:

/* Line 1806 of yacc.c  */
#line 15050 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2702:

/* Line 1806 of yacc.c  */
#line 15051 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2703:

/* Line 1806 of yacc.c  */
#line 15052 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2704:

/* Line 1806 of yacc.c  */
#line 15053 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2705:

/* Line 1806 of yacc.c  */
#line 15054 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2706:

/* Line 1806 of yacc.c  */
#line 15055 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2707:

/* Line 1806 of yacc.c  */
#line 15056 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2708:

/* Line 1806 of yacc.c  */
#line 15057 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2709:

/* Line 1806 of yacc.c  */
#line 15058 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2710:

/* Line 1806 of yacc.c  */
#line 15059 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2711:

/* Line 1806 of yacc.c  */
#line 15060 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2712:

/* Line 1806 of yacc.c  */
#line 15061 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2713:

/* Line 1806 of yacc.c  */
#line 15062 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2714:

/* Line 1806 of yacc.c  */
#line 15063 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2715:

/* Line 1806 of yacc.c  */
#line 15070 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2716:

/* Line 1806 of yacc.c  */
#line 15071 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2717:

/* Line 1806 of yacc.c  */
#line 15074 "preproc.y"
    { (yyval.str) = mm_strdup("on"); }
    break;

  case 2718:

/* Line 1806 of yacc.c  */
#line 15075 "preproc.y"
    { (yyval.str) = mm_strdup("off"); }
    break;

  case 2719:

/* Line 1806 of yacc.c  */
#line 15082 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2720:

/* Line 1806 of yacc.c  */
#line 15083 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2721:

/* Line 1806 of yacc.c  */
#line 15084 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2722:

/* Line 1806 of yacc.c  */
#line 15091 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2723:

/* Line 1806 of yacc.c  */
#line 15097 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		}
    break;

  case 2724:

/* Line 1806 of yacc.c  */
#line 15107 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); }
    break;

  case 2725:

/* Line 1806 of yacc.c  */
#line 15108 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2726:

/* Line 1806 of yacc.c  */
#line 15115 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2727:

/* Line 1806 of yacc.c  */
#line 15121 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		}
    break;

  case 2728:

/* Line 1806 of yacc.c  */
#line 15185 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2729:

/* Line 1806 of yacc.c  */
#line 15191 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		}
    break;

  case 2730:

/* Line 1806 of yacc.c  */
#line 15197 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2731:

/* Line 1806 of yacc.c  */
#line 15205 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
    break;

  case 2732:

/* Line 1806 of yacc.c  */
#line 15211 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
    break;

  case 2733:

/* Line 1806 of yacc.c  */
#line 15217 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
    break;

  case 2734:

/* Line 1806 of yacc.c  */
#line 15223 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2735:

/* Line 1806 of yacc.c  */
#line 15229 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2736:

/* Line 1806 of yacc.c  */
#line 15235 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2737:

/* Line 1806 of yacc.c  */
#line 15241 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
    break;

  case 2738:

/* Line 1806 of yacc.c  */
#line 15247 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2739:

/* Line 1806 of yacc.c  */
#line 15253 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2740:

/* Line 1806 of yacc.c  */
#line 15263 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2741:

/* Line 1806 of yacc.c  */
#line 15264 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2742:

/* Line 1806 of yacc.c  */
#line 15267 "preproc.y"
    { (yyval.str) = mm_strdup("break"); }
    break;

  case 2743:

/* Line 1806 of yacc.c  */
#line 15268 "preproc.y"
    { (yyval.str) = mm_strdup("call"); }
    break;

  case 2744:

/* Line 1806 of yacc.c  */
#line 15269 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); }
    break;

  case 2745:

/* Line 1806 of yacc.c  */
#line 15270 "preproc.y"
    { (yyval.str) = mm_strdup("count"); }
    break;

  case 2746:

/* Line 1806 of yacc.c  */
#line 15271 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
    break;

  case 2747:

/* Line 1806 of yacc.c  */
#line 15272 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
    break;

  case 2748:

/* Line 1806 of yacc.c  */
#line 15273 "preproc.y"
    { (yyval.str) = mm_strdup("found"); }
    break;

  case 2749:

/* Line 1806 of yacc.c  */
#line 15274 "preproc.y"
    { (yyval.str) = mm_strdup("go"); }
    break;

  case 2750:

/* Line 1806 of yacc.c  */
#line 15275 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); }
    break;

  case 2751:

/* Line 1806 of yacc.c  */
#line 15276 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); }
    break;

  case 2752:

/* Line 1806 of yacc.c  */
#line 15277 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); }
    break;

  case 2753:

/* Line 1806 of yacc.c  */
#line 15278 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); }
    break;

  case 2754:

/* Line 1806 of yacc.c  */
#line 15279 "preproc.y"
    { (yyval.str) = mm_strdup("length"); }
    break;

  case 2755:

/* Line 1806 of yacc.c  */
#line 15280 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); }
    break;

  case 2756:

/* Line 1806 of yacc.c  */
#line 15281 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); }
    break;

  case 2757:

/* Line 1806 of yacc.c  */
#line 15282 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); }
    break;

  case 2758:

/* Line 1806 of yacc.c  */
#line 15283 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); }
    break;

  case 2759:

/* Line 1806 of yacc.c  */
#line 15284 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); }
    break;

  case 2760:

/* Line 1806 of yacc.c  */
#line 15285 "preproc.y"
    { (yyval.str) = mm_strdup("section"); }
    break;

  case 2761:

/* Line 1806 of yacc.c  */
#line 15286 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); }
    break;

  case 2762:

/* Line 1806 of yacc.c  */
#line 15287 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); }
    break;

  case 2763:

/* Line 1806 of yacc.c  */
#line 15288 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); }
    break;

  case 2764:

/* Line 1806 of yacc.c  */
#line 15289 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); }
    break;

  case 2765:

/* Line 1806 of yacc.c  */
#line 15292 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); }
    break;

  case 2766:

/* Line 1806 of yacc.c  */
#line 15293 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); }
    break;

  case 2767:

/* Line 1806 of yacc.c  */
#line 15294 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); }
    break;

  case 2768:

/* Line 1806 of yacc.c  */
#line 15295 "preproc.y"
    { (yyval.str) = mm_strdup("open"); }
    break;

  case 2769:

/* Line 1806 of yacc.c  */
#line 15296 "preproc.y"
    { (yyval.str) = mm_strdup("var"); }
    break;

  case 2770:

/* Line 1806 of yacc.c  */
#line 15297 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); }
    break;

  case 2771:

/* Line 1806 of yacc.c  */
#line 15301 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2772:

/* Line 1806 of yacc.c  */
#line 15302 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2773:

/* Line 1806 of yacc.c  */
#line 15303 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2774:

/* Line 1806 of yacc.c  */
#line 15304 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2775:

/* Line 1806 of yacc.c  */
#line 15305 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2776:

/* Line 1806 of yacc.c  */
#line 15306 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2777:

/* Line 1806 of yacc.c  */
#line 15307 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2778:

/* Line 1806 of yacc.c  */
#line 15310 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2779:

/* Line 1806 of yacc.c  */
#line 15313 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2780:

/* Line 1806 of yacc.c  */
#line 15314 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2781:

/* Line 1806 of yacc.c  */
#line 15315 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2782:

/* Line 1806 of yacc.c  */
#line 15316 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2783:

/* Line 1806 of yacc.c  */
#line 15317 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2784:

/* Line 1806 of yacc.c  */
#line 15318 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2785:

/* Line 1806 of yacc.c  */
#line 15319 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2786:

/* Line 1806 of yacc.c  */
#line 15320 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2787:

/* Line 1806 of yacc.c  */
#line 15333 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2788:

/* Line 1806 of yacc.c  */
#line 15334 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2789:

/* Line 1806 of yacc.c  */
#line 15335 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2790:

/* Line 1806 of yacc.c  */
#line 15336 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2791:

/* Line 1806 of yacc.c  */
#line 15337 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2792:

/* Line 1806 of yacc.c  */
#line 15338 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2793:

/* Line 1806 of yacc.c  */
#line 15339 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2794:

/* Line 1806 of yacc.c  */
#line 15344 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2795:

/* Line 1806 of yacc.c  */
#line 15345 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2796:

/* Line 1806 of yacc.c  */
#line 15346 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2797:

/* Line 1806 of yacc.c  */
#line 15347 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2798:

/* Line 1806 of yacc.c  */
#line 15348 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2799:

/* Line 1806 of yacc.c  */
#line 15349 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2800:

/* Line 1806 of yacc.c  */
#line 15355 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2801:

/* Line 1806 of yacc.c  */
#line 15356 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2802:

/* Line 1806 of yacc.c  */
#line 15357 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2803:

/* Line 1806 of yacc.c  */
#line 15358 "preproc.y"
    { (yyval.str) = mm_strdup("current"); }
    break;

  case 2804:

/* Line 1806 of yacc.c  */
#line 15359 "preproc.y"
    { (yyval.str) = mm_strdup("input"); }
    break;

  case 2805:

/* Line 1806 of yacc.c  */
#line 15360 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2806:

/* Line 1806 of yacc.c  */
#line 15361 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2807:

/* Line 1806 of yacc.c  */
#line 15362 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2808:

/* Line 1806 of yacc.c  */
#line 15363 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2809:

/* Line 1806 of yacc.c  */
#line 15364 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2810:

/* Line 1806 of yacc.c  */
#line 15365 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2811:

/* Line 1806 of yacc.c  */
#line 15368 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2812:

/* Line 1806 of yacc.c  */
#line 15369 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2813:

/* Line 1806 of yacc.c  */
#line 15370 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2814:

/* Line 1806 of yacc.c  */
#line 15371 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2815:

/* Line 1806 of yacc.c  */
#line 15372 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2816:

/* Line 1806 of yacc.c  */
#line 15375 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2817:

/* Line 1806 of yacc.c  */
#line 15376 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2818:

/* Line 1806 of yacc.c  */
#line 15377 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2819:

/* Line 1806 of yacc.c  */
#line 15378 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2820:

/* Line 1806 of yacc.c  */
#line 15381 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2821:

/* Line 1806 of yacc.c  */
#line 15382 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2822:

/* Line 1806 of yacc.c  */
#line 15383 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2823:

/* Line 1806 of yacc.c  */
#line 15384 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2824:

/* Line 1806 of yacc.c  */
#line 15385 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2825:

/* Line 1806 of yacc.c  */
#line 15386 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2826:

/* Line 1806 of yacc.c  */
#line 15387 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2827:

/* Line 1806 of yacc.c  */
#line 15404 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2828:

/* Line 1806 of yacc.c  */
#line 15405 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2829:

/* Line 1806 of yacc.c  */
#line 15406 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2830:

/* Line 1806 of yacc.c  */
#line 15409 "preproc.y"
    { (yyval.str) = mm_strdup("day"); }
    break;

  case 2831:

/* Line 1806 of yacc.c  */
#line 15410 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2832:

/* Line 1806 of yacc.c  */
#line 15411 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2833:

/* Line 1806 of yacc.c  */
#line 15412 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2834:

/* Line 1806 of yacc.c  */
#line 15413 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2835:

/* Line 1806 of yacc.c  */
#line 15414 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2838:

/* Line 1806 of yacc.c  */
#line 15421 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2839:

/* Line 1806 of yacc.c  */
#line 15427 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2840:

/* Line 1806 of yacc.c  */
#line 15428 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2841:

/* Line 1806 of yacc.c  */
#line 15432 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2842:

/* Line 1806 of yacc.c  */
#line 15434 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2843:

/* Line 1806 of yacc.c  */
#line 15439 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2844:

/* Line 1806 of yacc.c  */
#line 15449 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2845:

/* Line 1806 of yacc.c  */
#line 15460 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2846:

/* Line 1806 of yacc.c  */
#line 15466 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2847:

/* Line 1806 of yacc.c  */
#line 15467 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2848:

/* Line 1806 of yacc.c  */
#line 15468 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2849:

/* Line 1806 of yacc.c  */
#line 15472 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2850:

/* Line 1806 of yacc.c  */
#line 15504 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2851:

/* Line 1806 of yacc.c  */
#line 15506 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2852:

/* Line 1806 of yacc.c  */
#line 15508 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2853:

/* Line 1806 of yacc.c  */
#line 15512 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2854:

/* Line 1806 of yacc.c  */
#line 15522 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2855:

/* Line 1806 of yacc.c  */
#line 15532 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2856:

/* Line 1806 of yacc.c  */
#line 15541 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2857:

/* Line 1806 of yacc.c  */
#line 15542 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2858:

/* Line 1806 of yacc.c  */
#line 15545 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2859:

/* Line 1806 of yacc.c  */
#line 15547 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2860:

/* Line 1806 of yacc.c  */
#line 15548 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2861:

/* Line 1806 of yacc.c  */
#line 15549 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2862:

/* Line 1806 of yacc.c  */
#line 15553 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2863:

/* Line 1806 of yacc.c  */
#line 15555 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); }
    break;

  case 2864:

/* Line 1806 of yacc.c  */
#line 15562 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2865:

/* Line 1806 of yacc.c  */
#line 15563 "preproc.y"
    { (yyval.str) = mm_strdup("()"); }
    break;

  case 2866:

/* Line 1806 of yacc.c  */
#line 15565 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2867:

/* Line 1806 of yacc.c  */
#line 15568 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2868:

/* Line 1806 of yacc.c  */
#line 15570 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2869:

/* Line 1806 of yacc.c  */
#line 15573 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2870:

/* Line 1806 of yacc.c  */
#line 15574 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2871:

/* Line 1806 of yacc.c  */
#line 15577 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2872:

/* Line 1806 of yacc.c  */
#line 15578 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2873:

/* Line 1806 of yacc.c  */
#line 15581 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2874:

/* Line 1806 of yacc.c  */
#line 15582 "preproc.y"
    { (yyval.str) = mm_strdup("("); }
    break;

  case 2875:

/* Line 1806 of yacc.c  */
#line 15583 "preproc.y"
    { (yyval.str) = mm_strdup(")"); }
    break;

  case 2876:

/* Line 1806 of yacc.c  */
#line 15584 "preproc.y"
    { (yyval.str) = mm_strdup(","); }
    break;

  case 2877:

/* Line 1806 of yacc.c  */
#line 15585 "preproc.y"
    { (yyval.str) = mm_strdup(";"); }
    break;

  case 2878:

/* Line 1806 of yacc.c  */
#line 15588 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2879:

/* Line 1806 of yacc.c  */
#line 15589 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2880:

/* Line 1806 of yacc.c  */
#line 15590 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2881:

/* Line 1806 of yacc.c  */
#line 15591 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2882:

/* Line 1806 of yacc.c  */
#line 15592 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2883:

/* Line 1806 of yacc.c  */
#line 15593 "preproc.y"
    { (yyval.str) = mm_strdup("+"); }
    break;

  case 2884:

/* Line 1806 of yacc.c  */
#line 15594 "preproc.y"
    { (yyval.str) = mm_strdup("-"); }
    break;

  case 2885:

/* Line 1806 of yacc.c  */
#line 15595 "preproc.y"
    { (yyval.str) = mm_strdup("/"); }
    break;

  case 2886:

/* Line 1806 of yacc.c  */
#line 15596 "preproc.y"
    { (yyval.str) = mm_strdup("%"); }
    break;

  case 2887:

/* Line 1806 of yacc.c  */
#line 15597 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2888:

/* Line 1806 of yacc.c  */
#line 15598 "preproc.y"
    { (yyval.str) = mm_strdup("+="); }
    break;

  case 2889:

/* Line 1806 of yacc.c  */
#line 15599 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); }
    break;

  case 2890:

/* Line 1806 of yacc.c  */
#line 15600 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2891:

/* Line 1806 of yacc.c  */
#line 15601 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2892:

/* Line 1806 of yacc.c  */
#line 15602 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2893:

/* Line 1806 of yacc.c  */
#line 15603 "preproc.y"
    { (yyval.str) = mm_strdup("--"); }
    break;

  case 2894:

/* Line 1806 of yacc.c  */
#line 15604 "preproc.y"
    { (yyval.str) = mm_strdup("/="); }
    break;

  case 2895:

/* Line 1806 of yacc.c  */
#line 15605 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); }
    break;

  case 2896:

/* Line 1806 of yacc.c  */
#line 15606 "preproc.y"
    { (yyval.str) = mm_strdup("=="); }
    break;

  case 2897:

/* Line 1806 of yacc.c  */
#line 15607 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2898:

/* Line 1806 of yacc.c  */
#line 15608 "preproc.y"
    { (yyval.str) = mm_strdup("++"); }
    break;

  case 2899:

/* Line 1806 of yacc.c  */
#line 15609 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); }
    break;

  case 2900:

/* Line 1806 of yacc.c  */
#line 15610 "preproc.y"
    { (yyval.str) = mm_strdup("->"); }
    break;

  case 2901:

/* Line 1806 of yacc.c  */
#line 15611 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); }
    break;

  case 2902:

/* Line 1806 of yacc.c  */
#line 15612 "preproc.y"
    { (yyval.str) = mm_strdup("%="); }
    break;

  case 2903:

/* Line 1806 of yacc.c  */
#line 15613 "preproc.y"
    { (yyval.str) = mm_strdup("*="); }
    break;

  case 2904:

/* Line 1806 of yacc.c  */
#line 15614 "preproc.y"
    { (yyval.str) = mm_strdup("!="); }
    break;

  case 2905:

/* Line 1806 of yacc.c  */
#line 15615 "preproc.y"
    { (yyval.str) = mm_strdup("||"); }
    break;

  case 2906:

/* Line 1806 of yacc.c  */
#line 15616 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2907:

/* Line 1806 of yacc.c  */
#line 15617 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); }
    break;

  case 2908:

/* Line 1806 of yacc.c  */
#line 15618 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2909:

/* Line 1806 of yacc.c  */
#line 15619 "preproc.y"
    { (yyval.str) = mm_strdup("-="); }
    break;

  case 2910:

/* Line 1806 of yacc.c  */
#line 15620 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2911:

/* Line 1806 of yacc.c  */
#line 15621 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2912:

/* Line 1806 of yacc.c  */
#line 15622 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2913:

/* Line 1806 of yacc.c  */
#line 15623 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); }
    break;

  case 2914:

/* Line 1806 of yacc.c  */
#line 15624 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2915:

/* Line 1806 of yacc.c  */
#line 15625 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2916:

/* Line 1806 of yacc.c  */
#line 15626 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2917:

/* Line 1806 of yacc.c  */
#line 15627 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2918:

/* Line 1806 of yacc.c  */
#line 15628 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2919:

/* Line 1806 of yacc.c  */
#line 15629 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2920:

/* Line 1806 of yacc.c  */
#line 15630 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2921:

/* Line 1806 of yacc.c  */
#line 15631 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2922:

/* Line 1806 of yacc.c  */
#line 15632 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2923:

/* Line 1806 of yacc.c  */
#line 15633 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2924:

/* Line 1806 of yacc.c  */
#line 15634 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2925:

/* Line 1806 of yacc.c  */
#line 15635 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2926:

/* Line 1806 of yacc.c  */
#line 15636 "preproc.y"
    { (yyval.str) = mm_strdup("float"); }
    break;

  case 2927:

/* Line 1806 of yacc.c  */
#line 15637 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2928:

/* Line 1806 of yacc.c  */
#line 15638 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2929:

/* Line 1806 of yacc.c  */
#line 15639 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); }
    break;

  case 2930:

/* Line 1806 of yacc.c  */
#line 15640 "preproc.y"
    { (yyval.str) = mm_strdup("["); }
    break;

  case 2931:

/* Line 1806 of yacc.c  */
#line 15641 "preproc.y"
    { (yyval.str) = mm_strdup("]"); }
    break;

  case 2932:

/* Line 1806 of yacc.c  */
#line 15642 "preproc.y"
    { (yyval.str) = mm_strdup("="); }
    break;

  case 2933:

/* Line 1806 of yacc.c  */
#line 15643 "preproc.y"
    { (yyval.str) = mm_strdup(":"); }
    break;

  case 2934:

/* Line 1806 of yacc.c  */
#line 15646 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2935:

/* Line 1806 of yacc.c  */
#line 15647 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2936:

/* Line 1806 of yacc.c  */
#line 15648 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2937:

/* Line 1806 of yacc.c  */
#line 15649 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2938:

/* Line 1806 of yacc.c  */
#line 15652 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2939:

/* Line 1806 of yacc.c  */
#line 15653 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2940:

/* Line 1806 of yacc.c  */
#line 15654 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2941:

/* Line 1806 of yacc.c  */
#line 15655 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2942:

/* Line 1806 of yacc.c  */
#line 15656 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2943:

/* Line 1806 of yacc.c  */
#line 15657 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2944:

/* Line 1806 of yacc.c  */
#line 15658 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2945:

/* Line 1806 of yacc.c  */
#line 15659 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2946:

/* Line 1806 of yacc.c  */
#line 15660 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2947:

/* Line 1806 of yacc.c  */
#line 15661 "preproc.y"
    { if (pg_strcasecmp((yyvsp[(1) - (4)].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[(1) - (4)].str), mm_strdup("("), (yyvsp[(3) - (4)].type).type_str, mm_strdup(")"));
						}
    break;

  case 2948:

/* Line 1806 of yacc.c  */
#line 15668 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2949:

/* Line 1806 of yacc.c  */
#line 15669 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2950:

/* Line 1806 of yacc.c  */
#line 15670 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2951:

/* Line 1806 of yacc.c  */
#line 15671 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2952:

/* Line 1806 of yacc.c  */
#line 15672 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2953:

/* Line 1806 of yacc.c  */
#line 15675 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2954:

/* Line 1806 of yacc.c  */
#line 15676 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2955:

/* Line 1806 of yacc.c  */
#line 15679 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2956:

/* Line 1806 of yacc.c  */
#line 15681 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2957:

/* Line 1806 of yacc.c  */
#line 15691 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2958:

/* Line 1806 of yacc.c  */
#line 15692 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 58237 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 15695 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

